# --- Automatic generated test file  ---
# Generator    : generate_rebuild.py
# Date         : 2016-02-10
# Git revision : ce198333cbf3bf3a7d964b947e07c74c43df1cdd

import numpy as np
from splipy import Volume, Surface, Curve, BSplineBasis
from math import sqrt
import unittest


class TestRebuild(unittest.TestCase):
    def test_curve_2D_p3_rational(self):
        controlpoints = np.array([[  0. ,  -3. ,   1.4],
       [ 19. ,   2. ,   0.7],
       [ 43. ,  -4. ,   1. ],
       [ 57. ,  -5. ,   0.9],
       [ 79. ,  -4. ,   1.2],
       [ 97. ,   4. ,   0.9]])
        basis0 = BSplineBasis(3, np.array([ 0. ,  0. ,  0. ,  0.8,  2.3,  3.2,  4. ,  4. ,  4. ]))
        crv  = Curve(basis0, controlpoints,True)
        crv2 = crv.rebuild(3, 332)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=4)

    def test_surface_2D_p23_rational(self):
        controlpoints = np.array([[   4. ,    4. ,    0.8],
       [  51. ,   -2. ,    1. ],
       [  98. ,    0. ,    1.2],
       [  -3. ,   12. ,    1.1],
       [  51. ,   12. ,    1. ],
       [ 101. ,   13. ,    1.2],
       [   4. ,   34. ,    0.7],
       [  47. ,   29. ,    1.3],
       [ 102. ,   32. ,    1.2],
       [  -1. ,   52. ,    1. ],
       [  53. ,   54. ,    0.6],
       [ 100. ,   51. ,    1.2],
       [   3. ,   62. ,    1.1],
       [  50. ,   63. ,    0.7],
       [  98. ,   67. ,    1. ],
       [  -4. ,   86. ,    1.1],
       [  45. ,   79. ,    1.2],
       [ 103. ,   79. ,    0.7],
       [   3. ,   99. ,    0.7],
       [  51. ,   95. ,    1.5],
       [ 100. ,  104. ,    0.5]])
        basis0 = BSplineBasis(2, np.array([ 0. ,  0. ,  0.7,  2. ,  2. ]))
        basis1 = BSplineBasis(3, np.array([ 0. ,  0. ,  0. ,  1.3,  1.8,  3.3,  4.2,  5. ,  5. ,  5. ]))
        surf  = Surface(basis0, basis1, controlpoints,True)
        surf2 = surf.rebuild([2, 4], [136, 124])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=1)

    def test_curve_2D_p4_rational_C1_periodic(self):
        controlpoints = np.array([[ 100. ,    4. ,    1.1],
       [  84. ,   60. ,    0.6],
       [  33. ,   91. ,    1.5],
       [ -35. ,   96. ,    0.6],
       [ -80. ,   62. ,    0.8],
       [ -97. ,   -1. ,    0.7],
       [ -78. ,  -54. ,    1.4],
       [ -27. , -100. ,    1.1],
       [  34. ,  -93. ,    1.2],
       [  82. ,  -63. ,    1.1]])
        basis0 = BSplineBasis(4, np.array([ -2. ,  -1.1,   0. ,   0. ,   0.8,   2.3,   2.8,   3.8,   4.9,   6.1,   7. ,   7.9,   9. ,
         9. ,   9.8,  11.3]),1)
        crv  = Curve(basis0, controlpoints,True)
        crv2 = crv.rebuild(3, 356)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=3)

    def test_surface_2D_p44_rational_C1_periodic(self):
        controlpoints = np.array([[  58. ,    1. ,    1.3],       [  43. ,   37. ,    0.7],       [  22. ,   57. ,    0.8],       [ -18. ,   59. ,    1.3],       [ -47. ,   32. ,    0.7],       [ -60. ,    1. ,    0.6],       [ -49. ,  -40. ,    0.9],       [ -21. ,  -62. ,    1.4],       [  16. ,  -60. ,    0.8],       [  50. ,  -39. ,    1. ],       [  69. ,   -3. ,    1.3],       [  52. ,   43. ,    0.7],       [  20. ,   65. ,    1. ],       [ -19. ,   61. ,    1.1],       [ -59. ,   41. ,    0.9],       [ -66. ,    3. ,    0.5],       [ -53. ,  -47. ,    1.1],       [ -20. ,  -69. ,    1. ],       [  21. ,  -63. ,    1. ],       [  56. ,  -39. ,    1.5],       [  79. ,    1. ,    0.9],       [  60. ,   51. ,    1.4],       [  21. ,   73. ,    0.7],       [ -26. ,   71. ,    1.2],       [ -68. ,   43. ,    0.6],       [ -82. ,   -3. ,    1.1],       [ -64. ,  -51. ,    1.4],       [ -29. ,  -72. ,    1.4],       [  28. ,  -76. ,    1.2],       [  68. ,  -44. ,    0.8],       [  90. ,    2. ,    1.5],       [  71. ,   54. ,    0.7],       [  24. ,   86. ,    0.6],       [ -24. ,   83. ,    1.1],       [ -71. ,   54. ,    0.6],       [ -91. ,   -2. ,    1. ],       [ -76. ,  -53. ,    1.2],       [ -26. ,  -85. ,    1.1],       [  32. ,  -81. ,    0.7],       [  71. ,  -54. ,    1.3],       [ 100. ,    4. ,    0.6],       [  83. ,   60. ,    1.3],       [  27. ,   91. ,    0.5],       [ -30. ,   93. ,    1.4],       [ -82. ,   62. ,    1.4],       [-104. ,   -2. ,    1.1],       [ -80. ,  -64. ,    0.7],       [ -29. ,  -91. ,    1.2],       [  32. ,  -97. ,    0.8],       [  84. ,  -64. ,    1.4]])
        basis0 = BSplineBasis(4, np.array([ -2.1,  -1.1,   0. ,   0. ,   0.7,   2.3,   2.8,   3.8,   5.2,   5.7,   6.9,   7.9,   9. ,
         9. ,   9.7,  11.3]),1)
        basis1 = BSplineBasis(4, np.array([ 0.,  0.,  0.,  0.,  1.,  2.,  2.,  2.,  2.]))
        surf  = Surface(basis0, basis1, controlpoints,True)
        surf2 = surf.rebuild([3, 5], [150, 140])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=3)

    def test_curve_2D_p4(self):
        controlpoints = np.array([[  3.,   3.],
       [ 14.,   1.],
       [ 25.,  -2.],
       [ 35.,  -1.],
       [ 53.,   3.],
       [ 66.,  -4.],
       [ 79.,   2.],
       [ 91.,  -2.],
       [ 98.,  -1.]])
        basis0 = BSplineBasis(4, np.array([ 0. ,  0. ,  0. ,  0. ,  1.2,  2.3,  2.8,  4.4,  4.9,  6. ,  6. ,  6. ,  6. ]))
        crv  = Curve(basis0, controlpoints,False)
        crv2 = crv.rebuild(3, 341)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=4)

    def test_surface_2D_p32(self):
        controlpoints = np.array([[  -4.,    4.],       [  15.,   -4.],       [  24.,   -4.],       [  40.,    0.],       [  53.,    1.],       [  71.,    1.],       [  87.,   -4.],       [  98.,   -3.],       [  -2.,   21.],       [  10.,   14.],       [  29.,   18.],       [  43.,   18.],       [  54.,   14.],       [  68.,   21.],       [  82.,   18.],       [ 103.,   14.],       [  -2.,   35.],       [  15.,   32.],       [  26.,   36.],       [  41.,   35.],       [  61.,   33.],       [  75.,   31.],       [  89.,   34.],       [ 103.,   35.],       [   2.,   48.],       [  17.,   47.],       [  25.,   45.],       [  39.,   50.],       [  57.,   49.],       [  72.,   50.],       [  81.,   48.],       [  95.,   50.],       [   0.,   61.],       [  11.,   70.],       [  29.,   71.],       [  47.,   70.],       [  53.,   69.],       [  68.,   71.],       [  86.,   66.],       [  95.,   70.],       [  -5.,   83.],       [  11.,   86.],       [  27.,   79.],       [  45.,   81.],       [  57.,   81.],       [  67.,   83.],       [  89.,   86.],       [ 102.,   87.],       [   3.,   96.],       [  12.,   98.],       [  24.,   96.],       [  43.,   97.],       [  56.,   99.],       [  71.,   97.],       [  87.,   99.],       [ 102.,  101.]])
        basis0 = BSplineBasis(3, np.array([ 0. ,  0. ,  0. ,  1.2,  1.9,  3.2,  3.8,  4.9,  6. ,  6. ,  6. ]))
        basis1 = BSplineBasis(2, np.array([ 0. ,  0. ,  1.1,  1.8,  3.4,  4. ,  4.7,  6. ,  6. ]))
        surf  = Surface(basis0, basis1, controlpoints,False)
        surf2 = surf.rebuild([2, 2], [124, 146])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=1)

    def test_curve_2D_p4_C1_periodic(self):
        controlpoints = np.array([[  98.,    3.],
       [  76.,   62.],
       [  26.,   92.],
       [ -36.,   93.],
       [ -84.,   57.],
       [-105.,   -3.],
       [ -79.,  -61.],
       [ -27.,  -94.],
       [  30., -100.],
       [  84.,  -57.]])
        basis0 = BSplineBasis(4, np.array([ -1.9,  -1. ,   0. ,   0. ,   0.7,   2.4,   3. ,   4.2,   4.9,   5.9,   7.1,   8. ,   9. ,
         9. ,   9.7,  11.4]),1)
        crv  = Curve(basis0, controlpoints,False)
        crv2 = crv.rebuild(4, 361)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=3)

    def test_surface_2D_p44_C1_periodic(self):
        controlpoints = np.array([[  59.,   -3.],       [  45.,   35.],       [  21.,   52.],       [ -16.,   60.],       [ -51.,   34.],       [ -64.,    2.],       [ -53.,  -40.],       [ -19.,  -54.],       [  23.,  -60.],       [  49.,  -37.],       [  65.,    4.],       [  57.,   34.],       [  18.,   57.],       [ -17.,   65.],       [ -55.,   38.],       [ -64.,    3.],       [ -51.,  -40.],       [ -19.,  -65.],       [  20.,  -65.],       [  57.,  -34.],       [  73.,    2.],       [  52.,   41.],       [  23.,   63.],       [ -27.,   69.],       [ -55.,   45.],       [ -75.,    4.],       [ -57.,  -39.],       [ -24.,  -68.],       [  23.,  -65.],       [  59.,  -41.],       [  71.,   -3.],       [  62.,   42.],       [  24.,   73.],       [ -25.,   72.],       [ -66.,   47.],       [ -78.,   -1.],       [ -62.,  -45.],       [ -27.,  -74.],       [  27.,  -76.],       [  59.,  -42.],       [  76.,    2.],       [  65.,   44.],       [  23.,   75.],       [ -30.,   74.],       [ -67.,   47.],       [ -78.,   -1.],       [ -70.,  -43.],       [ -30.,  -75.],       [  21.,  -78.],       [  62.,  -45.],       [  88.,   -4.],       [  72.,   53.],       [  27.,   83.],       [ -23.,   78.],       [ -69.,   46.],       [ -84.,   -1.],       [ -67.,  -51.],       [ -26.,  -86.],       [  30.,  -84.],       [  64.,  -49.],       [  90.,   -4.],       [  70.,   55.],       [  32.,   88.],       [ -29.,   89.],       [ -72.,   48.],       [ -90.,    2.],       [ -73.,  -50.],       [ -28.,  -90.],       [  28.,  -91.],       [  72.,  -57.],       [  90.,    3.],       [  80.,   50.],       [  27.,   91.],       [ -31.,   85.],       [ -78.,   58.],       [ -97.,    0.],       [ -80.,  -61.],       [ -34.,  -93.],       [  29.,  -88.],       [  78.,  -61.],       [ 103.,   -2.],       [  75.,   60.],       [  33.,   90.],       [ -32.,   96.],       [ -84.,   59.],       [ -99.,   -3.],       [ -85.,  -63.],       [ -35.,  -92.],       [  33., -100.],       [  82.,  -64.]])
        basis0 = BSplineBasis(4, np.array([ -1.9,  -0.9,   0. ,   0. ,   1.1,   1.7,   3.3,   3.8,   5.1,   6.2,   7.1,   8.1,   9. ,
         9. ,  10.1,  10.7]),1)
        basis1 = BSplineBasis(4, np.array([ 0. ,  0. ,  0. ,  0. ,  1.3,  1.9,  2.7,  4. ,  4.7,  6. ,  6. ,  6. ,  6. ]))
        surf  = Surface(basis0, basis1, controlpoints,False)
        surf2 = surf.rebuild(5, 134)
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_3D_p3_rational(self):
        controlpoints = np.array([[  -1. ,    1. ,   -4. ,    1.3],
       [  19. ,    1. ,    2. ,    0.9],
       [  36. ,   -1. ,   -5. ,    0.6],
       [  48. ,   -2. ,   -2. ,    1.4],
       [  62. ,   -5. ,   -1. ,    1.3],
       [  79. ,    1. ,    3. ,    0.8],
       [ 104. ,    1. ,   -3. ,    1.3]])
        basis0 = BSplineBasis(3, np.array([ 0. ,  0. ,  0. ,  1.1,  1.8,  3.2,  3.8,  5. ,  5. ,  5. ]))
        crv  = Curve(basis0, controlpoints,True)
        crv2 = crv.rebuild(2, 335)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_surface_3D_p32_rational(self):
        controlpoints = np.array([[  -1. ,   -1. ,   -5. ,    0.8],
       [  12. ,    4. ,   -3. ,    1. ],
       [  32. ,    3. ,    3. ,    1.2],
       [  46. ,   -4. ,   -3. ,    1.2],
       [  65. ,   -5. ,   -3. ,    0.6],
       [  87. ,    4. ,    1. ,    0.6],
       [  95. ,   -3. ,   -5. ,    1.4],
       [   3. ,   36. ,   -3. ,    0.7],
       [  19. ,   33. ,   -4. ,    0.7],
       [  34. ,   34. ,    4. ,    1.2],
       [  46. ,   30. ,    4. ,    0.6],
       [  64. ,   30. ,   -3. ,    0.9],
       [  85. ,   37. ,    1. ,    1.3],
       [ 104. ,   37. ,   -4. ,    1.3],
       [   4. ,   71. ,    3. ,    1. ],
       [  21. ,   68. ,   -3. ,    1.1],
       [  36. ,   68. ,    4. ,    1.5],
       [  46. ,   71. ,   -1. ,    1.3],
       [  71. ,   67. ,    1. ,    1.3],
       [  87. ,   67. ,   -2. ,    0.7],
       [  96. ,   64. ,    4. ,    1.2],
       [  -5. ,   95. ,    0. ,    1.2],
       [  13. ,   97. ,   -4. ,    1.4],
       [  31. ,   98. ,    2. ,    0.9],
       [  48. ,   99. ,   -4. ,    1.4],
       [  63. ,  103. ,    2. ,    0.6],
       [  84. ,   96. ,   -4. ,    0.9],
       [ 101. ,   98. ,   -4. ,    0.9]])
        basis0 = BSplineBasis(3, np.array([ 0. ,  0. ,  0. ,  1.1,  1.6,  3. ,  3.8,  5. ,  5. ,  5. ]))
        basis1 = BSplineBasis(2, np.array([ 0. ,  0. ,  1.2,  2.1,  3. ,  3. ]))
        surf  = Surface(basis0, basis1, controlpoints,True)
        surf2 = surf.rebuild(3, 127)
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_volume_3D_p334_rational(self):
        controlpoints = np.array([[   3. ,    0. ,    1. ,    0.8],       [  21. ,   -3. ,   -1. ,    1. ],       [  54. ,    4. ,    4. ,    1.5],       [  75. ,   -4. ,   -5. ,    0.6],       [ 101. ,   -5. ,    0. ,    1.3],       [   0. ,   20. ,   -4. ,    1.3],       [  20. ,   22. ,   -5. ,    1. ],       [  48. ,   18. ,   -4. ,    0.7],       [  71. ,   18. ,   -4. ,    0.6],       [ 100. ,   18. ,    3. ,    0.5],       [   2. ,   44. ,   -4. ,    0.6],       [  26. ,   40. ,    0. ,    1.4],       [  53. ,   37. ,    4. ,    0.6],       [  74. ,   44. ,    0. ,    0.7],       [  98. ,   41. ,   -2. ,    0.8],       [   0. ,   63. ,    0. ,    1.3],       [  28. ,   62. ,   -4. ,    1.2],       [  49. ,   62. ,   -2. ,    1.4],       [  71. ,   60. ,    4. ,    0.9],       [  98. ,   60. ,   -4. ,    1.1],       [   0. ,   79. ,    4. ,    0.9],       [  29. ,   76. ,   -1. ,    1.3],       [  45. ,   83. ,    4. ,    0.8],       [  78. ,   81. ,   -4. ,    1.3],       [ 100. ,   82. ,    2. ,    0.7],       [  -5. ,   98. ,    1. ,    1. ],       [  25. ,   98. ,    4. ,    1. ],       [  48. ,   99. ,    0. ,    1.1],       [  70. ,   98. ,   -3. ,    1.3],       [  98. ,  100. ,    0. ,    0.9],       [   2. ,    0. ,   12. ,    0.5],       [  25. ,   -3. ,   11. ,    1. ],       [  46. ,   -1. ,    9. ,    1.2],       [  76. ,   -4. ,   14. ,    0.5],       [ 100. ,    1. ,   14. ,    1.4],       [   3. ,   24. ,   15. ,    1.4],       [  20. ,   22. ,    8. ,    1.3],       [  50. ,   15. ,   11. ,    1.5],       [  78. ,   19. ,    9. ,    0.5],       [ 100. ,   15. ,   16. ,    1.4],       [  -2. ,   43. ,    7. ,    0.8],       [  27. ,   37. ,   13. ,    1.2],       [  53. ,   38. ,   16. ,    0.6],       [  78. ,   36. ,    9. ,    1.4],       [  99. ,   44. ,    9. ,    0.9],       [   4. ,   56. ,   13. ,    1.2],       [  26. ,   62. ,    8. ,    0.6],       [  50. ,   58. ,    8. ,    0.9],       [  79. ,   59. ,   16. ,    1.3],       [  97. ,   60. ,   12. ,    1.1],       [  -4. ,   81. ,    7. ,    1.3],       [  21. ,   84. ,   13. ,    0.7],       [  45. ,   81. ,    9. ,    0.9],       [  70. ,   81. ,    9. ,    1.3],       [  97. ,   80. ,   15. ,    0.9],       [  -4. ,  104. ,   12. ,    0.5],       [  26. ,   96. ,   11. ,    1.3],       [  51. ,  102. ,   15. ,    1.4],       [  79. ,   95. ,   13. ,    1.5],       [  98. ,   97. ,   16. ,    1.4],       [   0. ,    2. ,   24. ,    1.1],       [  22. ,    1. ,   25. ,    1.5],       [  51. ,    2. ,   22. ,    1.5],       [  70. ,   -4. ,   27. ,    0.8],       [  98. ,   -3. ,   26. ,    1. ],       [   4. ,   19. ,   23. ,    0.6],       [  24. ,   21. ,   27. ,    1.3],       [  47. ,   20. ,   20. ,    1.3],       [  75. ,   21. ,   29. ,    1. ],       [  96. ,   22. ,   22. ,    0.9],       [  -2. ,   41. ,   21. ,    0.7],       [  29. ,   38. ,   23. ,    1. ],       [  53. ,   41. ,   24. ,    0.9],       [  72. ,   39. ,   22. ,    1. ],       [ 101. ,   38. ,   21. ,    0.7],       [  -3. ,   57. ,   29. ,    0.9],       [  28. ,   64. ,   24. ,    0.6],       [  53. ,   55. ,   21. ,    0.7],       [  75. ,   60. ,   20. ,    1.1],       [ 102. ,   57. ,   21. ,    0.5],       [  -1. ,   77. ,   28. ,    0.9],       [  28. ,   81. ,   20. ,    1.1],       [  46. ,   77. ,   22. ,    1.1],       [  79. ,   82. ,   21. ,    0.6],       [ 101. ,   83. ,   27. ,    1.4],       [   3. ,  103. ,   29. ,    1.4],       [  28. ,  103. ,   22. ,    0.9],       [  53. ,   98. ,   26. ,    1. ],       [  70. ,   97. ,   22. ,    1.4],       [  96. ,  104. ,   20. ,    0.5],       [   2. ,    2. ,   41. ,    1. ],       [  24. ,    1. ,   37. ,    0.6],       [  46. ,    4. ,   41. ,    1.5],       [  74. ,    1. ,   34. ,    1.3],       [ 102. ,   -3. ,   32. ,    0.9],       [  -5. ,   17. ,   41. ,    0.7],       [  28. ,   20. ,   35. ,    0.6],       [  48. ,   17. ,   42. ,    1.2],       [  71. ,   15. ,   38. ,    1.3],       [  96. ,   17. ,   36. ,    1.4],       [   3. ,   39. ,   34. ,    1.3],       [  26. ,   36. ,   41. ,    1. ],       [  49. ,   41. ,   37. ,    0.8],       [  75. ,   38. ,   32. ,    0.7],       [ 100. ,   38. ,   35. ,    1.2],       [  -4. ,   64. ,   39. ,    0.7],       [  20. ,   59. ,   32. ,    0.8],       [  45. ,   60. ,   36. ,    0.9],       [  72. ,   64. ,   33. ,    0.9],       [  99. ,   57. ,   34. ,    0.7],       [  -2. ,   78. ,   32. ,    1.3],       [  25. ,   77. ,   40. ,    1.3],       [  46. ,   75. ,   37. ,    0.9],       [  74. ,   80. ,   34. ,    0.8],       [  96. ,   80. ,   36. ,    0.5],       [  -2. ,   95. ,   34. ,    1. ],       [  24. ,   99. ,   36. ,    0.7],       [  48. ,   95. ,   37. ,    1.4],       [  78. ,  102. ,   34. ,    1. ],       [  95. ,  101. ,   38. ,    0.8],       [   1. ,    4. ,   46. ,    1. ],       [  28. ,   -2. ,   45. ,    1.3],       [  54. ,   -4. ,   48. ,    1.1],       [  77. ,    3. ,   47. ,    0.5],       [ 101. ,    3. ,   52. ,    1.2],       [   3. ,   16. ,   46. ,    1.2],       [  24. ,   24. ,   52. ,    1.1],       [  45. ,   24. ,   47. ,    1.2],       [  71. ,   24. ,   52. ,    1.3],       [  98. ,   21. ,   48. ,    0.6],       [   1. ,   41. ,   48. ,    1. ],       [  26. ,   38. ,   50. ,    0.8],       [  46. ,   41. ,   51. ,    1.4],       [  79. ,   37. ,   46. ,    1. ],       [ 101. ,   42. ,   50. ,    0.7],       [   2. ,   61. ,   52. ,    0.7],       [  24. ,   64. ,   52. ,    1. ],       [  45. ,   61. ,   45. ,    1.1],       [  74. ,   55. ,   50. ,    1.4],       [ 103. ,   63. ,   45. ,    0.7],       [  -2. ,   76. ,   53. ,    1.2],       [  25. ,   76. ,   50. ,    0.6],       [  52. ,   78. ,   48. ,    0.8],       [  70. ,   83. ,   45. ,    1. ],       [ 100. ,   79. ,   49. ,    1.4],       [  -3. ,   99. ,   51. ,    1.4],       [  23. ,  102. ,   54. ,    0.5],       [  45. ,  100. ,   45. ,    1.3],       [  78. ,   98. ,   48. ,    1.5],       [ 100. ,   98. ,   46. ,    1.4],       [   1. ,    4. ,   67. ,    1.4],       [  24. ,   -4. ,   58. ,    1.1],       [  53. ,    2. ,   63. ,    1.1],       [  76. ,    2. ,   66. ,    0.6],       [ 102. ,   -3. ,   65. ,    0.7],       [  -2. ,   22. ,   58. ,    0.6],       [  24. ,   21. ,   60. ,    0.8],       [  47. ,   15. ,   66. ,    1. ],       [  72. ,   17. ,   60. ,    1.1],       [  98. ,   20. ,   67. ,    1.1],       [  -3. ,   37. ,   67. ,    0.9],       [  26. ,   43. ,   66. ,    0.7],       [  46. ,   37. ,   67. ,    1.3],       [  73. ,   36. ,   60. ,    1.3],       [  95. ,   42. ,   62. ,    0.8],       [  -3. ,   59. ,   62. ,    0.5],       [  23. ,   57. ,   59. ,    1. ],       [  46. ,   58. ,   63. ,    1.2],       [  74. ,   59. ,   62. ,    0.7],       [ 102. ,   60. ,   61. ,    0.7],       [   0. ,   75. ,   60. ,    1.4],       [  28. ,   83. ,   61. ,    0.9],       [  45. ,   83. ,   65. ,    1.4],       [  76. ,   79. ,   64. ,    0.8],       [ 100. ,   75. ,   64. ,    1. ],       [  -1. ,   96. ,   60. ,    0.8],       [  27. ,  104. ,   60. ,    1.2],       [  47. ,  104. ,   61. ,    0.6],       [  70. ,   99. ,   61. ,    0.9],       [  96. ,  103. ,   63. ,    0.6],       [  -5. ,    1. ,   77. ,    0.8],       [  29. ,    3. ,   73. ,    1.3],       [  51. ,    1. ,   77. ,    1.4],       [  72. ,   -3. ,   71. ,    0.8],       [  99. ,    3. ,   77. ,    1. ],       [   3. ,   23. ,   76. ,    1.4],       [  26. ,   23. ,   70. ,    1.4],       [  47. ,   17. ,   77. ,    1.3],       [  75. ,   20. ,   76. ,    0.9],       [  96. ,   22. ,   77. ,    0.6],       [  -5. ,   36. ,   73. ,    1.3],       [  29. ,   44. ,   78. ,    0.6],       [  49. ,   39. ,   79. ,    1.2],       [  71. ,   37. ,   70. ,    0.6],       [  97. ,   37. ,   77. ,    1.1],       [  -3. ,   62. ,   70. ,    0.7],       [  26. ,   61. ,   73. ,    0.7],       [  53. ,   60. ,   73. ,    1.5],       [  71. ,   63. ,   75. ,    1.1],       [  98. ,   59. ,   75. ,    0.7],       [  -2. ,   80. ,   76. ,    0.9],       [  25. ,   83. ,   76. ,    1.4],       [  50. ,   75. ,   74. ,    0.6],       [  74. ,   77. ,   76. ,    0.5],       [  96. ,   75. ,   73. ,    1.3],       [  -3. ,   95. ,   70. ,    1.2],       [  20. ,  101. ,   72. ,    1.1],       [  50. ,  104. ,   72. ,    0.6],       [  74. ,   99. ,   78. ,    0.5],       [ 101. ,   96. ,   70. ,    0.8],       [  -1. ,    3. ,   85. ,    0.7],       [  22. ,    0. ,   82. ,    1.4],       [  50. ,    1. ,   90. ,    1. ],       [  72. ,    0. ,   83. ,    1.1],       [  95. ,   -4. ,   87. ,    1.2],       [   3. ,   19. ,   90. ,    1.5],       [  24. ,   23. ,   86. ,    1.2],       [  46. ,   17. ,   89. ,    1.1],       [  72. ,   17. ,   92. ,    0.5],       [ 103. ,   20. ,   83. ,    0.5],       [   3. ,   41. ,   84. ,    0.6],       [  21. ,   42. ,   91. ,    0.8],       [  54. ,   35. ,   83. ,    1. ],       [  76. ,   35. ,   90. ,    1.4],       [ 101. ,   42. ,   91. ,    1.4],       [   1. ,   62. ,   87. ,    1.1],       [  28. ,   58. ,   85. ,    1.4],       [  49. ,   64. ,   86. ,    1. ],       [  75. ,   61. ,   89. ,    1.3],       [  99. ,   61. ,   83. ,    1.3],       [  -4. ,   80. ,   92. ,    1. ],       [  27. ,   84. ,   87. ,    0.6],       [  47. ,   79. ,   86. ,    0.8],       [  71. ,   82. ,   87. ,    1.5],       [ 103. ,   82. ,   87. ,    1.4],       [   3. ,  101. ,   89. ,    0.9],       [  24. ,  104. ,   91. ,    1.5],       [  49. ,   96. ,   85. ,    1.2],       [  79. ,  103. ,   91. ,    0.8],       [  98. ,   98. ,   88. ,    1.1],       [   2. ,    0. ,   99. ,    1.4],       [  22. ,   -1. ,  101. ,    1.4],       [  51. ,   -5. ,   98. ,    0.9],       [  79. ,   -2. ,  102. ,    0.8],       [ 101. ,    3. ,   96. ,    0.6],       [   1. ,   21. ,   97. ,    0.8],       [  24. ,   24. ,  103. ,    1. ],       [  51. ,   19. ,   96. ,    1.2],       [  70. ,   19. ,   98. ,    0.5],       [  99. ,   16. ,  100. ,    0.7],       [  -1. ,   35. ,   97. ,    0.7],       [  28. ,   35. ,   96. ,    0.7],       [  48. ,   36. ,   95. ,    1.2],       [  79. ,   39. ,   98. ,    0.9],       [ 104. ,   42. ,  104. ,    1.1],       [   3. ,   63. ,   98. ,    1. ],       [  24. ,   61. ,   99. ,    0.6],       [  45. ,   57. ,   99. ,    0.9],       [  77. ,   60. ,   96. ,    0.8],       [ 103. ,   55. ,  104. ,    0.8],       [  -5. ,   79. ,  104. ,    1.1],       [  27. ,   79. ,   99. ,    0.8],       [  48. ,   76. ,  102. ,    0.7],       [  79. ,   78. ,  102. ,    1.2],       [ 102. ,   76. ,   96. ,    0.8],       [  -2. ,  100. ,   96. ,    1.1],       [  21. ,   95. ,  101. ,    1.3],       [  46. ,  101. ,  104. ,    1. ],       [  77. ,  103. ,  100. ,    0.7],       [  98. ,   95. ,  100. ,    0.8]])
        basis0 = BSplineBasis(3, np.array([ 0. ,  0. ,  0. ,  1.3,  2. ,  3. ,  3. ,  3. ]))
        basis1 = BSplineBasis(3, np.array([ 0. ,  0. ,  0. ,  1.2,  2. ,  3. ,  4. ,  4. ,  4. ]))
        basis2 = BSplineBasis(4, np.array([ 0. ,  0. ,  0. ,  0. ,  1.2,  2.1,  2.8,  4.3,  5. ,  6. ,  6. ,  6. ,  6. ]))
        vol  = Volume(basis0, basis1, basis2, controlpoints,True)
        vol2 = vol.rebuild([3, 4, 5], [92, 94, 96])
        u    = np.linspace(vol.start(0), vol.end(0), 7)
        v    = np.linspace(vol.start(1), vol.end(1), 7)
        w    = np.linspace(vol.start(2), vol.end(2), 7)
        pt   = vol(u,v,w)
        pt2  = vol2(u,v,w)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_3D_p4_rational_C1_periodic(self):
        controlpoints = np.array([[ 104. ,    4. ,   -3. ,    1.1],
       [  83. ,   63. ,    2. ,    0.7],
       [  27. ,   90. ,    4. ,    1.3],
       [ -31. ,   94. ,    2. ,    0.6],
       [ -84. ,   59. ,   -4. ,    1.3],
       [ -98. ,    2. ,   -5. ,    0.8],
       [ -80. ,  -62. ,    0. ,    1. ],
       [ -34. ,  -96. ,    3. ,    0.7],
       [  30. , -100. ,    2. ,    1.3],
       [  84. ,  -55. ,   -1. ,    1.4]])
        basis0 = BSplineBasis(4, np.array([ -2.3,  -1. ,   0. ,   0. ,   1.3,   1.7,   3.3,   3.9,   5.2,   6.1,   6.7,   8. ,   9. ,
         9. ,  10.3,  10.7]),1)
        crv  = Curve(basis0, controlpoints,True)
        crv2 = crv.rebuild(5, 327)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=3)

    def test_surface_3D_p44_rational_C1_periodic(self):
        controlpoints = np.array([[  63. ,    4. ,   -1. ,    1.2],       [  45. ,   33. ,    0. ,    0.7],       [  18. ,   59. ,   -2. ,    0.8],       [ -18. ,   60. ,    4. ,    0.5],       [ -47. ,   34. ,    0. ,    1.2],       [ -62. ,    3. ,   -1. ,    1.3],       [ -47. ,  -32. ,    3. ,    1.2],       [ -18. ,  -62. ,    3. ,    1.2],       [  23. ,  -60. ,    3. ,    0.7],       [  48. ,  -35. ,    4. ,    0.7],       [  67. ,   -4. ,    0. ,    1.2],       [  55. ,   38. ,    0. ,    1.3],       [  21. ,   65. ,    3. ,    1.4],       [ -18. ,   61. ,    1. ,    0.9],       [ -58. ,   39. ,    4. ,    1.3],       [ -62. ,   -4. ,   -5. ,    1.2],       [ -56. ,  -42. ,    4. ,    0.8],       [ -18. ,  -65. ,   -2. ,    0.5],       [  15. ,  -64. ,    0. ,    0.6],       [  49. ,  -37. ,   -1. ,    0.5],       [  71. ,    1. ,   -1. ,    0.7],       [  54. ,   42. ,   -4. ,    1.2],       [  25. ,   65. ,   -4. ,    0.8],       [ -18. ,   71. ,    3. ,    1. ],       [ -53. ,   44. ,    3. ,    1.4],       [ -73. ,    0. ,    2. ,    0.6],       [ -55. ,  -42. ,   -5. ,    1.2],       [ -23. ,  -67. ,   -4. ,    1.2],       [  25. ,  -70. ,   -4. ,    1.3],       [  61. ,  -38. ,    0. ,    1.4],       [  77. ,    0. ,    0. ,    1.2],       [  65. ,   39. ,    2. ,    0.8],       [  24. ,   70. ,    3. ,    0.7],       [ -26. ,   70. ,   -5. ,    1.3],       [ -63. ,   44. ,   -2. ,    1.3],       [ -71. ,   -2. ,    4. ,    0.5],       [ -65. ,  -49. ,    0. ,    0.5],       [ -25. ,  -74. ,   -3. ,    1. ],       [  24. ,  -68. ,    1. ,    1.4],       [  62. ,  -40. ,    3. ,    1.2],       [  78. ,   -5. ,    4. ,    0.5],       [  68. ,   42. ,   -1. ,    1.1],       [  26. ,   71. ,   -3. ,    1.1],       [ -21. ,   72. ,    3. ,    0.8],       [ -61. ,   42. ,    4. ,    1.2],       [ -84. ,    2. ,    0. ,    1.4],       [ -64. ,  -47. ,   -2. ,    1.1],       [ -30. ,  -72. ,    2. ,    1.4],       [  29. ,  -78. ,    4. ,    1.4],       [  67. ,  -52. ,   -5. ,    0.9],       [  89. ,   -3. ,    2. ,    0.7],       [  73. ,   50. ,   -2. ,    0.6],       [  25. ,   83. ,    1. ,    0.8],       [ -31. ,   82. ,   -1. ,    1.3],       [ -65. ,   47. ,    1. ,    0.9],       [ -86. ,    4. ,    4. ,    0.9],       [ -70. ,  -46. ,    1. ,    0.8],       [ -24. ,  -80. ,    1. ,    0.8],       [  27. ,  -82. ,   -5. ,    1.4],       [  73. ,  -46. ,   -1. ,    1.2],       [  93. ,   -1. ,    0. ,    1.3],       [  74. ,   56. ,   -1. ,    0.6],       [  30. ,   83. ,    2. ,    1.2],       [ -31. ,   87. ,   -5. ,    1. ],       [ -76. ,   49. ,    2. ,    1.5],       [ -90. ,   -5. ,    1. ,    1.3],       [ -69. ,  -56. ,   -4. ,    0.7],       [ -33. ,  -89. ,   -3. ,    1. ],       [  32. ,  -86. ,   -5. ,    1.4],       [  71. ,  -53. ,   -1. ,    0.5],       [  95. ,   -2. ,   -3. ,    1.2],       [  78. ,   59. ,   -5. ,    1.2],       [  28. ,   92. ,   -1. ,    1.3],       [ -32. ,   94. ,   -5. ,    1.1],       [ -79. ,   52. ,    3. ,    0.9],       [ -92. ,   -4. ,   -5. ,    0.5],       [ -79. ,  -55. ,   -3. ,    1.5],       [ -30. ,  -95. ,   -1. ,    0.9],       [  33. ,  -92. ,    1. ,    0.9],       [  72. ,  -60. ,    3. ,    0.9],       [ 100. ,    2. ,    2. ,    1.4],       [  82. ,   63. ,   -3. ,    0.8],       [  34. ,   92. ,    4. ,    0.9],       [ -35. ,   90. ,    0. ,    1.1],       [ -81. ,   55. ,    2. ,    0.6],       [-104. ,   -1. ,    3. ,    1. ],       [ -77. ,  -62. ,   -1. ,    0.9],       [ -34. , -100. ,   -5. ,    0.7],       [  30. ,  -97. ,    1. ,    1.2],       [  78. ,  -63. ,   -1. ,    1. ]])
        basis0 = BSplineBasis(4, np.array([ -2.2,  -0.8,   0. ,   0. ,   0.8,   2. ,   3.1,   4.2,   4.6,   5.8,   6.8,   8.2,   9. ,
         9. ,   9.8,  11. ]),1)
        basis1 = BSplineBasis(4, np.array([ 0. ,  0. ,  0. ,  0. ,  1.2,  2.4,  2.9,  4.1,  4.7,  6. ,  6. ,  6. ,  6. ]))
        surf  = Surface(basis0, basis1, controlpoints,True)
        surf2 = surf.rebuild([5, 3], [140, 151])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=3)

    def test_volume_3D_p323_rational_C1_periodic(self):
        controlpoints = np.array([[  49. ,    0. ,    3. ,    0.7],       [  30. ,   37. ,    4. ,    1.4],       [   2. ,   50. ,    1. ,    1.5],       [ -34. ,   36. ,   -5. ,    1.3],       [ -55. ,    2. ,   -1. ,    0.9],       [ -34. ,  -36. ,   -1. ,    0.9],       [   1. ,  -50. ,    3. ,    0.6],       [  36. ,  -38. ,   -4. ,    1.5],       [  66. ,   -4. ,    2. ,    0.7],       [  44. ,   50. ,   -5. ,    0.6],       [  -2. ,   69. ,    2. ,    1. ],       [ -44. ,   47. ,    0. ,    1.3],       [ -70. ,    3. ,    3. ,    0.7],       [ -47. ,  -49. ,   -4. ,    1.1],       [   3. ,  -68. ,   -4. ,    1.3],       [  42. ,  -43. ,   -2. ,    0.5],       [  83. ,    4. ,    4. ,    0.7],       [  62. ,   61. ,    3. ,    0.6],       [  -4. ,   81. ,    4. ,    1.3],       [ -64. ,   63. ,    4. ,    1. ],       [ -88. ,   -2. ,   -4. ,    1.2],       [ -64. ,  -61. ,    2. ,    0.9],       [  -3. ,  -88. ,    0. ,    1.3],       [  57. ,  -57. ,    4. ,    0.6],       [ 100. ,    4. ,   -1. ,    1. ],       [  72. ,   69. ,   -5. ,    1.2],       [   3. ,  104. ,   -3. ,    1.3],       [ -72. ,   75. ,    0. ,    1.4],       [-101. ,   -4. ,    3. ,    0.7],       [ -76. ,  -76. ,    1. ,    1.2],       [   0. ,  -97. ,    4. ,    0.8],       [  74. ,  -76. ,   -2. ,    1.2],       [  48. ,    4. ,    6. ,    0.6],       [  34. ,   39. ,   14. ,    1. ],       [  -5. ,   52. ,    8. ,    1.1],       [ -40. ,   33. ,   14. ,    0.8],       [ -49. ,    4. ,    8. ,    0.8],       [ -34. ,  -38. ,   11. ,    0.8],       [  -5. ,  -47. ,    6. ,    0.7],       [  31. ,  -38. ,   13. ,    0.6],       [  69. ,   -3. ,   11. ,    0.6],       [  43. ,   44. ,   12. ,    0.8],       [  -2. ,   70. ,   12. ,    1.1],       [ -48. ,   52. ,    8. ,    0.7],       [ -63. ,   -2. ,    8. ,    0.8],       [ -53. ,  -48. ,   12. ,    0.9],       [   2. ,  -70. ,   14. ,    0.7],       [  50. ,  -50. ,    7. ,    1.5],       [  86. ,    2. ,    6. ,    0.8],       [  60. ,   59. ,   12. ,    1.2],       [   2. ,   78. ,    5. ,    0.8],       [ -58. ,   61. ,   11. ,    1.3],       [ -85. ,    2. ,    9. ,    0.7],       [ -62. ,  -59. ,    6. ,    1.5],       [  -1. ,  -88. ,    7. ,    0.8],       [  59. ,  -57. ,   14. ,    1.1],       [  97. ,   -4. ,    6. ,    0.8],       [  71. ,   74. ,   10. ,    0.7],       [   2. ,   96. ,   13. ,    1. ],       [ -70. ,   66. ,    5. ,    1.3],       [ -96. ,    4. ,   13. ,    0.8],       [ -76. ,  -69. ,   12. ,    0.9],       [   2. , -101. ,   10. ,    0.9],       [  67. ,  -72. ,   11. ,    0.8],       [  48. ,   -4. ,   16. ,    0.9],       [  32. ,   38. ,   16. ,    1.2],       [  -1. ,   46. ,   19. ,    0.6],       [ -37. ,   30. ,   17. ,    0.7],       [ -55. ,    2. ,   18. ,    1. ],       [ -36. ,  -36. ,   21. ,    0.8],       [   3. ,  -49. ,   22. ,    1.5],       [  34. ,  -37. ,   19. ,    1.3],       [  70. ,   -5. ,   24. ,    1.5],       [  48. ,   44. ,   18. ,    1.5],       [   1. ,   70. ,   17. ,    1.1],       [ -50. ,   43. ,   21. ,    1.1],       [ -67. ,   -5. ,   23. ,    1.4],       [ -46. ,  -44. ,   19. ,    0.9],       [   2. ,  -66. ,   22. ,    0.6],       [  51. ,  -45. ,   21. ,    0.6],       [  81. ,    4. ,   17. ,    0.5],       [  58. ,   58. ,   19. ,    1.5],       [  -5. ,   84. ,   18. ,    1.1],       [ -64. ,   55. ,   21. ,    1.4],       [ -85. ,   -3. ,   16. ,    0.8],       [ -57. ,  -64. ,   17. ,    0.9],       [  -5. ,  -86. ,   23. ,    1.2],       [  54. ,  -60. ,   19. ,    1.2],       [ 104. ,    4. ,   24. ,    1.2],       [  69. ,   75. ,   20. ,    1.1],       [  -3. ,  104. ,   18. ,    1.4],       [ -69. ,   66. ,   22. ,    0.6],       [ -97. ,   -4. ,   15. ,    1.1],       [ -76. ,  -73. ,   15. ,    1.2],       [   0. , -103. ,   23. ,    1.1],       [  75. ,  -73. ,   19. ,    0.5],       [  52. ,   -2. ,   30. ,    1.2],       [  33. ,   39. ,   34. ,    1. ],       [   2. ,   51. ,   28. ,    1.2],       [ -36. ,   36. ,   33. ,    0.5],       [ -55. ,    3. ,   29. ,    0.8],       [ -32. ,  -38. ,   29. ,    0.7],       [   2. ,  -55. ,   28. ,    1.4],       [  39. ,  -33. ,   34. ,    1. ],       [  67. ,    3. ,   32. ,    1.1],       [  48. ,   51. ,   29. ,    0.8],       [   1. ,   63. ,   33. ,    0.8],       [ -43. ,   51. ,   34. ,    0.9],       [ -66. ,   -1. ,   26. ,    1.1],       [ -47. ,  -44. ,   30. ,    1.3],       [   2. ,  -63. ,   33. ,    0.5],       [  51. ,  -44. ,   30. ,    1.5],       [  79. ,    4. ,   31. ,    1.2],       [  54. ,   56. ,   26. ,    0.9],       [   1. ,   79. ,   30. ,    0.9],       [ -64. ,   62. ,   31. ,    1.4],       [ -85. ,   -3. ,   33. ,    1.2],       [ -60. ,  -62. ,   32. ,    1.3],       [  -4. ,  -87. ,   26. ,    0.7],       [  54. ,  -62. ,   27. ,    0.7],       [  97. ,    2. ,   29. ,    0.6],       [  73. ,   70. ,   28. ,    1. ],       [   2. ,   99. ,   29. ,    1.3],       [ -72. ,   67. ,   28. ,    0.5],       [ -96. ,   -5. ,   31. ,    1.4],       [ -69. ,  -71. ,   30. ,    1. ],       [   2. , -102. ,   29. ,    1.3],       [  74. ,  -71. ,   26. ,    1.4],       [  46. ,   -2. ,   38. ,    1.1],       [  30. ,   37. ,   38. ,    0.8],       [  -1. ,   52. ,   44. ,    1.2],       [ -41. ,   35. ,   39. ,    0.9],       [ -53. ,    4. ,   41. ,    1.4],       [ -33. ,  -41. ,   41. ,    0.8],       [  -3. ,  -51. ,   39. ,    0.8],       [  39. ,  -39. ,   43. ,    1.1],       [  66. ,    3. ,   43. ,    0.8],       [  49. ,   44. ,   35. ,    1.2],       [  -5. ,   70. ,   35. ,    0.6],       [ -46. ,   46. ,   42. ,    1.4],       [ -68. ,    1. ,   39. ,    1. ],       [ -43. ,  -52. ,   40. ,    1. ],       [   4. ,  -71. ,   40. ,    0.7],       [  51. ,  -48. ,   40. ,    0.9],       [  79. ,   -5. ,   44. ,    0.7],       [  60. ,   54. ,   37. ,    0.8],       [  -4. ,   82. ,   40. ,    0.7],       [ -55. ,   63. ,   36. ,    1.1],       [ -81. ,   -1. ,   36. ,    0.7],       [ -64. ,  -58. ,   38. ,    1.2],       [   3. ,  -81. ,   39. ,    1.3],       [  59. ,  -64. ,   36. ,    1.2],       [ 100. ,    3. ,   35. ,    1.1],       [  70. ,   74. ,   42. ,    1. ],       [  -4. ,   98. ,   42. ,    1.4],       [ -73. ,   71. ,   39. ,    0.9],       [-105. ,    2. ,   37. ,    0.8],       [ -68. ,  -72. ,   44. ,    0.6],       [   3. ,  -97. ,   44. ,    1.2],       [  67. ,  -71. ,   41. ,    1.4]])
        basis0 = BSplineBasis(3, np.array([-1.9, -1.4,  0. ,  1. ,  1.6,  3. ,  3.8,  4.6,  6.1,  6.6,  8. ,  9. ,  9.6]),1)
        basis1 = BSplineBasis(2, np.array([ 0. ,  0. ,  0.7,  2. ,  3. ,  3. ]))
        basis2 = BSplineBasis(3, np.array([ 0. ,  0. ,  0. ,  0.7,  2.4,  3. ,  3. ,  3. ]))
        vol  = Volume(basis0, basis1, basis2, controlpoints,True)
        vol2 = vol.rebuild([3, 2, 3], [84, 88, 92])
        u    = np.linspace(vol.start(0), vol.end(0), 7)
        v    = np.linspace(vol.start(1), vol.end(1), 7)
        w    = np.linspace(vol.start(2), vol.end(2), 7)
        pt   = vol(u,v,w)
        pt2  = vol2(u,v,w)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=1)

    def test_curve_3D_p3(self):
        controlpoints = np.array([[  -5.,    2.,    2.],
       [  29.,    1.,    3.],
       [  54.,   -4.,    0.],
       [  79.,   -1.,    3.],
       [ 101.,   -4.,   -4.]])
        basis0 = BSplineBasis(3, np.array([ 0. ,  0. ,  0. ,  0.8,  2. ,  3. ,  3. ,  3. ]))
        crv  = Curve(basis0, controlpoints,False)
        crv2 = crv.rebuild(4, 313)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=4)

    def test_surface_3D_p32(self):
        controlpoints = np.array([[   1.,   -5.,   -5.],
       [  19.,    4.,   -5.],
       [  36.,    0.,    4.],
       [  58.,   -3.,    0.],
       [  78.,   -5.,    3.],
       [ 101.,    4.,   -5.],
       [  -5.,   27.,    4.],
       [  17.,   23.,    0.],
       [  44.,   29.,   -2.],
       [  60.,   28.,    1.],
       [  77.,   29.,   -2.],
       [  98.,   25.,   -4.],
       [   1.,   54.,    2.],
       [  22.,   50.,    2.],
       [  42.,   45.,   -3.],
       [  61.,   47.,   -5.],
       [  75.,   51.,   -5.],
       [  95.,   51.,    1.],
       [  -4.,   78.,    1.],
       [  15.,   76.,   -3.],
       [  42.,   70.,   -5.],
       [  57.,   76.,   -1.],
       [  82.,   79.,   -5.],
       [  97.,   78.,    1.],
       [   0.,  104.,   -3.],
       [  18.,   98.,    4.],
       [  38.,  101.,    2.],
       [  55.,   98.,   -3.],
       [  76.,   99.,   -1.],
       [  98.,   99.,    3.]])
        basis0 = BSplineBasis(3, np.array([ 0. ,  0. ,  0. ,  0.7,  2.2,  3.3,  4. ,  4. ,  4. ]))
        basis1 = BSplineBasis(2, np.array([ 0. ,  0. ,  0.8,  1.6,  2.9,  4. ,  4. ]))
        surf  = Surface(basis0, basis1, controlpoints,False)
        surf2 = surf.rebuild(3, 137)
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=3)

    def test_volume_3D_p433(self):
        controlpoints = np.array([[  -3.,    3.,    2.],       [  21.,    2.,    1.],       [  36.,   -1.,    0.],       [  61.,    4.,   -2.],       [  76.,   -5.,   -2.],       [  95.,    3.,   -4.],       [  -5.,   32.,   -3.],       [  24.,   38.,   -1.],       [  40.,   30.,   -5.],       [  64.,   35.,   -3.],       [  82.,   37.,    0.],       [ 101.,   28.,    1.],       [  -1.,   69.,    2.],       [  20.,   68.,   -2.],       [  41.,   70.,   -1.],       [  62.,   62.,   -5.],       [  76.,   62.,    3.],       [  95.,   69.,   -5.],       [  -4.,   97.,   -5.],       [  18.,  103.,   -2.],       [  38.,   99.,   -3.],       [  62.,   96.,   -1.],       [  83.,   97.,   -3.],       [ 102.,  103.,   -2.],       [   4.,   -1.,   36.],       [  17.,   -1.,   34.],       [  42.,    0.,   36.],       [  57.,    2.,   36.],       [  83.,    2.,   37.],       [  96.,   -1.,   37.],       [  -2.,   37.,   34.],       [  17.,   37.,   36.],       [  35.,   28.,   35.],       [  58.,   35.,   31.],       [  82.,   29.,   35.],       [ 100.,   37.,   30.],       [  -4.,   66.,   36.],       [  16.,   66.,   35.],       [  39.,   66.,   32.],       [  61.,   65.,   32.],       [  83.,   65.,   28.],       [ 100.,   67.,   30.],       [  -2.,   99.,   32.],       [  17.,  103.,   29.],       [  39.,   98.,   29.],       [  59.,  104.,   35.],       [  77.,  103.,   33.],       [ 102.,  102.,   33.],       [   3.,    3.,   65.],       [  22.,   -5.,   70.],       [  40.,   -3.,   70.],       [  60.,    3.,   70.],       [  81.,   -3.,   64.],       [ 103.,   -2.,   68.],       [   1.,   29.,   71.],       [  17.,   36.,   65.],       [  42.,   30.,   63.],       [  57.,   29.,   63.],       [  76.,   36.,   64.],       [  96.,   29.,   62.],       [  -4.,   71.,   70.],       [  21.,   70.,   62.],       [  44.,   69.,   63.],       [  55.,   68.,   66.],       [  82.,   63.,   66.],       [ 101.,   62.,   64.],       [   4.,  103.,   69.],       [  18.,   99.,   62.],       [  38.,   96.,   69.],       [  56.,  100.,   67.],       [  82.,  104.,   66.],       [  97.,   97.,   63.],       [  -5.,    0.,  104.],       [  21.,    1.,   96.],       [  36.,   -3.,   97.],       [  61.,    1.,  100.],       [  82.,    1.,  101.],       [ 103.,    1.,   98.],       [  -1.,   35.,   95.],       [  18.,   38.,   97.],       [  43.,   35.,   96.],       [  63.,   34.,  100.],       [  75.,   37.,  101.],       [  96.,   30.,   98.],       [  -5.,   65.,   99.],       [  21.,   62.,  103.],       [  35.,   68.,  104.],       [  58.,   69.,   95.],       [  77.,   70.,  104.],       [ 102.,   64.,  104.],       [  -4.,  101.,  102.],       [  22.,   96.,  104.],       [  40.,   95.,  101.],       [  63.,  100.,  101.],       [  84.,  101.,   98.],       [ 100.,  102.,   96.]])
        basis0 = BSplineBasis(4, np.array([ 0. ,  0. ,  0. ,  0. ,  0.9,  2.4,  3. ,  3. ,  3. ,  3. ]))
        basis1 = BSplineBasis(3, np.array([ 0. ,  0. ,  0. ,  1.3,  2. ,  2. ,  2. ]))
        basis2 = BSplineBasis(3, np.array([ 0. ,  0. ,  0. ,  0.8,  2. ,  2. ,  2. ]))
        vol  = Volume(basis0, basis1, basis2, controlpoints,False)
        vol2 = vol.rebuild([4, 4, 4], [82, 82, 79])
        u    = np.linspace(vol.start(0), vol.end(0), 7)
        v    = np.linspace(vol.start(1), vol.end(1), 7)
        w    = np.linspace(vol.start(2), vol.end(2), 7)
        pt   = vol(u,v,w)
        pt2  = vol2(u,v,w)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_3D_p4_C1_periodic(self):
        controlpoints = np.array([[  99.,   -5.,   -4.],
       [  82.,   55.,   -3.],
       [  32.,   92.,   -5.],
       [ -28.,   98.,   -1.],
       [ -81.,   58.,   -5.],
       [-105.,   -4.,    2.],
       [ -77.,  -58.,    0.],
       [ -31., -101.,    4.],
       [  33.,  -98.,   -2.],
       [  79.,  -62.,    4.]])
        basis0 = BSplineBasis(4, np.array([ -2.4,  -1.3,   0. ,   0. ,   0.7,   2.1,   2.6,   4. ,   4.9,   5.8,   6.6,   7.7,   9. ,
         9. ,   9.7,  11.1]),1)
        crv  = Curve(basis0, controlpoints,False)
        crv2 = crv.rebuild(5, 364)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_surface_3D_p33_C1_periodic(self):
        controlpoints = np.array([[  60.,    1.,    3.],       [  46.,   40.,   -5.],       [  -2.,   62.,    4.],       [ -44.,   38.,   -5.],       [ -57.,   -4.,    1.],       [ -38.,  -42.,    4.],       [   2.,  -65.,    3.],       [  39.,  -42.,   -1.],       [  69.,   -1.,   -3.],       [  46.,   47.,   -1.],       [   3.,   65.,    2.],       [ -50.,   46.,    2.],       [ -70.,   -2.,   -2.],       [ -51.,  -47.,   -2.],       [  -4.,  -69.,    2.],       [  43.,  -48.,   -1.],       [  74.,    1.,    0.],       [  53.,   50.,    0.],       [  -3.,   70.,   -1.],       [ -54.,   48.,    3.],       [ -77.,    3.,    1.],       [ -51.,  -50.,   -4.],       [  -5.,  -71.,    3.],       [  55.,  -49.,   -3.],       [  83.,    4.,   -2.],       [  54.,   55.,    4.],       [  -5.,   78.,   -2.],       [ -58.,   59.,    1.],       [ -80.,   -4.,    4.],       [ -56.,  -58.,    2.],       [  -3.,  -80.,   -3.],       [  59.,  -55.,   -2.],       [  84.,    2.,    3.],       [  56.,   60.,   -3.],       [  -1.,   86.,    2.],       [ -66.,   66.,   -2.],       [ -88.,    0.,    3.],       [ -65.,  -57.,   -4.],       [   1.,  -84.,    3.],       [  65.,  -61.,   -4.],       [  88.,   -2.,   -3.],       [  61.,   67.,    0.],       [   3.,   91.,    3.],       [ -70.,   68.,    0.],       [ -95.,    4.,   -1.],       [ -71.,  -68.,   -5.],       [   0.,  -96.,   -5.],       [  66.,  -71.,   -1.],       [  95.,    1.,    2.],       [  73.,   73.,   -1.],       [  -2.,   95.,    1.],       [ -71.,   70.,   -3.],       [ -99.,    1.,   -2.],       [ -68.,  -71.,   -5.],       [   0., -100.,   -4.],       [  73.,  -67.,    4.]])
        basis0 = BSplineBasis(3, np.array([-1.7, -1.1,  0. ,  0.8,  1.9,  3.3,  3.7,  5.4,  6.3,  6.9,  8. ,  8.8,  9.9]),1)
        basis1 = BSplineBasis(3, np.array([ 0. ,  0. ,  0. ,  0.9,  2.1,  2.7,  3.9,  5. ,  5. ,  5. ]))
        surf  = Surface(basis0, basis1, controlpoints,False)
        surf2 = surf.rebuild([3, 2], [146, 142])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_2D_p6_rational(self):
        controlpoints = np.array([[  0. ,   3. ,   1.4],
       [ 14. ,  -2. ,   0.7],
       [ 20. ,  -5. ,   1. ],
       [ 36. ,   2. ,   1. ],
       [ 40. ,   4. ,   0.8],
       [ 51. ,  -4. ,   1. ],
       [ 68. ,   3. ,   1.3],
       [ 82. ,  -2. ,   0.7],
       [ 92. ,  -2. ,   1.5],
       [ 98. ,   2. ,   1. ]])
        basis0 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  1.1,  2.2,  2.7,  3.8,  5. ,  5. ,  5. ,  5. ,  5. ,  5. ]))
        crv  = Curve(basis0, controlpoints,True)
        crv2 = crv.rebuild(6, 335)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_surface_2D_p56_rational(self):
        controlpoints = np.array([[  -5. ,    3. ,    1.5],       [   8. ,   -3. ,    0.7],       [  22. ,    1. ,    1.2],       [  34. ,    3. ,    1.5],       [  44. ,   -5. ,    0.8],       [  56. ,   -4. ,    1.3],       [  68. ,    4. ,    0.8],       [  81. ,    2. ,    1.2],       [  90. ,   -1. ,    1.1],       [  97. ,    1. ,    0.8],       [   2. ,   10. ,    1.3],       [   7. ,    8. ,    0.7],       [  25. ,   11. ,    0.8],       [  37. ,   11. ,    1.3],       [  39. ,   14. ,    0.6],       [  59. ,   10. ,    1.3],       [  65. ,    9. ,    0.9],       [  77. ,   15. ,    1.1],       [  88. ,    8. ,    0.7],       [ 101. ,   12. ,    0.9],       [  -4. ,   21. ,    0.8],       [   6. ,   27. ,    1.2],       [  22. ,   26. ,    0.7],       [  31. ,   21. ,    0.5],       [  47. ,   20. ,    0.6],       [  57. ,   23. ,    1.2],       [  68. ,   20. ,    1.4],       [  78. ,   28. ,    0.6],       [  90. ,   29. ,    0.6],       [  98. ,   21. ,    0.6],       [  -5. ,   40. ,    1.1],       [  12. ,   37. ,    0.7],       [  25. ,   36. ,    1. ],       [  38. ,   37. ,    0.7],       [  45. ,   33. ,    0.7],       [  60. ,   36. ,    1.3],       [  65. ,   41. ,    0.6],       [  76. ,   42. ,    0.7],       [  87. ,   32. ,    0.5],       [  96. ,   39. ,    0.7],       [  -4. ,   50. ,    0.5],       [  11. ,   51. ,    0.7],       [  25. ,   52. ,    1.4],       [  32. ,   45. ,    1.3],       [  43. ,   45. ,    0.9],       [  55. ,   48. ,    1.5],       [  68. ,   52. ,    0.9],       [  73. ,   54. ,    0.9],       [  91. ,   54. ,    0.7],       [ 101. ,   47. ,    1.1],       [  -3. ,   65. ,    1.1],       [  13. ,   65. ,    1.2],       [  19. ,   63. ,    0.9],       [  36. ,   59. ,    0.7],       [  46. ,   67. ,    1.5],       [  51. ,   67. ,    0.8],       [  69. ,   65. ,    0.6],       [  75. ,   59. ,    1. ],       [  85. ,   67. ,    1.1],       [  95. ,   63. ,    0.9],       [  -5. ,   74. ,    1.2],       [  10. ,   76. ,    1.3],       [  23. ,   75. ,    0.7],       [  31. ,   70. ,    0.8],       [  41. ,   72. ,    0.6],       [  52. ,   74. ,    0.5],       [  65. ,   75. ,    1.4],       [  78. ,   71. ,    0.6],       [  91. ,   75. ,    1.5],       [  95. ,   77. ,    0.6],       [  -2. ,   91. ,    1.4],       [  12. ,   91. ,    0.5],       [  25. ,   91. ,    1. ],       [  33. ,   85. ,    1.5],       [  45. ,   84. ,    0.8],       [  55. ,   85. ,    0.8],       [  66. ,   85. ,    0.8],       [  74. ,   85. ,    0.7],       [  89. ,   83. ,    1. ],       [  96. ,   89. ,    1.1],       [  -2. ,   98. ,    1.3],       [   8. ,  103. ,    1. ],       [  23. ,   97. ,    0.7],       [  37. ,   99. ,    0.6],       [  46. ,   96. ,    0.9],       [  56. ,  103. ,    0.5],       [  70. ,  101. ,    0.9],       [  78. ,  101. ,    1.3],       [  89. ,   98. ,    1.4],       [  95. ,   98. ,    0.6]])
        basis0 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0.8,  2.3,  2.6,  3.9,  4.9,  6. ,  6. ,  6. ,  6. ,  6. ]))
        basis1 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0.6,  1.7,  2.8,  4. ,  4. ,  4. ,  4. ,  4. ,  4. ]))
        surf  = Surface(basis0, basis1, controlpoints,True)
        surf2 = surf.rebuild([6, 6], [131, 149])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_2D_p4_rational_C1_periodic(self):
        controlpoints = np.array([[ 97. ,   2. ,   0.9],
       [ 76. ,  63. ,   1. ],
       [ 31. ,  99. ,   1.1],
       [-29. ,  99. ,   1.4],
       [-85. ,  60. ,   1. ],
       [-96. ,  -2. ,   1. ],
       [-84. , -58. ,   1.5],
       [-27. , -93. ,   1. ],
       [ 34. , -96. ,   1.2],
       [ 83. , -63. ,   0.6]])
        basis0 = BSplineBasis(4, np.array([ -2.2,  -0.7,   0. ,   0. ,   0.7,   2.4,   3.2,   3.8,   4.9,   6.1,   6.8,   8.3,   9. ,
         9. ,   9.7,  11.4]),1)
        crv  = Curve(basis0, controlpoints,True)
        crv2 = crv.rebuild(5, 334)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_surface_2D_p54_rational_C1_periodic(self):
        controlpoints = np.array([[  56. ,   -1. ,    0.8],       [  50. ,   30. ,    1. ],       [  30. ,   56. ,    0.8],       [  -3. ,   61. ,    0.8],       [ -27. ,   56. ,    1.1],       [ -52. ,   27. ,    0.7],       [ -65. ,   -3. ,    1.2],       [ -56. ,  -28. ,    0.7],       [ -28. ,  -57. ,    1.3],       [  -1. ,  -62. ,    1.4],       [  33. ,  -49. ,    0.8],       [  50. ,  -31. ,    1.1],       [  66. ,   -3. ,    1.1],       [  53. ,   28. ,    0.5],       [  35. ,   58. ,    0.6],       [   1. ,   68. ,    1.2],       [ -37. ,   61. ,    1.1],       [ -57. ,   29. ,    0.7],       [ -66. ,    3. ,    1.5],       [ -55. ,  -36. ,    0.8],       [ -30. ,  -57. ,    0.8],       [  -5. ,  -67. ,    1.1],       [  36. ,  -56. ,    1.4],       [  53. ,  -29. ,    1. ],       [  72. ,    0. ,    0.8],       [  65. ,   34. ,    1.3],       [  37. ,   61. ,    1.2],       [   1. ,   70. ,    1.2],       [ -31. ,   59. ,    1.5],       [ -64. ,   37. ,    1.3],       [ -72. ,    4. ,    1. ],       [ -66. ,  -33. ,    0.5],       [ -35. ,  -65. ,    1.4],       [   4. ,  -73. ,    1.1],       [  34. ,  -62. ,    1.1],       [  58. ,  -33. ,    0.6],       [  81. ,   -2. ,    0.7],       [  64. ,   36. ,    1. ],       [  35. ,   64. ,    0.6],       [   1. ,   78. ,    1.1],       [ -39. ,   69. ,    1.1],       [ -69. ,   42. ,    0.8],       [ -76. ,   -2. ,    0.6],       [ -70. ,  -38. ,    0.7],       [ -40. ,  -65. ,    1.2],       [   0. ,  -79. ,    1. ],       [  38. ,  -65. ,    0.8],       [  61. ,  -42. ,    1. ],       [  86. ,    4. ,    0.7],       [  75. ,   38. ,    0.7],       [  43. ,   67. ,    1.5],       [   2. ,   81. ,    1.2],       [ -42. ,   68. ,    0.8],       [ -70. ,   43. ,    1.1],       [ -83. ,   -4. ,    0.9],       [ -75. ,  -42. ,    0.9],       [ -45. ,  -71. ,    0.6],       [   0. ,  -85. ,    1.4],       [  37. ,  -73. ,    1. ],       [  70. ,  -42. ,    1. ],       [  92. ,    3. ,    1.1],       [  77. ,   47. ,    0.7],       [  40. ,   78. ,    1.1],       [   4. ,   86. ,    0.8],       [ -47. ,   76. ,    0.7],       [ -73. ,   45. ,    0.5],       [ -85. ,   -5. ,    0.8],       [ -77. ,  -42. ,    1.1],       [ -42. ,  -75. ,    1.4],       [  -2. ,  -92. ,    1.2],       [  47. ,  -82. ,    1.2],       [  79. ,  -48. ,    1.1],       [  98. ,    2. ,    1.5],       [  84. ,   43. ,    0.7],       [  49. ,   83. ,    0.9],       [   3. ,   89. ,    1.5],       [ -48. ,   83. ,    0.6],       [ -82. ,   49. ,    1.2],       [ -98. ,    2. ,    1.2],       [ -78. ,  -52. ,    0.6],       [ -45. ,  -78. ,    0.6],       [   2. ,  -94. ,    0.6],       [  51. ,  -86. ,    0.9],       [  78. ,  -48. ,    1.1],       [  98. ,   -4. ,    1.3],       [  89. ,   49. ,    1.5],       [  45. ,   81. ,    0.7],       [  -1. ,  102. ,    0.9],       [ -55. ,   87. ,    1.4],       [ -90. ,   48. ,    1.2],       [-100. ,   -1. ,    1.5],       [ -82. ,  -50. ,    1. ],       [ -54. ,  -88. ,    1. ],       [   1. ,  -96. ,    1.4],       [  45. ,  -88. ,    1. ],       [  85. ,  -51. ,    1.2]])
        basis0 = BSplineBasis(5, np.array([ -2.1,  -0.7,   0. ,   0. ,   0. ,   0.8,   1.8,   2.7,   3.7,   4.7,   6. ,   7. ,   7.9,
         9.3,  10. ,  10. ,  10. ,  10.8,  11.8]),1)
        basis1 = BSplineBasis(4, np.array([ 0. ,  0. ,  0. ,  0. ,  1. ,  1.8,  3. ,  4.3,  5. ,  5. ,  5. ,  5. ]))
        surf  = Surface(basis0, basis1, controlpoints,True)
        surf2 = surf.rebuild([4, 3], [145, 123])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_2D_p4(self):
        controlpoints = np.array([[  -3.,   -1.],
       [  14.,   -2.],
       [  21.,    0.],
       [  36.,    3.],
       [  46.,    1.],
       [  62.,   -4.],
       [  79.,    0.],
       [  87.,   -4.],
       [ 102.,   -5.]])
        basis0 = BSplineBasis(4, np.array([ 0. ,  0. ,  0. ,  0. ,  0.6,  2.1,  2.7,  3.6,  4.6,  6. ,  6. ,  6. ,  6. ]))
        crv  = Curve(basis0, controlpoints,False)
        crv2 = crv.rebuild(4, 323)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=3)

    def test_surface_2D_p55(self):
        controlpoints = np.array([[  -4.,   -2.],       [  16.,    4.],       [  32.,    3.],       [  47.,    1.],       [  58.,    3.],       [  71.,   -3.],       [  89.,    1.],       [ 102.,    2.],       [  -5.,   11.],       [  11.,   15.],       [  31.,   14.],       [  42.,    7.],       [  58.,    9.],       [  71.,    8.],       [  81.,   16.],       [  96.,    9.],       [   4.,   27.],       [  14.,   25.],       [  28.,   21.],       [  44.,   24.],       [  57.,   24.],       [  70.,   19.],       [  84.,   26.],       [  97.,   18.],       [   1.,   36.],       [  17.,   28.],       [  25.,   31.],       [  46.,   34.],       [  60.,   30.],       [  72.,   28.],       [  87.,   35.],       [  97.,   34.],       [   1.,   42.],       [  14.,   42.],       [  26.,   46.],       [  43.,   41.],       [  58.,   40.],       [  69.,   47.],       [  85.,   42.],       [  99.,   46.],       [   1.,   58.],       [  10.,   56.],       [  29.,   57.],       [  46.,   51.],       [  53.,   50.],       [  67.,   56.],       [  82.,   55.],       [ 104.,   52.],       [   4.,   65.],       [  13.,   64.],       [  32.,   69.],       [  45.,   69.],       [  54.,   65.],       [  69.,   66.],       [  90.,   70.],       [  99.,   69.],       [  -4.,   75.],       [  18.,   81.],       [  28.,   73.],       [  44.,   72.],       [  61.,   76.],       [  73.,   81.],       [  84.,   82.],       [ 102.,   77.],       [  -5.,   87.],       [  16.,   91.],       [  29.,   88.],       [  46.,   88.],       [  53.,   85.],       [  69.,   85.],       [  86.,   89.],       [  98.,   87.],       [   4.,  101.],       [  12.,  102.],       [  33.,   95.],       [  42.,  103.],       [  57.,  103.],       [  67.,  103.],       [  82.,   97.],       [  95.,  102.]])
        basis0 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  1.2,  2.4,  2.8,  4. ,  4. ,  4. ,  4. ,  4. ]))
        basis1 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  1. ,  1.9,  2.8,  3.8,  4.7,  6. ,  6. ,  6. ,  6. ,  6. ]))
        surf  = Surface(basis0, basis1, controlpoints,False)
        surf2 = surf.rebuild([5, 6], [132, 148])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_2D_p5_C1_periodic(self):
        controlpoints = np.array([[  99.,   -1.],
       [  86.,   45.],
       [  46.,   88.],
       [   4.,   97.],
       [ -51.,   82.],
       [ -87.,   47.],
       [-105.,    0.],
       [ -84.,  -46.],
       [ -48.,  -84.],
       [   3., -100.],
       [  49.,  -83.],
       [  82.,  -54.]])
        basis0 = BSplineBasis(5, np.array([ -2. ,  -0.7,   0. ,   0. ,   0. ,   0.7,   2.1,   3. ,   4.3,   4.6,   6.3,   6.8,   8. ,
         9.3,  10. ,  10. ,  10. ,  10.7,  12.1]),1)
        crv  = Curve(basis0, controlpoints,False)
        crv2 = crv.rebuild(4, 366)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_surface_2D_p54_C1_periodic(self):
        controlpoints = np.array([[  55.,   -1.],       [  56.,   27.],       [  31.,   50.],       [   1.,   64.],       [ -34.,   56.],       [ -48.,   27.],       [ -62.,    3.],       [ -57.,  -33.],       [ -28.,  -57.],       [   3.,  -56.],       [  26.,  -53.],       [  56.,  -27.],       [  69.,    4.],       [  58.,   34.],       [  32.,   63.],       [   2.,   67.],       [ -40.,   61.],       [ -61.,   33.],       [ -72.,    1.],       [ -57.,  -37.],       [ -39.,  -57.],       [   0.,  -73.],       [  38.,  -58.],       [  62.,  -37.],       [  79.,    1.],       [  67.,   39.],       [  40.,   67.],       [   4.,   78.],       [ -38.,   67.],       [ -69.,   44.],       [ -79.,    3.],       [ -69.,  -43.],       [ -38.,  -68.],       [   1.,  -82.],       [  41.,  -73.],       [  68.,  -42.],       [  90.,    1.],       [  81.,   43.],       [  48.,   79.],       [   2.,   85.],       [ -41.,   78.],       [ -74.,   40.],       [ -88.,    2.],       [ -83.,  -48.],       [ -41.,  -80.],       [  -4.,  -94.],       [  43.,  -80.],       [  75.,  -46.],       [  95.,    1.],       [  82.,   51.],       [  53.,   86.],       [   1.,   98.],       [ -51.,   90.],       [ -83.,   45.],       [-102.,    0.],       [ -85.,  -49.],       [ -53.,  -86.],       [   2., -100.],       [  53.,  -88.],       [  85.,  -50.]])
        basis0 = BSplineBasis(5, np.array([ -1.9,  -1.2,   0. ,   0. ,   0. ,   1.3,   1.8,   2.9,   4. ,   5.3,   5.8,   7. ,   8.1,
         8.8,  10. ,  10. ,  10. ,  11.3,  11.8]),1)
        basis1 = BSplineBasis(4, np.array([ 0. ,  0. ,  0. ,  0. ,  0.8,  2. ,  2. ,  2. ,  2. ]))
        surf  = Surface(basis0, basis1, controlpoints,False)
        surf2 = surf.rebuild([4, 5], [136, 134])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_3D_p5_rational(self):
        controlpoints = np.array([[ -3. ,  -2. ,  -5. ,   1.4],
       [ 15. ,  -5. ,  -5. ,   1.2],
       [ 24. ,   1. ,  -4. ,   0.5],
       [ 38. ,   4. ,   3. ,   0.7],
       [ 60. ,   3. ,   2. ,   1.3],
       [ 73. ,  -4. ,   3. ,   0.9],
       [ 81. ,  -5. ,  -5. ,   1.4],
       [ 96. ,   2. ,   0. ,   1.2]])
        basis0 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0.7,  1.8,  2.7,  4. ,  4. ,  4. ,  4. ,  4. ]))
        crv  = Curve(basis0, controlpoints,True)
        crv2 = crv.rebuild(4, 356)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_surface_3D_p56_rational(self):
        controlpoints = np.array([[   1. ,    2. ,   -1. ,    0.8],       [  12. ,   -1. ,    4. ,    0.6],       [  23. ,   -2. ,    0. ,    1.1],       [  32. ,   -2. ,   -3. ,    0.7],       [  50. ,    4. ,   -4. ,    0.8],       [  59. ,    0. ,   -2. ,    1. ],       [  74. ,    4. ,   -4. ,    0.6],       [  89. ,   -4. ,   -3. ,    1.1],       [ 101. ,   -4. ,   -1. ,    1. ],       [   2. ,   14. ,    4. ,    1.4],       [   7. ,   13. ,    3. ,    1.1],       [  23. ,   10. ,   -1. ,    0.6],       [  39. ,   17. ,   -3. ,    0.8],       [  50. ,   12. ,    3. ,    1.1],       [  64. ,   11. ,   -1. ,    0.5],       [  78. ,   14. ,   -1. ,    1.3],       [  89. ,   13. ,    3. ,    0.8],       [ 102. ,   10. ,    2. ,    0.7],       [   4. ,   25. ,    2. ,    1.3],       [  17. ,   32. ,   -5. ,    0.6],       [  23. ,   24. ,    2. ,    1.1],       [  33. ,   26. ,    0. ,    0.6],       [  52. ,   25. ,   -2. ,    1.3],       [  64. ,   31. ,   -3. ,    0.7],       [  79. ,   28. ,    4. ,    1.2],       [  82. ,   29. ,    3. ,    1.5],       [  99. ,   24. ,   -4. ,    0.6],       [   0. ,   41. ,   -1. ,    1.3],       [  11. ,   41. ,    3. ,    1. ],       [  29. ,   40. ,    1. ,    1.2],       [  42. ,   43. ,    4. ,    1.5],       [  45. ,   43. ,   -2. ,    1.2],       [  61. ,   38. ,   -5. ,    0.5],       [  73. ,   45. ,    1. ,    0.8],       [  88. ,   45. ,    3. ,    0.9],       [  99. ,   45. ,   -1. ,    1.4],       [   2. ,   57. ,    4. ,    0.7],       [  15. ,   54. ,    0. ,    0.6],       [  27. ,   58. ,   -1. ,    1. ],       [  38. ,   58. ,    4. ,    1.4],       [  50. ,   60. ,   -3. ,    0.6],       [  58. ,   54. ,   -1. ,    0.7],       [  79. ,   61. ,    2. ,    1.2],       [  91. ,   61. ,    1. ,    1. ],       [ 102. ,   58. ,    4. ,    1.1],       [   2. ,   66. ,   -1. ,    1.4],       [  16. ,   75. ,   -4. ,    1.3],       [  21. ,   68. ,    3. ,    1.4],       [  39. ,   75. ,   -2. ,    1.1],       [  52. ,   75. ,    3. ,    1.1],       [  58. ,   68. ,    4. ,    0.8],       [  77. ,   74. ,   -3. ,    0.6],       [  92. ,   69. ,   -1. ,    0.6],       [ 100. ,   74. ,   -5. ,    1.2],       [   4. ,   82. ,    3. ,    0.7],       [   8. ,   88. ,   -1. ,    1.1],       [  25. ,   84. ,   -5. ,    1.4],       [  39. ,   84. ,    2. ,    1.3],       [  52. ,   80. ,    2. ,    0.6],       [  62. ,   86. ,   -5. ,    1.4],       [  70. ,   82. ,    3. ,    0.9],       [  91. ,   88. ,   -4. ,    1.2],       [ 103. ,   89. ,    1. ,    1.2],       [   1. ,   99. ,    2. ,    0.9],       [  15. ,   95. ,   -2. ,    0.7],       [  26. ,   99. ,   -4. ,    1.5],       [  32. ,   96. ,   -2. ,    1.3],       [  50. ,  100. ,   -4. ,    0.7],       [  58. ,  101. ,   -5. ,    0.9],       [  72. ,   95. ,    0. ,    0.9],       [  91. ,   96. ,   -4. ,    1.1],       [  96. ,  101. ,    4. ,    0.7]])
        basis0 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0.8,  2. ,  3.3,  4.1,  5. ,  5. ,  5. ,  5. ,  5. ]))
        basis1 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  1.2,  1.8,  3. ,  3. ,  3. ,  3. ,  3. ,  3. ]))
        surf  = Surface(basis0, basis1, controlpoints,True)
        surf2 = surf.rebuild(4, 143)
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_volume_3D_p654_rational(self):
        controlpoints = np.array([[   0. ,    2. ,   -1. ,    1.3],       [   6. ,   -1. ,    2. ,    1.5],       [  17. ,    3. ,    1. ,    0.8],       [  37. ,   -1. ,   -4. ,    1.4],       [  44. ,    1. ,    2. ,    0.8],       [  54. ,   -5. ,    0. ,    1. ],       [  70. ,   -4. ,    3. ,    1.4],       [  76. ,    4. ,    0. ,    1.1],       [  87. ,    0. ,    0. ,    0.7],       [ 104. ,   -3. ,    1. ,    1.3],       [   2. ,   18. ,   -1. ,    0.7],       [  10. ,   14. ,   -2. ,    0.8],       [  21. ,   16. ,    4. ,    0.5],       [  32. ,    9. ,    2. ,    0.7],       [  41. ,   13. ,    2. ,    1.2],       [  50. ,   15. ,    0. ,    0.9],       [  69. ,   12. ,    2. ,    0.5],       [  78. ,   10. ,   -5. ,    0.6],       [  89. ,   16. ,    3. ,    1. ],       [ 102. ,   12. ,    4. ,    1.4],       [   2. ,   33. ,   -2. ,    0.5],       [  15. ,   23. ,   -3. ,    1.5],       [  20. ,   29. ,   -1. ,    1. ],       [  35. ,   26. ,    1. ,    1.5],       [  41. ,   31. ,    3. ,    1.1],       [  58. ,   23. ,    0. ,    0.6],       [  64. ,   33. ,   -4. ,    0.7],       [  74. ,   27. ,   -1. ,    1. ],       [  89. ,   27. ,   -5. ,    1. ],       [ 101. ,   24. ,    2. ,    1.1],       [  -3. ,   40. ,    1. ,    1.2],       [  10. ,   37. ,   -5. ,    0.5],       [  24. ,   47. ,    3. ,    1.1],       [  31. ,   45. ,    2. ,    1. ],       [  43. ,   46. ,   -2. ,    1. ],       [  54. ,   44. ,    1. ,    1.2],       [  71. ,   44. ,   -3. ,    1.4],       [  76. ,   42. ,   -3. ,    1.5],       [  91. ,   47. ,    4. ,    1.1],       [  97. ,   47. ,    2. ,    0.9],       [  -2. ,   55. ,    4. ,    0.7],       [   7. ,   56. ,   -1. ,    1.4],       [  25. ,   54. ,   -4. ,    0.8],       [  29. ,   55. ,   -4. ,    1.5],       [  44. ,   59. ,    0. ,    1.3],       [  53. ,   60. ,    3. ,    1.2],       [  70. ,   57. ,   -2. ,    0.8],       [  73. ,   56. ,   -1. ,    1.5],       [  90. ,   59. ,   -5. ,    0.8],       [ 101. ,   57. ,   -1. ,    1. ],       [  -5. ,   69. ,   -4. ,    1.4],       [   6. ,   73. ,    4. ,    0.9],       [  22. ,   75. ,    3. ,    0.6],       [  32. ,   67. ,   -1. ,    0.7],       [  39. ,   72. ,   -5. ,    1. ],       [  56. ,   70. ,    1. ,    1.4],       [  64. ,   67. ,    1. ,    0.9],       [  73. ,   68. ,   -3. ,    1.1],       [  86. ,   71. ,    1. ,    1.4],       [ 102. ,   71. ,    2. ,    1.5],       [  -3. ,   81. ,    1. ,    0.7],       [  13. ,   84. ,   -1. ,    0.6],       [  24. ,   86. ,    4. ,    0.8],       [  31. ,   86. ,    2. ,    0.7],       [  48. ,   85. ,   -3. ,    0.8],       [  50. ,   83. ,    1. ,    0.7],       [  67. ,   90. ,   -2. ,    0.5],       [  79. ,   85. ,    0. ,    1.2],       [  85. ,   82. ,    3. ,    0.8],       [  99. ,   84. ,    3. ,    1.3],       [  -5. ,  101. ,   -5. ,    1.4],       [   7. ,   98. ,    0. ,    0.7],       [  21. ,  102. ,   -5. ,    0.8],       [  30. ,   97. ,   -3. ,    1. ],       [  44. ,   95. ,   -4. ,    1.1],       [  60. ,   98. ,    3. ,    1. ],       [  63. ,  102. ,   -5. ,    0.9],       [  73. ,  100. ,   -4. ,    0.5],       [  87. ,  101. ,   -4. ,    0.5],       [  98. ,  104. ,    0. ,    0.7],       [  -4. ,   -1. ,    9. ,    0.9],       [  11. ,    0. ,   16. ,    1. ],       [  17. ,   -5. ,   17. ,    0.8],       [  33. ,   -3. ,   17. ,    1.2],       [  47. ,   -3. ,   11. ,    0.6],       [  60. ,    0. ,   13. ,    1.3],       [  66. ,    0. ,   11. ,    0.6],       [  82. ,    3. ,   13. ,    0.7],       [  90. ,   -5. ,   15. ,    1.4],       [  98. ,    1. ,    9. ,    1.2],       [  -3. ,   15. ,   14. ,    1.5],       [  10. ,   15. ,   16. ,    0.7],       [  26. ,   11. ,   16. ,    0.9],       [  30. ,   18. ,   12. ,    1. ],       [  41. ,   11. ,    8. ,    0.8],       [  54. ,   18. ,   11. ,    1.3],       [  64. ,   15. ,   16. ,    0.9],       [  76. ,   10. ,   11. ,    1.2],       [  88. ,   14. ,    7. ,    0.6],       [ 103. ,   12. ,   11. ,    0.6],       [  -4. ,   23. ,   14. ,    1.2],       [   7. ,   24. ,   16. ,    1.1],       [  17. ,   24. ,   12. ,    0.8],       [  33. ,   31. ,    9. ,    1. ],       [  47. ,   23. ,    8. ,    1.5],       [  59. ,   27. ,    8. ,    1.4],       [  62. ,   24. ,   11. ,    1.2],       [  73. ,   29. ,   10. ,    1.3],       [  89. ,   33. ,   12. ,    0.7],       [  98. ,   25. ,   16. ,    1. ],       [   1. ,   39. ,    8. ,    1.5],       [   9. ,   44. ,   15. ,    0.5],       [  25. ,   40. ,   10. ,    1.3],       [  34. ,   44. ,   12. ,    0.6],       [  44. ,   44. ,   14. ,    1.4],       [  58. ,   41. ,   17. ,    0.8],       [  62. ,   42. ,   17. ,    1.4],       [  77. ,   39. ,   14. ,    0.8],       [  93. ,   44. ,   16. ,    1. ],       [ 100. ,   38. ,   12. ,    1.4],       [   2. ,   53. ,   11. ,    0.7],       [   6. ,   54. ,    7. ,    1. ],       [  26. ,   59. ,   15. ,    0.9],       [  36. ,   55. ,   10. ,    1.4],       [  47. ,   57. ,    9. ,    0.8],       [  57. ,   56. ,   12. ,    0.9],       [  65. ,   56. ,   13. ,    0.7],       [  79. ,   57. ,   14. ,    1.2],       [  86. ,   52. ,   10. ,    1.1],       [ 102. ,   61. ,    9. ,    0.6],       [  -2. ,   72. ,   13. ,    1. ],       [   6. ,   68. ,    8. ,    0.5],       [  25. ,   67. ,   13. ,    0.7],       [  35. ,   76. ,    7. ,    0.7],       [  48. ,   73. ,   10. ,    0.8],       [  51. ,   75. ,   10. ,    0.5],       [  69. ,   68. ,    8. ,    0.8],       [  73. ,   67. ,    8. ,    1.1],       [  92. ,   66. ,    7. ,    0.6],       [ 104. ,   73. ,   10. ,    1. ],       [   0. ,   82. ,    9. ,    1.2],       [  12. ,   80. ,   17. ,    1.4],       [  26. ,   84. ,   16. ,    0.7],       [  32. ,   82. ,   13. ,    1. ],       [  43. ,   82. ,   13. ,    1. ],       [  58. ,   88. ,    9. ,    1.4],       [  66. ,   81. ,   16. ,    0.8],       [  81. ,   81. ,   14. ,    1.4],       [  85. ,   85. ,   14. ,    0.6],       [ 100. ,   86. ,    9. ,    1.1],       [   3. ,  104. ,    9. ,    1. ],       [  13. ,  102. ,    7. ,    1. ],       [  24. ,   99. ,    8. ,    1.4],       [  32. ,   96. ,   12. ,    1. ],       [  43. ,  100. ,    9. ,    0.7],       [  55. ,   97. ,    7. ,    0.7],       [  68. ,  102. ,   10. ,    0.6],       [  73. ,  100. ,   14. ,    0.7],       [  92. ,  103. ,    9. ,    1.1],       [ 103. ,   97. ,   11. ,    1.2],       [  -3. ,    1. ,   24. ,    1.5],       [   6. ,   -3. ,   23. ,    0.7],       [  24. ,   -4. ,   21. ,    1.1],       [  29. ,   -2. ,   20. ,    1.2],       [  39. ,   -5. ,   24. ,    1.3],       [  52. ,    2. ,   23. ,    0.9],       [  68. ,    1. ,   28. ,    1.2],       [  74. ,    4. ,   29. ,    0.6],       [  88. ,    2. ,   24. ,    0.9],       [ 101. ,    0. ,   29. ,    0.7],       [   3. ,   12. ,   20. ,    0.7],       [   9. ,    9. ,   29. ,    1.3],       [  17. ,   13. ,   22. ,    1.1],       [  29. ,   18. ,   21. ,    0.8],       [  44. ,   10. ,   24. ,    1. ],       [  53. ,   11. ,   22. ,    0.9],       [  69. ,   15. ,   20. ,    0.5],       [  78. ,   14. ,   20. ,    0.6],       [  92. ,   12. ,   23. ,    0.7],       [ 101. ,   12. ,   27. ,    0.7],       [  -3. ,   32. ,   26. ,    1. ],       [  14. ,   33. ,   21. ,    0.6],       [  25. ,   25. ,   28. ,    1.4],       [  32. ,   32. ,   24. ,    1.2],       [  43. ,   31. ,   26. ,    1.1],       [  57. ,   31. ,   22. ,    0.8],       [  62. ,   31. ,   22. ,    0.6],       [  74. ,   27. ,   21. ,    1.1],       [  92. ,   30. ,   28. ,    1.4],       [  97. ,   25. ,   24. ,    1.3],       [  -2. ,   41. ,   25. ,    1.4],       [  12. ,   39. ,   22. ,    1.3],       [  18. ,   47. ,   27. ,    1.3],       [  31. ,   39. ,   24. ,    1.2],       [  42. ,   43. ,   21. ,    0.6],       [  57. ,   46. ,   26. ,    1.4],       [  64. ,   45. ,   26. ,    1.3],       [  74. ,   45. ,   20. ,    0.8],       [  83. ,   39. ,   21. ,    0.9],       [ 103. ,   42. ,   23. ,    1. ],       [   3. ,   62. ,   25. ,    1.2],       [  12. ,   57. ,   23. ,    1.4],       [  21. ,   60. ,   29. ,    0.7],       [  36. ,   58. ,   28. ,    1.1],       [  44. ,   56. ,   28. ,    1.4],       [  55. ,   55. ,   23. ,    0.6],       [  68. ,   58. ,   22. ,    0.5],       [  73. ,   58. ,   25. ,    1.2],       [  86. ,   53. ,   25. ,    0.6],       [ 101. ,   57. ,   20. ,    0.7],       [   4. ,   74. ,   22. ,    1.1],       [  12. ,   73. ,   29. ,    1.4],       [  26. ,   71. ,   25. ,    1.4],       [  35. ,   68. ,   22. ,    0.7],       [  42. ,   67. ,   27. ,    1.4],       [  52. ,   68. ,   22. ,    1. ],       [  68. ,   68. ,   28. ,    1.3],       [  80. ,   67. ,   22. ,    1.4],       [  90. ,   76. ,   23. ,    0.9],       [ 100. ,   74. ,   26. ,    0.9],       [  -1. ,   89. ,   24. ,    1.4],       [   6. ,   83. ,   26. ,    0.5],       [  17. ,   81. ,   25. ,    0.9],       [  33. ,   83. ,   24. ,    1.3],       [  42. ,   86. ,   25. ,    0.7],       [  57. ,   86. ,   21. ,    1.2],       [  64. ,   87. ,   24. ,    0.9],       [  76. ,   88. ,   24. ,    0.5],       [  89. ,   88. ,   25. ,    0.9],       [ 101. ,   85. ,   22. ,    0.7],       [  -2. ,   96. ,   27. ,    0.7],       [  13. ,  100. ,   21. ,    1.2],       [  24. ,   96. ,   22. ,    0.6],       [  32. ,  102. ,   26. ,    0.7],       [  41. ,  101. ,   23. ,    1.3],       [  50. ,  104. ,   25. ,    0.7],       [  69. ,  102. ,   22. ,    0.8],       [  74. ,   97. ,   28. ,    0.9],       [  91. ,   99. ,   26. ,    0.7],       [  98. ,   96. ,   21. ,    1.1],       [  -3. ,   -1. ,   42. ,    0.9],       [  14. ,   -5. ,   41. ,    0.9],       [  17. ,    3. ,   40. ,    0.7],       [  29. ,    4. ,   35. ,    1.1],       [  40. ,   -2. ,   42. ,    1. ],       [  53. ,   -2. ,   33. ,    1. ],       [  63. ,    1. ,   38. ,    0.7],       [  75. ,    4. ,   36. ,    1.2],       [  88. ,   -3. ,   32. ,    1.3],       [ 102. ,    0. ,   42. ,    0.8],       [  -1. ,    9. ,   35. ,    0.5],       [   7. ,   14. ,   42. ,    1.1],       [  26. ,   14. ,   37. ,    0.7],       [  33. ,   16. ,   41. ,    0.7],       [  43. ,   11. ,   40. ,    0.5],       [  57. ,   12. ,   37. ,    1.1],       [  64. ,   18. ,   39. ,    1. ],       [  77. ,   11. ,   36. ,    0.5],       [  89. ,   17. ,   33. ,    1.5],       [  96. ,   17. ,   33. ,    0.6],       [  -4. ,   31. ,   36. ,    1.4],       [  11. ,   33. ,   36. ,    0.9],       [  18. ,   23. ,   33. ,    0.8],       [  34. ,   28. ,   37. ,    0.5],       [  44. ,   24. ,   38. ,    1.2],       [  60. ,   27. ,   42. ,    1.2],       [  64. ,   29. ,   41. ,    0.9],       [  73. ,   26. ,   37. ,    1.3],       [  89. ,   28. ,   38. ,    0.8],       [  99. ,   24. ,   34. ,    0.8],       [  -5. ,   44. ,   33. ,    1.1],       [  12. ,   46. ,   34. ,    1.2],       [  26. ,   40. ,   41. ,    1.4],       [  31. ,   45. ,   32. ,    1.2],       [  48. ,   40. ,   36. ,    0.9],       [  51. ,   41. ,   37. ,    1.1],       [  65. ,   43. ,   35. ,    1. ],       [  73. ,   45. ,   36. ,    0.8],       [  93. ,   40. ,   34. ,    1.5],       [ 101. ,   43. ,   34. ,    0.8],       [  -1. ,   54. ,   32. ,    0.5],       [  10. ,   57. ,   39. ,    1.4],       [  18. ,   55. ,   38. ,    0.7],       [  37. ,   61. ,   34. ,    1.3],       [  45. ,   61. ,   36. ,    0.7],       [  57. ,   57. ,   32. ,    1. ],       [  71. ,   57. ,   35. ,    1.2],       [  77. ,   55. ,   32. ,    1.5],       [  92. ,   53. ,   40. ,    0.8],       [ 102. ,   53. ,   40. ,    0.5],       [  -5. ,   69. ,   38. ,    1.1],       [   8. ,   70. ,   42. ,    0.7],       [  21. ,   73. ,   37. ,    1.1],       [  37. ,   72. ,   35. ,    1. ],       [  43. ,   66. ,   34. ,    0.7],       [  57. ,   68. ,   32. ,    1.4],       [  63. ,   73. ,   37. ,    1. ],       [  77. ,   66. ,   34. ,    1. ],       [  91. ,   76. ,   37. ,    0.9],       [  95. ,   75. ,   41. ,    0.9],       [   3. ,   87. ,   37. ,    0.7],       [  11. ,   82. ,   41. ,    0.9],       [  21. ,   89. ,   34. ,    1. ],       [  29. ,   83. ,   41. ,    1. ],       [  40. ,   90. ,   34. ,    0.8],       [  58. ,   90. ,   40. ,    1.2],       [  70. ,   85. ,   36. ,    0.5],       [  76. ,   87. ,   40. ,    0.7],       [  85. ,   84. ,   37. ,    1.3],       [  95. ,   88. ,   39. ,    1.2],       [   3. ,   97. ,   37. ,    1.5],       [  10. ,   96. ,   34. ,    0.6],       [  21. ,   95. ,   38. ,    0.9],       [  36. ,  100. ,   33. ,    0.7],       [  43. ,   95. ,   36. ,    0.7],       [  52. ,   98. ,   38. ,    0.9],       [  67. ,  101. ,   38. ,    0.9],       [  82. ,  100. ,   41. ,    1.4],       [  91. ,   99. ,   35. ,    0.6],       [  96. ,   97. ,   38. ,    1.5],       [  -1. ,   -3. ,   47. ,    1.3],       [  12. ,    2. ,   49. ,    0.7],       [  19. ,   -3. ,   51. ,    1.1],       [  28. ,   -5. ,   54. ,    1.4],       [  48. ,    4. ,   52. ,    1.2],       [  54. ,   -5. ,   47. ,    1.1],       [  65. ,   -3. ,   49. ,    1.2],       [  77. ,   -4. ,   50. ,    1.4],       [  91. ,   -1. ,   46. ,    0.9],       [ 104. ,    3. ,   50. ,    1.3],       [   0. ,   17. ,   53. ,    1.2],       [  11. ,   19. ,   50. ,    0.7],       [  21. ,   13. ,   46. ,    1. ],       [  28. ,   13. ,   48. ,    1.5],       [  49. ,   15. ,   52. ,    1.3],       [  53. ,   14. ,   47. ,    0.9],       [  64. ,   11. ,   54. ,    0.7],       [  81. ,   18. ,   47. ,    1.1],       [  88. ,   15. ,   45. ,    1.3],       [  98. ,   17. ,   51. ,    1.3],       [  -1. ,   33. ,   49. ,    0.8],       [   9. ,   31. ,   48. ,    1.3],       [  17. ,   31. ,   48. ,    1. ],       [  30. ,   27. ,   51. ,    1.1],       [  43. ,   28. ,   52. ,    1.4],       [  58. ,   30. ,   54. ,    0.6],       [  69. ,   33. ,   46. ,    0.8],       [  82. ,   29. ,   52. ,    0.6],       [  88. ,   30. ,   51. ,    0.7],       [ 104. ,   30. ,   47. ,    0.9],       [   3. ,   41. ,   54. ,    0.9],       [   6. ,   41. ,   52. ,    1. ],       [  23. ,   37. ,   54. ,    0.6],       [  30. ,   41. ,   49. ,    1.5],       [  45. ,   46. ,   49. ,    1. ],       [  53. ,   40. ,   54. ,    1.2],       [  62. ,   38. ,   51. ,    0.6],       [  81. ,   40. ,   53. ,    0.9],       [  90. ,   38. ,   45. ,    0.9],       [  97. ,   44. ,   48. ,    1.3],       [  -5. ,   56. ,   53. ,    0.6],       [  13. ,   59. ,   49. ,    1. ],       [  19. ,   54. ,   52. ,    1.2],       [  38. ,   58. ,   53. ,    1. ],       [  48. ,   56. ,   49. ,    1.3],       [  58. ,   61. ,   46. ,    0.8],       [  68. ,   61. ,   53. ,    0.6],       [  75. ,   59. ,   53. ,    0.7],       [  85. ,   58. ,   49. ,    0.9],       [  96. ,   58. ,   50. ,    0.6],       [  -1. ,   71. ,   53. ,    1.2],       [  12. ,   67. ,   45. ,    1.1],       [  25. ,   68. ,   47. ,    1.1],       [  33. ,   76. ,   49. ,    1. ],       [  48. ,   72. ,   46. ,    1.1],       [  53. ,   68. ,   53. ,    1. ],       [  71. ,   74. ,   45. ,    1. ],       [  82. ,   68. ,   45. ,    1.2],       [  85. ,   67. ,   49. ,    1.2],       [ 100. ,   72. ,   48. ,    0.5],       [   1. ,   81. ,   48. ,    0.5],       [  12. ,   82. ,   49. ,    1.1],       [  23. ,   81. ,   47. ,    0.5],       [  33. ,   89. ,   45. ,    0.9],       [  45. ,   84. ,   45. ,    0.7],       [  52. ,   84. ,   51. ,    0.9],       [  69. ,   82. ,   54. ,    0.5],       [  76. ,   81. ,   48. ,    1.2],       [  87. ,   87. ,   47. ,    0.6],       [ 102. ,   82. ,   45. ,    1.3],       [   3. ,  104. ,   51. ,    1.3],       [   6. ,   97. ,   48. ,    1.1],       [  20. ,  102. ,   53. ,    0.8],       [  32. ,   95. ,   47. ,    1.1],       [  46. ,  104. ,   47. ,    1.3],       [  58. ,  100. ,   53. ,    1.2],       [  62. ,   97. ,   54. ,    0.9],       [  72. ,  103. ,   54. ,    1.2],       [  89. ,   97. ,   51. ,    1. ],       [  96. ,  104. ,   47. ,    0.7],       [  -3. ,   -2. ,   60. ,    0.6],       [  16. ,    2. ,   64. ,    1.2],       [  26. ,   -2. ,   61. ,    0.5],       [  31. ,    0. ,   58. ,    1.5],       [  41. ,   -3. ,   60. ,    0.9],       [  53. ,    4. ,   62. ,    1.2],       [  63. ,    0. ,   65. ,    1.1],       [  77. ,    1. ,   65. ,    0.7],       [  88. ,    3. ,   60. ,    1.4],       [ 104. ,    1. ,   62. ,    1.2],       [  -2. ,   14. ,   63. ,    0.5],       [  15. ,   11. ,   59. ,    0.9],       [  27. ,   17. ,   60. ,    1. ],       [  29. ,   15. ,   58. ,    0.6],       [  43. ,    9. ,   58. ,    0.6],       [  57. ,   11. ,   59. ,    1.2],       [  62. ,   18. ,   63. ,    0.6],       [  82. ,   18. ,   63. ,    1. ],       [  88. ,    9. ,   65. ,    0.6],       [ 102. ,   11. ,   62. ,    1.4],       [  -5. ,   28. ,   60. ,    0.6],       [  15. ,   28. ,   59. ,    1.1],       [  27. ,   28. ,   65. ,    0.8],       [  30. ,   32. ,   66. ,    0.8],       [  42. ,   24. ,   63. ,    1.5],       [  57. ,   26. ,   60. ,    1.4],       [  64. ,   30. ,   64. ,    1.5],       [  75. ,   27. ,   64. ,    1.1],       [  89. ,   25. ,   60. ,    0.6],       [ 103. ,   30. ,   62. ,    1.1],       [   4. ,   40. ,   64. ,    1. ],       [   8. ,   42. ,   61. ,    0.7],       [  22. ,   42. ,   66. ,    1.2],       [  37. ,   45. ,   64. ,    1. ],       [  40. ,   39. ,   60. ,    1.2],       [  50. ,   44. ,   62. ,    1.2],       [  64. ,   45. ,   65. ,    1.4],       [  78. ,   41. ,   57. ,    1.1],       [  89. ,   44. ,   60. ,    1.2],       [  99. ,   45. ,   66. ,    1.2],       [  -1. ,   59. ,   59. ,    1.2],       [   8. ,   59. ,   60. ,    1.3],       [  27. ,   54. ,   57. ,    0.8],       [  28. ,   55. ,   61. ,    0.7],       [  41. ,   57. ,   66. ,    1.1],       [  53. ,   54. ,   58. ,    0.8],       [  67. ,   57. ,   62. ,    1. ],       [  77. ,   55. ,   64. ,    1.4],       [  84. ,   54. ,   58. ,    1. ],       [ 102. ,   60. ,   65. ,    0.5],       [  -1. ,   68. ,   61. ,    0.8],       [  12. ,   76. ,   62. ,    1.1],       [  26. ,   74. ,   65. ,    1.1],       [  29. ,   70. ,   59. ,    1.4],       [  41. ,   75. ,   65. ,    1.4],       [  51. ,   75. ,   61. ,    0.8],       [  67. ,   72. ,   58. ,    1. ],       [  76. ,   69. ,   65. ,    0.9],       [  87. ,   75. ,   59. ,    1.1],       [  99. ,   71. ,   63. ,    1.1],       [  -3. ,   88. ,   59. ,    1.5],       [   8. ,   87. ,   63. ,    1. ],       [  25. ,   87. ,   60. ,    0.6],       [  35. ,   87. ,   65. ,    1.2],       [  39. ,   85. ,   60. ,    1.4],       [  59. ,   85. ,   58. ,    0.6],       [  68. ,   89. ,   63. ,    1.3],       [  75. ,   85. ,   58. ,    1.1],       [  86. ,   81. ,   63. ,    0.6],       [  96. ,   89. ,   59. ,    0.8],       [  -5. ,   95. ,   59. ,    1.4],       [  13. ,   97. ,   63. ,    0.7],       [  22. ,   99. ,   60. ,    1.4],       [  36. ,   99. ,   60. ,    1.1],       [  48. ,  101. ,   60. ,    1. ],       [  56. ,   98. ,   65. ,    1.3],       [  63. ,  102. ,   61. ,    1.4],       [  76. ,  103. ,   59. ,    1.1],       [  93. ,   99. ,   63. ,    1.4],       [  96. ,  100. ,   65. ,    0.9],       [  -4. ,   -5. ,   76. ,    0.8],       [   7. ,   -5. ,   79. ,    1.1],       [  19. ,    2. ,   70. ,    1.2],       [  31. ,    3. ,   76. ,    0.9],       [  43. ,   -1. ,   75. ,    0.7],       [  60. ,   -2. ,   76. ,    0.6],       [  61. ,    0. ,   73. ,    0.6],       [  73. ,   -4. ,   79. ,    1.2],       [  92. ,   -5. ,   79. ,    0.6],       [ 103. ,    3. ,   75. ,    1.3],       [   1. ,   16. ,   77. ,    1. ],       [  11. ,   18. ,   78. ,    1.3],       [  21. ,   17. ,   72. ,    0.7],       [  29. ,   14. ,   70. ,    0.8],       [  43. ,    9. ,   74. ,    1.1],       [  53. ,   18. ,   79. ,    0.5],       [  62. ,   13. ,   78. ,    1.5],       [  78. ,   15. ,   74. ,    1.4],       [  90. ,   10. ,   77. ,    0.7],       [  99. ,   16. ,   71. ,    1.1],       [  -2. ,   25. ,   71. ,    0.6],       [  11. ,   24. ,   77. ,    1.1],       [  23. ,   30. ,   78. ,    0.8],       [  30. ,   25. ,   70. ,    1.3],       [  39. ,   26. ,   78. ,    1.4],       [  50. ,   26. ,   70. ,    1. ],       [  67. ,   28. ,   72. ,    0.9],       [  82. ,   31. ,   71. ,    0.7],       [  87. ,   29. ,   73. ,    1. ],       [ 104. ,   26. ,   78. ,    1.1],       [  -2. ,   45. ,   78. ,    1.4],       [  10. ,   41. ,   77. ,    1.5],       [  18. ,   44. ,   70. ,    1.4],       [  31. ,   40. ,   72. ,    0.8],       [  41. ,   41. ,   74. ,    1.2],       [  58. ,   39. ,   70. ,    1.3],       [  67. ,   41. ,   77. ,    1.4],       [  76. ,   47. ,   73. ,    0.8],       [  90. ,   43. ,   73. ,    1.3],       [  95. ,   42. ,   75. ,    0.7],       [  -4. ,   56. ,   70. ,    0.9],       [  12. ,   56. ,   76. ,    0.9],       [  21. ,   54. ,   79. ,    1.4],       [  31. ,   55. ,   77. ,    0.7],       [  40. ,   59. ,   75. ,    0.8],       [  54. ,   54. ,   72. ,    0.8],       [  66. ,   53. ,   73. ,    0.6],       [  75. ,   58. ,   73. ,    0.8],       [  92. ,   60. ,   75. ,    1.1],       [ 101. ,   54. ,   79. ,    0.6],       [   1. ,   74. ,   76. ,    0.7],       [   8. ,   72. ,   77. ,    1.4],       [  25. ,   69. ,   76. ,    1.4],       [  34. ,   68. ,   71. ,    0.8],       [  40. ,   75. ,   76. ,    0.9],       [  56. ,   69. ,   74. ,    1.3],       [  64. ,   69. ,   77. ,    0.6],       [  81. ,   67. ,   74. ,    1.4],       [  87. ,   72. ,   73. ,    1.4],       [ 100. ,   68. ,   72. ,    0.7],       [   2. ,   90. ,   73. ,    1. ],       [  13. ,   90. ,   76. ,    0.8],       [  17. ,   90. ,   72. ,    1.2],       [  31. ,   83. ,   75. ,    1.4],       [  44. ,   89. ,   77. ,    1.1],       [  58. ,   84. ,   78. ,    0.9],       [  66. ,   85. ,   71. ,    1.4],       [  79. ,   81. ,   73. ,    1. ],       [  90. ,   82. ,   71. ,    0.6],       [ 103. ,   90. ,   77. ,    0.6],       [   3. ,   95. ,   79. ,    0.7],       [   9. ,   97. ,   75. ,    0.6],       [  25. ,  100. ,   75. ,    0.8],       [  28. ,   95. ,   74. ,    1. ],       [  45. ,  101. ,   79. ,    1.2],       [  59. ,  104. ,   74. ,    0.9],       [  66. ,   98. ,   75. ,    1.4],       [  80. ,  104. ,   71. ,    1.4],       [  91. ,   96. ,   73. ,    0.7],       [  96. ,   95. ,   78. ,    0.6],       [  -1. ,   -5. ,   84. ,    0.8],       [  14. ,    1. ,   84. ,    0.6],       [  24. ,   -3. ,   89. ,    0.8],       [  34. ,    0. ,   91. ,    1.1],       [  42. ,    3. ,   92. ,    1.4],       [  56. ,   -5. ,   84. ,    0.8],       [  70. ,    4. ,   84. ,    1. ],       [  78. ,    2. ,   86. ,    1.3],       [  88. ,   -3. ,   88. ,    1.5],       [  96. ,    0. ,   84. ,    1.1],       [   2. ,    9. ,   91. ,    1.4],       [  15. ,   17. ,   90. ,    1. ],       [  21. ,   11. ,   82. ,    0.8],       [  28. ,   10. ,   86. ,    1.2],       [  40. ,   14. ,   82. ,    0.6],       [  53. ,   11. ,   85. ,    0.6],       [  65. ,   17. ,   85. ,    1.2],       [  74. ,   17. ,   86. ,    1.3],       [  91. ,   16. ,   83. ,    1.4],       [ 103. ,   12. ,   86. ,    1.4],       [   0. ,   28. ,   85. ,    1.1],       [  12. ,   29. ,   91. ,    1.4],       [  23. ,   24. ,   87. ,    0.6],       [  34. ,   24. ,   89. ,    0.7],       [  48. ,   30. ,   84. ,    0.6],       [  51. ,   31. ,   82. ,    1.2],       [  71. ,   31. ,   83. ,    1.4],       [  73. ,   32. ,   89. ,    1. ],       [  85. ,   25. ,   89. ,    1.2],       [ 102. ,   25. ,   82. ,    1. ],       [   4. ,   38. ,   85. ,    0.5],       [   9. ,   43. ,   82. ,    1. ],       [  20. ,   41. ,   88. ,    1.5],       [  37. ,   43. ,   90. ,    1. ],       [  48. ,   39. ,   83. ,    0.5],       [  55. ,   42. ,   85. ,    1.3],       [  66. ,   38. ,   91. ,    1.3],       [  80. ,   46. ,   86. ,    1.4],       [  88. ,   43. ,   86. ,    0.8],       [ 101. ,   38. ,   92. ,    1. ],       [  -3. ,   54. ,   90. ,    1.2],       [   6. ,   61. ,   82. ,    0.8],       [  18. ,   53. ,   83. ,    1.2],       [  33. ,   52. ,   84. ,    1.5],       [  44. ,   60. ,   87. ,    0.9],       [  57. ,   52. ,   89. ,    1.2],       [  69. ,   59. ,   85. ,    1. ],       [  79. ,   61. ,   90. ,    1.4],       [  89. ,   57. ,   83. ,    0.5],       [  95. ,   57. ,   86. ,    1.4],       [   0. ,   72. ,   82. ,    0.7],       [  11. ,   74. ,   91. ,    1. ],       [  25. ,   75. ,   86. ,    1. ],       [  28. ,   72. ,   92. ,    0.8],       [  43. ,   68. ,   85. ,    1. ],       [  57. ,   71. ,   91. ,    1.2],       [  67. ,   71. ,   86. ,    1.3],       [  79. ,   69. ,   86. ,    0.8],       [  84. ,   73. ,   91. ,    1.2],       [  96. ,   74. ,   88. ,    1. ],       [   0. ,   83. ,   90. ,    1.4],       [  11. ,   84. ,   90. ,    1.3],       [  22. ,   87. ,   91. ,    1.3],       [  34. ,   87. ,   86. ,    0.7],       [  48. ,   85. ,   88. ,    1.1],       [  51. ,   85. ,   90. ,    0.5],       [  61. ,   84. ,   84. ,    1. ],       [  78. ,   83. ,   83. ,    1.1],       [  93. ,   89. ,   92. ,    0.9],       [  98. ,   87. ,   83. ,    0.6],       [  -1. ,  100. ,   83. ,    0.9],       [   8. ,   98. ,   88. ,    1.4],       [  25. ,  103. ,   83. ,    0.5],       [  29. ,   99. ,   85. ,    0.9],       [  45. ,   99. ,   90. ,    1. ],       [  51. ,  100. ,   86. ,    1.4],       [  71. ,   97. ,   89. ,    1.4],       [  80. ,  101. ,   89. ,    0.9],       [  86. ,   97. ,   91. ,    1.1],       [  96. ,  101. ,   87. ,    0.7],       [   0. ,    4. ,   98. ,    0.7],       [  13. ,   -5. ,  103. ,    0.8],       [  18. ,    4. ,  100. ,    0.9],       [  32. ,    0. ,   99. ,    1.2],       [  39. ,    1. ,   98. ,    1.1],       [  55. ,    2. ,  102. ,    1. ],       [  64. ,    4. ,  100. ,    1.2],       [  73. ,   -5. ,  103. ,    0.7],       [  89. ,    2. ,  102. ,    1. ],       [ 101. ,    0. ,   99. ,    0.8],       [  -1. ,   15. ,  103. ,    1.1],       [  14. ,   11. ,  104. ,    0.6],       [  19. ,   15. ,  103. ,    0.6],       [  31. ,   11. ,   97. ,    0.6],       [  49. ,   16. ,   95. ,    1.4],       [  51. ,   16. ,   95. ,    0.7],       [  68. ,   15. ,   97. ,    0.9],       [  75. ,   18. ,   99. ,    0.9],       [  91. ,   10. ,   99. ,    0.5],       [  99. ,   17. ,  103. ,    1.5],       [  -3. ,   31. ,  102. ,    0.6],       [   6. ,   23. ,  103. ,    1.2],       [  24. ,   25. ,  101. ,    1. ],       [  34. ,   26. ,   95. ,    0.9],       [  46. ,   30. ,  100. ,    1.1],       [  57. ,   31. ,  103. ,    1.3],       [  68. ,   27. ,  104. ,    1.2],       [  82. ,   32. ,   97. ,    0.9],       [  85. ,   28. ,   99. ,    1.4],       [  97. ,   25. ,   96. ,    0.6],       [  -1. ,   40. ,   96. ,    1. ],       [  10. ,   45. ,   96. ,    0.8],       [  24. ,   42. ,  104. ,    0.9],       [  28. ,   47. ,   99. ,    0.6],       [  44. ,   39. ,  102. ,    0.7],       [  60. ,   38. ,  104. ,    0.6],       [  64. ,   45. ,  102. ,    0.8],       [  74. ,   43. ,   96. ,    1.1],       [  91. ,   39. ,  102. ,    1.1],       [  95. ,   47. ,   99. ,    0.7],       [  -1. ,   56. ,   97. ,    1. ],       [  11. ,   58. ,   98. ,    0.6],       [  22. ,   54. ,  101. ,    0.7],       [  30. ,   58. ,   96. ,    1.1],       [  44. ,   54. ,  103. ,    0.7],       [  53. ,   56. ,   99. ,    1.1],       [  62. ,   61. ,   98. ,    0.6],       [  82. ,   58. ,  103. ,    0.7],       [  90. ,   53. ,   99. ,    0.8],       [ 101. ,   58. ,   95. ,    1. ],       [   0. ,   74. ,   95. ,    1. ],       [  12. ,   72. ,  100. ,    1.2],       [  19. ,   74. ,   95. ,    1.4],       [  29. ,   72. ,   99. ,    1.1],       [  42. ,   68. ,   98. ,    0.9],       [  58. ,   69. ,  103. ,    1.3],       [  70. ,   67. ,   96. ,    0.6],       [  73. ,   69. ,   95. ,    1.3],       [  87. ,   67. ,   95. ,    1.3],       [ 101. ,   74. ,   96. ,    1. ],       [   4. ,   89. ,  101. ,    0.8],       [  14. ,   89. ,   99. ,    0.5],       [  24. ,   88. ,   98. ,    0.7],       [  28. ,   85. ,  103. ,    1.2],       [  43. ,   82. ,  100. ,    1.2],       [  56. ,   88. ,   99. ,    0.9],       [  65. ,   87. ,   95. ,    1.5],       [  79. ,   87. ,   99. ,    0.5],       [  87. ,   86. ,  102. ,    1.1],       [ 103. ,   80. ,  104. ,    1.1],       [  -3. ,   95. ,   97. ,    0.6],       [   6. ,  103. ,   97. ,    0.8],       [  20. ,  100. ,   98. ,    1. ],       [  30. ,  104. ,  101. ,    0.9],       [  49. ,  104. ,   95. ,    1.4],       [  56. ,  103. ,  100. ,    1.4],       [  68. ,   95. ,  102. ,    1.1],       [  74. ,   96. ,  103. ,    1.1],       [  84. ,  103. ,  101. ,    1.4],       [  96. ,   98. ,   97. ,    0.9]])
        basis0 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0.7,  1.8,  2.6,  4.2,  5. ,  5. ,  5. ,  5. ,  5. ,  5. ]))
        basis1 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  1. ,  1.8,  2.6,  4. ,  4. ,  4. ,  4. ,  4. ]))
        basis2 = BSplineBasis(4, np.array([ 0. ,  0. ,  0. ,  0. ,  0.8,  1.8,  3. ,  4.3,  5. ,  6. ,  6. ,  6. ,  6. ]))
        vol  = Volume(basis0, basis1, basis2, controlpoints,True)
        vol2 = vol.rebuild([7, 6, 3], [96, 92, 96])
        u    = np.linspace(vol.start(0), vol.end(0), 7)
        v    = np.linspace(vol.start(1), vol.end(1), 7)
        w    = np.linspace(vol.start(2), vol.end(2), 7)
        pt   = vol(u,v,w)
        pt2  = vol2(u,v,w)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_3D_p4_rational_C1_periodic(self):
        controlpoints = np.array([[  99. ,   -2. ,   -2. ,    0.8],
       [  77. ,   61. ,   -5. ,    1.1],
       [  33. ,   93. ,    4. ,    0.8],
       [ -36. ,   91. ,    4. ,    1.5],
       [ -81. ,   58. ,    4. ,    1. ],
       [-104. ,   -4. ,   -2. ,    1. ],
       [ -83. ,  -62. ,    2. ,    1.2],
       [ -27. ,  -91. ,    2. ,    1.3],
       [  29. ,  -98. ,    1. ,    1.3],
       [  78. ,  -60. ,    0. ,    0.8]])
        basis0 = BSplineBasis(4, np.array([ -1.8,  -0.8,   0. ,   0. ,   0.6,   2.1,   2.7,   4.3,   5. ,   5.6,   7.2,   8.2,   9. ,
         9. ,   9.6,  11.1]),1)
        crv  = Curve(basis0, controlpoints,True)
        crv2 = crv.rebuild(4, 330)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_surface_3D_p64_rational_C1_periodic(self):
        controlpoints = np.array([[  63. ,   -4. ,   -5. ,    1.3],       [  55. ,   24. ,    0. ,    1.3],       [  35. ,   47. ,   -2. ,    0.8],       [  12. ,   62. ,    3. ,    0.5],       [ -11. ,   56. ,   -5. ,    1.1],       [ -37. ,   50. ,   -1. ,    0.7],       [ -52. ,   27. ,    2. ,    1. ],       [ -63. ,    3. ,   -5. ,    0.6],       [ -52. ,  -29. ,   -5. ,    0.7],       [ -34. ,  -51. ,    4. ,    0.7],       [ -15. ,  -64. ,   -5. ,    1.4],       [  13. ,  -56. ,    0. ,    1.2],       [  34. ,  -49. ,    1. ,    0.8],       [  50. ,  -28. ,   -3. ,    0.7],       [  70. ,    2. ,   -5. ,    1.3],       [  62. ,   32. ,    4. ,    1. ],       [  40. ,   56. ,    1. ,    0.9],       [  17. ,   64. ,    2. ,    1.4],       [ -18. ,   65. ,   -4. ,    0.7],       [ -43. ,   52. ,    1. ,    0.6],       [ -60. ,   27. ,    1. ,    1.3],       [ -70. ,   -4. ,    3. ,    1.2],       [ -68. ,  -35. ,   -2. ,    1.2],       [ -42. ,  -55. ,   -2. ,    1.4],       [ -15. ,  -73. ,   -3. ,    1.1],       [  20. ,  -64. ,   -3. ,    0.8],       [  44. ,  -59. ,   -1. ,    1.4],       [  58. ,  -33. ,    3. ,    1.4],       [  79. ,    2. ,   -2. ,    0.9],       [  71. ,   33. ,   -4. ,    1.1],       [  46. ,   59. ,    2. ,    1.2],       [  20. ,   75. ,    1. ,    1. ],       [ -16. ,   81. ,   -3. ,    1.3],       [ -49. ,   64. ,    1. ,    0.9],       [ -74. ,   30. ,   -3. ,    1.3],       [ -76. ,   -2. ,   -4. ,    0.9],       [ -74. ,  -33. ,    3. ,    1. ],       [ -49. ,  -67. ,    3. ,    1.2],       [ -21. ,  -83. ,    1. ,    1.2],       [  18. ,  -81. ,   -3. ,    0.7],       [  53. ,  -63. ,   -1. ,    1. ],       [  71. ,  -32. ,   -3. ,    1.5],       [  86. ,    1. ,   -3. ,    1.2],       [  77. ,   36. ,    3. ,    0.6],       [  60. ,   66. ,   -2. ,    0.5],       [  22. ,   85. ,    3. ,    0.6],       [ -21. ,   91. ,    0. ,    0.9],       [ -52. ,   68. ,   -5. ,    0.8],       [ -79. ,   34. ,    0. ,    0.9],       [ -88. ,    4. ,    0. ,    1.3],       [ -79. ,  -42. ,   -5. ,    1. ],       [ -56. ,  -68. ,    2. ,    0.8],       [ -22. ,  -84. ,    3. ,    1. ],       [  22. ,  -85. ,   -4. ,    1.3],       [  54. ,  -76. ,   -4. ,    0.6],       [  76. ,  -43. ,   -4. ,    0.9],       [ 104. ,   -5. ,    2. ,    1. ],       [  88. ,   44. ,   -5. ,    0.8],       [  64. ,   80. ,   -2. ,    0.7],       [  25. ,   95. ,   -2. ,    0.8],       [ -27. ,   97. ,    0. ,    0.7],       [ -65. ,   81. ,   -4. ,    1.2],       [ -92. ,   43. ,   -3. ,    0.9],       [-103. ,    4. ,    1. ,    1.4],       [ -90. ,  -39. ,   -1. ,    1. ],       [ -65. ,  -74. ,    1. ,    0.9],       [ -25. ,  -96. ,   -5. ,    1.4],       [  23. , -102. ,   -3. ,    1.5],       [  65. ,  -76. ,    1. ,    1.1],       [  89. ,  -45. ,   -4. ,    1.3]])
        basis0 = BSplineBasis(6, np.array([ -2.2,  -1.3,   0. ,   0. ,   0. ,   0. ,   0.6,   1.9,   3.1,   3.7,   4.6,   6.2,   6.8,
         8.1,   8.8,   9.7,  11. ,  11. ,  11. ,  11. ,  11.6,  12.9]),1)
        basis1 = BSplineBasis(4, np.array([ 0. ,  0. ,  0. ,  0. ,  1.3,  2. ,  2. ,  2. ,  2. ]))
        surf  = Surface(basis0, basis1, controlpoints,True)
        surf2 = surf.rebuild([6, 5], [157, 138])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_volume_3D_p646_rational_C1_periodic(self):
        controlpoints = np.array([[  50. ,    1. ,   -1. ,    0.9],       [  48. ,   18. ,   -3. ,    1. ],       [  28. ,   35. ,   -3. ,    1.1],       [  13. ,   46. ,    0. ,    0.8],       [ -11. ,   51. ,    1. ,    1. ],       [ -35. ,   34. ,    3. ,    1.1],       [ -50. ,   16. ,    2. ,    1. ],       [ -46. ,   -5. ,    2. ,    1.3],       [ -42. ,  -18. ,   -3. ,    0.7],       [ -29. ,  -38. ,   -1. ,    1.4],       [ -15. ,  -45. ,   -3. ,    1.4],       [   6. ,  -52. ,    1. ,    0.7],       [  35. ,  -35. ,   -1. ,    1. ],       [  44. ,  -23. ,    1. ,    1. ],       [  55. ,    1. ,    0. ,    1.1],       [  50. ,   27. ,   -3. ,    0.8],       [  34. ,   43. ,   -2. ,    0.7],       [  12. ,   51. ,    3. ,    1.2],       [  -9. ,   56. ,   -1. ,    1.3],       [ -34. ,   39. ,    1. ,    1.4],       [ -52. ,   29. ,    3. ,    0.6],       [ -59. ,   -4. ,   -4. ,    1.3],       [ -54. ,  -24. ,    0. ,    0.7],       [ -37. ,  -42. ,    4. ,    1.1],       [ -14. ,  -54. ,   -5. ,    1.5],       [   8. ,  -50. ,    3. ,    0.6],       [  35. ,  -49. ,   -3. ,    1. ],       [  51. ,  -27. ,    2. ,    1.4],       [  65. ,   -5. ,    3. ,    0.9],       [  58. ,   25. ,    4. ,    1.1],       [  34. ,   47. ,   -5. ,    0.7],       [  16. ,   64. ,   -4. ,    1. ],       [ -10. ,   58. ,   -3. ,    1. ],       [ -40. ,   46. ,    4. ,    1. ],       [ -54. ,   26. ,    3. ,    1.2],       [ -67. ,    3. ,    2. ,    1.2],       [ -56. ,  -28. ,    1. ,    1.4],       [ -35. ,  -53. ,   -5. ,    1.5],       [ -19. ,  -63. ,   -2. ,    1.3],       [  18. ,  -59. ,    1. ,    0.7],       [  42. ,  -45. ,   -5. ,    1.1],       [  56. ,  -27. ,   -2. ,    1.2],       [  66. ,   -5. ,    0. ,    0.5],       [  66. ,   33. ,    2. ,    0.7],       [  39. ,   56. ,   -5. ,    0.6],       [  18. ,   67. ,    0. ,    1.5],       [ -19. ,   67. ,    4. ,    1.2],       [ -42. ,   49. ,   -3. ,    0.6],       [ -58. ,   25. ,    0. ,    1.3],       [ -66. ,   -1. ,   -3. ,    1.2],       [ -66. ,  -32. ,   -5. ,    0.9],       [ -40. ,  -55. ,    1. ,    0.6],       [ -14. ,  -64. ,   -3. ,    1.3],       [  16. ,  -69. ,   -2. ,    0.8],       [  43. ,  -49. ,    3. ,    0.8],       [  63. ,  -26. ,    1. ,    0.8],       [  79. ,   -3. ,   -2. ,    1.3],       [  69. ,   34. ,    0. ,    0.8],       [  49. ,   58. ,    4. ,    1.1],       [  16. ,   71. ,   -2. ,    1.3],       [ -19. ,   74. ,   -5. ,    1.3],       [ -52. ,   56. ,    2. ,    1. ],       [ -66. ,   28. ,    0. ,    1.4],       [ -76. ,   -2. ,    0. ,    1.4],       [ -67. ,  -31. ,   -1. ,    1.4],       [ -47. ,  -55. ,   -5. ,    1.3],       [ -15. ,  -76. ,    0. ,    1.5],       [  16. ,  -72. ,    0. ,    0.8],       [  45. ,  -61. ,    1. ,    1. ],       [  67. ,  -30. ,    2. ,    0.5],       [  85. ,   -5. ,    4. ,    1.4],       [  77. ,   33. ,    1. ,    0.7],       [  51. ,   67. ,    2. ,    0.6],       [  20. ,   82. ,   -5. ,    1.4],       [ -20. ,   78. ,   -4. ,    0.9],       [ -53. ,   67. ,   -3. ,    0.8],       [ -72. ,   35. ,   -2. ,    0.8],       [ -86. ,   -5. ,    3. ,    0.9],       [ -70. ,  -33. ,    4. ,    0.6],       [ -47. ,  -60. ,    3. ,    0.7],       [ -20. ,  -81. ,    3. ,    1.4],       [  19. ,  -80. ,   -5. ,    1.2],       [  55. ,  -61. ,   -2. ,    1.2],       [  71. ,  -31. ,   -3. ,    1.3],       [  90. ,    3. ,   -4. ,    1. ],       [  81. ,   35. ,   -2. ,    0.5],       [  57. ,   64. ,    0. ,    1.1],       [  21. ,   81. ,    2. ,    0.9],       [ -22. ,   86. ,   -3. ,    0.6],       [ -51. ,   71. ,   -1. ,    1.5],       [ -80. ,   40. ,   -5. ,    1. ],       [ -93. ,   -5. ,    0. ,    1.1],       [ -81. ,  -43. ,    4. ,    0.9],       [ -56. ,  -73. ,    1. ,    0.7],       [ -16. ,  -85. ,    2. ,    0.8],       [  23. ,  -88. ,    2. ,    0.7],       [  55. ,  -67. ,   -2. ,    0.7],       [  77. ,  -39. ,    4. ,    1.5],       [  92. ,   -5. ,    0. ,    0.7],       [  83. ,   40. ,   -1. ,    1.1],       [  56. ,   72. ,   -1. ,    0.6],       [  19. ,   91. ,    1. ,    0.5],       [ -18. ,   93. ,    3. ,    1.1],       [ -56. ,   71. ,    2. ,    0.8],       [ -87. ,   38. ,   -4. ,    1.4],       [ -96. ,   -3. ,    2. ,    0.5],       [ -87. ,  -39. ,   -5. ,    1.3],       [ -60. ,  -71. ,    2. ,    0.7],       [ -23. ,  -90. ,    4. ,    0.9],       [  19. ,  -88. ,    4. ,    1.4],       [  57. ,  -71. ,   -2. ,    1.3],       [  84. ,  -44. ,    1. ,    0.7],       [ 103. ,   -2. ,    4. ,    0.8],       [  87. ,   43. ,    3. ,    1.4],       [  61. ,   79. ,    0. ,    0.9],       [  26. ,   97. ,   -1. ,    1. ],       [ -26. ,   94. ,   -2. ,    1.4],       [ -60. ,   80. ,   -1. ,    0.7],       [ -95. ,   39. ,   -5. ,    1.3],       [-101. ,    4. ,   -4. ,    1. ],       [ -90. ,  -49. ,    1. ,    0.9],       [ -61. ,  -80. ,    2. ,    1.1],       [ -26. ,  -97. ,   -2. ,    1.2],       [  23. ,  -96. ,   -3. ,    1.4],       [  61. ,  -76. ,    0. ,    0.8],       [  87. ,  -46. ,   -2. ,    1.3],       [  52. ,    3. ,    1. ,    1.3],       [  42. ,   26. ,    5. ,    0.8],       [  33. ,   43. ,    4. ,    1. ],       [  11. ,   52. ,    8. ,    1.2],       [ -15. ,   47. ,    4. ,    0.6],       [ -29. ,   38. ,    1. ,    1.5],       [ -45. ,   24. ,    2. ,    1.3],       [ -51. ,   -4. ,    6. ,    0.6],       [ -45. ,  -22. ,    1. ,    0.8],       [ -27. ,  -35. ,    2. ,    1.2],       [ -14. ,  -54. ,    7. ,    0.5],       [   8. ,  -48. ,    3. ,    1.4],       [  30. ,  -41. ,    2. ,    1.4],       [  45. ,  -24. ,    8. ,    0.5],       [  56. ,    0. ,    5. ,    0.9],       [  52. ,   22. ,    7. ,    0.8],       [  30. ,   44. ,    4. ,    0.8],       [  13. ,   57. ,    0. ,    0.9],       [ -16. ,   52. ,    4. ,    0.5],       [ -34. ,   44. ,    8. ,    0.7],       [ -53. ,   24. ,    2. ,    0.6],       [ -59. ,   -3. ,    6. ,    0.8],       [ -52. ,  -26. ,    6. ,    0.7],       [ -34. ,  -44. ,    6. ,    1.1],       [ -14. ,  -52. ,    5. ,    1.2],       [  13. ,  -52. ,    2. ,    1.4],       [  32. ,  -46. ,    2. ,    0.5],       [  48. ,  -28. ,    7. ,    1. ],       [  61. ,   -2. ,    5. ,    0.9],       [  52. ,   29. ,    5. ,    1.3],       [  42. ,   45. ,    7. ,    0.8],       [  11. ,   56. ,    3. ,    1.4],       [ -10. ,   62. ,    4. ,    1. ],       [ -40. ,   45. ,    8. ,    1.2],       [ -61. ,   25. ,    8. ,    1.3],       [ -66. ,    2. ,    5. ,    0.6],       [ -54. ,  -28. ,    1. ,    1.3],       [ -40. ,  -50. ,    4. ,    1.2],       [ -15. ,  -58. ,    2. ,    1.4],       [   9. ,  -61. ,    3. ,    1.5],       [  38. ,  -52. ,    9. ,    0.6],       [  57. ,  -27. ,    7. ,    0.8],       [  67. ,    3. ,    3. ,    0.7],       [  63. ,   28. ,    7. ,    0.8],       [  38. ,   58. ,    6. ,    1.4],       [  20. ,   64. ,    5. ,    1.3],       [ -20. ,   70. ,    5. ,    1.1],       [ -43. ,   53. ,    6. ,    1.1],       [ -67. ,   27. ,    3. ,    1.3],       [ -69. ,    2. ,    3. ,    1. ],       [ -62. ,  -31. ,    4. ,    0.6],       [ -47. ,  -57. ,    6. ,    1.4],       [ -12. ,  -71. ,    9. ,    1.1],       [  18. ,  -64. ,    2. ,    0.7],       [  38. ,  -52. ,    4. ,    0.8],       [  66. ,  -31. ,    4. ,    1.2],       [  71. ,    4. ,    2. ,    0.9],       [  65. ,   28. ,    9. ,    0.8],       [  49. ,   58. ,    8. ,    1.1],       [  15. ,   69. ,    3. ,    0.6],       [ -16. ,   77. ,    8. ,    0.8],       [ -45. ,   59. ,    8. ,    0.6],       [ -67. ,   32. ,    5. ,    0.6],       [ -74. ,   -3. ,    0. ,    0.6],       [ -68. ,  -30. ,    5. ,    1.3],       [ -43. ,  -61. ,    9. ,    0.9],       [ -20. ,  -77. ,    4. ,    0.9],       [  20. ,  -72. ,    6. ,    0.9],       [  48. ,  -61. ,    7. ,    1. ],       [  65. ,  -37. ,    8. ,    0.6],       [  83. ,    0. ,    5. ,    1.2],       [  69. ,   39. ,    3. ,    1.3],       [  55. ,   59. ,    7. ,    1. ],       [  14. ,   77. ,    9. ,    0.9],       [ -15. ,   78. ,    0. ,    1.3],       [ -50. ,   60. ,    3. ,    1.1],       [ -71. ,   37. ,    9. ,    1.4],       [ -82. ,   -3. ,    4. ,    0.5],       [ -71. ,  -35. ,    6. ,    1.5],       [ -50. ,  -66. ,    6. ,    0.9],       [ -15. ,  -76. ,    9. ,    1.3],       [  20. ,  -76. ,    7. ,    1.4],       [  46. ,  -67. ,    6. ,    1.1],       [  76. ,  -36. ,    1. ,    1.4],       [  86. ,    4. ,    5. ,    1.3],       [  74. ,   34. ,    9. ,    1.5],       [  51. ,   72. ,    6. ,    0.7],       [  23. ,   86. ,    9. ,    1.4],       [ -20. ,   90. ,    1. ,    1. ],       [ -54. ,   71. ,    9. ,    1.1],       [ -84. ,   37. ,    5. ,    1.1],       [ -85. ,   -2. ,    9. ,    1. ],       [ -76. ,  -34. ,    0. ,    0.8],       [ -54. ,  -65. ,    6. ,    1.4],       [ -19. ,  -83. ,    8. ,    0.5],       [  24. ,  -88. ,    2. ,    1.4],       [  51. ,  -69. ,    6. ,    1.2],       [  77. ,  -35. ,    9. ,    1. ],       [  93. ,    1. ,    0. ,    1.3],       [  87. ,   44. ,    7. ,    0.6],       [  60. ,   77. ,    4. ,    1.2],       [  19. ,   95. ,    5. ,    1.3],       [ -21. ,   89. ,    9. ,    1.5],       [ -57. ,   71. ,    8. ,    1.3],       [ -83. ,   43. ,    8. ,    0.8],       [ -94. ,    4. ,    3. ,    1.3],       [ -88. ,  -43. ,    3. ,    1.3],       [ -64. ,  -77. ,    1. ,    1.1],       [ -25. ,  -96. ,    6. ,    1.2],       [  25. ,  -97. ,    2. ,    0.5],       [  61. ,  -69. ,    1. ,    1. ],       [  80. ,  -44. ,    8. ,    1.5],       [  96. ,   -3. ,    0. ,    1.1],       [  86. ,   46. ,    0. ,    0.8],       [  58. ,   77. ,    6. ,    0.6],       [  20. ,   95. ,    8. ,    1.3],       [ -19. ,   93. ,    1. ,    0.5],       [ -61. ,   78. ,    2. ,    1.2],       [ -94. ,   43. ,    7. ,    0.6],       [-101. ,    3. ,    8. ,    1.5],       [ -89. ,  -40. ,    1. ,    0.6],       [ -61. ,  -80. ,    3. ,    1.2],       [ -26. , -102. ,    3. ,    1.3],       [  21. ,  -99. ,    5. ,    0.6],       [  63. ,  -76. ,    3. ,    1.2],       [  86. ,  -40. ,    1. ,    1.5],       [  54. ,   -2. ,    9. ,    1.3],       [  45. ,   18. ,   10. ,    1.3],       [  27. ,   34. ,   11. ,    1.1],       [   6. ,   47. ,   10. ,    1.3],       [ -14. ,   44. ,    8. ,    1.4],       [ -28. ,   39. ,   14. ,    1.1],       [ -43. ,   22. ,   13. ,    1.3],       [ -52. ,    2. ,   11. ,    1.2],       [ -50. ,  -18. ,   12. ,    0.7],       [ -37. ,  -36. ,    7. ,    1.2],       [ -14. ,  -51. ,   10. ,    0.6],       [   9. ,  -50. ,    5. ,    0.5],       [  28. ,  -37. ,   11. ,    1.4],       [  43. ,  -23. ,    6. ,    0.5],       [  60. ,    2. ,   13. ,    1. ],       [  54. ,   19. ,   14. ,    0.9],       [  32. ,   40. ,   10. ,    1.2],       [   8. ,   59. ,   13. ,    0.6],       [ -16. ,   50. ,   13. ,    1. ],       [ -37. ,   46. ,    5. ,    0.6],       [ -52. ,   22. ,    9. ,    0.6],       [ -59. ,   -5. ,    7. ,    0.5],       [ -48. ,  -24. ,    7. ,    1.2],       [ -34. ,  -47. ,    8. ,    0.9],       [ -14. ,  -59. ,   10. ,    1. ],       [   7. ,  -57. ,    6. ,    1.4],       [  34. ,  -40. ,   12. ,    1.4],       [  48. ,  -24. ,   14. ,    0.6],       [  62. ,   -1. ,    8. ,    0.9],       [  53. ,   31. ,   10. ,    0.5],       [  39. ,   51. ,    7. ,    1.4],       [  11. ,   65. ,    9. ,    1. ],       [ -15. ,   60. ,    8. ,    1.2],       [ -39. ,   49. ,   10. ,    1.2],       [ -53. ,   27. ,    9. ,    0.8],       [ -65. ,    4. ,   10. ,    1.3],       [ -61. ,  -24. ,   10. ,    0.7],       [ -40. ,  -53. ,   11. ,    1.1],       [ -18. ,  -60. ,    8. ,    0.5],       [  10. ,  -60. ,    8. ,    0.8],       [  38. ,  -46. ,   11. ,    1.2],       [  55. ,  -29. ,   12. ,    1. ],       [  67. ,    0. ,   13. ,    1.2],       [  60. ,   33. ,    6. ,    1.3],       [  42. ,   54. ,   13. ,    1. ],       [  11. ,   67. ,   14. ,    1. ],       [ -11. ,   63. ,    6. ,    1. ],       [ -43. ,   51. ,   14. ,    0.6],       [ -64. ,   29. ,    9. ,    0.9],       [ -68. ,    0. ,    7. ,    0.7],       [ -64. ,  -34. ,   11. ,    1.1],       [ -40. ,  -52. ,   12. ,    0.8],       [ -20. ,  -68. ,    7. ,    0.6],       [  11. ,  -66. ,   13. ,    1.5],       [  39. ,  -54. ,    6. ,    0.9],       [  58. ,  -35. ,   12. ,    0.9],       [  72. ,   -5. ,    5. ,    0.5],       [  68. ,   30. ,   13. ,    1.3],       [  45. ,   58. ,    7. ,    0.9],       [  13. ,   75. ,    5. ,    1. ],       [ -18. ,   75. ,   12. ,    1.2],       [ -47. ,   57. ,   10. ,    0.9],       [ -72. ,   28. ,   14. ,    0.9],       [ -73. ,   -4. ,    8. ,    0.7],       [ -71. ,  -35. ,    5. ,    1.3],       [ -43. ,  -60. ,    6. ,    1.4],       [ -21. ,  -73. ,    9. ,    0.7],       [  15. ,  -70. ,    5. ,    1.5],       [  49. ,  -55. ,    7. ,    1.4],       [  64. ,  -29. ,    6. ,    0.6],       [  85. ,   -4. ,   10. ,    0.7],       [  68. ,   33. ,    7. ,    0.7],       [  51. ,   65. ,   11. ,    1.2],       [  18. ,   79. ,   13. ,    1.4],       [ -19. ,   82. ,    8. ,    0.6],       [ -51. ,   60. ,    9. ,    0.8],       [ -69. ,   35. ,    8. ,    0.8],       [ -83. ,    2. ,   13. ,    0.6],       [ -77. ,  -38. ,    8. ,    1.2],       [ -56. ,  -65. ,   14. ,    0.9],       [ -18. ,  -79. ,   11. ,    1.5],       [  22. ,  -78. ,   10. ,    1.2],       [  52. ,  -65. ,   14. ,    1.1],       [  75. ,  -38. ,    9. ,    1.3],       [  89. ,    3. ,   10. ,    0.9],       [  74. ,   37. ,   12. ,    0.9],       [  55. ,   72. ,    5. ,    0.7],       [  23. ,   80. ,    8. ,    0.7],       [ -16. ,   84. ,   10. ,    0.7],       [ -59. ,   67. ,    8. ,    1.5],       [ -81. ,   40. ,   10. ,    0.6],       [ -87. ,    1. ,    6. ,    1.5],       [ -81. ,  -34. ,    6. ,    1.3],       [ -52. ,  -70. ,   14. ,    1. ],       [ -16. ,  -88. ,   13. ,    1.1],       [  14. ,  -86. ,   12. ,    0.7],       [  50. ,  -68. ,   14. ,    0.7],       [  75. ,  -35. ,   11. ,    0.6],       [  90. ,   -4. ,   14. ,    0.9],       [  81. ,   37. ,    8. ,    1.2],       [  60. ,   76. ,   12. ,    0.9],       [  16. ,   88. ,   14. ,    1.4],       [ -24. ,   91. ,    6. ,    0.6],       [ -57. ,   72. ,    5. ,    1.3],       [ -81. ,   37. ,    6. ,    1.3],       [ -93. ,   -2. ,    5. ,    0.5],       [ -87. ,  -45. ,    5. ,    1.4],       [ -59. ,  -74. ,    8. ,    1.2],       [ -18. ,  -88. ,    7. ,    0.5],       [  18. ,  -93. ,    9. ,    0.6],       [  57. ,  -73. ,    5. ,    1.4],       [  86. ,  -41. ,    6. ,    1. ],       [  95. ,   -4. ,   13. ,    0.8],       [  89. ,   44. ,    9. ,    0.7],       [  63. ,   81. ,    9. ,    0.5],       [  23. ,   97. ,   13. ,    1.5],       [ -24. ,   93. ,    8. ,    1.5],       [ -65. ,   79. ,    7. ,    0.9],       [ -93. ,   40. ,    8. ,    0.8],       [ -97. ,    2. ,    5. ,    1. ],       [ -91. ,  -48. ,   10. ,    0.6],       [ -67. ,  -83. ,   11. ,    1.2],       [ -21. ,  -99. ,    7. ,    0.9],       [  22. ,  -97. ,   11. ,    1.1],       [  60. ,  -80. ,   14. ,    1.1],       [  86. ,  -41. ,   13. ,    0.6],       [  50. ,   -2. ,   17. ,    1.3],       [  41. ,   25. ,   11. ,    0.7],       [  35. ,   36. ,   13. ,    0.9],       [  12. ,   53. ,   14. ,    1.3],       [ -12. ,   45. ,   11. ,    1. ],       [ -30. ,   43. ,   10. ,    1.1],       [ -43. ,   17. ,   10. ,    1.3],       [ -49. ,   -4. ,   16. ,    0.7],       [ -49. ,  -22. ,   14. ,    0.6],       [ -32. ,  -35. ,   18. ,    1.4],       [  -9. ,  -46. ,   18. ,    0.6],       [  13. ,  -46. ,   11. ,    0.8],       [  32. ,  -37. ,   15. ,    1.5],       [  44. ,  -18. ,   15. ,    0.7],       [  54. ,    0. ,   13. ,    0.8],       [  53. ,   26. ,   18. ,    1.1],       [  32. ,   43. ,   14. ,    0.5],       [  12. ,   59. ,   19. ,    0.5],       [ -18. ,   52. ,   16. ,    0.6],       [ -35. ,   48. ,   14. ,    0.6],       [ -54. ,   20. ,   14. ,    1. ],       [ -53. ,   -5. ,   11. ,    1.2],       [ -50. ,  -29. ,   10. ,    0.6],       [ -38. ,  -42. ,   11. ,    1.4],       [ -12. ,  -57. ,   10. ,    0.9],       [  10. ,  -55. ,   14. ,    1.3],       [  35. ,  -45. ,   17. ,    1.4],       [  47. ,  -30. ,   13. ,    0.5],       [  63. ,    2. ,   11. ,    1.5],       [  59. ,   25. ,   14. ,    1.3],       [  35. ,   46. ,   19. ,    1.5],       [  16. ,   60. ,   13. ,    0.6],       [ -12. ,   57. ,   15. ,    1.4],       [ -37. ,   51. ,   13. ,    1.2],       [ -60. ,   22. ,   15. ,    1. ],       [ -65. ,    2. ,   19. ,    0.5],       [ -53. ,  -29. ,   14. ,    1.3],       [ -42. ,  -54. ,   13. ,    0.5],       [ -12. ,  -60. ,   18. ,    0.8],       [  17. ,  -57. ,   11. ,    1.3],       [  34. ,  -48. ,   11. ,    1.1],       [  56. ,  -30. ,   19. ,    1.4],       [  65. ,    4. ,   10. ,    1.3],       [  60. ,   30. ,   13. ,    0.7],       [  38. ,   57. ,   10. ,    1.2],       [  11. ,   69. ,   13. ,    1. ],       [ -17. ,   65. ,   10. ,    0.7],       [ -46. ,   55. ,   11. ,    1.1],       [ -59. ,   32. ,   16. ,    0.8],       [ -66. ,   -3. ,   14. ,    1.3],       [ -66. ,  -28. ,   16. ,    1.1],       [ -46. ,  -56. ,   12. ,    0.6],       [ -17. ,  -64. ,   12. ,    1.4],       [  15. ,  -69. ,   14. ,    1. ],       [  45. ,  -50. ,   15. ,    1.1],       [  66. ,  -35. ,   18. ,    1. ],       [  70. ,    3. ,   17. ,    0.6],       [  65. ,   33. ,   10. ,    1. ],       [  48. ,   60. ,   19. ,    0.7],       [  13. ,   77. ,   14. ,    0.6],       [ -22. ,   75. ,   15. ,    0.9],       [ -49. ,   55. ,   11. ,    0.6],       [ -70. ,   33. ,   17. ,    1.1],       [ -77. ,    4. ,   13. ,    0.9],       [ -73. ,  -32. ,   12. ,    0.9],       [ -49. ,  -56. ,   17. ,    1.5],       [ -15. ,  -72. ,   13. ,    0.7],       [  18. ,  -75. ,   11. ,    0.9],       [  48. ,  -60. ,   15. ,    1.2],       [  69. ,  -29. ,   16. ,    0.5],       [  82. ,    4. ,   12. ,    1.5],       [  73. ,   31. ,   10. ,    0.9],       [  50. ,   62. ,   15. ,    0.9],       [  15. ,   77. ,   19. ,    0.9],       [ -23. ,   80. ,   17. ,    1. ],       [ -51. ,   68. ,   12. ,    0.5],       [ -75. ,   31. ,   16. ,    1.4],       [ -83. ,    0. ,   14. ,    0.5],       [ -71. ,  -39. ,   10. ,    1.2],       [ -52. ,  -61. ,   10. ,    0.8],       [ -21. ,  -77. ,   10. ,    1. ],       [  15. ,  -81. ,   17. ,    1.5],       [  52. ,  -64. ,   19. ,    1.4],       [  76. ,  -39. ,   10. ,    1.3],       [  89. ,    0. ,   14. ,    1.5],       [  83. ,   33. ,   12. ,    1.1],       [  55. ,   69. ,   15. ,    0.6],       [  20. ,   82. ,   11. ,    1.3],       [ -18. ,   86. ,   11. ,    1. ],       [ -59. ,   71. ,   13. ,    1. ],       [ -75. ,   39. ,   19. ,    1.3],       [ -88. ,   -5. ,   10. ,    1.2],       [ -81. ,  -34. ,   15. ,    1. ],       [ -57. ,  -69. ,   18. ,    1. ],       [ -22. ,  -86. ,   16. ,    0.9],       [  23. ,  -88. ,   16. ,    1.4],       [  51. ,  -73. ,   17. ,    0.5],       [  83. ,  -39. ,   11. ,    0.8],       [  94. ,    2. ,   12. ,    1.5],       [  85. ,   43. ,   19. ,    1.1],       [  62. ,   74. ,   12. ,    0.8],       [  16. ,   92. ,   17. ,    1.2],       [ -26. ,   93. ,   16. ,    0.8],       [ -63. ,   68. ,   17. ,    1.3],       [ -90. ,   44. ,   10. ,    1.1],       [ -98. ,    4. ,   15. ,    0.9],       [ -80. ,  -41. ,   14. ,    1.3],       [ -55. ,  -73. ,   16. ,    1.1],       [ -19. ,  -92. ,   18. ,    0.5],       [  24. ,  -87. ,   10. ,    1.4],       [  58. ,  -75. ,   15. ,    1. ],       [  81. ,  -36. ,   19. ,    1.1],       [ 100. ,   -4. ,   11. ,    0.8],       [  91. ,   39. ,   19. ,    0.6],       [  58. ,   77. ,   11. ,    0.9],       [  22. ,   96. ,   12. ,    1. ],       [ -21. ,  101. ,   14. ,    1.2],       [ -60. ,   73. ,   10. ,    1.3],       [ -94. ,   46. ,   18. ,    1. ],       [ -98. ,   -3. ,   11. ,    1.1],       [ -88. ,  -42. ,   12. ,    1.1],       [ -62. ,  -74. ,   18. ,    0.6],       [ -20. ,  -95. ,   13. ,    1.4],       [  22. ,  -94. ,   12. ,    0.7],       [  65. ,  -76. ,   14. ,    1.1],       [  92. ,  -40. ,   18. ,    0.6],       [  53. ,    0. ,   22. ,    1.2],       [  42. ,   26. ,   16. ,    1. ],       [  31. ,   42. ,   23. ,    1. ],       [  14. ,   46. ,   19. ,    0.7],       [ -10. ,   52. ,   22. ,    1.2],       [ -28. ,   36. ,   19. ,    0.9],       [ -48. ,   20. ,   21. ,    1.5],       [ -50. ,   -1. ,   18. ,    0.6],       [ -43. ,  -17. ,   18. ,    0.6],       [ -33. ,  -37. ,   17. ,    0.5],       [  -7. ,  -48. ,   20. ,    0.6],       [   8. ,  -52. ,   22. ,    0.6],       [  31. ,  -35. ,   21. ,    0.7],       [  40. ,  -19. ,   21. ,    1.4],       [  54. ,    0. ,   15. ,    1.5],       [  55. ,   22. ,   23. ,    0.7],       [  31. ,   45. ,   24. ,    1.3],       [  10. ,   58. ,   20. ,    1.3],       [ -13. ,   53. ,   19. ,    1. ],       [ -37. ,   40. ,   21. ,    0.6],       [ -50. ,   25. ,   19. ,    1.4],       [ -56. ,   -4. ,   24. ,    1. ],       [ -56. ,  -25. ,   17. ,    1. ],       [ -36. ,  -47. ,   17. ,    1.5],       [  -9. ,  -55. ,   22. ,    1.2],       [  13. ,  -60. ,   23. ,    1.5],       [  31. ,  -40. ,   19. ,    0.7],       [  50. ,  -27. ,   24. ,    0.8],       [  62. ,   -2. ,   19. ,    1. ],       [  58. ,   28. ,   17. ,    1.2],       [  36. ,   49. ,   22. ,    0.7],       [  14. ,   57. ,   23. ,    0.6],       [ -14. ,   59. ,   15. ,    1.5],       [ -38. ,   49. ,   24. ,    0.6],       [ -53. ,   25. ,   21. ,    0.9],       [ -64. ,   -5. ,   16. ,    0.8],       [ -58. ,  -23. ,   18. ,    0.6],       [ -44. ,  -54. ,   17. ,    0.7],       [ -13. ,  -65. ,   20. ,    1.3],       [  10. ,  -57. ,   18. ,    1.1],       [  42. ,  -53. ,   21. ,    1. ],       [  52. ,  -30. ,   23. ,    1.1],       [  68. ,   -2. ,   17. ,    0.5],       [  57. ,   26. ,   17. ,    0.8],       [  43. ,   58. ,   18. ,    0.6],       [  11. ,   62. ,   23. ,    0.7],       [ -16. ,   66. ,   24. ,    0.8],       [ -44. ,   48. ,   24. ,    0.8],       [ -60. ,   27. ,   21. ,    1.4],       [ -67. ,    0. ,   18. ,    1.4],       [ -62. ,  -30. ,   19. ,    1.1],       [ -45. ,  -58. ,   20. ,    1. ],       [ -18. ,  -67. ,   18. ,    1. ],       [  13. ,  -69. ,   24. ,    0.7],       [  39. ,  -50. ,   15. ,    1.2],       [  60. ,  -31. ,   24. ,    0.9],       [  70. ,   -5. ,   17. ,    1.3],       [  72. ,   30. ,   16. ,    1.2],       [  49. ,   55. ,   19. ,    0.5],       [  18. ,   70. ,   15. ,    0.8],       [ -13. ,   77. ,   19. ,    0.9],       [ -48. ,   61. ,   15. ,    1.1],       [ -66. ,   29. ,   21. ,    0.7],       [ -79. ,   -4. ,   18. ,    0.6],       [ -67. ,  -30. ,   23. ,    1.4],       [ -47. ,  -60. ,   16. ,    1.4],       [ -19. ,  -77. ,   15. ,    1.4],       [  16. ,  -75. ,   19. ,    1.2],       [  41. ,  -55. ,   18. ,    0.7],       [  66. ,  -37. ,   15. ,    1.2],       [  79. ,   -5. ,   16. ,    1. ],       [  73. ,   30. ,   17. ,    0.9],       [  54. ,   59. ,   15. ,    1. ],       [  17. ,   74. ,   17. ,    0.9],       [ -18. ,   75. ,   22. ,    0.5],       [ -47. ,   66. ,   21. ,    1.5],       [ -75. ,   31. ,   20. ,    0.6],       [ -78. ,   -3. ,   22. ,    1. ],       [ -73. ,  -34. ,   17. ,    0.7],       [ -55. ,  -67. ,   19. ,    1.3],       [ -18. ,  -76. ,   24. ,    1. ],       [  13. ,  -81. ,   22. ,    1.4],       [  46. ,  -67. ,   16. ,    0.7],       [  74. ,  -36. ,   24. ,    1.1],       [  84. ,   -5. ,   20. ,    0.5],       [  81. ,   38. ,   17. ,    0.8],       [  56. ,   70. ,   23. ,    0.5],       [  15. ,   86. ,   18. ,    0.7],       [ -15. ,   85. ,   21. ,    0.8],       [ -56. ,   64. ,   22. ,    1.5],       [ -79. ,   35. ,   24. ,    1.4],       [ -87. ,    2. ,   15. ,    0.9],       [ -82. ,  -42. ,   21. ,    1.2],       [ -54. ,  -70. ,   15. ,    1.5],       [ -21. ,  -85. ,   15. ,    1.1],       [  16. ,  -83. ,   19. ,    0.7],       [  55. ,  -73. ,   17. ,    1.1],       [  78. ,  -36. ,   23. ,    1.3],       [  90. ,   -5. ,   15. ,    0.7],       [  86. ,   40. ,   23. ,    1.5],       [  59. ,   76. ,   19. ,    0.8],       [  24. ,   90. ,   16. ,    1.3],       [ -17. ,   87. ,   15. ,    1.2],       [ -62. ,   74. ,   16. ,    0.8],       [ -84. ,   42. ,   24. ,    0.9],       [ -96. ,   -1. ,   22. ,    1.5],       [ -89. ,  -44. ,   19. ,    0.6],       [ -58. ,  -76. ,   18. ,    1.2],       [ -23. ,  -96. ,   19. ,    0.9],       [  19. ,  -87. ,   24. ,    0.7],       [  55. ,  -78. ,   19. ,    1.1],       [  81. ,  -38. ,   18. ,    1. ],       [  95. ,   -2. ,   20. ,    1.2],       [  93. ,   40. ,   16. ,    1.3],       [  59. ,   75. ,   24. ,    0.6],       [  26. ,   99. ,   16. ,    0.8],       [ -19. ,   98. ,   15. ,    0.8],       [ -63. ,   83. ,   17. ,    1.5],       [ -91. ,   40. ,   23. ,    1.3],       [ -99. ,    0. ,   19. ,    0.6],       [ -92. ,  -41. ,   22. ,    0.7],       [ -65. ,  -79. ,   16. ,    0.9],       [ -20. , -101. ,   20. ,    0.9],       [  20. ,  -96. ,   18. ,    0.5],       [  57. ,  -83. ,   22. ,    0.9],       [  87. ,  -46. ,   20. ,    1.1],       [  54. ,    1. ,   20. ,    1.2],       [  44. ,   25. ,   29. ,    1.1],       [  31. ,   37. ,   23. ,    1.4],       [  13. ,   47. ,   26. ,    1.4],       [ -14. ,   46. ,   24. ,    1.2],       [ -36. ,   40. ,   23. ,    0.9],       [ -49. ,   17. ,   25. ,    1.4],       [ -48. ,    2. ,   29. ,    0.9],       [ -42. ,  -26. ,   20. ,    1.1],       [ -32. ,  -43. ,   28. ,    1. ],       [ -12. ,  -45. ,   29. ,    1.4],       [  15. ,  -52. ,   26. ,    1.2],       [  26. ,  -35. ,   24. ,    0.9],       [  41. ,  -18. ,   20. ,    1.1],       [  53. ,    4. ,   26. ,    1.4],       [  54. ,   27. ,   28. ,    1.2],       [  31. ,   46. ,   25. ,    0.6],       [   7. ,   58. ,   20. ,    1. ],       [ -15. ,   56. ,   24. ,    0.7],       [ -37. ,   47. ,   25. ,    1.1],       [ -48. ,   29. ,   27. ,    1. ],       [ -59. ,    4. ,   24. ,    1.5],       [ -49. ,  -25. ,   21. ,    1.4],       [ -35. ,  -42. ,   20. ,    0.7],       [ -14. ,  -51. ,   20. ,    0.8],       [  15. ,  -52. ,   28. ,    1.2],       [  37. ,  -40. ,   28. ,    0.5],       [  54. ,  -25. ,   24. ,    1.1],       [  66. ,    4. ,   23. ,    1.3],       [  53. ,   25. ,   25. ,    0.9],       [  37. ,   51. ,   25. ,    0.7],       [  13. ,   62. ,   24. ,    0.8],       [ -15. ,   63. ,   20. ,    1.2],       [ -36. ,   51. ,   28. ,    0.6],       [ -61. ,   24. ,   25. ,    0.7],       [ -60. ,   -3. ,   21. ,    0.8],       [ -55. ,  -31. ,   23. ,    0.5],       [ -40. ,  -47. ,   28. ,    1.4],       [ -16. ,  -59. ,   22. ,    1.1],       [  17. ,  -64. ,   20. ,    0.5],       [  37. ,  -53. ,   28. ,    1. ],       [  60. ,  -31. ,   25. ,    1.4],       [  66. ,    3. ,   21. ,    1.2],       [  64. ,   25. ,   25. ,    0.8],       [  38. ,   52. ,   28. ,    1. ],       [  13. ,   62. ,   28. ,    0.7],       [ -15. ,   62. ,   20. ,    1.4],       [ -40. ,   57. ,   23. ,    1. ],       [ -67. ,   28. ,   26. ,    1.3],       [ -70. ,   -1. ,   27. ,    0.8],       [ -61. ,  -34. ,   25. ,    1.1],       [ -47. ,  -56. ,   24. ,    0.5],       [ -19. ,  -71. ,   20. ,    0.6],       [  11. ,  -68. ,   25. ,    0.5],       [  44. ,  -55. ,   26. ,    1.1],       [  58. ,  -31. ,   25. ,    1.3],       [  70. ,   -4. ,   25. ,    1. ],       [  67. ,   29. ,   24. ,    1.1],       [  50. ,   54. ,   27. ,    0.7],       [  13. ,   70. ,   22. ,    1.5],       [ -13. ,   68. ,   29. ,    0.5],       [ -49. ,   58. ,   21. ,    1.4],       [ -70. ,   31. ,   26. ,    1.2],       [ -78. ,   -1. ,   22. ,    0.8],       [ -65. ,  -37. ,   21. ,    0.7],       [ -44. ,  -61. ,   25. ,    0.7],       [ -20. ,  -75. ,   24. ,    0.7],       [  20. ,  -72. ,   21. ,    1.1],       [  44. ,  -57. ,   27. ,    1.3],       [  71. ,  -33. ,   20. ,    1. ],       [  85. ,   -2. ,   22. ,    1.1],       [  76. ,   31. ,   28. ,    1.4],       [  45. ,   64. ,   28. ,    0.6],       [  17. ,   79. ,   24. ,    1. ],       [ -19. ,   80. ,   24. ,    1.2],       [ -56. ,   60. ,   22. ,    1.3],       [ -75. ,   39. ,   26. ,    0.6],       [ -86. ,   -3. ,   24. ,    1. ],       [ -79. ,  -36. ,   21. ,    0.9],       [ -48. ,  -66. ,   26. ,    0.9],       [ -16. ,  -77. ,   28. ,    0.8],       [  22. ,  -83. ,   27. ,    0.5],       [  49. ,  -61. ,   24. ,    1.5],       [  74. ,  -41. ,   20. ,    1.1],       [  89. ,   -5. ,   27. ,    0.8],       [  81. ,   34. ,   29. ,    0.6],       [  53. ,   73. ,   28. ,    1.3],       [  24. ,   82. ,   26. ,    0.7],       [ -21. ,   83. ,   29. ,    1. ],       [ -52. ,   67. ,   27. ,    0.6],       [ -79. ,   40. ,   20. ,    1.1],       [ -91. ,   -1. ,   29. ,    1.4],       [ -82. ,  -40. ,   26. ,    0.9],       [ -56. ,  -71. ,   22. ,    1.2],       [ -17. ,  -89. ,   28. ,    0.9],       [  16. ,  -87. ,   26. ,    1.1],       [  54. ,  -69. ,   22. ,    0.9],       [  76. ,  -43. ,   27. ,    0.7],       [  97. ,   -1. ,   27. ,    0.9],       [  89. ,   45. ,   25. ,    0.8],       [  59. ,   78. ,   22. ,    1.4],       [  24. ,   90. ,   22. ,    1.5],       [ -25. ,   91. ,   20. ,    1.4],       [ -58. ,   76. ,   25. ,    1.1],       [ -83. ,   37. ,   29. ,    1.4],       [ -97. ,   -4. ,   26. ,    0.6],       [ -80. ,  -42. ,   22. ,    1.2],       [ -55. ,  -72. ,   25. ,    1.1],       [ -25. ,  -96. ,   24. ,    1.4],       [  18. ,  -87. ,   23. ,    0.6],       [  54. ,  -70. ,   29. ,    1. ],       [  85. ,  -40. ,   26. ,    1.5],       [  98. ,   -1. ,   27. ,    1.5],       [  92. ,   38. ,   24. ,    0.7],       [  57. ,   74. ,   29. ,    0.8],       [  17. ,   99. ,   22. ,    1.2],       [ -24. ,   96. ,   24. ,    1.3],       [ -58. ,   81. ,   22. ,    0.8],       [ -94. ,   47. ,   26. ,    1.4],       [-103. ,   -4. ,   23. ,    1. ],       [ -87. ,  -48. ,   20. ,    1.4],       [ -62. ,  -76. ,   22. ,    0.6],       [ -22. , -101. ,   21. ,    0.7],       [  21. ,  -93. ,   28. ,    1.3],       [  61. ,  -79. ,   22. ,    1.5],       [  88. ,  -45. ,   29. ,    0.8],       [  51. ,    1. ,   33. ,    1.4],       [  41. ,   17. ,   29. ,    0.7],       [  34. ,   40. ,   34. ,    1.4],       [  11. ,   47. ,   33. ,    0.6],       [  -9. ,   46. ,   28. ,    1.1],       [ -33. ,   41. ,   32. ,    1.3],       [ -48. ,   19. ,   25. ,    0.9],       [ -55. ,    2. ,   25. ,    0.7],       [ -46. ,  -22. ,   27. ,    0.9],       [ -33. ,  -44. ,   31. ,    0.6],       [  -9. ,  -46. ,   33. ,    0.8],       [   7. ,  -47. ,   33. ,    1.1],       [  29. ,  -35. ,   34. ,    1.5],       [  48. ,  -24. ,   27. ,    0.6],       [  53. ,    1. ,   26. ,    1.4],       [  52. ,   22. ,   27. ,    1.1],       [  37. ,   40. ,   30. ,    1.2],       [  15. ,   51. ,   28. ,    1.5],       [ -10. ,   52. ,   30. ,    1.4],       [ -34. ,   40. ,   31. ,    1.1],       [ -54. ,   27. ,   30. ,    1.2],       [ -54. ,    3. ,   26. ,    1.2],       [ -55. ,  -29. ,   33. ,    0.6],       [ -38. ,  -42. ,   31. ,    1.4],       [ -15. ,  -55. ,   27. ,    1.3],       [  12. ,  -58. ,   33. ,    1. ],       [  33. ,  -40. ,   33. ,    1. ],       [  47. ,  -24. ,   34. ,    0.9],       [  64. ,    1. ,   27. ,    0.9],       [  61. ,   23. ,   29. ,    1.2],       [  41. ,   49. ,   28. ,    0.8],       [  10. ,   58. ,   32. ,    1.1],       [ -18. ,   58. ,   31. ,    1. ],       [ -44. ,   46. ,   33. ,    0.7],       [ -53. ,   31. ,   28. ,    0.8],       [ -62. ,   -3. ,   25. ,    1.5],       [ -62. ,  -23. ,   32. ,    1.2],       [ -43. ,  -48. ,   29. ,    1.1],       [  -9. ,  -59. ,   34. ,    0.6],       [  12. ,  -66. ,   31. ,    0.8],       [  36. ,  -50. ,   32. ,    0.6],       [  53. ,  -26. ,   33. ,    0.6],       [  69. ,    1. ,   29. ,    1.2],       [  59. ,   31. ,   31. ,    0.6],       [  43. ,   55. ,   31. ,    0.9],       [  15. ,   70. ,   27. ,    1.4],       [ -11. ,   67. ,   29. ,    1.5],       [ -42. ,   53. ,   33. ,    0.9],       [ -64. ,   27. ,   26. ,    1.3],       [ -65. ,   -2. ,   30. ,    0.7],       [ -60. ,  -28. ,   26. ,    0.6],       [ -39. ,  -55. ,   26. ,    1.3],       [ -13. ,  -68. ,   29. ,    0.6],       [  12. ,  -68. ,   28. ,    0.7],       [  43. ,  -55. ,   25. ,    0.8],       [  64. ,  -27. ,   27. ,    0.8],       [  76. ,   -4. ,   34. ,    1. ],       [  70. ,   32. ,   33. ,    0.6],       [  47. ,   60. ,   25. ,    0.6],       [  20. ,   75. ,   26. ,    0.7],       [ -21. ,   73. ,   28. ,    1.5],       [ -47. ,   55. ,   29. ,    1.4],       [ -67. ,   28. ,   27. ,    1.2],       [ -76. ,   -1. ,   34. ,    1.5],       [ -71. ,  -31. ,   26. ,    1.1],       [ -49. ,  -63. ,   30. ,    1.3],       [ -18. ,  -77. ,   28. ,    0.7],       [  15. ,  -74. ,   29. ,    1.5],       [  45. ,  -56. ,   28. ,    0.7],       [  70. ,  -36. ,   32. ,    1.1],       [  76. ,    3. ,   32. ,    1.3],       [  74. ,   40. ,   27. ,    0.9],       [  49. ,   61. ,   32. ,    1.4],       [  19. ,   76. ,   34. ,    1.4],       [ -20. ,   76. ,   29. ,    0.8],       [ -47. ,   58. ,   30. ,    1.2],       [ -69. ,   34. ,   32. ,    0.7],       [ -79. ,    0. ,   26. ,    0.6],       [ -69. ,  -37. ,   30. ,    0.9],       [ -49. ,  -64. ,   32. ,    1.2],       [ -16. ,  -77. ,   33. ,    0.6],       [  14. ,  -77. ,   26. ,    1.1],       [  54. ,  -62. ,   28. ,    1. ],       [  71. ,  -38. ,   30. ,    0.7],       [  84. ,    0. ,   26. ,    1. ],       [  78. ,   40. ,   32. ,    1.3],       [  52. ,   70. ,   25. ,    0.6],       [  20. ,   86. ,   28. ,    0.5],       [ -22. ,   85. ,   34. ,    1.4],       [ -51. ,   69. ,   32. ,    1.4],       [ -79. ,   39. ,   31. ,    0.6],       [ -92. ,   -5. ,   30. ,    0.6],       [ -82. ,  -34. ,   28. ,    1.2],       [ -52. ,  -64. ,   26. ,    1.5],       [ -23. ,  -89. ,   29. ,    0.9],       [  15. ,  -85. ,   28. ,    1.2],       [  54. ,  -69. ,   33. ,    1.1],       [  79. ,  -34. ,   31. ,    0.7],       [  95. ,    3. ,   34. ,    1.3],       [  85. ,   41. ,   27. ,    0.7],       [  61. ,   72. ,   25. ,    0.5],       [  16. ,   93. ,   28. ,    0.6],       [ -19. ,   88. ,   28. ,    1.3],       [ -56. ,   72. ,   34. ,    1. ],       [ -81. ,   37. ,   28. ,    0.9],       [ -91. ,    0. ,   31. ,    1.4],       [ -85. ,  -44. ,   26. ,    1. ],       [ -60. ,  -69. ,   32. ,    1.1],       [ -26. ,  -93. ,   28. ,    1. ],       [  21. ,  -87. ,   25. ,    0.8],       [  55. ,  -77. ,   34. ,    0.8],       [  79. ,  -46. ,   30. ,    1.3],       [  99. ,    0. ,   26. ,    0.9],       [  85. ,   41. ,   33. ,    0.9],       [  61. ,   76. ,   27. ,    1. ],       [  24. ,   94. ,   32. ,    1.1],       [ -21. ,   99. ,   34. ,    0.9],       [ -62. ,   75. ,   30. ,    0.9],       [ -88. ,   39. ,   25. ,    0.9],       [ -96. ,   -4. ,   28. ,    1.1],       [ -88. ,  -46. ,   29. ,    0.9],       [ -58. ,  -78. ,   25. ,    0.8],       [ -22. ,  -99. ,   32. ,    0.8],       [  20. , -101. ,   33. ,    0.5],       [  64. ,  -78. ,   26. ,    1.4],       [  85. ,  -47. ,   25. ,    1.2],       [  52. ,   -5. ,   31. ,    1. ],       [  45. ,   26. ,   39. ,    0.5],       [  35. ,   35. ,   30. ,    1.3],       [   6. ,   50. ,   36. ,    0.5],       [ -15. ,   51. ,   36. ,    1.3],       [ -27. ,   41. ,   38. ,    1.2],       [ -48. ,   23. ,   35. ,    0.9],       [ -54. ,    4. ,   33. ,    0.6],       [ -43. ,  -21. ,   37. ,    1.2],       [ -27. ,  -44. ,   32. ,    0.9],       [ -13. ,  -48. ,   38. ,    0.9],       [  12. ,  -46. ,   31. ,    1. ],       [  26. ,  -41. ,   37. ,    0.8],       [  47. ,  -24. ,   33. ,    1. ],       [  51. ,    3. ,   38. ,    0.6],       [  47. ,   21. ,   30. ,    1.2],       [  40. ,   40. ,   30. ,    0.6],       [   9. ,   57. ,   35. ,    1. ],       [  -9. ,   51. ,   33. ,    0.8],       [ -36. ,   43. ,   33. ,    0.6],       [ -52. ,   22. ,   39. ,    0.8],       [ -57. ,    2. ,   35. ,    0.7],       [ -52. ,  -23. ,   32. ,    1.3],       [ -40. ,  -41. ,   35. ,    0.6],       [  -9. ,  -56. ,   31. ,    1.4],       [   9. ,  -51. ,   36. ,    1.1],       [  30. ,  -49. ,   31. ,    1.2],       [  50. ,  -29. ,   35. ,    0.9],       [  66. ,    4. ,   33. ,    0.9],       [  56. ,   29. ,   31. ,    1. ],       [  42. ,   46. ,   32. ,    0.8],       [  12. ,   60. ,   39. ,    1. ],       [ -15. ,   56. ,   32. ,    0.5],       [ -39. ,   49. ,   31. ,    0.9],       [ -56. ,   25. ,   33. ,    0.8],       [ -67. ,    2. ,   32. ,    0.8],       [ -61. ,  -23. ,   30. ,    1.4],       [ -37. ,  -51. ,   30. ,    1.5],       [ -12. ,  -63. ,   31. ,    0.8],       [  13. ,  -62. ,   36. ,    1.3],       [  37. ,  -53. ,   32. ,    1.2],       [  52. ,  -24. ,   34. ,    0.8],       [  69. ,    1. ,   33. ,    1. ],       [  64. ,   30. ,   34. ,    1.2],       [  39. ,   49. ,   37. ,    0.8],       [  12. ,   66. ,   39. ,    0.5],       [ -15. ,   66. ,   37. ,    1.2],       [ -46. ,   50. ,   39. ,    1.1],       [ -64. ,   31. ,   35. ,    0.7],       [ -69. ,   -2. ,   37. ,    1.3],       [ -61. ,  -28. ,   38. ,    0.9],       [ -43. ,  -53. ,   33. ,    1.2],       [ -19. ,  -66. ,   35. ,    0.7],       [  11. ,  -67. ,   38. ,    1.3],       [  45. ,  -55. ,   39. ,    1. ],       [  64. ,  -27. ,   36. ,    0.8],       [  70. ,   -3. ,   35. ,    1.1],       [  65. ,   35. ,   31. ,    0.7],       [  48. ,   62. ,   36. ,    1.4],       [  14. ,   74. ,   37. ,    0.5],       [ -15. ,   69. ,   36. ,    1.5],       [ -47. ,   61. ,   31. ,    0.7],       [ -68. ,   36. ,   34. ,    1.1],       [ -74. ,    3. ,   32. ,    1.3],       [ -73. ,  -29. ,   38. ,    1.3],       [ -50. ,  -60. ,   38. ,    0.5],       [ -20. ,  -75. ,   39. ,    1.3],       [  20. ,  -70. ,   34. ,    1.1],       [  48. ,  -61. ,   34. ,    1.2],       [  62. ,  -31. ,   30. ,    1.3],       [  85. ,    4. ,   30. ,    1. ],       [  77. ,   34. ,   30. ,    1.2],       [  52. ,   59. ,   30. ,    1.1],       [  18. ,   82. ,   38. ,    1.5],       [ -18. ,   77. ,   34. ,    1. ],       [ -48. ,   61. ,   36. ,    1.4],       [ -72. ,   37. ,   33. ,    1.5],       [ -86. ,    0. ,   33. ,    1.3],       [ -70. ,  -37. ,   31. ,    1.1],       [ -52. ,  -62. ,   34. ,    1.1],       [ -21. ,  -83. ,   30. ,    1. ],       [  13. ,  -77. ,   33. ,    0.5],       [  49. ,  -65. ,   39. ,    1. ],       [  70. ,  -34. ,   32. ,    0.6],       [  92. ,    0. ,   36. ,    1.3],       [  73. ,   34. ,   34. ,    1.5],       [  50. ,   66. ,   34. ,    0.9],       [  15. ,   81. ,   31. ,    1.1],       [ -22. ,   83. ,   36. ,    0.8],       [ -57. ,   72. ,   31. ,    0.9],       [ -83. ,   33. ,   39. ,    1.3],       [ -85. ,   -3. ,   32. ,    1.4],       [ -82. ,  -35. ,   31. ,    0.8],       [ -58. ,  -70. ,   37. ,    1.4],       [ -22. ,  -85. ,   36. ,    1.4],       [  21. ,  -83. ,   34. ,    0.8],       [  49. ,  -72. ,   33. ,    1.1],       [  75. ,  -43. ,   39. ,    0.8],       [  95. ,   -3. ,   33. ,    0.7],       [  79. ,   45. ,   32. ,    1.2],       [  53. ,   76. ,   36. ,    1. ],       [  18. ,   92. ,   39. ,    1.5],       [ -26. ,   89. ,   39. ,    0.9],       [ -58. ,   75. ,   37. ,    1.5],       [ -85. ,   36. ,   34. ,    1.1],       [ -98. ,   -4. ,   32. ,    1.1],       [ -86. ,  -41. ,   33. ,    0.6],       [ -61. ,  -75. ,   32. ,    0.8],       [ -21. ,  -87. ,   38. ,    1.1],       [  25. ,  -91. ,   37. ,    1.2],       [  62. ,  -76. ,   32. ,    1.3],       [  87. ,  -37. ,   33. ,    0.7],       [  99. ,   -2. ,   34. ,    0.5],       [  90. ,   40. ,   39. ,    1.1],       [  58. ,   83. ,   39. ,    0.7],       [  19. ,  101. ,   30. ,    0.7],       [ -21. ,   92. ,   36. ,    1.4],       [ -61. ,   73. ,   38. ,    1.2],       [ -90. ,   38. ,   34. ,    1.3],       [-102. ,   -5. ,   30. ,    1.1],       [ -94. ,  -39. ,   37. ,    1.2],       [ -64. ,  -78. ,   37. ,    0.6],       [ -19. ,  -96. ,   34. ,    0.6],       [  24. ,  -94. ,   32. ,    1.4],       [  63. ,  -78. ,   30. ,    1. ],       [  94. ,  -49. ,   35. ,    1. ],       [  45. ,    3. ,   40. ,    0.9],       [  40. ,   25. ,   41. ,    0.6],       [  27. ,   37. ,   42. ,    1.1],       [   7. ,   46. ,   35. ,    0.9],       [ -12. ,   48. ,   40. ,    1.2],       [ -29. ,   43. ,   35. ,    1.3],       [ -43. ,   21. ,   35. ,    1.4],       [ -55. ,    2. ,   42. ,    1. ],       [ -49. ,  -21. ,   38. ,    0.6],       [ -32. ,  -40. ,   37. ,    0.6],       [  -8. ,  -48. ,   37. ,    1.4],       [  13. ,  -53. ,   36. ,    1.3],       [  28. ,  -42. ,   44. ,    1.4],       [  44. ,  -26. ,   43. ,    1.3],       [  51. ,    0. ,   35. ,    0.7],       [  55. ,   20. ,   42. ,    1.2],       [  39. ,   45. ,   36. ,    0.6],       [   8. ,   50. ,   36. ,    1.4],       [ -18. ,   54. ,   41. ,    0.8],       [ -37. ,   46. ,   37. ,    0.9],       [ -54. ,   24. ,   36. ,    1.4],       [ -53. ,   -1. ,   38. ,    1.2],       [ -55. ,  -20. ,   40. ,    0.7],       [ -37. ,  -47. ,   44. ,    0.8],       [ -18. ,  -53. ,   44. ,    0.5],       [  13. ,  -58. ,   44. ,    1.4],       [  37. ,  -41. ,   35. ,    1.2],       [  55. ,  -24. ,   41. ,    1. ],       [  63. ,    2. ,   39. ,    1.3],       [  55. ,   27. ,   41. ,    1.4],       [  43. ,   49. ,   43. ,    0.7],       [  14. ,   63. ,   42. ,    1.4],       [ -16. ,   56. ,   39. ,    1.3],       [ -36. ,   49. ,   40. ,    1.4],       [ -57. ,   28. ,   40. ,    0.7],       [ -58. ,    0. ,   44. ,    0.7],       [ -61. ,  -30. ,   41. ,    0.8],       [ -38. ,  -51. ,   39. ,    0.6],       [ -18. ,  -57. ,   39. ,    1. ],       [  12. ,  -61. ,   44. ,    1. ],       [  35. ,  -51. ,   36. ,    1.5],       [  57. ,  -31. ,   39. ,    1.5],       [  73. ,    1. ,   36. ,    1.1],       [  59. ,   27. ,   38. ,    1.2],       [  43. ,   57. ,   41. ,    0.6],       [  19. ,   64. ,   41. ,    0.6],       [ -18. ,   62. ,   36. ,    0.9],       [ -42. ,   53. ,   43. ,    1.2],       [ -59. ,   26. ,   40. ,    0.9],       [ -74. ,    1. ,   35. ,    1.3],       [ -63. ,  -27. ,   41. ,    0.9],       [ -41. ,  -53. ,   41. ,    1.3],       [ -20. ,  -69. ,   35. ,    0.9],       [  17. ,  -70. ,   40. ,    1.1],       [  39. ,  -58. ,   36. ,    0.7],       [  62. ,  -31. ,   39. ,    0.7],       [  72. ,   -5. ,   43. ,    1.2],       [  66. ,   32. ,   39. ,    0.7],       [  43. ,   63. ,   37. ,    1.2],       [  18. ,   76. ,   44. ,    0.6],       [ -14. ,   74. ,   37. ,    0.8],       [ -51. ,   56. ,   39. ,    0.7],       [ -68. ,   34. ,   43. ,    1.2],       [ -74. ,    1. ,   41. ,    1.2],       [ -70. ,  -29. ,   36. ,    0.9],       [ -43. ,  -57. ,   44. ,    0.6],       [ -17. ,  -79. ,   36. ,    0.8],       [  21. ,  -78. ,   37. ,    0.8],       [  50. ,  -61. ,   43. ,    0.9],       [  63. ,  -36. ,   36. ,    0.5],       [  84. ,   -5. ,   37. ,    0.9],       [  70. ,   33. ,   36. ,    0.9],       [  45. ,   61. ,   39. ,    0.8],       [  18. ,   76. ,   37. ,    0.8],       [ -22. ,   80. ,   42. ,    1.5],       [ -47. ,   64. ,   35. ,    0.8],       [ -73. ,   31. ,   39. ,    1.1],       [ -82. ,   -3. ,   41. ,    1. ],       [ -73. ,  -36. ,   40. ,    0.9],       [ -47. ,  -60. ,   38. ,    0.9],       [ -20. ,  -79. ,   44. ,    0.9],       [  16. ,  -82. ,   41. ,    0.8],       [  46. ,  -62. ,   41. ,    0.6],       [  71. ,  -39. ,   41. ,    1. ],       [  87. ,    3. ,   35. ,    1.2],       [  77. ,   36. ,   42. ,    0.9],       [  53. ,   67. ,   36. ,    0.7],       [  19. ,   82. ,   39. ,    1.3],       [ -17. ,   82. ,   35. ,    1. ],       [ -59. ,   68. ,   43. ,    1.2],       [ -77. ,   42. ,   35. ,    1.1],       [ -84. ,   -5. ,   44. ,    0.9],       [ -78. ,  -38. ,   42. ,    0.5],       [ -53. ,  -65. ,   43. ,    0.7],       [ -23. ,  -90. ,   41. ,    1.5],       [  23. ,  -86. ,   40. ,    0.5],       [  51. ,  -66. ,   39. ,    1.3],       [  79. ,  -34. ,   36. ,    0.7],       [  92. ,   -2. ,   38. ,    1. ],       [  80. ,   38. ,   40. ,    1.5],       [  57. ,   72. ,   41. ,    1. ],       [  18. ,   89. ,   43. ,    1.4],       [ -18. ,   88. ,   36. ,    1. ],       [ -60. ,   74. ,   41. ,    1.2],       [ -87. ,   43. ,   38. ,    0.9],       [ -96. ,   -5. ,   39. ,    1.1],       [ -85. ,  -45. ,   43. ,    1.3],       [ -57. ,  -71. ,   39. ,    1. ],       [ -23. ,  -95. ,   39. ,    0.7],       [  20. ,  -90. ,   40. ,    0.6],       [  59. ,  -70. ,   39. ,    1.2],       [  88. ,  -41. ,   38. ,    1.1],       [  99. ,    1. ,   38. ,    0.9],       [  92. ,   47. ,   36. ,    1.2],       [  65. ,   80. ,   35. ,    1.1],       [  18. ,   99. ,   38. ,    1.2],       [ -27. ,   94. ,   37. ,    1.3],       [ -67. ,   74. ,   44. ,    1.2],       [ -93. ,   41. ,   39. ,    1.2],       [-104. ,   -3. ,   43. ,    0.9],       [ -93. ,  -40. ,   39. ,    0.7],       [ -65. ,  -80. ,   43. ,    1.1],       [ -20. , -101. ,   43. ,    1.4],       [  21. , -100. ,   36. ,    1.2],       [  61. ,  -81. ,   42. ,    0.5],       [  91. ,  -44. ,   42. ,    1.3]])
        basis0 = BSplineBasis(6, np.array([ -1.8,  -0.7,   0. ,   0. ,   0. ,   0. ,   1.3,   1.7,   3.3,   3.8,   5.1,   6.4,   6.7,
         7.8,   9.2,  10.3,  11. ,  11. ,  11. ,  11. ,  12.3,  12.7]),1)
        basis1 = BSplineBasis(4, np.array([ 0. ,  0. ,  0. ,  0. ,  1.3,  1.9,  3. ,  4. ,  5.3,  6. ,  6. ,  6. ,  6. ]))
        basis2 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  1.3,  1.9,  3.2,  4. ,  4. ,  4. ,  4. ,  4. ,  4. ]))
        vol  = Volume(basis0, basis1, basis2, controlpoints,True)
        vol2 = vol.rebuild(5, 94)
        u    = np.linspace(vol.start(0), vol.end(0), 7)
        v    = np.linspace(vol.start(1), vol.end(1), 7)
        w    = np.linspace(vol.start(2), vol.end(2), 7)
        pt   = vol(u,v,w)
        pt2  = vol2(u,v,w)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_3D_p5(self):
        controlpoints = np.array([[  4.,  -5.,   3.],
       [  6.,  -2.,  -3.],
       [ 18.,  -1.,  -3.],
       [ 31.,  -2.,  -5.],
       [ 40.,   0.,   0.],
       [ 58.,   2.,  -5.],
       [ 65.,  -1.,  -1.],
       [ 74.,  -5.,  -5.],
       [ 90.,  -3.,   2.],
       [ 97.,   0.,   4.]])
        basis0 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  1.1,  2.3,  3.3,  3.9,  4.8,  6. ,  6. ,  6. ,  6. ,  6. ]))
        crv  = Curve(basis0, controlpoints,False)
        crv2 = crv.rebuild(4, 351)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=3)

    def test_surface_3D_p54(self):
        controlpoints = np.array([[  -2.,   -3.,    2.],       [  10.,    2.,   -1.],       [  24.,   -3.,    4.],       [  42.,   -3.,    2.],       [  54.,    0.,    1.],       [  68.,    1.,   -4.],       [  89.,    1.,    3.],       [  98.,    1.,    0.],       [  -5.,   21.,    1.],       [  15.,   15.,   -3.],       [  27.,   17.,    0.],       [  47.,   21.,   -1.],       [  60.,   18.,    1.],       [  74.,   21.,    3.],       [  89.,   12.,   -5.],       [  98.,   13.,    1.],       [  -3.,   31.,    2.],       [  12.,   29.,   -5.],       [  26.,   29.,   -4.],       [  42.,   28.,    3.],       [  59.,   34.,    2.],       [  71.,   31.,    1.],       [  85.,   31.,    3.],       [ 102.,   37.,    1.],       [   0.,   47.,   -3.],       [  12.,   47.,    2.],       [  24.,   45.,   -4.],       [  42.,   52.,    2.],       [  55.,   46.,   -5.],       [  68.,   50.,   -2.],       [  83.,   49.,    2.],       [ 101.,   49.,    2.],       [   0.,   70.,    3.],       [  18.,   62.,   -1.],       [  31.,   63.,    1.],       [  46.,   66.,   -3.],       [  60.,   68.,   -4.],       [  68.,   68.,   -1.],       [  85.,   64.,    4.],       [ 103.,   70.,   -1.],       [   0.,   85.,    4.],       [  11.,   87.,    3.],       [  30.,   83.,   -5.],       [  44.,   79.,   -3.],       [  52.,   81.,    0.],       [  66.,   87.,    4.],       [  87.,   83.,    3.],       [  99.,   79.,   -5.],       [  -3.,   99.,   -5.],       [  15.,   99.,   -1.],       [  27.,  102.,   -4.],       [  41.,  104.,    2.],       [  54.,  103.,    0.],       [  66.,   96.,   -2.],       [  81.,   95.,    0.],       [ 104.,   99.,    1.]])
        basis0 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0.8,  2. ,  3.4,  4. ,  4. ,  4. ,  4. ,  4. ]))
        basis1 = BSplineBasis(4, np.array([ 0. ,  0. ,  0. ,  0. ,  0.8,  1.6,  2.7,  4. ,  4. ,  4. ,  4. ]))
        surf  = Surface(basis0, basis1, controlpoints,False)
        surf2 = surf.rebuild([6, 4], [142, 147])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_volume_3D_p556(self):
        controlpoints = np.array([[  -4.,   -4.,   -1.],       [  10.,   -2.,    3.],       [  26.,   -2.,    3.],       [  33.,   -2.,   -2.],       [  42.,    3.,   -2.],       [  58.,    2.,   -1.],       [  68.,    3.,    2.],       [  80.,    2.,   -2.],       [  93.,    1.,    3.],       [  95.,   -5.,    0.],       [   2.,   12.,    4.],       [  11.,   15.,    3.],       [  26.,   16.,   -5.],       [  35.,   16.,    1.],       [  46.,   19.,    1.],       [  56.,   16.,   -2.],       [  66.,   19.,    2.],       [  82.,   14.,    1.],       [  84.,   14.,   -4.],       [ 103.,   17.,    2.],       [   2.,   31.,    0.],       [  13.,   35.,   -2.],       [  23.,   32.,   -3.],       [  30.,   33.,    3.],       [  48.,   38.,   -5.],       [  59.,   35.,    3.],       [  67.,   35.,    4.],       [  75.,   32.,    3.],       [  89.,   29.,   -4.],       [  98.,   31.,    4.],       [   3.,   50.,    3.],       [   7.,   52.,    1.],       [  24.,   51.,   -2.],       [  31.,   50.,   -2.],       [  41.,   48.,   -4.],       [  51.,   48.,   -2.],       [  71.,   48.,    3.],       [  77.,   47.,   -2.],       [  85.,   50.,    4.],       [ 103.,   48.,   -3.],       [   3.,   62.,   -1.],       [  10.,   70.,   -2.],       [  22.,   62.,    3.],       [  36.,   71.,   -1.],       [  40.,   62.,    3.],       [  58.,   67.,    4.],       [  70.,   69.,   -3.],       [  76.,   69.,   -5.],       [  88.,   68.,   -5.],       [ 101.,   70.,    1.],       [  -4.,   85.,    2.],       [  15.,   83.,   -1.],       [  23.,   82.,   -4.],       [  34.,   87.,    3.],       [  46.,   83.,   -2.],       [  59.,   83.,    3.],       [  64.,   86.,    3.],       [  79.,   83.,   -4.],       [  88.,   79.,   -5.],       [  97.,   78.,    1.],       [   2.,  101.,   -4.],       [   7.,  100.,   -4.],       [  19.,  100.,   -2.],       [  32.,   98.,    4.],       [  45.,  102.,   -2.],       [  58.,   96.,   -2.],       [  67.,   95.,   -5.],       [  77.,   96.,   -3.],       [  89.,   97.,   -1.],       [  98.,   96.,   -4.],       [  -1.,    0.,   14.],       [  11.,    4.,   16.],       [  22.,   -4.,   15.],       [  37.,    1.,   15.],       [  41.,   -5.,   18.],       [  55.,   -3.,   20.],       [  62.,    2.,   18.],       [  82.,    0.,   17.],       [  91.,    0.,   16.],       [ 100.,   -3.,   14.],       [  -5.,   14.,   15.],       [   8.,   21.,   13.],       [  21.,   21.,   21.],       [  35.,   16.,   16.],       [  43.,   16.,   15.],       [  57.,   15.,   15.],       [  62.,   15.,   14.],       [  76.,   14.,   15.],       [  93.,   19.,   17.],       [  97.,   13.,   13.],       [   3.,   37.,   15.],       [  13.,   31.,   15.],       [  23.,   32.,   18.],       [  34.,   36.,   12.],       [  41.,   32.,   21.],       [  51.,   34.,   19.],       [  62.,   33.,   17.],       [  76.,   30.,   20.],       [  85.,   31.,   12.],       [ 100.,   35.,   18.],       [   3.,   46.,   12.],       [   9.,   45.,   17.],       [  21.,   54.,   20.],       [  37.,   45.,   14.],       [  48.,   49.,   17.],       [  54.,   46.,   12.],       [  68.,   49.,   14.],       [  79.,   52.,   18.],       [  93.,   51.,   21.],       [  95.,   51.,   20.],       [   4.,   63.,   16.],       [  10.,   65.,   12.],       [  25.,   65.,   19.],       [  29.,   62.,   19.],       [  43.,   68.,   11.],       [  51.,   69.,   11.],       [  65.,   68.,   16.],       [  75.,   62.,   21.],       [  88.,   68.,   18.],       [  96.,   66.,   13.],       [  -5.,   86.,   20.],       [  14.,   79.,   18.],       [  24.,   85.,   17.],       [  33.,   83.,   16.],       [  40.,   79.,   20.],       [  50.,   83.,   16.],       [  68.,   79.,   17.],       [  75.,   82.,   20.],       [  88.,   78.,   13.],       [ 100.,   86.,   17.],       [   0.,  102.,   13.],       [  11.,  100.,   16.],       [  26.,  103.,   16.],       [  29.,   96.,   20.],       [  45.,  103.,   18.],       [  52.,   98.,   15.],       [  68.,  104.,   14.],       [  78.,   98.,   20.],       [  90.,   97.,   14.],       [  97.,  103.,   14.],       [   0.,   -3.,   31.],       [   9.,   -2.,   31.],       [  22.,   -1.,   36.],       [  34.,    2.,   38.],       [  42.,   -5.,   36.],       [  52.,   -2.,   30.],       [  62.,    4.,   33.],       [  81.,   -5.,   37.],       [  91.,   -2.,   33.],       [ 101.,   -5.,   32.],       [   4.,   12.,   37.],       [   8.,   11.,   31.],       [  17.,   14.,   32.],       [  28.,   12.,   31.],       [  42.,   17.,   35.],       [  57.,   15.,   28.],       [  70.,   16.,   32.],       [  77.,   13.,   38.],       [  92.,   19.,   31.],       [ 100.,   17.,   29.],       [   3.,   29.,   36.],       [   7.,   29.,   35.],       [  26.,   31.,   38.],       [  35.,   30.,   36.],       [  46.,   36.,   30.],       [  52.,   35.,   34.],       [  64.,   32.,   36.],       [  78.,   32.,   32.],       [  90.,   28.,   32.],       [ 101.,   30.,   35.],       [   4.,   48.,   28.],       [   7.,   49.,   29.],       [  22.,   54.,   38.],       [  30.,   49.,   36.],       [  48.,   52.,   36.],       [  52.,   45.,   29.],       [  62.,   46.,   28.],       [  76.,   50.,   37.],       [  84.,   51.,   37.],       [ 104.,   49.,   29.],       [   1.,   66.,   32.],       [  13.,   67.,   28.],       [  26.,   64.,   36.],       [  37.,   67.,   30.],       [  40.,   65.,   38.],       [  51.,   64.,   29.],       [  63.,   68.,   37.],       [  81.,   63.,   33.],       [  85.,   71.,   37.],       [  97.,   69.,   36.],       [  -3.,   84.,   31.],       [  12.,   86.,   35.],       [  19.,   85.,   29.],       [  34.,   86.,   35.],       [  39.,   82.,   36.],       [  50.,   86.,   36.],       [  64.,   83.,   32.],       [  80.,   83.,   30.],       [  85.,   88.,   33.],       [ 104.,   81.,   35.],       [   0.,  103.,   34.],       [   6.,  103.,   35.],       [  17.,   98.,   31.],       [  35.,  100.,   37.],       [  44.,  101.,   33.],       [  51.,   98.,   38.],       [  63.,   98.,   28.],       [  78.,  104.,   31.],       [  84.,  103.,   36.],       [  97.,  102.,   36.],       [   0.,   -1.,   48.],       [  13.,    1.,   50.],       [  25.,   -5.,   52.],       [  35.,   -2.,   51.],       [  40.,    0.,   50.],       [  56.,   -5.,   46.],       [  63.,   -2.,   49.],       [  78.,   -1.,   53.],       [  90.,   -2.,   45.],       [  99.,    0.,   54.],       [  -1.,   18.,   52.],       [  11.,   11.,   46.],       [  22.,   12.,   51.],       [  37.,   15.,   49.],       [  41.,   19.,   45.],       [  56.,   16.,   45.],       [  66.,   18.,   46.],       [  76.,   11.,   48.],       [  88.,   13.,   53.],       [  95.,   13.,   47.],       [  -5.,   37.,   49.],       [   8.,   37.,   48.],       [  26.,   37.,   51.],       [  34.,   29.,   45.],       [  39.,   34.,   47.],       [  51.,   36.,   47.],       [  66.,   30.,   48.],       [  76.,   36.,   47.],       [  87.,   28.,   51.],       [  95.,   28.,   52.],       [  -4.,   54.,   45.],       [  11.,   50.,   49.],       [  21.,   48.,   48.],       [  35.,   49.,   45.],       [  48.,   49.,   50.],       [  55.,   53.,   53.],       [  71.,   49.,   54.],       [  82.,   54.,   48.],       [  85.,   47.,   49.],       [ 100.,   48.,   51.],       [  -1.,   62.,   52.],       [   9.,   65.,   48.],       [  19.,   62.,   46.],       [  35.,   67.,   52.],       [  46.,   66.,   45.],       [  59.,   69.,   50.],       [  67.,   70.,   50.],       [  80.,   66.,   48.],       [  93.,   71.,   47.],       [  96.,   68.,   45.],       [   1.,   81.,   50.],       [  14.,   78.,   50.],       [  21.,   84.,   51.],       [  34.,   87.,   52.],       [  44.,   83.,   49.],       [  55.,   79.,   49.],       [  64.,   82.,   48.],       [  73.,   79.,   51.],       [  92.,   82.,   49.],       [ 104.,   78.,   49.],       [  -5.,   97.,   54.],       [   9.,  101.,   50.],       [  24.,  100.,   52.],       [  34.,   98.,   52.],       [  45.,  101.,   50.],       [  53.,   96.,   50.],       [  63.,   96.,   45.],       [  79.,  101.,   51.],       [  88.,   99.,   49.],       [  98.,   95.,   46.],       [   3.,    4.,   66.],       [  12.,   -2.,   70.],       [  18.,    1.,   63.],       [  29.,   -3.,   63.],       [  44.,    4.,   62.],       [  51.,   -3.,   64.],       [  63.,   -2.,   65.],       [  77.,   -3.,   64.],       [  86.,    3.,   64.],       [  96.,    3.,   66.],       [   1.,   20.,   71.],       [  11.,   14.,   67.],       [  25.,   17.,   69.],       [  30.,   12.,   65.],       [  45.,   15.,   66.],       [  54.,   13.,   61.],       [  64.,   19.,   70.],       [  78.,   14.,   69.],       [  89.,   19.,   69.],       [ 103.,   11.,   68.],       [   2.,   31.,   66.],       [  10.,   28.,   67.],       [  20.,   31.,   63.],       [  28.,   32.,   67.],       [  44.,   30.,   63.],       [  59.,   33.,   63.],       [  71.,   35.,   62.],       [  79.,   35.,   62.],       [  93.,   31.,   69.],       [ 104.,   33.,   66.],       [   0.,   48.,   67.],       [   7.,   46.,   67.],       [  22.,   48.,   68.],       [  34.,   54.,   71.],       [  41.,   45.,   62.],       [  51.,   49.,   67.],       [  66.,   48.,   65.],       [  72.,   46.,   62.],       [  91.,   51.,   66.],       [  96.,   50.,   65.],       [  -5.,   70.,   66.],       [  11.,   70.,   62.],       [  19.,   68.,   63.],       [  34.,   69.,   67.],       [  49.,   62.,   69.],       [  56.,   63.,   65.],       [  67.,   71.,   67.],       [  74.,   63.,   70.],       [  89.,   62.,   63.],       [  98.,   64.,   67.],       [  -4.,   80.,   65.],       [  10.,   83.,   66.],       [  20.,   84.,   69.],       [  28.,   82.,   66.],       [  42.,   84.,   69.],       [  60.,   82.,   62.],       [  66.,   83.,   68.],       [  78.,   84.,   62.],       [  93.,   81.,   64.],       [  97.,   81.,   70.],       [   0.,   99.,   63.],       [  11.,  104.,   71.],       [  26.,   95.,   70.],       [  37.,   97.,   68.],       [  45.,  101.,   68.],       [  52.,  101.,   69.],       [  69.,  102.,   68.],       [  78.,   99.,   69.],       [  87.,  100.,   62.],       [  96.,  104.,   65.],       [  -1.,   -5.,   85.],       [  11.,   -2.,   83.],       [  18.,    4.,   82.],       [  31.,   -4.,   84.],       [  44.,    1.,   84.],       [  54.,   -3.,   79.],       [  61.,   -2.,   82.],       [  75.,    2.,   78.],       [  90.,   -2.,   84.],       [ 100.,    0.,   79.],       [  -2.,   18.,   86.],       [   8.,   15.,   83.],       [  18.,   21.,   86.],       [  28.,   21.,   87.],       [  42.,   15.,   81.],       [  52.,   19.,   80.],       [  67.,   13.,   83.],       [  74.,   14.,   83.],       [  93.,   18.,   80.],       [ 101.,   20.,   81.],       [   1.,   29.,   84.],       [   8.,   37.,   86.],       [  22.,   35.,   83.],       [  32.,   30.,   87.],       [  46.,   36.,   86.],       [  58.,   28.,   88.],       [  65.,   37.,   88.],       [  78.,   36.,   86.],       [  89.,   34.,   84.],       [  96.,   30.,   88.],       [  -3.,   46.,   78.],       [  15.,   54.,   86.],       [  23.,   51.,   81.],       [  29.,   49.,   79.],       [  42.,   53.,   79.],       [  59.,   45.,   86.],       [  69.,   46.,   79.],       [  73.,   51.,   79.],       [  92.,   54.,   85.],       [ 103.,   54.,   86.],       [   4.,   69.,   85.],       [  10.,   63.,   84.],       [  17.,   66.,   86.],       [  32.,   71.,   84.],       [  40.,   66.,   85.],       [  51.,   68.,   81.],       [  67.,   64.,   84.],       [  81.,   61.,   82.],       [  91.,   61.,   79.],       [  97.,   66.,   79.],       [   1.,   79.,   85.],       [   6.,   81.,   79.],       [  22.,   83.,   85.],       [  28.,   82.,   88.],       [  47.,   88.,   79.],       [  50.,   85.,   85.],       [  66.,   78.,   79.],       [  80.,   85.,   87.],       [  88.,   86.,   81.],       [ 104.,   79.,   86.],       [   1.,  102.,   86.],       [  13.,  104.,   86.],       [  19.,  101.,   81.],       [  37.,   95.,   80.],       [  48.,   98.,   79.],       [  53.,  104.,   84.],       [  67.,  101.,   79.],       [  74.,  104.,   79.],       [  84.,   96.,   84.],       [  99.,  102.,   78.],       [  -1.,    0.,  103.],       [  15.,   -5.,   98.],       [  20.,    1.,  103.],       [  28.,   -5.,  103.],       [  45.,    2.,   95.],       [  58.,    2.,   99.],       [  70.,   -1.,   96.],       [  80.,   -1.,  104.],       [  89.,   -2.,  103.],       [  99.,   -2.,  101.],       [   0.,   11.,  100.],       [   8.,   14.,   99.],       [  17.,   12.,  102.],       [  35.,   13.,  100.],       [  43.,   16.,  100.],       [  56.,   18.,  100.],       [  64.,   12.,  100.],       [  81.,   20.,   96.],       [  84.,   19.,  104.],       [  98.,   19.,  102.],       [  -4.,   34.,   99.],       [  11.,   33.,  102.],       [  24.,   33.,  100.],       [  30.,   29.,  100.],       [  40.,   31.,  102.],       [  60.,   33.,   97.],       [  70.,   32.,  104.],       [  75.,   32.,   97.],       [  89.,   35.,   96.],       [ 101.,   35.,   99.],       [   1.,   46.,   98.],       [  10.,   46.,  101.],       [  17.,   47.,   95.],       [  32.,   53.,   97.],       [  48.,   46.,  102.],       [  57.,   46.,  103.],       [  62.,   45.,  101.],       [  79.,   49.,  101.],       [  92.,   47.,   98.],       [  99.,   52.,   98.],       [  -3.,   69.,  103.],       [   6.,   69.,  101.],       [  22.,   69.,  102.],       [  37.,   70.,   96.],       [  48.,   64.,   99.],       [  50.,   63.,  100.],       [  71.,   64.,   99.],       [  77.,   71.,   97.],       [  90.,   62.,   95.],       [ 100.,   66.,  102.],       [  -4.,   87.,  100.],       [  14.,   82.,  104.],       [  20.,   80.,  104.],       [  32.,   79.,   99.],       [  42.,   80.,  102.],       [  59.,   79.,  102.],       [  63.,   79.,   97.],       [  74.,   85.,  104.],       [  89.,   78.,  100.],       [ 103.,   78.,  101.],       [  -2.,   99.,   95.],       [   6.,   98.,  104.],       [  17.,   98.,  104.],       [  29.,  103.,  104.],       [  48.,  104.,  102.],       [  60.,   96.,  101.],       [  69.,   98.,  103.],       [  74.,   99.,   98.],       [  91.,   96.,  102.],       [  99.,  102.,   97.]])
        basis0 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  1.1,  1.8,  3.1,  3.6,  5. ,  6. ,  6. ,  6. ,  6. ,  6. ]))
        basis1 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  1.3,  2. ,  3. ,  3. ,  3. ,  3. ,  3. ]))
        basis2 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0.9,  2. ,  2. ,  2. ,  2. ,  2. ,  2. ]))
        vol  = Volume(basis0, basis1, basis2, controlpoints,False)
        vol2 = vol.rebuild([4, 5, 6], [96, 92, 96])
        u    = np.linspace(vol.start(0), vol.end(0), 7)
        v    = np.linspace(vol.start(1), vol.end(1), 7)
        w    = np.linspace(vol.start(2), vol.end(2), 7)
        pt   = vol(u,v,w)
        pt2  = vol2(u,v,w)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_3D_p6_C1_periodic(self):
        controlpoints = np.array([[  98.,    3.,    4.],
       [  88.,   42.,   -4.],
       [  66.,   75.,   -5.],
       [  25.,  102.,    1.],
       [ -22.,  101.,   -3.],
       [ -66.,   75.,   -2.],
       [ -86.,   40.,   -3.],
       [-100.,   -3.,   -1.],
       [ -87.,  -49.,   -2.],
       [ -64.,  -74.,    1.],
       [ -24.,  -99.,    4.],
       [  23.,  -99.,   -2.],
       [  57.,  -78.,    1.],
       [  93.,  -45.,    3.]])
        basis0 = BSplineBasis(6, np.array([ -1.8,  -0.7,   0. ,   0. ,   0. ,   0. ,   1.1,   2.3,   3.4,   3.8,   5.1,   5.9,   7.1,
         7.8,   9.2,  10.3,  11. ,  11. ,  11. ,  11. ,  12.1,  13.3]),1)
        crv  = Curve(basis0, controlpoints,False)
        crv2 = crv.rebuild(6, 339)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_surface_3D_p55_C1_periodic(self):
        controlpoints = np.array([[  55.,    3.,   -2.],       [  55.,   29.,    3.],       [  27.,   51.,   -4.],       [  -3.,   63.,    4.],       [ -27.,   49.,   -2.],       [ -49.,   33.,   -5.],       [ -56.,    1.,    3.],       [ -55.,  -27.,    3.],       [ -32.,  -54.,    2.],       [   0.,  -64.,    3.],       [  31.,  -50.,    2.],       [  54.,  -27.,    1.],       [  66.,    2.,    1.],       [  61.,   33.,   -3.],       [  33.,   59.,   -2.],       [  -2.,   67.,    2.],       [ -32.,   55.,   -1.],       [ -59.,   34.,   -1.],       [ -65.,    4.,    2.],       [ -54.,  -33.,    1.],       [ -33.,  -57.,    3.],       [  -1.,  -61.,    3.],       [  35.,  -60.,    4.],       [  54.,  -30.,    0.],       [  74.,    4.,    1.],       [  58.,   33.,    3.],       [  35.,   64.,    2.],       [   1.,   75.,    0.],       [ -39.,   57.,   -5.],       [ -63.,   39.,   -3.],       [ -71.,    1.,    4.],       [ -61.,  -41.,   -5.],       [ -35.,  -58.,    4.],       [   2.,  -74.,    1.],       [  34.,  -66.,   -5.],       [  57.,  -31.,    2.],       [  80.,    3.,    3.],       [  67.,   33.,   -2.],       [  38.,   62.,   -5.],       [   1.,   81.,   -2.],       [ -43.,   64.,    3.],       [ -71.,   39.,    4.],       [ -79.,   -1.,    2.],       [ -66.,  -43.,    3.],       [ -34.,  -63.,   -3.],       [  -5.,  -76.,    4.],       [  36.,  -64.,   -4.],       [  65.,  -40.,   -1.],       [  79.,   -2.,   -1.],       [  76.,   43.,    2.],       [  36.,   72.,    3.],       [   2.,   83.,   -2.],       [ -47.,   71.,    2.],       [ -75.,   36.,   -3.],       [ -87.,   -1.,   -4.],       [ -76.,  -39.,    4.],       [ -39.,  -76.,   -1.],       [  -1.,  -88.,    4.],       [  44.,  -72.,    0.],       [  71.,  -41.,    0.],       [  91.,   -2.,   -4.],       [  80.,   49.,    0.],       [  39.,   75.,    4.],       [   1.,   88.,   -3.],       [ -49.,   81.,    0.],       [ -78.,   41.,    0.],       [ -93.,    4.,    1.],       [ -81.,  -40.,   -2.],       [ -45.,  -74.,    4.],       [   2.,  -84.,   -3.],       [  47.,  -80.,   -2.],       [  77.,  -46.,   -3.],       [  96.,    1.,    3.],       [  76.,   46.,   -2.],       [  51.,   84.,    0.],       [   3.,   91.,   -4.],       [ -44.,   81.,    4.],       [ -82.,   43.,   -1.],       [ -94.,   -1.,    0.],       [ -79.,  -50.,    1.],       [ -43.,  -87.,    0.],       [  -3.,  -97.,    3.],       [  45.,  -80.,   -5.],       [  81.,  -48.,    4.],       [  96.,    2.,   -4.],       [  87.,   46.,   -4.],       [  52.,   85.,   -4.],       [   2.,  104.,    4.],       [ -47.,   84.,    1.],       [ -83.,   49.,   -2.],       [-103.,    1.,   -5.],       [ -83.,  -52.,   -1.],       [ -49.,  -89.,    4.],       [  -3., -104.,    1.],       [  52.,  -84.,   -2.],       [  82.,  -55.,   -5.]])
        basis0 = BSplineBasis(5, np.array([ -2.1,  -0.9,   0. ,   0. ,   0. ,   1.1,   2.4,   2.9,   3.7,   5. ,   6.4,   6.8,   7.9,
         9.1,  10. ,  10. ,  10. ,  11.1,  12.4]),1)
        basis1 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0.7,  2. ,  2.8,  4. ,  4. ,  4. ,  4. ,  4. ]))
        surf  = Surface(basis0, basis1, controlpoints,False)
        surf2 = surf.rebuild([5, 6], [146, 148])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_volume_3D_p656_C1_periodic(self):
        controlpoints = np.array([[  48.,    4.,    2.],       [  49.,   19.,   -3.],       [  32.,   37.,   -2.],       [  10.,   43.,   -2.],       [ -13.,   50.,    0.],       [ -30.,   36.,    0.],       [ -48.,   21.,    2.],       [ -53.,    0.,    1.],       [ -50.,  -17.,    0.],       [ -33.,  -39.,   -2.],       [ -10.,  -46.,   -5.],       [  15.,  -45.,    1.],       [  35.,  -42.,    4.],       [  42.,  -18.,    3.],       [  58.,    2.,    1.],       [  52.,   25.,    2.],       [  33.,   47.,    2.],       [  10.,   52.,   -1.],       [ -17.,   55.,    0.],       [ -38.,   44.,    0.],       [ -52.,   27.,   -3.],       [ -63.,   -5.,    1.],       [ -53.,  -30.,   -4.],       [ -34.,  -41.,    0.],       [  -9.,  -62.,   -3.],       [  16.,  -53.,   -2.],       [  39.,  -42.,   -2.],       [  56.,  -22.,   -1.],       [  66.,   -4.,   -1.],       [  64.,   25.,   -1.],       [  46.,   47.,   -1.],       [  10.,   66.,    3.],       [ -12.,   62.,   -4.],       [ -41.,   47.,    3.],       [ -60.,   33.,   -5.],       [ -72.,   -2.,    1.],       [ -60.,  -28.,   -4.],       [ -43.,  -51.,   -2.],       [ -13.,  -70.,    2.],       [  13.,  -63.,    0.],       [  43.,  -50.,   -2.],       [  58.,  -32.,    0.],       [  75.,    1.,    2.],       [  64.,   33.,   -5.],       [  48.,   54.,   -4.],       [  18.,   72.,   -3.],       [ -12.,   75.,    2.],       [ -43.,   56.,    2.],       [ -69.,   28.,   -4.],       [ -74.,    3.,    4.],       [ -72.,  -36.,    0.],       [ -49.,  -63.,    4.],       [ -15.,  -71.,    0.],       [  21.,  -71.,    3.],       [  46.,  -61.,    2.],       [  68.,  -38.,   -1.],       [  80.,    3.,   -4.],       [  71.,   40.,   -5.],       [  54.,   64.,   -1.],       [  22.,   80.,    3.],       [ -18.,   81.,   -4.],       [ -49.,   60.,    1.],       [ -73.,   36.,    4.],       [ -80.,   -1.,    4.],       [ -78.,  -38.,   -4.],       [ -55.,  -65.,   -3.],       [ -22.,  -82.,    3.],       [  21.,  -78.,    1.],       [  55.,  -63.,    0.],       [  72.,  -35.,    3.],       [  95.,    4.,   -1.],       [  83.,   43.,   -5.],       [  59.,   69.,   -1.],       [  23.,   84.,    0.],       [ -24.,   85.,   -3.],       [ -58.,   69.,    1.],       [ -86.,   42.,    2.],       [ -89.,    2.,    0.],       [ -81.,  -39.,   -2.],       [ -57.,  -72.,   -1.],       [ -25.,  -91.,    0.],       [  23.,  -91.,   -4.],       [  55.,  -76.,   -5.],       [  83.,  -42.,    4.],       [ 101.,    1.,   -1.],       [  94.,   47.,    3.],       [  62.,   74.,    4.],       [  21.,   93.,    1.],       [ -18.,   93.,   -2.],       [ -65.,   78.,   -5.],       [ -89.,   40.,    3.],       [-103.,    1.,   -3.],       [ -95.,  -43.,    0.],       [ -61.,  -76.,   -2.],       [ -20., -102.,    1.],       [  19.,  -96.,   -2.],       [  61.,  -81.,   -5.],       [  86.,  -41.,   -2.],       [  51.,   -4.,    0.],       [  49.,   17.,   -1.],       [  30.,   34.,    4.],       [   7.,   50.,    6.],       [ -16.,   49.,    4.],       [ -31.,   39.,    0.],       [ -49.,   21.,    2.],       [ -50.,   -1.,    0.],       [ -50.,  -20.,    2.],       [ -34.,  -40.,    2.],       [  -8.,  -48.,    1.],       [  12.,  -45.,   -1.],       [  34.,  -36.,    7.],       [  48.,  -20.,   -1.],       [  60.,   -5.,    3.],       [  56.,   24.,   -1.],       [  38.,   42.,    7.],       [  12.,   60.,   -1.],       [ -16.,   53.,    8.],       [ -39.,   45.,    1.],       [ -51.,   21.,   -1.],       [ -63.,    3.,    0.],       [ -55.,  -28.,    5.],       [ -32.,  -41.,    5.],       [ -14.,  -58.,    0.],       [  12.,  -54.,    1.],       [  37.,  -48.,    5.],       [  55.,  -28.,    5.],       [  67.,   -4.,    5.],       [  56.,   32.,    7.],       [  45.,   52.,   -1.],       [  13.,   68.,    6.],       [ -12.,   69.,    5.],       [ -38.,   56.,    5.],       [ -62.,   28.,    6.],       [ -72.,    1.,    2.],       [ -56.,  -25.,    5.],       [ -38.,  -51.,    7.],       [ -17.,  -66.,    1.],       [  19.,  -63.,    5.],       [  37.,  -56.,    4.],       [  59.,  -25.,    5.],       [  70.,   -5.,    5.],       [  69.,   36.,   -1.],       [  51.,   59.,    2.],       [  18.,   68.,    0.],       [ -19.,   72.,    2.],       [ -47.,   60.,   -1.],       [ -70.,   33.,    6.],       [ -75.,    3.,    5.],       [ -73.,  -30.,    7.],       [ -50.,  -55.,    1.],       [ -14.,  -73.,    7.],       [  16.,  -76.,    3.],       [  49.,  -61.,    3.],       [  72.,  -34.,    2.],       [  87.,   -5.,    5.],       [  73.,   35.,    4.],       [  55.,   62.,    0.],       [  18.,   81.,    1.],       [ -21.,   77.,   -1.],       [ -52.,   68.,    7.],       [ -78.,   34.,    0.],       [ -87.,    0.,    5.],       [ -77.,  -32.,    2.],       [ -55.,  -68.,    0.],       [ -15.,  -80.,    2.],       [  23.,  -83.,    5.],       [  48.,  -64.,    6.],       [  75.,  -39.,    6.],       [  89.,   -5.,    7.],       [  82.,   35.,    4.],       [  53.,   72.,    0.],       [  20.,   93.,    0.],       [ -19.,   88.,    8.],       [ -53.,   72.,    0.],       [ -80.,   37.,    1.],       [ -97.,    1.,   -1.],       [ -81.,  -42.,    2.],       [ -57.,  -72.,    0.],       [ -25.,  -92.,    0.],       [  20.,  -88.,    4.],       [  60.,  -71.,    1.],       [  84.,  -42.,    8.],       [ 104.,    1.,    4.],       [  90.,   41.,    4.],       [  62.,   73.,    3.],       [  25.,   96.,    2.],       [ -25.,   99.,    3.],       [ -62.,   76.,    1.],       [ -89.,   40.,    4.],       [-105.,    4.,    2.],       [ -92.,  -40.,    5.],       [ -62.,  -77.,    7.],       [ -21.,  -94.,    6.],       [  20.,  -99.,    5.],       [  59.,  -79.,    1.],       [  94.,  -41.,    1.],       [  52.,   -3.,    5.],       [  46.,   23.,   10.],       [  27.,   39.,   11.],       [  11.,   44.,   12.],       [  -9.,   44.,    9.],       [ -28.,   38.,   10.],       [ -43.,   21.,    9.],       [ -49.,   -3.,    8.],       [ -48.,  -25.,    7.],       [ -36.,  -35.,    7.],       [ -13.,  -51.,    5.],       [   9.,  -52.,    3.],       [  27.,  -38.,    4.],       [  41.,  -25.,    3.],       [  59.,    0.,    5.],       [  47.,   22.,    9.],       [  34.,   44.,    9.],       [  16.,   52.,    5.],       [ -15.,   61.,    7.],       [ -40.,   41.,    8.],       [ -52.,   24.,    4.],       [ -58.,    0.,    4.],       [ -58.,  -29.,   11.],       [ -38.,  -42.,    3.],       [ -18.,  -61.,    8.],       [  11.,  -54.,   10.],       [  37.,  -49.,   12.],       [  50.,  -25.,   12.],       [  68.,   -2.,    3.],       [  64.,   29.,   11.],       [  43.,   47.,    6.],       [  15.,   63.,    9.],       [ -15.,   61.,    9.],       [ -44.,   55.,   10.],       [ -62.,   30.,    7.],       [ -68.,   -5.,   11.],       [ -59.,  -26.,   12.],       [ -38.,  -56.,    6.],       [ -18.,  -65.,    4.],       [  13.,  -64.,    6.],       [  44.,  -51.,    9.],       [  63.,  -25.,    8.],       [  70.,    4.,    5.],       [  70.,   28.,    5.],       [  48.,   56.,   12.],       [  17.,   77.,   10.],       [ -14.,   77.,    9.],       [ -45.,   54.,    3.],       [ -65.,   34.,   12.],       [ -74.,    1.,   12.],       [ -72.,  -33.,   11.],       [ -43.,  -62.,    4.],       [ -19.,  -78.,   10.],       [  16.,  -72.,    9.],       [  45.,  -59.,   10.],       [  70.,  -30.,    5.],       [  86.,    2.,    6.],       [  75.,   40.,    7.],       [  55.,   60.,    3.],       [  23.,   77.,    3.],       [ -17.,   82.,   12.],       [ -48.,   67.,   12.],       [ -78.,   40.,    4.],       [ -80.,    0.,   11.],       [ -79.,  -36.,    5.],       [ -53.,  -70.,    9.],       [ -24.,  -79.,    7.],       [  19.,  -86.,    4.],       [  50.,  -66.,    9.],       [  74.,  -40.,    9.],       [  87.,    2.,    5.],       [  81.,   39.,   12.],       [  54.,   71.,    7.],       [  24.,   87.,    6.],       [ -24.,   90.,    9.],       [ -56.,   69.,   12.],       [ -78.,   44.,    9.],       [ -88.,   -3.,    7.],       [ -86.,  -42.,    3.],       [ -56.,  -77.,    3.],       [ -23.,  -93.,    3.],       [  15.,  -90.,    6.],       [  61.,  -76.,    6.],       [  78.,  -39.,    5.],       [ 102.,   -3.,    8.],       [  88.,   43.,    5.],       [  57.,   79.,    6.],       [  17.,   97.,   10.],       [ -23.,   97.,   12.],       [ -64.,   76.,    4.],       [ -95.,   40.,   10.],       [ -99.,   -3.,    5.],       [ -90.,  -41.,   10.],       [ -58.,  -81.,   11.],       [ -19., -102.,    5.],       [  17.,  -96.,    4.],       [  65.,  -75.,    3.],       [  91.,  -40.,   12.],       [  50.,    3.,    9.],       [  41.,   24.,   16.],       [  28.,   41.,   10.],       [  15.,   53.,    9.],       [ -10.,   44.,    7.],       [ -30.,   34.,   16.],       [ -44.,   26.,   15.],       [ -46.,   -1.,   11.],       [ -46.,  -19.,    8.],       [ -30.,  -41.,    7.],       [  -7.,  -51.,    9.],       [   6.,  -52.,   11.],       [  27.,  -44.,    8.],       [  48.,  -20.,   13.],       [  58.,   -4.,    8.],       [  50.,   26.,   15.],       [  35.,   41.,    8.],       [   9.,   53.,   14.],       [ -12.,   57.,   15.],       [ -38.,   47.,    7.],       [ -50.,   26.,   10.],       [ -54.,   -4.,   13.],       [ -49.,  -29.,   11.],       [ -40.,  -43.,   16.],       [ -18.,  -60.,   15.],       [  15.,  -56.,    7.],       [  41.,  -42.,    9.],       [  55.,  -29.,   12.],       [  66.,    4.,    9.],       [  57.,   26.,   12.],       [  36.,   55.,   13.],       [  15.,   61.,   10.],       [ -11.,   66.,   16.],       [ -37.,   50.,    8.],       [ -62.,   30.,   10.],       [ -64.,   -4.,   10.],       [ -57.,  -33.,   10.],       [ -47.,  -49.,   14.],       [ -18.,  -64.,    7.],       [  16.,  -65.,   13.],       [  36.,  -50.,    7.],       [  56.,  -26.,   16.],       [  76.,    0.,   11.],       [  66.,   31.,   13.],       [  45.,   54.,   11.],       [  17.,   69.,   10.],       [ -22.,   68.,   10.],       [ -48.,   54.,    9.],       [ -69.,   35.,   13.],       [ -73.,   -4.,   10.],       [ -68.,  -29.,    7.],       [ -52.,  -58.,    8.],       [ -14.,  -77.,    7.],       [  18.,  -75.,   12.],       [  42.,  -55.,   11.],       [  71.,  -36.,   12.],       [  88.,   -4.,    7.],       [  76.,   38.,   14.],       [  55.,   62.,   14.],       [  18.,   84.,   13.],       [ -15.,   85.,   12.],       [ -49.,   64.,   14.],       [ -78.,   33.,   10.],       [ -81.,   -1.,    9.],       [ -80.,  -39.,   13.],       [ -50.,  -66.,   12.],       [ -17.,  -82.,   13.],       [  17.,  -84.,   13.],       [  50.,  -63.,    9.],       [  74.,  -39.,    9.],       [  87.,    1.,   16.],       [  79.,   37.,   13.],       [  59.,   72.,   16.],       [  18.,   88.,   15.],       [ -17.,   90.,   10.],       [ -57.,   71.,    8.],       [ -87.,   41.,   14.],       [ -94.,    1.,    7.],       [ -83.,  -38.,   14.],       [ -54.,  -70.,   11.],       [ -24.,  -94.,   11.],       [  22.,  -85.,   15.],       [  60.,  -71.,   16.],       [  79.,  -45.,    7.],       [  99.,   -1.,   14.],       [  90.,   39.,   13.],       [  59.,   79.,   11.],       [  22.,   95.,   13.],       [ -25.,   93.,   16.],       [ -63.,   76.,   13.],       [ -92.,   42.,   11.],       [-105.,   -3.,    9.],       [ -94.,  -45.,   10.],       [ -61.,  -82.,   16.],       [ -25.,  -94.,    9.],       [  25.,  -96.,    7.],       [  59.,  -79.,    7.],       [  89.,  -41.,   12.],       [  50.,   -4.,   12.],       [  43.,   25.,   15.],       [  32.,   38.,   16.],       [  11.,   46.,   20.],       [ -13.,   49.,   19.],       [ -31.,   41.,   13.],       [ -46.,   26.,   15.],       [ -53.,    3.,   15.],       [ -43.,  -18.,   15.],       [ -27.,  -41.,   20.],       [ -12.,  -52.,   11.],       [  15.,  -44.,   16.],       [  33.,  -39.,   20.],       [  41.,  -24.,   19.],       [  56.,    1.,   13.],       [  51.,   26.,   20.],       [  35.,   43.,   18.],       [  17.,   57.,   17.],       [ -10.,   58.,   17.],       [ -32.,   44.,   13.],       [ -51.,   28.,   15.],       [ -59.,    1.,   18.],       [ -53.,  -30.,   13.],       [ -37.,  -43.,   14.],       [ -13.,  -54.,   12.],       [  12.,  -61.,   18.],       [  40.,  -49.,   17.],       [  50.,  -29.,   19.],       [  71.,    0.,   14.],       [  62.,   27.,   13.],       [  45.,   57.,   11.],       [  12.,   63.,   16.],       [ -13.,   60.,   12.],       [ -45.,   51.,   19.],       [ -56.,   26.,   20.],       [ -72.,   -3.,   16.],       [ -61.,  -34.,   20.],       [ -43.,  -51.,   16.],       [ -14.,  -66.,   13.],       [  11.,  -70.,   12.],       [  41.,  -52.,   14.],       [  64.,  -30.,   17.],       [  76.,   -2.,   17.],       [  66.,   34.,   13.],       [  45.,   56.,   14.],       [  21.,   69.,   20.],       [ -14.,   74.,   13.],       [ -46.,   60.,   14.],       [ -73.,   37.,   20.],       [ -72.,    2.,   18.],       [ -66.,  -28.,   16.],       [ -51.,  -55.,   14.],       [ -19.,  -78.,   19.],       [  14.,  -72.,   15.],       [  47.,  -55.,   14.],       [  63.,  -37.,   12.],       [  88.,   -3.,   20.],       [  72.,   33.,   20.],       [  47.,   63.,   12.],       [  21.,   81.,   16.],       [ -21.,   84.,   13.],       [ -53.,   64.,   14.],       [ -80.,   35.,   18.],       [ -80.,    4.,   18.],       [ -80.,  -38.,   14.],       [ -55.,  -67.,   12.],       [ -15.,  -82.,   20.],       [  15.,  -78.,   19.],       [  50.,  -66.,   18.],       [  74.,  -34.,   15.],       [  92.,   -1.,   11.],       [  77.,   36.,   17.],       [  59.,   68.,   18.],       [  24.,   87.,   19.],       [ -25.,   87.,   14.],       [ -63.,   67.,   20.],       [ -84.,   39.,   17.],       [ -96.,   -2.,   12.],       [ -84.,  -42.,   17.],       [ -60.,  -74.,   18.],       [ -22.,  -85.,   17.],       [  17.,  -86.,   19.],       [  60.,  -72.,   18.],       [  84.,  -40.,   16.],       [ 102.,   -3.,   19.],       [  94.,   45.,   18.],       [  64.,   74.,   12.],       [  17.,   96.,   20.],       [ -23.,   96.,   16.],       [ -64.,   77.,   17.],       [ -88.,   39.,   20.],       [-103.,    2.,   17.],       [ -92.,  -44.,   18.],       [ -64.,  -76.,   17.],       [ -26., -102.,   18.],       [  18.,  -94.,   12.],       [  65.,  -81.,   12.],       [  85.,  -45.,   13.],       [  51.,    4.,   19.],       [  41.,   24.,   23.],       [  31.,   42.,   19.],       [  12.,   44.,   21.],       [  -9.,   44.,   24.],       [ -36.,   40.,   17.],       [ -45.,   26.,   22.],       [ -55.,    4.,   16.],       [ -43.,  -21.,   15.],       [ -31.,  -40.,   19.],       [ -12.,  -47.,   15.],       [  15.,  -53.,   20.],       [  28.,  -42.,   15.],       [  47.,  -23.,   16.],       [  54.,   -3.,   22.],       [  51.,   26.,   17.],       [  34.,   49.,   24.],       [  11.,   58.,   17.],       [ -15.,   57.,   21.],       [ -37.,   50.,   15.],       [ -57.,   24.,   15.],       [ -63.,    2.,   23.],       [ -57.,  -27.,   19.],       [ -38.,  -42.,   22.],       [ -10.,  -54.,   21.],       [  14.,  -59.,   17.],       [  41.,  -51.,   22.],       [  50.,  -23.,   20.],       [  67.,   -5.,   15.],       [  57.,   24.,   21.],       [  45.,   51.,   17.],       [  14.,   66.,   19.],       [ -14.,   67.,   18.],       [ -42.,   56.,   22.],       [ -64.,   32.,   16.],       [ -63.,   -4.,   16.],       [ -58.,  -26.,   21.],       [ -42.,  -51.,   17.],       [ -16.,  -61.,   18.],       [  17.,  -68.,   19.],       [  41.,  -51.,   18.],       [  62.,  -26.,   21.],       [  79.,    2.,   19.],       [  70.,   29.,   22.],       [  47.,   58.,   19.],       [  19.,   77.,   17.],       [ -13.,   73.,   15.],       [ -46.,   56.,   22.],       [ -65.,   27.,   17.],       [ -75.,    4.,   24.],       [ -64.,  -36.,   23.],       [ -44.,  -62.,   18.],       [ -19.,  -76.,   17.],       [  13.,  -72.,   24.],       [  50.,  -58.,   23.],       [  64.,  -29.,   18.],       [  85.,   -3.,   22.],       [  71.,   36.,   24.],       [  53.,   60.,   24.],       [  19.,   82.,   17.],       [ -16.,   84.,   24.],       [ -56.,   66.,   15.],       [ -79.,   34.,   16.],       [ -88.,   -1.,   24.],       [ -75.,  -33.,   16.],       [ -51.,  -62.,   22.],       [ -20.,  -84.,   17.],       [  14.,  -80.,   22.],       [  47.,  -69.,   15.],       [  74.,  -36.,   24.],       [  94.,   -4.,   15.],       [  87.,   34.,   20.],       [  57.,   71.,   21.],       [  22.,   92.,   19.],       [ -21.,   87.,   21.],       [ -60.,   72.,   15.],       [ -81.,   36.,   20.],       [ -91.,   -5.,   22.],       [ -82.,  -40.,   15.],       [ -55.,  -71.,   15.],       [ -26.,  -86.,   21.],       [  24.,  -85.,   16.],       [  55.,  -67.,   20.],       [  78.,  -39.,   18.],       [ 101.,   -2.,   17.],       [  87.,   40.,   15.],       [  63.,   81.,   18.],       [  23.,  101.,   16.],       [ -26.,   95.,   17.],       [ -63.,   74.,   15.],       [ -87.,   43.,   20.],       [-103.,   -2.,   22.],       [ -95.,  -46.,   17.],       [ -65.,  -76.,   21.],       [ -23.,  -94.,   20.],       [  21.,  -94.,   15.],       [  60.,  -78.,   24.],       [  86.,  -41.,   15.],       [  49.,    3.,   21.],       [  44.,   18.,   21.],       [  28.,   41.,   23.],       [   7.,   53.,   20.],       [  -8.,   53.,   23.],       [ -35.,   41.,   23.],       [ -46.,   17.,   21.],       [ -53.,    3.,   26.],       [ -45.,  -18.,   20.],       [ -27.,  -42.,   20.],       [ -13.,  -51.,   27.],       [   9.,  -51.,   28.],       [  34.,  -41.,   26.],       [  45.,  -19.,   27.],       [  60.,    0.,   20.],       [  50.,   25.,   26.],       [  38.,   41.,   22.],       [  14.,   54.,   23.],       [ -17.,   58.,   21.],       [ -39.,   41.,   19.],       [ -48.,   27.,   28.],       [ -55.,    1.,   26.],       [ -56.,  -22.,   26.],       [ -36.,  -48.,   28.],       [ -14.,  -55.,   27.],       [  12.,  -56.,   24.],       [  33.,  -51.,   23.],       [  54.,  -28.,   25.],       [  66.,    3.,   24.],       [  59.,   32.,   23.],       [  39.,   54.,   19.],       [  10.,   62.,   27.],       [ -19.,   63.,   27.],       [ -45.,   47.,   21.],       [ -56.,   27.,   23.],       [ -62.,   -1.,   25.],       [ -60.,  -30.,   28.],       [ -43.,  -57.,   26.],       [ -16.,  -63.,   27.],       [  13.,  -63.,   28.],       [  40.,  -54.,   22.],       [  61.,  -34.,   26.],       [  70.,    1.,   19.],       [  64.,   36.,   19.],       [  42.,   59.,   28.],       [  14.,   72.,   24.],       [ -15.,   68.,   27.],       [ -51.,   57.,   23.],       [ -66.,   36.,   24.],       [ -79.,   -4.,   19.],       [ -72.,  -37.,   22.],       [ -47.,  -60.,   19.],       [ -16.,  -72.,   21.],       [  13.,  -71.,   23.],       [  49.,  -63.,   21.],       [  67.,  -32.,   26.],       [  85.,    3.,   22.],       [  79.,   37.,   22.],       [  54.,   60.,   23.],       [  20.,   78.,   24.],       [ -24.,   76.,   25.],       [ -57.,   68.,   25.],       [ -73.,   39.,   26.],       [ -83.,    2.,   20.],       [ -76.,  -35.,   20.],       [ -51.,  -64.,   22.],       [ -15.,  -77.,   19.],       [  21.,  -83.,   28.],       [  49.,  -61.,   27.],       [  75.,  -39.,   27.],       [  92.,    1.,   28.],       [  84.,   37.,   23.],       [  60.,   72.,   28.],       [  24.,   90.,   21.],       [ -18.,   84.,   22.],       [ -53.,   66.,   25.],       [ -82.,   42.,   26.],       [ -96.,    0.,   23.],       [ -80.,  -36.,   23.],       [ -60.,  -73.,   28.],       [ -24.,  -87.,   21.],       [  17.,  -91.,   25.],       [  58.,  -69.,   20.],       [  80.,  -39.,   23.],       [  96.,   -5.,   20.],       [  89.,   46.,   28.],       [  64.,   80.,   20.],       [  19.,   95.,   28.],       [ -20.,  101.,   24.],       [ -66.,   81.,   24.],       [ -95.,   47.,   26.],       [ -98.,   -3.,   28.],       [ -93.,  -46.,   20.],       [ -59.,  -83.,   23.],       [ -21., -101.,   24.],       [  19.,  -99.,   28.],       [  59.,  -79.,   20.],       [  87.,  -44.,   19.],       [  51.,    3.,   25.],       [  47.,   19.,   26.],       [  30.,   42.,   31.],       [   7.,   45.,   30.],       [ -13.,   51.,   23.],       [ -32.,   39.,   29.],       [ -41.,   21.,   26.],       [ -53.,   -5.,   32.],       [ -43.,  -19.,   30.],       [ -27.,  -37.,   28.],       [ -15.,  -50.,   30.],       [  10.,  -48.,   24.],       [  35.,  -37.,   31.],       [  43.,  -26.,   31.],       [  62.,    2.,   25.],       [  51.,   29.,   26.],       [  35.,   46.,   29.],       [  12.,   52.,   24.],       [ -18.,   57.,   28.],       [ -40.,   49.,   27.],       [ -51.,   29.,   29.],       [ -61.,    3.,   26.],       [ -49.,  -26.,   30.],       [ -33.,  -47.,   31.],       [ -18.,  -56.,   23.],       [  11.,  -55.,   26.],       [  38.,  -46.,   27.],       [  55.,  -24.,   30.],       [  64.,   -3.,   32.],       [  59.,   31.,   28.],       [  43.,   50.,   29.],       [  13.,   63.,   24.],       [ -20.,   62.,   24.],       [ -42.,   53.,   23.],       [ -57.,   29.,   30.],       [ -70.,    2.,   23.],       [ -58.,  -29.,   27.],       [ -44.,  -57.,   30.],       [ -11.,  -62.,   32.],       [  13.,  -68.,   30.],       [  41.,  -54.,   28.],       [  56.,  -34.,   30.],       [  71.,   -1.,   30.],       [  64.,   27.,   24.],       [  51.,   61.,   27.],       [  19.,   69.,   27.],       [ -13.,   71.,   28.],       [ -51.,   53.,   25.],       [ -65.,   34.,   28.],       [ -76.,   -2.,   32.],       [ -68.,  -36.,   29.],       [ -46.,  -61.,   29.],       [ -22.,  -77.,   32.],       [  20.,  -72.,   23.],       [  49.,  -58.,   27.],       [  63.,  -35.,   29.],       [  87.,   -2.,   31.],       [  72.,   33.,   26.],       [  55.,   65.,   32.],       [  22.,   80.,   30.],       [ -20.,   82.,   29.],       [ -49.,   63.,   32.],       [ -71.,   38.,   28.],       [ -85.,    3.,   27.],       [ -73.,  -35.,   27.],       [ -50.,  -70.,   27.],       [ -17.,  -80.,   29.],       [  16.,  -77.,   25.],       [  52.,  -63.,   26.],       [  75.,  -36.,   26.],       [  96.,   -5.,   25.],       [  86.,   42.,   29.],       [  56.,   74.,   29.],       [  16.,   86.,   27.],       [ -22.,   86.,   25.],       [ -62.,   72.,   24.],       [ -87.,   38.,   30.],       [ -88.,    0.,   27.],       [ -85.,  -43.,   32.],       [ -59.,  -70.,   30.],       [ -26.,  -87.,   24.],       [  19.,  -85.,   29.],       [  55.,  -67.,   23.],       [  78.,  -40.,   31.],       [ 102.,   -2.,   26.],       [  87.,   43.,   27.],       [  66.,   78.,   27.],       [  24.,  100.,   32.],       [ -25.,   95.,   26.],       [ -66.,   75.,   31.],       [ -89.,   41.,   31.],       [-105.,    1.,   23.],       [ -90.,  -47.,   24.],       [ -62.,  -74.,   23.],       [ -26.,  -94.,   30.],       [  25.,  -97.,   23.],       [  63.,  -82.,   28.],       [  87.,  -47.,   27.],       [  53.,    3.,   28.],       [  49.,   22.,   30.],       [  34.,   39.,   34.],       [  10.,   43.,   27.],       [  -8.,   51.,   35.],       [ -31.,   36.,   35.],       [ -45.,   18.,   34.],       [ -48.,   -5.,   34.],       [ -45.,  -22.,   29.],       [ -33.,  -42.,   36.],       [ -16.,  -45.,   29.],       [  14.,  -46.,   30.],       [  29.,  -35.,   31.],       [  43.,  -18.,   31.],       [  62.,   -4.,   29.],       [  54.,   30.,   27.],       [  31.,   46.,   27.],       [  16.,   57.,   31.],       [ -11.,   58.,   35.],       [ -38.,   45.,   34.],       [ -56.,   20.,   28.],       [ -56.,    0.,   35.],       [ -55.,  -29.,   28.],       [ -42.,  -49.,   36.],       [ -17.,  -54.,   33.],       [  10.,  -61.,   33.],       [  34.,  -46.,   34.],       [  53.,  -30.,   34.],       [  61.,    3.,   29.],       [  59.,   27.,   33.],       [  42.,   47.,   32.],       [  16.,   60.,   31.],       [ -19.,   64.,   29.],       [ -47.,   48.,   29.],       [ -61.,   32.,   27.],       [ -69.,   -2.,   29.],       [ -63.,  -25.,   30.],       [ -43.,  -50.,   33.],       [ -11.,  -61.,   35.],       [  19.,  -69.,   34.],       [  43.,  -49.,   32.],       [  55.,  -30.,   27.],       [  73.,    0.,   29.],       [  72.,   37.,   30.],       [  44.,   61.,   29.],       [  12.,   71.,   32.],       [ -19.,   70.,   35.],       [ -44.,   61.,   34.],       [ -70.,   33.,   35.],       [ -79.,   -1.,   36.],       [ -71.,  -37.,   27.],       [ -49.,  -60.,   34.],       [ -22.,  -72.,   36.],       [  15.,  -77.,   27.],       [  45.,  -61.,   36.],       [  64.,  -37.,   34.],       [  87.,   -5.,   33.],       [  76.,   36.,   36.],       [  52.,   63.,   29.],       [  22.,   83.,   34.],       [ -14.,   80.,   36.],       [ -52.,   61.,   34.],       [ -78.,   33.,   27.],       [ -82.,    0.,   33.],       [ -74.,  -33.,   29.],       [ -51.,  -65.,   27.],       [ -24.,  -85.,   28.],       [  19.,  -82.,   33.],       [  49.,  -62.,   30.],       [  78.,  -37.,   29.],       [  87.,   -4.,   36.],       [  79.,   42.,   28.],       [  58.,   67.,   35.],       [  17.,   94.,   33.],       [ -17.,   85.,   35.],       [ -54.,   71.,   35.],       [ -80.,   36.,   33.],       [ -94.,    0.,   30.],       [ -83.,  -44.,   30.],       [ -61.,  -69.,   28.],       [ -22.,  -93.,   28.],       [  22.,  -87.,   30.],       [  56.,  -72.,   31.],       [  77.,  -37.,   29.],       [ 103.,   -5.,   34.],       [  91.,   45.,   32.],       [  58.,   81.,   35.],       [  25.,   97.,   28.],       [ -27.,   95.,   36.],       [ -66.,   76.,   28.],       [ -91.,   42.,   29.],       [ -99.,    1.,   32.],       [ -92.,  -43.,   32.],       [ -66.,  -75.,   31.],       [ -26.,  -93.,   36.],       [  23.,  -94.,   27.],       [  65.,  -74.,   35.],       [  87.,  -44.,   27.],       [  47.,    2.,   35.],       [  43.,   24.,   33.],       [  27.,   42.,   33.],       [   6.,   53.,   34.],       [ -13.,   47.,   36.],       [ -33.,   35.,   36.],       [ -43.,   18.,   33.],       [ -50.,    4.,   31.],       [ -46.,  -20.,   34.],       [ -33.,  -37.,   39.],       [  -9.,  -45.,   33.],       [   9.,  -48.,   35.],       [  35.,  -35.,   34.],       [  47.,  -24.,   39.],       [  61.,   -2.,   32.],       [  50.,   27.,   39.],       [  32.,   42.,   34.],       [   8.,   60.,   36.],       [ -12.,   53.,   31.],       [ -35.,   49.,   39.],       [ -53.,   29.,   35.],       [ -62.,    0.,   38.],       [ -55.,  -26.,   32.],       [ -40.,  -45.,   38.],       [ -16.,  -60.,   32.],       [  11.,  -53.,   31.],       [  35.,  -47.,   39.],       [  52.,  -28.,   38.],       [  70.,   -1.,   31.],       [  57.,   33.,   37.],       [  42.,   53.,   31.],       [  10.,   68.,   36.],       [ -14.,   65.,   34.],       [ -38.,   50.,   36.],       [ -61.,   27.,   35.],       [ -65.,   -5.,   36.],       [ -59.,  -31.,   36.],       [ -41.,  -54.,   31.],       [ -16.,  -70.,   37.],       [  17.,  -66.,   40.],       [  36.,  -54.,   35.],       [  59.,  -29.,   33.],       [  70.,   -3.,   33.],       [  67.,   32.,   31.],       [  44.,   56.,   39.],       [  21.,   75.,   32.],       [ -13.,   74.,   31.],       [ -43.,   62.,   35.],       [ -68.,   36.,   33.],       [ -80.,   -1.,   37.],       [ -70.,  -34.,   32.],       [ -49.,  -55.,   39.],       [ -21.,  -69.,   38.],       [  19.,  -78.,   40.],       [  47.,  -63.,   38.],       [  66.,  -31.,   31.],       [  81.,    1.,   31.],       [  71.,   40.,   33.],       [  50.,   61.,   31.],       [  14.,   79.,   31.],       [ -16.,   76.,   36.],       [ -53.,   65.,   32.],       [ -77.,   35.,   31.],       [ -88.,    3.,   31.],       [ -75.,  -37.,   35.],       [ -54.,  -69.,   31.],       [ -15.,  -78.,   40.],       [  22.,  -86.,   35.],       [  51.,  -62.,   34.],       [  80.,  -36.,   37.],       [  89.,    2.,   38.],       [  77.,   42.,   31.],       [  59.,   68.,   34.],       [  20.,   90.,   35.],       [ -18.,   89.,   38.],       [ -57.,   76.,   38.],       [ -85.,   36.,   39.],       [ -92.,   -4.,   37.],       [ -78.,  -40.,   34.],       [ -59.,  -68.,   40.],       [ -25.,  -94.,   40.],       [  18.,  -85.,   39.],       [  61.,  -68.,   34.],       [  85.,  -40.,   36.],       [  95.,    2.,   31.],       [  94.,   43.,   32.],       [  63.,   73.,   39.],       [  26.,  101.,   33.],       [ -26.,   98.,   36.],       [ -64.,   73.,   37.],       [ -93.,   39.,   34.],       [ -99.,   -4.,   37.],       [ -90.,  -40.,   39.],       [ -61.,  -81.,   32.],       [ -26.,  -96.,   31.],       [  17.,  -97.,   31.],       [  66.,  -76.,   37.],       [  85.,  -44.,   39.],       [  48.,   -2.,   40.],       [  43.,   19.,   36.],       [  29.,   41.,   40.],       [  13.,   52.,   41.],       [ -10.,   43.,   40.],       [ -33.,   34.,   44.],       [ -43.,   17.,   38.],       [ -48.,   -3.,   36.],       [ -46.,  -21.,   43.],       [ -28.,  -39.,   37.],       [ -13.,  -50.,   40.],       [   6.,  -49.,   42.],       [  28.,  -44.,   35.],       [  47.,  -18.,   44.],       [  60.,    1.,   39.],       [  53.,   20.,   41.],       [  33.,   45.,   41.],       [  12.,   59.,   37.],       [ -16.,   56.,   38.],       [ -40.,   43.,   38.],       [ -48.,   25.,   41.],       [ -56.,    4.,   36.],       [ -48.,  -28.,   38.],       [ -33.,  -45.,   37.],       [ -18.,  -58.,   39.],       [  13.,  -53.,   44.],       [  34.,  -48.,   41.],       [  54.,  -24.,   39.],       [  66.,    0.,   41.],       [  61.,   28.,   42.],       [  37.,   52.,   40.],       [  13.,   61.,   37.],       [ -17.,   69.,   43.],       [ -37.,   50.,   39.],       [ -58.,   33.,   39.],       [ -72.,    2.,   37.],       [ -64.,  -27.,   37.],       [ -41.,  -48.,   36.],       [ -20.,  -68.,   37.],       [  18.,  -70.,   41.],       [  41.,  -50.,   41.],       [  62.,  -30.,   37.],       [  78.,    1.,   38.],       [  71.,   32.,   40.],       [  45.,   55.,   36.],       [  17.,   77.,   39.],       [ -17.,   74.,   41.],       [ -46.,   62.,   40.],       [ -68.,   31.,   42.],       [ -80.,    1.,   38.],       [ -71.,  -33.,   44.],       [ -49.,  -63.,   37.],       [ -19.,  -70.,   41.],       [  12.,  -78.,   37.],       [  48.,  -57.,   36.],       [  63.,  -30.,   42.],       [  86.,   -4.,   43.],       [  77.,   33.,   40.],       [  49.,   63.,   42.],       [  19.,   81.,   35.],       [ -15.,   76.,   36.],       [ -50.,   63.,   38.],       [ -72.,   32.,   38.],       [ -85.,   -4.,   44.],       [ -73.,  -36.,   42.],       [ -53.,  -68.,   42.],       [ -15.,  -79.,   42.],       [  16.,  -78.,   42.],       [  52.,  -68.,   36.],       [  78.,  -32.,   44.],       [  87.,   -4.,   38.],       [  79.,   38.,   44.],       [  61.,   68.,   42.],       [  21.,   85.,   36.],       [ -16.,   89.,   36.],       [ -57.,   76.,   35.],       [ -84.,   41.,   42.],       [ -91.,    2.,   40.],       [ -83.,  -41.,   36.],       [ -61.,  -72.,   41.],       [ -18.,  -92.,   40.],       [  20.,  -86.,   41.],       [  59.,  -76.,   40.],       [  81.,  -35.,   36.],       [ 101.,   -4.,   43.],       [  94.,   39.,   36.],       [  59.,   75.,   41.],       [  23.,   93.,   43.],       [ -25.,   99.,   44.],       [ -62.,   82.,   37.],       [ -89.,   39.,   36.],       [-105.,   -3.,   39.],       [ -91.,  -45.,   43.],       [ -61.,  -79.,   40.],       [ -25.,  -94.,   42.],       [  24.,  -96.,   36.],       [  67.,  -82.,   37.],       [  88.,  -42.,   35.]])
        basis0 = BSplineBasis(6, np.array([ -2. ,  -1. ,   0. ,   0. ,   0. ,   0. ,   0.8,   2.2,   2.8,   4.1,   5.4,   6.3,   6.7,
         7.9,   9. ,  10. ,  11. ,  11. ,  11. ,  11. ,  11.8,  13.2]),1)
        basis1 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  1. ,  2.2,  3. ,  3. ,  3. ,  3. ,  3. ]))
        basis2 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  1. ,  2.3,  3.1,  4.3,  5.2,  6. ,  6. ,  6. ,  6. ,
        6. ,  6. ]))
        vol  = Volume(basis0, basis1, basis2, controlpoints,False)
        vol2 = vol.rebuild([5, 5, 7], [104, 89, 106])
        u    = np.linspace(vol.start(0), vol.end(0), 7)
        v    = np.linspace(vol.start(1), vol.end(1), 7)
        w    = np.linspace(vol.start(2), vol.end(2), 7)
        pt   = vol(u,v,w)
        pt2  = vol2(u,v,w)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_2D_p7_rational(self):
        controlpoints = np.array([[   1. ,    2. ,    0.6],
       [   4. ,   -5. ,    0.8],
       [  14. ,    4. ,    1.1],
       [  30. ,   -1. ,    1.2],
       [  41. ,    4. ,    1.4],
       [  43. ,   -4. ,    1. ],
       [  50. ,   -4. ,    0.9],
       [  64. ,    0. ,    0.7],
       [  74. ,    1. ,    1.1],
       [  84. ,   -2. ,    1.4],
       [  95. ,   -3. ,    1.1],
       [ 100. ,   -3. ,    0.7]])
        basis0 = BSplineBasis(7, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0.7,  2.2,  3.4,  3.7,  5.4,  6. ,  6. ,  6. ,
        6. ,  6. ,  6. ,  6. ]))
        crv  = Curve(basis0, controlpoints,True)
        crv2 = crv.rebuild(8, 360)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_surface_2D_p65_rational(self):
        controlpoints = np.array([[  -2. ,    2. ,    0.6],       [  10. ,   -3. ,    1.2],       [  23. ,   -5. ,    1.4],       [  32. ,    3. ,    1.2],       [  43. ,   -2. ,    0.7],       [  56. ,   -1. ,    0.7],       [  68. ,    3. ,    1.2],       [  78. ,   -5. ,    0.8],       [  88. ,    3. ,    1.3],       [  99. ,   -4. ,    0.8],       [   0. ,   18. ,    1. ],       [  14. ,   18. ,    0.9],       [  24. ,   22. ,    1.4],       [  31. ,   17. ,    0.6],       [  41. ,   21. ,    1.5],       [  51. ,   22. ,    0.7],       [  66. ,   21. ,    1. ],       [  77. ,   17. ,    1.2],       [  91. ,   18. ,    1.5],       [  98. ,   17. ,    0.8],       [   3. ,   35. ,    1.3],       [  10. ,   41. ,    1.4],       [  20. ,   37. ,    1.3],       [  28. ,   40. ,    1.4],       [  45. ,   38. ,    0.9],       [  56. ,   43. ,    0.8],       [  62. ,   43. ,    1.2],       [  77. ,   39. ,    0.8],       [  90. ,   36. ,    0.8],       [ 100. ,   35. ,    1.5],       [  -2. ,   61. ,    0.9],       [   6. ,   59. ,    1.4],       [  18. ,   61. ,    1.4],       [  30. ,   64. ,    1.5],       [  49. ,   63. ,    0.9],       [  57. ,   60. ,    1. ],       [  63. ,   62. ,    0.8],       [  78. ,   60. ,    0.6],       [  91. ,   60. ,    1.5],       [ 100. ,   61. ,    0.9],       [  -5. ,   79. ,    1.1],       [  13. ,   81. ,    1.1],       [  25. ,   75. ,    1.1],       [  37. ,   84. ,    1. ],       [  44. ,   82. ,    1.4],       [  56. ,   80. ,    1.2],       [  65. ,   79. ,    0.6],       [  74. ,   77. ,    1. ],       [  87. ,   83. ,    1.1],       [  98. ,   79. ,    0.9],       [   3. ,  102. ,    0.6],       [  15. ,   96. ,    1.4],       [  26. ,  101. ,    0.6],       [  30. ,   99. ,    0.7],       [  43. ,  102. ,    1.1],       [  52. ,  104. ,    0.8],       [  66. ,   95. ,    0.7],       [  78. ,   96. ,    1.4],       [  90. ,  104. ,    0.8],       [  99. ,  104. ,    1. ]])
        basis0 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0.8,  2.4,  3.2,  3.7,  5. ,  5. ,  5. ,  5. ,  5. ,  5. ]))
        basis1 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  1.3,  2. ,  2. ,  2. ,  2. ,  2. ]))
        surf  = Surface(basis0, basis1, controlpoints,True)
        surf2 = surf.rebuild(7, 139)
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_2D_p7_rational_C1_periodic(self):
        controlpoints = np.array([[ 103. ,    4. ,    1.2],
       [  90. ,   38. ,    0.6],
       [  72. ,   71. ,    0.6],
       [  43. ,   91. ,    0.6],
       [  -5. ,  104. ,    1.4],
       [ -39. ,   93. ,    0.6],
       [ -71. ,   74. ,    0.6],
       [ -96. ,   36. ,    1.1],
       [-101. ,   -1. ,    0.8],
       [ -92. ,  -43. ,    1.3],
       [ -70. ,  -72. ,    1. ],
       [ -42. ,  -94. ,    0.8],
       [  -3. ,  -98. ,    0.8],
       [  35. ,  -94. ,    1. ],
       [  75. ,  -71. ,    0.5],
       [  96. ,  -40. ,    1.3]])
        basis0 = BSplineBasis(7, np.array([ -1.8,  -0.8,   0. ,   0. ,   0. ,   0. ,   0. ,   1.2,   1.9,   3. ,   4.3,   5.3,   5.7,
         7.2,   8. ,   8.7,  10.2,  11.2,  12. ,  12. ,  12. ,  12. ,  12. ,  13.2,  13.9]),1)
        crv  = Curve(basis0, controlpoints,True)
        crv2 = crv.rebuild(8, 343)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_surface_2D_p55_rational_C1_periodic(self):
        controlpoints = np.array([[  58. ,   -2. ,    1.3],       [  50. ,   32. ,    1.1],       [  28. ,   54. ,    1.1],       [   1. ,   55. ,    1. ],       [ -33. ,   54. ,    1.2],       [ -55. ,   26. ,    1.1],       [ -64. ,    2. ,    0.8],       [ -49. ,  -26. ,    0.9],       [ -34. ,  -52. ,    1.2],       [   3. ,  -61. ,    1.2],       [  29. ,  -50. ,    1.2],       [  53. ,  -29. ,    1.5],       [  62. ,    0. ,    1.1],       [  57. ,   37. ,    0.9],       [  30. ,   58. ,    1.3],       [   2. ,   67. ,    0.8],       [ -31. ,   54. ,    0.9],       [ -55. ,   37. ,    0.6],       [ -70. ,    2. ,    0.9],       [ -53. ,  -33. ,    0.7],       [ -35. ,  -59. ,    0.9],       [   2. ,  -63. ,    0.6],       [  37. ,  -55. ,    1.3],       [  61. ,  -37. ,    1.3],       [  70. ,   -3. ,    0.8],       [  59. ,   40. ,    0.5],       [  31. ,   62. ,    0.9],       [  -4. ,   74. ,    1. ],       [ -36. ,   62. ,    0.9],       [ -66. ,   31. ,    1. ],       [ -70. ,    0. ,    1.3],       [ -59. ,  -39. ,    1.3],       [ -38. ,  -66. ,    0.8],       [  -3. ,  -70. ,    0.8],       [  35. ,  -57. ,    1.3],       [  64. ,  -40. ,    1.2],       [  78. ,   -5. ,    1.4],       [  70. ,   40. ,    0.9],       [  41. ,   68. ,    0.8],       [   3. ,   77. ,    1.3],       [ -42. ,   67. ,    0.8],       [ -69. ,   35. ,    1.1],       [ -78. ,   -5. ,    1. ],       [ -69. ,  -35. ,    1.5],       [ -41. ,  -66. ,    1. ],       [  -3. ,  -80. ,    0.5],       [  37. ,  -69. ,    0.7],       [  64. ,  -38. ,    0.6],       [  87. ,    2. ,    1. ],       [  67. ,   40. ,    0.7],       [  37. ,   70. ,    1.5],       [   3. ,   78. ,    0.6],       [ -46. ,   67. ,    1.2],       [ -77. ,   45. ,    1.4],       [ -83. ,    4. ,    1. ],       [ -72. ,  -42. ,    1.5],       [ -43. ,  -76. ,    1. ],       [  -3. ,  -86. ,    0.8],       [  39. ,  -72. ,    1.2],       [  66. ,  -37. ,    0.5],       [  87. ,    1. ,    1.2],       [  75. ,   48. ,    1. ],       [  42. ,   73. ,    1.4],       [   3. ,   90. ,    0.6],       [ -43. ,   73. ,    1. ],       [ -74. ,   46. ,    1.4],       [ -92. ,   -4. ,    1.1],       [ -81. ,  -41. ,    0.8],       [ -40. ,  -80. ,    1.1],       [   2. ,  -88. ,    1.3],       [  42. ,  -76. ,    1. ],       [  74. ,  -46. ,    1.2],       [  90. ,    4. ,    1.2],       [  76. ,   44. ,    1.4],       [  50. ,   82. ,    1.2],       [  -3. ,   89. ,    1.1],       [ -46. ,   77. ,    1.2],       [ -84. ,   49. ,    1. ],       [ -94. ,    0. ,    1.2],       [ -79. ,  -43. ,    1.2],       [ -52. ,  -83. ,    1. ],       [  -2. ,  -90. ,    0.9],       [  47. ,  -87. ,    1.3],       [  78. ,  -50. ,    0.8],       [ 101. ,   -3. ,    1.1],       [  87. ,   50. ,    0.5],       [  49. ,   86. ,    1.1],       [  -1. ,  101. ,    0.8],       [ -52. ,   82. ,    1.1],       [ -82. ,   50. ,    1.1],       [-100. ,    4. ,    1. ],       [ -91. ,  -46. ,    1.3],       [ -48. ,  -85. ,    1.5],       [  -5. , -102. ,    0.8],       [  50. ,  -90. ,    0.7],       [  87. ,  -49. ,    0.6]])
        basis0 = BSplineBasis(5, np.array([ -1.7,  -1.3,   0. ,   0. ,   0. ,   1.3,   2.1,   3.4,   3.9,   5.3,   5.8,   7. ,   8.3,
         8.7,  10. ,  10. ,  10. ,  11.3,  12.1]),1)
        basis1 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  1.4,  1.9,  3.3,  4. ,  4. ,  4. ,  4. ,  4. ]))
        surf  = Surface(basis0, basis1, controlpoints,True)
        surf2 = surf.rebuild(4, 141)
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_2D_p6(self):
        controlpoints = np.array([[  -2.,   -4.],
       [  13.,   -3.],
       [  22.,    1.],
       [  34.,   -2.],
       [  44.,    1.],
       [  53.,   -1.],
       [  69.,    4.],
       [  75.,   -3.],
       [  88.,    4.],
       [ 104.,   -2.]])
        basis0 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  1.2,  1.6,  3.3,  4. ,  5. ,  5. ,  5. ,  5. ,  5. ,  5. ]))
        crv  = Curve(basis0, controlpoints,False)
        crv2 = crv.rebuild(6, 351)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=3)

    def test_surface_2D_p76(self):
        controlpoints = np.array([[  -1.,   -2.],       [   9.,    2.],       [  20.,    2.],       [  27.,   -2.],       [  33.,    1.],       [  49.,    0.],       [  59.,    2.],       [  65.,    2.],       [  69.,   -1.],       [  78.,   -2.],       [  92.,   -1.],       [ 101.,    3.],       [  -3.,   12.],       [   5.,    9.],       [  19.,    7.],       [  22.,   15.],       [  40.,    8.],       [  41.,    6.],       [  57.,   13.],       [  61.,   14.],       [  77.,    6.],       [  84.,   14.],       [  88.,    7.],       [  95.,   12.],       [   1.,   21.],       [   5.,   26.],       [  22.,   26.],       [  27.,   23.],       [  39.,   21.],       [  45.,   24.],       [  57.,   27.],       [  65.,   17.],       [  74.,   19.],       [  85.,   19.],       [  88.,   18.],       [  97.,   22.],       [   0.,   28.],       [   9.,   33.],       [  15.,   35.],       [  26.,   37.],       [  38.,   29.],       [  50.,   34.],       [  55.,   37.],       [  65.,   37.],       [  76.,   28.],       [  86.,   33.],       [  92.,   37.],       [  99.,   29.],       [  -1.,   45.],       [   6.,   45.],       [  19.,   39.],       [  22.,   44.],       [  34.,   39.],       [  48.,   39.],       [  57.,   40.],       [  63.,   45.],       [  69.,   41.],       [  81.,   43.],       [  95.,   40.],       [ 104.,   39.],       [   1.,   60.],       [  12.,   57.],       [  20.,   53.],       [  28.,   60.],       [  34.,   52.],       [  47.,   51.],       [  57.,   56.],       [  68.,   57.],       [  68.,   60.],       [  85.,   54.],       [  93.,   57.],       [  99.,   55.],       [  -4.,   68.],       [  10.,   62.],       [  18.,   62.],       [  27.,   62.],       [  36.,   62.],       [  46.,   68.],       [  54.,   68.],       [  63.,   68.],       [  77.,   65.],       [  77.,   64.],       [  87.,   65.],       [  98.,   66.],       [   0.,   80.],       [  12.,   77.],       [  22.,   78.],       [  26.,   77.],       [  35.,   75.],       [  47.,   75.],       [  51.,   76.],       [  61.,   77.],       [  71.,   82.],       [  83.,   74.],       [  92.,   82.],       [ 100.,   79.],       [  -4.,   88.],       [   7.,   92.],       [  15.,   91.],       [  31.,   89.],       [  35.,   87.],       [  42.,   89.],       [  57.,   88.],       [  63.,   92.],       [  73.,   89.],       [  86.,   87.],       [  88.,   84.],       [  95.,   87.],       [   1.,  100.],       [   7.,  100.],       [  17.,   95.],       [  23.,   97.],       [  33.,   96.],       [  42.,   95.],       [  54.,   97.],       [  60.,  100.],       [  77.,  103.],       [  77.,  103.],       [  88.,  103.],       [ 102.,  104.]])
        basis0 = BSplineBasis(7, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  1.2,  2. ,  3.1,  4. ,  5.4,  6. ,  6. ,  6. ,
        6. ,  6. ,  6. ,  6. ]))
        basis1 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  1.1,  1.7,  3.1,  4. ,  5. ,  5. ,  5. ,  5. ,  5. ,  5. ]))
        surf  = Surface(basis0, basis1, controlpoints,False)
        surf2 = surf.rebuild(6, 142)
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=3)

    def test_curve_2D_p5_C1_periodic(self):
        controlpoints = np.array([[ 104.,   -4.],
       [  88.,   48.],
       [  45.,   86.],
       [  -1.,   99.],
       [ -54.,   88.],
       [ -88.,   48.],
       [-102.,   -5.],
       [ -82.,  -55.],
       [ -47.,  -91.],
       [   4., -104.],
       [  50.,  -89.],
       [  85.,  -52.]])
        basis0 = BSplineBasis(5, np.array([ -2.2,  -1.3,   0. ,   0. ,   0. ,   1. ,   1.7,   2.8,   3.7,   5.3,   6. ,   6.7,   7.8,
         8.7,  10. ,  10. ,  10. ,  11. ,  11.7]),1)
        crv  = Curve(basis0, controlpoints,False)
        crv2 = crv.rebuild(5, 323)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_surface_2D_p75_C1_periodic(self):
        controlpoints = np.array([[  60.,   -4.],       [  59.,   18.],       [  45.,   43.],       [  24.,   58.],       [   3.,   63.],       [ -28.,   54.],       [ -44.,   42.],       [ -58.,   19.],       [ -64.,    1.],       [ -57.,  -28.],       [ -48.,  -48.],       [ -24.,  -51.],       [   2.,  -65.],       [  26.,  -60.],       [  45.,  -43.],       [  60.,  -25.],       [  67.,    4.],       [  57.,   27.],       [  47.,   50.],       [  25.,   62.],       [   4.,   63.],       [ -24.,   66.],       [ -44.,   48.],       [ -61.,   20.],       [ -66.,   -1.],       [ -63.,  -27.],       [ -45.,  -48.],       [ -25.,  -66.],       [  -4.,  -71.],       [  29.,  -58.],       [  42.,  -44.],       [  65.,  -30.],       [  76.,    2.],       [  63.,   24.],       [  52.,   48.],       [  25.,   71.],       [  -4.,   69.],       [ -27.,   65.],       [ -56.,   50.],       [ -68.,   27.],       [ -74.,    0.],       [ -70.,  -29.],       [ -49.,  -53.],       [ -27.,  -73.],       [  -2.,  -74.],       [  30.,  -64.],       [  51.,  -53.],       [  63.,  -30.],       [  78.,   -1.],       [  75.,   35.],       [  57.,   58.],       [  31.,   70.],       [  -1.,   79.],       [ -33.,   72.],       [ -61.,   58.],       [ -74.,   33.],       [ -83.,   -1.],       [ -70.,  -33.],       [ -57.,  -54.],       [ -30.,  -72.],       [  -5.,  -76.],       [  30.,  -76.],       [  59.,  -60.],       [  75.,  -36.],       [  86.,   -2.],       [  80.,   30.],       [  59.,   65.],       [  34.,   82.],       [  -5.,   88.],       [ -32.,   79.],       [ -60.,   65.],       [ -78.,   33.],       [ -88.,   -3.],       [ -77.,  -36.],       [ -63.,  -62.],       [ -35.,  -79.],       [  -2.,  -91.],       [  37.,  -82.],       [  64.,  -60.],       [  75.,  -38.],       [  95.,   -1.],       [  89.,   35.],       [  63.,   64.],       [  31.,   83.],       [   3.,   90.],       [ -36.,   82.],       [ -67.,   70.],       [ -83.,   35.],       [ -94.,    3.],       [ -86.,  -33.],       [ -71.,  -68.],       [ -36.,  -88.],       [  -3.,  -93.],       [  31.,  -91.],       [  69.,  -71.],       [  81.,  -40.],       [ 104.,   -2.],       [  89.,   38.],       [  68.,   72.],       [  37.,   89.],       [  -3.,   98.],       [ -38.,   96.],       [ -70.,   74.],       [ -95.,   35.],       [-102.,    2.],       [ -89.,  -41.],       [ -67.,  -72.],       [ -34.,  -97.],       [  -3.,  -99.],       [  33.,  -94.],       [  74.,  -75.],       [  90.,  -42.]])
        basis0 = BSplineBasis(7, np.array([ -1.9,  -1.2,   0. ,   0. ,   0. ,   0. ,   0. ,   1.3,   1.8,   3.2,   3.8,   4.6,   5.7,
         6.9,   7.9,   9.1,  10.1,  10.8,  12. ,  12. ,  12. ,  12. ,  12. ,  13.3,  13.8]),1)
        basis1 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0.8,  2.4,  3. ,  3. ,  3. ,  3. ,  3. ]))
        surf  = Surface(basis0, basis1, controlpoints,False)
        surf2 = surf.rebuild([8, 5], [161, 138])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_3D_p6_rational(self):
        controlpoints = np.array([[  -2. ,   -4. ,    3. ,    1.4],
       [  12. ,   -1. ,   -2. ,    1.3],
       [  23. ,   -5. ,    4. ,    1.1],
       [  36. ,   -5. ,    3. ,    1.2],
       [  48. ,    3. ,    0. ,    0.6],
       [  58. ,    2. ,    0. ,    0.5],
       [  62. ,   -5. ,    1. ,    1.4],
       [  77. ,   -3. ,   -1. ,    1.3],
       [  91. ,    3. ,   -5. ,    1.5],
       [ 101. ,   -1. ,   -2. ,    1.1]])
        basis0 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  1.1,  2.1,  3.2,  4. ,  5. ,  5. ,  5. ,  5. ,  5. ,  5. ]))
        crv  = Curve(basis0, controlpoints,True)
        crv2 = crv.rebuild(6, 321)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_surface_3D_p55_rational(self):
        controlpoints = np.array([[  -5. ,   -1. ,    4. ,    0.7],       [  14. ,    1. ,   -1. ,    1.1],       [  33. ,   -4. ,    3. ,    1.1],       [  43. ,    3. ,   -1. ,    1.2],       [  61. ,    4. ,   -5. ,    1.2],       [  72. ,    4. ,   -5. ,    1.3],       [  86. ,   -3. ,   -4. ,    0.6],       [ 104. ,   -5. ,    4. ,    1. ],       [   3. ,   19. ,    4. ,    0.6],       [  10. ,   14. ,    0. ,    0.9],       [  30. ,   20. ,   -1. ,    0.7],       [  41. ,   13. ,    0. ,    0.8],       [  54. ,   19. ,    4. ,    0.9],       [  71. ,   14. ,   -4. ,    1.3],       [  80. ,   18. ,    4. ,    0.8],       [  97. ,   15. ,   -2. ,    0.6],       [  -4. ,   37. ,    2. ,    1.5],       [  15. ,   36. ,    2. ,    1.2],       [  24. ,   31. ,    1. ,    1.1],       [  44. ,   29. ,    4. ,    1.4],       [  59. ,   35. ,    1. ,    0.8],       [  68. ,   33. ,   -4. ,    1.3],       [  83. ,   33. ,    0. ,    0.6],       [ 103. ,   33. ,   -3. ,    1. ],       [   2. ,   46. ,    2. ,    1.3],       [  16. ,   45. ,   -1. ,    1. ],       [  30. ,   45. ,    1. ,    1. ],       [  43. ,   54. ,    0. ,    0.7],       [  52. ,   52. ,    1. ,    1.4],       [  74. ,   49. ,   -5. ,    1.4],       [  83. ,   53. ,    4. ,    1.4],       [  95. ,   52. ,    3. ,    0.5],       [   4. ,   63. ,    0. ,    0.6],       [  14. ,   69. ,   -2. ,    1.2],       [  29. ,   64. ,   -1. ,    0.9],       [  43. ,   64. ,   -3. ,    1. ],       [  58. ,   62. ,   -2. ,    1.2],       [  68. ,   66. ,   -4. ,    0.6],       [  88. ,   64. ,   -1. ,    0.7],       [  99. ,   64. ,    3. ,    1.2],       [   4. ,   87. ,   -2. ,    0.8],       [  14. ,   85. ,   -2. ,    1.1],       [  33. ,   83. ,   -4. ,    1.2],       [  43. ,   80. ,   -3. ,    1.1],       [  59. ,   78. ,   -2. ,    1.3],       [  74. ,   82. ,   -1. ,    1.3],       [  85. ,   84. ,   -2. ,    1.2],       [ 100. ,   87. ,   -5. ,    0.8],       [   2. ,  102. ,   -5. ,    0.7],       [  11. ,  103. ,    2. ,    0.9],       [  31. ,  102. ,    2. ,    0.9],       [  47. ,  100. ,   -4. ,    0.6],       [  57. ,   97. ,   -5. ,    1. ],       [  72. ,   95. ,    4. ,    1.1],       [  90. ,   97. ,    4. ,    1.1],       [ 104. ,  100. ,   -3. ,    1. ]])
        basis0 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0.8,  2.3,  2.9,  4. ,  4. ,  4. ,  4. ,  4. ]))
        basis1 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  1.3,  1.6,  3. ,  3. ,  3. ,  3. ,  3. ]))
        surf  = Surface(basis0, basis1, controlpoints,True)
        surf2 = surf.rebuild([5, 4], [134, 148])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_volume_3D_p655_rational(self):
        controlpoints = np.array([[  -1. ,    3. ,   -5. ,    1. ],       [  11. ,    4. ,    3. ,    1. ],       [  19. ,   -5. ,    1. ,    1.5],       [  36. ,    1. ,    2. ,    0.8],       [  47. ,    4. ,    0. ,    0.8],       [  50. ,   -2. ,    3. ,    1.1],       [  61. ,    4. ,   -4. ,    0.8],       [  82. ,   -3. ,    4. ,    0.7],       [  92. ,   -4. ,   -4. ,    1.3],       [ 100. ,    0. ,    4. ,    0.8],       [  -4. ,   16. ,    1. ,    0.6],       [  10. ,    9. ,   -1. ,    0.9],       [  20. ,   14. ,   -4. ,    0.8],       [  35. ,   11. ,    4. ,    0.6],       [  48. ,   11. ,    2. ,    1.1],       [  51. ,   12. ,   -1. ,    1.3],       [  71. ,   10. ,    3. ,    1.4],       [  72. ,    9. ,    1. ,    1. ],       [  89. ,   12. ,   -5. ,    1.3],       [ 104. ,    8. ,    1. ,    0.7],       [  -3. ,   26. ,   -4. ,    1.1],       [  14. ,   26. ,    1. ,    0.6],       [  18. ,   22. ,    2. ,    1.2],       [  29. ,   20. ,   -4. ,    0.7],       [  42. ,   26. ,    2. ,    1.5],       [  55. ,   22. ,   -4. ,    0.8],       [  65. ,   19. ,   -4. ,    0.5],       [  80. ,   25. ,   -5. ,    0.5],       [  89. ,   24. ,   -1. ,    0.9],       [  98. ,   25. ,   -3. ,    0.5],       [   3. ,   30. ,   -2. ,    1.5],       [  15. ,   30. ,    4. ,    1.3],       [  19. ,   34. ,    4. ,    1.3],       [  37. ,   34. ,   -3. ,    1.3],       [  48. ,   37. ,    2. ,    1.3],       [  57. ,   29. ,    4. ,    0.9],       [  71. ,   31. ,   -2. ,    0.5],       [  82. ,   28. ,    1. ,    0.8],       [  88. ,   29. ,   -3. ,    0.7],       [  97. ,   31. ,    1. ,    0.6],       [  -5. ,   41. ,    0. ,    1.4],       [  11. ,   42. ,   -2. ,    0.7],       [  22. ,   41. ,   -5. ,    0.5],       [  32. ,   41. ,   -2. ,    1.3],       [  40. ,   44. ,    0. ,    1.5],       [  51. ,   47. ,    3. ,    1. ],       [  66. ,   43. ,    2. ,    1.4],       [  80. ,   46. ,    2. ,    1.1],       [  93. ,   48. ,   -1. ,    0.9],       [  96. ,   42. ,    2. ,    1.3],       [   3. ,   53. ,   -5. ,    0.6],       [  15. ,   54. ,    1. ,    0.6],       [  19. ,   53. ,   -2. ,    1.4],       [  36. ,   57. ,   -3. ,    1.2],       [  41. ,   57. ,   -3. ,    1.5],       [  58. ,   52. ,    4. ,    0.6],       [  62. ,   53. ,   -2. ,    0.9],       [  78. ,   54. ,    3. ,    1.4],       [  84. ,   59. ,    3. ,    0.7],       [ 103. ,   52. ,   -2. ,    1.3],       [  -1. ,   68. ,   -4. ,    0.8],       [  14. ,   66. ,    0. ,    1.3],       [  18. ,   64. ,    1. ,    1.2],       [  29. ,   69. ,   -4. ,    1.2],       [  41. ,   62. ,   -1. ,    0.9],       [  58. ,   65. ,    1. ,    0.7],       [  62. ,   70. ,    3. ,    0.9],       [  79. ,   66. ,    1. ,    0.9],       [  91. ,   71. ,    1. ,    0.8],       [ 101. ,   68. ,    3. ,    1.2],       [   4. ,   79. ,   -2. ,    0.5],       [  12. ,   78. ,   -5. ,    0.9],       [  22. ,   74. ,    1. ,    1.4],       [  33. ,   77. ,   -1. ,    1.1],       [  46. ,   73. ,   -1. ,    1.3],       [  59. ,   76. ,    1. ,    0.9],       [  61. ,   74. ,    0. ,    0.8],       [  79. ,   73. ,   -3. ,    0.9],       [  90. ,   76. ,   -4. ,    1.2],       [ 104. ,   77. ,    0. ,    1.2],       [   1. ,   87. ,   -4. ,    1.4],       [   7. ,   91. ,    1. ,    1.2],       [  22. ,   93. ,   -3. ,    1.3],       [  31. ,   93. ,    2. ,    0.9],       [  49. ,   86. ,    1. ,    1.4],       [  52. ,   85. ,   -4. ,    0.7],       [  62. ,   87. ,   -1. ,    1.5],       [  80. ,   91. ,   -2. ,    0.7],       [  88. ,   88. ,   -1. ,    0.7],       [ 101. ,   87. ,    0. ,    1.1],       [  -5. ,   95. ,    0. ,    0.7],       [  11. ,  102. ,   -1. ,    1. ],       [  24. ,  102. ,   -4. ,    1.5],       [  36. ,  103. ,    4. ,    1.4],       [  43. ,  103. ,    3. ,    1.3],       [  55. ,  101. ,    0. ,    0.6],       [  64. ,  100. ,    0. ,    1.1],       [  77. ,   99. ,   -5. ,    0.9],       [  88. ,   98. ,    3. ,    1. ],       [  97. ,  103. ,    3. ,    1.1],       [  -5. ,    0. ,   19. ,    0.9],       [  10. ,    0. ,   18. ,    1. ],       [  20. ,   -5. ,   20. ,    1.3],       [  31. ,    2. ,   15. ,    1.4],       [  39. ,    1. ,   20. ,    1.3],       [  57. ,   -4. ,   15. ,    1. ],       [  71. ,    1. ,   14. ,    1.4],       [  80. ,    0. ,   20. ,    0.9],       [  84. ,    0. ,   19. ,    1. ],       [  96. ,   -5. ,   15. ,    1.2],       [   4. ,   13. ,   20. ,    0.6],       [  15. ,   10. ,   16. ,    0.7],       [  18. ,    6. ,   12. ,    1.4],       [  31. ,    7. ,   12. ,    1.1],       [  47. ,   10. ,   19. ,    0.9],       [  51. ,   13. ,   17. ,    0.7],       [  62. ,   12. ,   12. ,    0.6],       [  73. ,   11. ,   12. ,    0.7],       [  89. ,   13. ,   21. ,    0.9],       [ 101. ,   11. ,   11. ,    0.7],       [  -4. ,   17. ,   12. ,    1.1],       [   8. ,   25. ,   18. ,    1.3],       [  22. ,   26. ,   17. ,    0.8],       [  33. ,   18. ,   12. ,    1. ],       [  39. ,   21. ,   16. ,    1.1],       [  57. ,   24. ,   18. ,    1.3],       [  67. ,   26. ,   18. ,    1.4],       [  82. ,   20. ,   13. ,    1.1],       [  86. ,   21. ,   15. ,    1. ],       [  95. ,   24. ,   18. ,    1.3],       [  -2. ,   38. ,   18. ,    0.8],       [  13. ,   35. ,   19. ,    0.6],       [  18. ,   30. ,   15. ,    1.3],       [  34. ,   37. ,   16. ,    1.2],       [  41. ,   32. ,   21. ,    0.6],       [  53. ,   28. ,   15. ,    1.1],       [  64. ,   30. ,   20. ,    0.7],       [  81. ,   36. ,   17. ,    1.2],       [  86. ,   34. ,   19. ,    1.4],       [ 102. ,   29. ,   13. ,    1. ],       [   2. ,   43. ,   13. ,    1. ],       [  11. ,   44. ,   16. ,    1.3],       [  22. ,   44. ,   16. ,    1.2],       [  29. ,   40. ,   20. ,    0.6],       [  40. ,   40. ,   18. ,    0.8],       [  52. ,   47. ,   18. ,    1.1],       [  69. ,   48. ,   17. ,    0.9],       [  74. ,   46. ,   12. ,    1.2],       [  86. ,   43. ,   18. ,    0.7],       [ 104. ,   39. ,   18. ,    1.1],       [  -5. ,   59. ,   16. ,    1.2],       [  14. ,   51. ,   20. ,    1.5],       [  20. ,   50. ,   15. ,    0.9],       [  29. ,   55. ,   13. ,    1. ],       [  40. ,   53. ,   11. ,    1.4],       [  54. ,   50. ,   20. ,    1.1],       [  69. ,   53. ,   14. ,    0.5],       [  81. ,   58. ,   16. ,    0.9],       [  89. ,   53. ,   16. ,    1.3],       [  97. ,   52. ,   17. ,    1.2],       [  -4. ,   68. ,   20. ,    0.7],       [  14. ,   71. ,   12. ,    1.4],       [  21. ,   63. ,   19. ,    0.5],       [  35. ,   65. ,   16. ,    0.7],       [  48. ,   67. ,   16. ,    1.2],       [  54. ,   63. ,   15. ,    1.3],       [  64. ,   70. ,   18. ,    1.4],       [  79. ,   63. ,   20. ,    0.9],       [  85. ,   67. ,   16. ,    1.1],       [  99. ,   64. ,   13. ,    1.5],       [  -4. ,   81. ,   16. ,    1.1],       [  15. ,   74. ,   13. ,    0.6],       [  23. ,   78. ,   12. ,    1.4],       [  37. ,   79. ,   17. ,    1.3],       [  40. ,   78. ,   11. ,    0.6],       [  54. ,   74. ,   19. ,    1.4],       [  70. ,   76. ,   17. ,    1.1],       [  80. ,   81. ,   21. ,    0.6],       [  91. ,   77. ,   17. ,    1.1],       [ 104. ,   78. ,   13. ,    1.3],       [  -2. ,   89. ,   14. ,    0.9],       [   8. ,   91. ,   19. ,    1.3],       [  23. ,   91. ,   16. ,    1. ],       [  32. ,   85. ,   20. ,    1.2],       [  40. ,   84. ,   18. ,    0.9],       [  58. ,   93. ,   12. ,    1.2],       [  65. ,   84. ,   16. ,    1.5],       [  82. ,   88. ,   14. ,    1.4],       [  88. ,   92. ,   20. ,    0.6],       [  95. ,   91. ,   19. ,    0.5],       [  -2. ,  100. ,   18. ,    0.8],       [  12. ,  102. ,   12. ,    1.2],       [  22. ,   99. ,   17. ,    1.2],       [  32. ,   98. ,   18. ,    0.9],       [  42. ,  100. ,   20. ,    0.8],       [  53. ,   96. ,   14. ,    1.5],       [  70. ,   96. ,   16. ,    1.1],       [  76. ,   96. ,   15. ,    0.7],       [  89. ,   95. ,   16. ,    0.9],       [  97. ,   99. ,   21. ,    0.8],       [  -3. ,   -1. ,   30. ,    1.4],       [  14. ,   -2. ,   36. ,    0.8],       [  25. ,    2. ,   37. ,    1.3],       [  32. ,   -2. ,   35. ,    0.6],       [  44. ,   -5. ,   36. ,    1.3],       [  59. ,   -4. ,   37. ,    1. ],       [  61. ,   -4. ,   34. ,    0.9],       [  73. ,   -2. ,   31. ,    1.3],       [  87. ,    0. ,   32. ,    1.3],       [  98. ,    4. ,   33. ,    0.5],       [  -4. ,   10. ,   35. ,    0.6],       [  10. ,   14. ,   38. ,    0.8],       [  24. ,   15. ,   35. ,    1.5],       [  29. ,    8. ,   34. ,    0.7],       [  41. ,   12. ,   37. ,    1. ],       [  51. ,    9. ,   34. ,    1. ],       [  66. ,   10. ,   37. ,    1. ],       [  80. ,    9. ,   34. ,    1. ],       [  92. ,    6. ,   35. ,    1.4],       [  98. ,   15. ,   29. ,    0.9],       [   3. ,   20. ,   30. ,    1.2],       [  14. ,   24. ,   37. ,    0.8],       [  19. ,   17. ,   29. ,    1.3],       [  30. ,   22. ,   37. ,    1.3],       [  43. ,   18. ,   36. ,    1.1],       [  55. ,   23. ,   35. ,    0.9],       [  70. ,   21. ,   37. ,    0.7],       [  82. ,   19. ,   32. ,    0.9],       [  89. ,   24. ,   31. ,    1.2],       [  98. ,   17. ,   29. ,    1.4],       [  -2. ,   34. ,   37. ,    0.6],       [   7. ,   34. ,   31. ,    0.8],       [  24. ,   29. ,   35. ,    0.7],       [  37. ,   34. ,   35. ,    0.8],       [  40. ,   28. ,   37. ,    0.7],       [  51. ,   34. ,   32. ,    0.6],       [  70. ,   36. ,   31. ,    1.4],       [  79. ,   29. ,   35. ,    0.9],       [  93. ,   32. ,   32. ,    1.2],       [ 100. ,   32. ,   29. ,    1. ],       [   3. ,   40. ,   31. ,    0.5],       [   6. ,   40. ,   31. ,    0.8],       [  26. ,   45. ,   29. ,    0.8],       [  36. ,   44. ,   31. ,    1.1],       [  46. ,   41. ,   35. ,    1. ],       [  51. ,   45. ,   30. ,    1. ],       [  63. ,   45. ,   36. ,    1.2],       [  80. ,   41. ,   29. ,    0.6],       [  89. ,   40. ,   29. ,    1.2],       [  95. ,   40. ,   35. ,    1. ],       [  -5. ,   54. ,   28. ,    1.2],       [  15. ,   52. ,   29. ,    0.8],       [  20. ,   52. ,   28. ,    1.1],       [  34. ,   54. ,   28. ,    1.4],       [  41. ,   59. ,   36. ,    0.9],       [  54. ,   57. ,   36. ,    0.9],       [  66. ,   57. ,   34. ,    1.1],       [  77. ,   54. ,   37. ,    1.2],       [  88. ,   53. ,   38. ,    1.3],       [  99. ,   59. ,   37. ,    1. ],       [   1. ,   69. ,   30. ,    1. ],       [  10. ,   64. ,   31. ,    0.9],       [  26. ,   68. ,   29. ,    1.1],       [  31. ,   62. ,   30. ,    0.9],       [  45. ,   70. ,   37. ,    1.1],       [  56. ,   71. ,   30. ,    0.7],       [  64. ,   67. ,   31. ,    1.1],       [  82. ,   64. ,   36. ,    1. ],       [  85. ,   66. ,   29. ,    0.7],       [ 101. ,   62. ,   35. ,    1.2],       [   3. ,   76. ,   33. ,    1. ],       [  10. ,   78. ,   38. ,    0.9],       [  18. ,   82. ,   31. ,    0.8],       [  34. ,   76. ,   30. ,    1.3],       [  39. ,   74. ,   38. ,    1.3],       [  50. ,   78. ,   32. ,    1.1],       [  66. ,   81. ,   38. ,    1. ],       [  80. ,   77. ,   33. ,    1.1],       [  84. ,   82. ,   35. ,    0.5],       [ 101. ,   73. ,   37. ,    1. ],       [  -2. ,   84. ,   36. ,    0.6],       [  12. ,   90. ,   29. ,    1.3],       [  17. ,   89. ,   34. ,    1.2],       [  28. ,   88. ,   29. ,    1.1],       [  48. ,   85. ,   31. ,    1.4],       [  58. ,   86. ,   36. ,    1.2],       [  65. ,   84. ,   28. ,    1.2],       [  82. ,   90. ,   37. ,    1.2],       [  88. ,   91. ,   30. ,    0.9],       [  96. ,   84. ,   30. ,    0.9],       [   4. ,   97. ,   30. ,    0.9],       [  10. ,   97. ,   38. ,    1.1],       [  21. ,   98. ,   30. ,    0.7],       [  38. ,  101. ,   35. ,    0.9],       [  40. ,  102. ,   37. ,    1.3],       [  53. ,   99. ,   30. ,    1. ],       [  65. ,   98. ,   35. ,    1. ],       [  73. ,  101. ,   38. ,    1.3],       [  90. ,   98. ,   32. ,    0.6],       [  99. ,  100. ,   35. ,    0.6],       [   0. ,   -3. ,   45. ,    0.5],       [  10. ,    4. ,   49. ,    1.1],       [  21. ,    1. ,   53. ,    0.6],       [  29. ,    1. ,   49. ,    1.1],       [  44. ,    0. ,   49. ,    1.4],       [  51. ,    2. ,   47. ,    1.4],       [  71. ,    4. ,   48. ,    1.1],       [  79. ,   -3. ,   54. ,    1. ],       [  90. ,    3. ,   49. ,    0.9],       [ 100. ,   -1. ,   50. ,    1.3],       [  -5. ,   12. ,   45. ,    1.3],       [  11. ,   13. ,   51. ,    1.1],       [  26. ,   13. ,   53. ,    1.2],       [  36. ,    8. ,   48. ,    1.2],       [  44. ,   15. ,   47. ,    1.1],       [  53. ,   14. ,   53. ,    1. ],       [  71. ,   10. ,   52. ,    0.9],       [  74. ,    8. ,   48. ,    0.6],       [  93. ,   11. ,   49. ,    1. ],       [  99. ,   13. ,   50. ,    0.7],       [   2. ,   27. ,   50. ,    0.5],       [   7. ,   18. ,   51. ,    1.1],       [  22. ,   17. ,   49. ,    1.1],       [  30. ,   17. ,   45. ,    0.6],       [  42. ,   27. ,   45. ,    1.3],       [  58. ,   19. ,   53. ,    0.9],       [  65. ,   20. ,   47. ,    0.5],       [  79. ,   17. ,   53. ,    0.6],       [  93. ,   24. ,   54. ,    0.9],       [ 103. ,   24. ,   50. ,    0.8],       [   0. ,   38. ,   53. ,    0.5],       [  15. ,   31. ,   49. ,    0.8],       [  21. ,   30. ,   52. ,    1. ],       [  32. ,   33. ,   54. ,    1.2],       [  41. ,   33. ,   49. ,    1. ],       [  58. ,   30. ,   45. ,    0.8],       [  62. ,   29. ,   48. ,    1.4],       [  74. ,   36. ,   49. ,    0.9],       [  84. ,   33. ,   48. ,    1.1],       [ 103. ,   35. ,   50. ,    1. ],       [  -4. ,   41. ,   46. ,    1. ],       [  11. ,   44. ,   53. ,    1.5],       [  19. ,   46. ,   54. ,    1. ],       [  34. ,   41. ,   52. ,    1.3],       [  48. ,   40. ,   47. ,    1.4],       [  59. ,   42. ,   52. ,    1.1],       [  70. ,   46. ,   52. ,    0.9],       [  79. ,   47. ,   45. ,    1.2],       [  87. ,   46. ,   48. ,    1.3],       [  99. ,   44. ,   50. ,    0.8],       [   2. ,   51. ,   48. ,    0.7],       [   8. ,   55. ,   46. ,    1.3],       [  25. ,   59. ,   53. ,    0.9],       [  30. ,   51. ,   45. ,    0.5],       [  48. ,   50. ,   54. ,    0.6],       [  53. ,   54. ,   46. ,    0.7],       [  68. ,   59. ,   46. ,    0.9],       [  81. ,   59. ,   46. ,    0.9],       [  88. ,   52. ,   53. ,    0.9],       [ 101. ,   56. ,   46. ,    0.8],       [  -4. ,   67. ,   53. ,    0.6],       [   8. ,   62. ,   48. ,    0.5],       [  20. ,   62. ,   46. ,    0.5],       [  35. ,   65. ,   46. ,    0.9],       [  42. ,   66. ,   46. ,    1.4],       [  56. ,   65. ,   46. ,    1. ],       [  67. ,   62. ,   50. ,    0.7],       [  76. ,   64. ,   46. ,    0.9],       [  86. ,   65. ,   54. ,    1.4],       [  97. ,   64. ,   53. ,    1.4],       [  -2. ,   74. ,   53. ,    0.9],       [  15. ,   80. ,   51. ,    0.7],       [  25. ,   75. ,   51. ,    0.8],       [  32. ,   81. ,   50. ,    1.4],       [  42. ,   73. ,   49. ,    1.1],       [  57. ,   79. ,   52. ,    1. ],       [  70. ,   75. ,   45. ,    0.9],       [  81. ,   75. ,   46. ,    0.6],       [  91. ,   74. ,   48. ,    1.2],       [  98. ,   78. ,   47. ,    0.7],       [   4. ,   93. ,   50. ,    1. ],       [  10. ,   90. ,   45. ,    0.7],       [  25. ,   87. ,   45. ,    0.8],       [  36. ,   92. ,   50. ,    0.5],       [  49. ,   83. ,   54. ,    1. ],       [  57. ,   86. ,   49. ,    1.1],       [  68. ,   87. ,   49. ,    0.8],       [  81. ,   93. ,   45. ,    1. ],       [  91. ,   88. ,   52. ,    1.5],       [ 103. ,   85. ,   45. ,    0.9],       [  -1. ,  104. ,   48. ,    1.4],       [  14. ,   98. ,   54. ,    1.2],       [  19. ,  104. ,   49. ,    1.3],       [  28. ,   98. ,   49. ,    0.6],       [  44. ,  100. ,   50. ,    0.7],       [  58. ,  101. ,   52. ,    0.9],       [  61. ,  102. ,   45. ,    0.6],       [  78. ,   96. ,   47. ,    1.5],       [  88. ,   97. ,   45. ,    0.7],       [ 103. ,   96. ,   52. ,    0.8],       [  -3. ,   -3. ,   63. ,    1.1],       [   6. ,   -2. ,   65. ,    1.4],       [  25. ,   -1. ,   62. ,    0.8],       [  33. ,   -3. ,   63. ,    1.5],       [  42. ,    0. ,   64. ,    1.4],       [  57. ,   -3. ,   65. ,    1.2],       [  69. ,   -1. ,   71. ,    1.2],       [  80. ,   -2. ,   62. ,    1.3],       [  87. ,   -4. ,   62. ,    0.6],       [ 104. ,   -5. ,   66. ,    1. ],       [  -5. ,    9. ,   68. ,    0.7],       [   7. ,    7. ,   70. ,    1.3],       [  25. ,   13. ,   68. ,    1.2],       [  30. ,    9. ,   70. ,    0.7],       [  45. ,    6. ,   65. ,    0.9],       [  54. ,   13. ,   64. ,    0.6],       [  69. ,    9. ,   70. ,    1.2],       [  76. ,   12. ,   68. ,    1.2],       [  91. ,   14. ,   67. ,    1.1],       [ 101. ,   11. ,   63. ,    0.9],       [  -1. ,   20. ,   65. ,    1. ],       [  10. ,   25. ,   61. ,    0.5],       [  22. ,   18. ,   67. ,    0.9],       [  28. ,   19. ,   66. ,    1.2],       [  48. ,   23. ,   62. ,    1.2],       [  51. ,   25. ,   63. ,    0.9],       [  71. ,   21. ,   70. ,    0.6],       [  75. ,   21. ,   69. ,    1.3],       [  89. ,   24. ,   68. ,    1.3],       [ 101. ,   24. ,   67. ,    1. ],       [   3. ,   35. ,   70. ,    0.7],       [  16. ,   33. ,   63. ,    1.2],       [  18. ,   31. ,   68. ,    0.5],       [  32. ,   31. ,   64. ,    1.1],       [  43. ,   30. ,   61. ,    0.7],       [  58. ,   37. ,   64. ,    0.8],       [  69. ,   29. ,   65. ,    0.6],       [  80. ,   29. ,   69. ,    0.7],       [  84. ,   31. ,   69. ,    0.9],       [ 101. ,   35. ,   64. ,    1.3],       [   1. ,   43. ,   65. ,    1.1],       [  12. ,   40. ,   64. ,    1. ],       [  20. ,   41. ,   71. ,    1.1],       [  29. ,   41. ,   70. ,    1.4],       [  48. ,   45. ,   65. ,    1.1],       [  52. ,   47. ,   69. ,    1.4],       [  66. ,   46. ,   71. ,    1.4],       [  80. ,   47. ,   64. ,    0.9],       [  92. ,   42. ,   64. ,    1. ],       [  98. ,   49. ,   71. ,    1. ],       [  -2. ,   56. ,   63. ,    1.2],       [   8. ,   56. ,   63. ,    1.3],       [  21. ,   59. ,   64. ,    1.4],       [  35. ,   55. ,   71. ,    0.6],       [  42. ,   52. ,   67. ,    1.3],       [  54. ,   51. ,   63. ,    1.2],       [  66. ,   55. ,   70. ,    1.5],       [  81. ,   52. ,   69. ,    1.4],       [  93. ,   60. ,   68. ,    1.2],       [ 104. ,   53. ,   66. ,    1.2],       [   3. ,   65. ,   71. ,    1.1],       [   9. ,   64. ,   62. ,    1.5],       [  20. ,   67. ,   66. ,    1. ],       [  29. ,   62. ,   62. ,    0.6],       [  43. ,   71. ,   62. ,    1.1],       [  54. ,   63. ,   68. ,    0.7],       [  64. ,   63. ,   71. ,    1.4],       [  81. ,   61. ,   63. ,    1. ],       [  93. ,   69. ,   65. ,    0.6],       [ 100. ,   67. ,   67. ,    1. ],       [   3. ,   79. ,   67. ,    1.3],       [   9. ,   77. ,   62. ,    0.8],       [  25. ,   80. ,   68. ,    0.6],       [  33. ,   74. ,   69. ,    1.1],       [  40. ,   73. ,   70. ,    1.4],       [  57. ,   79. ,   68. ,    1.1],       [  64. ,   76. ,   64. ,    0.8],       [  76. ,   74. ,   71. ,    0.8],       [  91. ,   73. ,   69. ,    0.6],       [  97. ,   82. ,   62. ,    0.5],       [  -5. ,   88. ,   61. ,    0.9],       [  12. ,   88. ,   63. ,    1. ],       [  20. ,   87. ,   68. ,    0.6],       [  30. ,   89. ,   62. ,    0.9],       [  42. ,   87. ,   71. ,    1. ],       [  57. ,   90. ,   63. ,    1.1],       [  70. ,   93. ,   68. ,    1.5],       [  74. ,   84. ,   67. ,    0.5],       [  91. ,   89. ,   64. ,    1.3],       [  98. ,   89. ,   61. ,    0.6],       [  -1. ,   95. ,   65. ,    1.2],       [  15. ,   95. ,   64. ,    0.8],       [  24. ,   97. ,   63. ,    0.7],       [  37. ,   95. ,   70. ,    0.7],       [  44. ,  103. ,   65. ,    1. ],       [  51. ,  102. ,   71. ,    0.7],       [  66. ,  104. ,   63. ,    0.8],       [  77. ,   97. ,   64. ,    0.8],       [  92. ,  104. ,   63. ,    0.5],       [  95. ,  104. ,   65. ,    1. ],       [   3. ,    4. ,   82. ,    0.6],       [  15. ,   -5. ,   86. ,    0.9],       [  21. ,    0. ,   80. ,    1.3],       [  31. ,    4. ,   84. ,    0.5],       [  42. ,    4. ,   84. ,    1.2],       [  53. ,    0. ,   84. ,    0.8],       [  71. ,    4. ,   79. ,    0.7],       [  73. ,    1. ,   83. ,    0.7],       [  89. ,    3. ,   84. ,    1.2],       [  96. ,    4. ,   86. ,    1.2],       [   2. ,   12. ,   80. ,    0.8],       [  11. ,   11. ,   81. ,    1. ],       [  24. ,    8. ,   84. ,    1.4],       [  32. ,   15. ,   83. ,    0.8],       [  43. ,   12. ,   82. ,    1.1],       [  59. ,   13. ,   80. ,    1.4],       [  65. ,   14. ,   83. ,    0.5],       [  74. ,   10. ,   81. ,    0.5],       [  85. ,   13. ,   87. ,    1.4],       [ 103. ,    8. ,   86. ,    1.2],       [   3. ,   18. ,   86. ,    1.2],       [  14. ,   23. ,   88. ,    1.1],       [  23. ,   20. ,   86. ,    1. ],       [  36. ,   27. ,   81. ,    0.9],       [  44. ,   20. ,   85. ,    1.4],       [  59. ,   22. ,   82. ,    1.5],       [  67. ,   24. ,   87. ,    0.7],       [  74. ,   25. ,   86. ,    0.8],       [  92. ,   24. ,   85. ,    1.4],       [ 103. ,   26. ,   83. ,    1. ],       [   4. ,   36. ,   86. ,    0.6],       [  12. ,   37. ,   83. ,    0.9],       [  26. ,   31. ,   87. ,    0.9],       [  31. ,   37. ,   84. ,    1.2],       [  41. ,   29. ,   80. ,    1. ],       [  52. ,   31. ,   81. ,    0.7],       [  67. ,   35. ,   84. ,    0.9],       [  81. ,   28. ,   85. ,    0.7],       [  91. ,   32. ,   82. ,    1.1],       [  96. ,   32. ,   86. ,    1.3],       [  -4. ,   44. ,   83. ,    1.2],       [  15. ,   48. ,   83. ,    0.8],       [  17. ,   42. ,   88. ,    1.1],       [  31. ,   47. ,   79. ,    1.4],       [  49. ,   46. ,   79. ,    1.5],       [  58. ,   47. ,   79. ,    0.6],       [  66. ,   41. ,   85. ,    1.1],       [  76. ,   45. ,   87. ,    1.2],       [  87. ,   41. ,   84. ,    1.3],       [  97. ,   47. ,   83. ,    1. ],       [   0. ,   59. ,   81. ,    1.3],       [  13. ,   56. ,   88. ,    0.6],       [  18. ,   56. ,   82. ,    0.6],       [  36. ,   52. ,   85. ,    1.3],       [  45. ,   60. ,   80. ,    0.7],       [  57. ,   56. ,   82. ,    1.1],       [  61. ,   55. ,   84. ,    1.3],       [  80. ,   58. ,   80. ,    0.9],       [  89. ,   57. ,   84. ,    1. ],       [  96. ,   60. ,   83. ,    0.7],       [   4. ,   64. ,   87. ,    1.3],       [  11. ,   64. ,   87. ,    0.8],       [  26. ,   67. ,   78. ,    0.8],       [  34. ,   64. ,   79. ,    0.7],       [  45. ,   62. ,   84. ,    0.9],       [  57. ,   69. ,   80. ,    1.1],       [  65. ,   67. ,   82. ,    1.2],       [  78. ,   66. ,   79. ,    0.9],       [  86. ,   63. ,   82. ,    1.1],       [ 101. ,   65. ,   83. ,    1.1],       [   4. ,   80. ,   86. ,    0.6],       [  11. ,   75. ,   80. ,    0.7],       [  20. ,   75. ,   80. ,    1.2],       [  33. ,   76. ,   82. ,    0.7],       [  48. ,   73. ,   84. ,    1.1],       [  55. ,   76. ,   82. ,    0.5],       [  71. ,   79. ,   87. ,    0.6],       [  78. ,   78. ,   81. ,    1.4],       [  89. ,   73. ,   86. ,    1.3],       [ 100. ,   76. ,   78. ,    1.3],       [   2. ,   91. ,   86. ,    1.2],       [  13. ,   87. ,   79. ,    0.8],       [  20. ,   86. ,   82. ,    1. ],       [  29. ,   91. ,   81. ,    1.1],       [  41. ,   89. ,   84. ,    1.3],       [  54. ,   93. ,   87. ,    0.8],       [  69. ,   90. ,   83. ,    0.5],       [  73. ,   93. ,   87. ,    1.5],       [  91. ,   91. ,   84. ,    0.9],       [  98. ,   90. ,   81. ,    0.5],       [  -5. ,   98. ,   80. ,    0.6],       [   6. ,   99. ,   83. ,    0.8],       [  24. ,   97. ,   86. ,    1.2],       [  34. ,   96. ,   78. ,    0.9],       [  41. ,  104. ,   87. ,    1.5],       [  51. ,  101. ,   85. ,    0.6],       [  70. ,   97. ,   86. ,    0.8],       [  79. ,   95. ,   85. ,    1. ],       [  87. ,   96. ,   79. ,    0.9],       [  96. ,  100. ,   78. ,    0.6],       [   0. ,   -3. ,  103. ,    0.8],       [  12. ,   -2. ,   99. ,    0.9],       [  18. ,    3. ,  104. ,    0.7],       [  32. ,   -3. ,  103. ,    1.2],       [  40. ,    0. ,  101. ,    0.8],       [  52. ,   -1. ,   96. ,    1.1],       [  63. ,   -4. ,  100. ,    1. ],       [  73. ,   -2. ,  101. ,    1.5],       [  88. ,    4. ,   98. ,    1. ],       [ 100. ,   -2. ,   96. ,    1.1],       [   3. ,    9. ,   97. ,    1.3],       [   6. ,   11. ,  104. ,    0.9],       [  17. ,   13. ,  102. ,    0.9],       [  28. ,    6. ,  104. ,    0.7],       [  40. ,   14. ,  102. ,    0.9],       [  59. ,   13. ,   97. ,    1.2],       [  68. ,    8. ,   97. ,    1.1],       [  74. ,    8. ,   96. ,    0.9],       [  86. ,    7. ,  104. ,    0.5],       [ 102. ,   14. ,  100. ,    0.9],       [   2. ,   22. ,  102. ,    0.8],       [   8. ,   18. ,  102. ,    0.9],       [  20. ,   23. ,   95. ,    1.1],       [  37. ,   21. ,   98. ,    1. ],       [  45. ,   17. ,  104. ,    1.3],       [  52. ,   24. ,  104. ,    0.9],       [  62. ,   23. ,   97. ,    1.5],       [  79. ,   21. ,   97. ,    1.5],       [  87. ,   17. ,   97. ,    1.4],       [  95. ,   21. ,   97. ,    1.3],       [  -3. ,   33. ,  103. ,    1.5],       [  12. ,   32. ,  104. ,    0.5],       [  23. ,   36. ,  101. ,    1. ],       [  38. ,   36. ,   95. ,    1. ],       [  42. ,   33. ,   98. ,    0.7],       [  60. ,   34. ,  104. ,    0.6],       [  64. ,   29. ,   96. ,    1. ],       [  80. ,   30. ,   97. ,    0.8],       [  91. ,   37. ,  100. ,    0.8],       [  99. ,   34. ,   95. ,    0.5],       [  -4. ,   46. ,   96. ,    1.5],       [   6. ,   42. ,   99. ,    0.5],       [  17. ,   46. ,   97. ,    0.9],       [  38. ,   45. ,   97. ,    1.4],       [  47. ,   40. ,   96. ,    1. ],       [  54. ,   42. ,  104. ,    0.6],       [  66. ,   49. ,   95. ,    1.2],       [  79. ,   40. ,  102. ,    0.9],       [  90. ,   39. ,   98. ,    1.3],       [ 104. ,   41. ,  100. ,    0.6],       [  -4. ,   60. ,  100. ,    1.3],       [  15. ,   57. ,  102. ,    1.1],       [  20. ,   58. ,  103. ,    1.3],       [  35. ,   59. ,  101. ,    0.7],       [  45. ,   56. ,  101. ,    1.5],       [  57. ,   60. ,  103. ,    1. ],       [  63. ,   57. ,  100. ,    1.4],       [  78. ,   58. ,  102. ,    1.1],       [  91. ,   51. ,   97. ,    1.1],       [  95. ,   55. ,  104. ,    1.4],       [   1. ,   67. ,  103. ,    0.7],       [  13. ,   62. ,  102. ,    0.8],       [  20. ,   65. ,   99. ,    0.6],       [  35. ,   71. ,  101. ,    0.8],       [  45. ,   70. ,  104. ,    0.7],       [  50. ,   64. ,   99. ,    1.4],       [  70. ,   63. ,  104. ,    0.8],       [  76. ,   71. ,  102. ,    1.1],       [  91. ,   69. ,   96. ,    0.6],       [  99. ,   71. ,  104. ,    1.3],       [  -1. ,   75. ,   95. ,    0.5],       [  12. ,   76. ,   97. ,    0.6],       [  22. ,   75. ,   96. ,    0.7],       [  38. ,   75. ,  103. ,    1.4],       [  42. ,   80. ,   98. ,    0.8],       [  59. ,   77. ,  103. ,    1.2],       [  67. ,   77. ,  102. ,    0.6],       [  77. ,   79. ,  103. ,    1.4],       [  92. ,   82. ,   98. ,    0.7],       [  99. ,   82. ,  101. ,    0.8],       [   0. ,   91. ,   95. ,    0.8],       [  13. ,   89. ,  100. ,    0.9],       [  18. ,   88. ,  104. ,    1. ],       [  28. ,   91. ,   97. ,    0.9],       [  45. ,   88. ,   95. ,    0.9],       [  59. ,   91. ,  103. ,    0.6],       [  68. ,   89. ,  103. ,    0.9],       [  73. ,   86. ,   98. ,    0.9],       [  92. ,   92. ,  102. ,    1.2],       [ 103. ,   85. ,   98. ,    1.2],       [   4. ,  102. ,  101. ,    0.7],       [  12. ,   97. ,  100. ,    1.1],       [  21. ,   98. ,  104. ,    0.6],       [  29. ,   96. ,  102. ,    0.8],       [  39. ,   96. ,   96. ,    1.4],       [  53. ,  100. ,   99. ,    0.9],       [  65. ,  104. ,   99. ,    1.3],       [  77. ,   96. ,   99. ,    1. ],       [  87. ,   96. ,  101. ,    1.4],       [ 102. ,  101. ,   98. ,    0.7]])
        basis0 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  1.3,  2. ,  2.9,  4. ,  5. ,  5. ,  5. ,  5. ,  5. ,  5. ]))
        basis1 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  1.2,  2.1,  2.7,  3.8,  5.2,  6. ,  6. ,  6. ,  6. ,  6. ]))
        basis2 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0.7,  2.4,  3. ,  3. ,  3. ,  3. ,  3. ]))
        vol  = Volume(basis0, basis1, basis2, controlpoints,True)
        vol2 = vol.rebuild([5, 5, 6], [91, 85, 99])
        u    = np.linspace(vol.start(0), vol.end(0), 7)
        v    = np.linspace(vol.start(1), vol.end(1), 7)
        w    = np.linspace(vol.start(2), vol.end(2), 7)
        pt   = vol(u,v,w)
        pt2  = vol2(u,v,w)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_3D_p7_rational_C1_periodic(self):
        controlpoints = np.array([[  96. ,    2. ,    2. ,    1.3],
       [  96. ,   39. ,    0. ,    0.8],
       [  73. ,   69. ,   -5. ,    1.5],
       [  36. ,   89. ,    2. ,    1. ],
       [  -2. ,  100. ,    3. ,    0.9],
       [ -38. ,   96. ,    3. ,    1.2],
       [ -67. ,   73. ,    0. ,    1.2],
       [ -88. ,   33. ,    2. ,    0.8],
       [-100. ,   -1. ,    0. ,    0.6],
       [ -97. ,  -37. ,   -2. ,    0.7],
       [ -72. ,  -71. ,    4. ,    1.5],
       [ -34. ,  -95. ,    2. ,    1.2],
       [  -1. , -100. ,   -3. ,    0.9],
       [  39. ,  -90. ,    4. ,    0.7],
       [  74. ,  -74. ,   -5. ,    1. ],
       [  91. ,  -40. ,    2. ,    0.9]])
        basis0 = BSplineBasis(7, np.array([ -2.3,  -1.4,   0. ,   0. ,   0. ,   0. ,   0. ,   1.2,   2.2,   2.9,   4.1,   5.2,   6. ,
         7.1,   8. ,   8.9,   9.7,  10.6,  12. ,  12. ,  12. ,  12. ,  12. ,  13.2,  14.2]),1)
        crv  = Curve(basis0, controlpoints,True)
        crv2 = crv.rebuild(8, 343)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_surface_3D_p55_rational_C1_periodic(self):
        controlpoints = np.array([[  63. ,    0. ,    2. ,    0.9],       [  47. ,   26. ,   -3. ,    1.3],       [  27. ,   55. ,    3. ,    1.2],       [   4. ,   59. ,   -5. ,    0.6],       [ -29. ,   54. ,    4. ,    1.2],       [ -52. ,   32. ,    3. ,    1.3],       [ -64. ,    3. ,   -3. ,    0.8],       [ -48. ,  -35. ,   -1. ,    0.8],       [ -34. ,  -48. ,   -4. ,    0.9],       [   3. ,  -56. ,   -1. ,    1.3],       [  34. ,  -48. ,    3. ,    0.8],       [  50. ,  -26. ,    4. ,    1.4],       [  61. ,    1. ,   -1. ,    1.2],       [  52. ,   27. ,    1. ,    1.2],       [  33. ,   56. ,   -2. ,    0.9],       [   2. ,   69. ,    0. ,    0.9],       [ -37. ,   51. ,   -4. ,    0.7],       [ -52. ,   35. ,    3. ,    0.7],       [ -70. ,    0. ,   -5. ,    0.7],       [ -57. ,  -30. ,   -2. ,    0.9],       [ -34. ,  -56. ,   -2. ,    1. ],       [   1. ,  -62. ,    0. ,    0.9],       [  29. ,  -60. ,   -4. ,    1.4],       [  58. ,  -35. ,    4. ,    0.6],       [  71. ,    3. ,    2. ,    0.8],       [  63. ,   36. ,   -2. ,    0.9],       [  29. ,   55. ,   -3. ,    1.3],       [   2. ,   70. ,    3. ,    0.8],       [ -38. ,   61. ,   -4. ,    1. ],       [ -59. ,   31. ,    2. ,    0.7],       [ -71. ,    1. ,   -3. ,    0.8],       [ -62. ,  -30. ,    0. ,    0.8],       [ -38. ,  -63. ,    4. ,    0.6],       [   2. ,  -66. ,   -4. ,    0.9],       [  32. ,  -62. ,    0. ,    1.4],       [  61. ,  -37. ,   -2. ,    1.3],       [  68. ,    3. ,   -3. ,    0.7],       [  63. ,   35. ,    1. ,    1.3],       [  40. ,   65. ,    2. ,    0.6],       [  -5. ,   74. ,    0. ,    1.2],       [ -39. ,   60. ,   -3. ,    0.9],       [ -65. ,   36. ,    1. ,    1.2],       [ -78. ,    4. ,   -3. ,    0.7],       [ -63. ,  -40. ,   -2. ,    1.2],       [ -32. ,  -64. ,    0. ,    1.2],       [   0. ,  -70. ,   -1. ,    1.2],       [  32. ,  -62. ,   -3. ,    0.7],       [  61. ,  -32. ,   -5. ,    0.9],       [  73. ,   -4. ,    0. ,    1.3],       [  71. ,   36. ,    0. ,    0.9],       [  36. ,   65. ,   -2. ,    1.4],       [   4. ,   75. ,   -2. ,    1.3],       [ -40. ,   66. ,    0. ,    1. ],       [ -66. ,   36. ,   -5. ,    1. ],       [ -82. ,   -2. ,    1. ,    1.5],       [ -71. ,  -40. ,   -5. ,    0.9],       [ -40. ,  -67. ,   -1. ,    1. ],       [  -1. ,  -80. ,   -3. ,    0.7],       [  38. ,  -64. ,    4. ,    1.4],       [  63. ,  -38. ,    2. ,    0.6],       [  81. ,    1. ,   -5. ,    1.1],       [  68. ,   36. ,    1. ,    1.2],       [  39. ,   72. ,   -1. ,    1.4],       [  -5. ,   85. ,   -4. ,    0.8],       [ -39. ,   73. ,   -4. ,    1.1],       [ -69. ,   43. ,   -3. ,    1.1],       [ -83. ,    4. ,    3. ,    1.1],       [ -67. ,  -42. ,   -2. ,    1.4],       [ -40. ,  -71. ,    3. ,    1.1],       [   3. ,  -85. ,    1. ,    0.5],       [  37. ,  -71. ,   -3. ,    1.2],       [  69. ,  -41. ,    0. ,    1. ],       [  87. ,    4. ,   -3. ,    1.4],       [  74. ,   42. ,    3. ,    0.7],       [  38. ,   74. ,    4. ,    0.8],       [  -2. ,   81. ,    1. ,    0.7],       [ -47. ,   79. ,   -1. ,    1.5],       [ -79. ,   43. ,    1. ,    1. ],       [ -91. ,    2. ,    4. ,    1.2],       [ -80. ,  -41. ,    2. ,    1.4],       [ -45. ,  -72. ,   -4. ,    1.1],       [  -1. ,  -89. ,    3. ,    0.6],       [  43. ,  -78. ,    2. ,    1.4],       [  70. ,  -45. ,   -5. ,    1.5],       [  87. ,    2. ,   -5. ,    0.7],       [  81. ,   48. ,    0. ,    1.2],       [  42. ,   83. ,    0. ,    0.8],       [  -1. ,   87. ,    2. ,    1. ],       [ -43. ,   75. ,    0. ,    0.6],       [ -75. ,   46. ,   -4. ,    0.7],       [ -95. ,    4. ,    4. ,    1. ],       [ -75. ,  -50. ,    4. ,    1.5],       [ -43. ,  -80. ,    1. ,    1. ],       [   4. ,  -96. ,    1. ,    1.4],       [  43. ,  -80. ,   -5. ,    1.1],       [  82. ,  -46. ,    3. ,    1. ],       [  98. ,    1. ,   -3. ,    1.2],       [  78. ,   44. ,    1. ,    1.3],       [  47. ,   81. ,   -1. ,    1.3],       [  -2. ,  100. ,    3. ,    1.3],       [ -51. ,   81. ,   -4. ,    1.2],       [ -82. ,   45. ,   -1. ,    1.2],       [ -95. ,    2. ,   -4. ,    0.5],       [ -80. ,  -51. ,   -5. ,    1. ],       [ -48. ,  -78. ,    2. ,    0.5],       [   3. , -100. ,    0. ,    1.4],       [  46. ,  -79. ,    3. ,    0.7],       [  87. ,  -49. ,   -4. ,    0.8],       [ 104. ,    0. ,   -2. ,    0.8],       [  89. ,   45. ,    4. ,    1.3],       [  52. ,   84. ,    1. ,    1.4],       [  -3. ,  104. ,   -5. ,    0.9],       [ -53. ,   83. ,   -3. ,    0.7],       [ -92. ,   48. ,   -1. ,    1. ],       [ -96. ,   -2. ,   -2. ,    0.9],       [ -89. ,  -55. ,   -2. ,    0.7],       [ -47. ,  -84. ,   -2. ,    0.8],       [   4. , -100. ,    4. ,    1.3],       [  45. ,  -85. ,    1. ,    1.1],       [  89. ,  -49. ,   -4. ,    1.2]])
        basis0 = BSplineBasis(5, np.array([ -1.7,  -0.7,   0. ,   0. ,   0. ,   1.2,   1.9,   2.9,   3.7,   5.1,   6. ,   7.3,   8.3,
         9.3,  10. ,  10. ,  10. ,  11.2,  11.9]),1)
        basis1 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0.8,  2.1,  2.7,  4. ,  5. ,  6. ,  6. ,  6. ,  6. ,  6. ]))
        surf  = Surface(basis0, basis1, controlpoints,True)
        surf2 = surf.rebuild([4, 6], [143, 126])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_volume_3D_p567_rational_C1_periodic(self):
        controlpoints = np.array([[  47. ,    1. ,   -1. ,    1. ],       [  40. ,   29. ,   -2. ,    1.2],       [  25. ,   44. ,    3. ,    1.4],       [   2. ,   50. ,    3. ,    1.4],       [ -25. ,   43. ,    2. ,    1. ],       [ -47. ,   27. ,    0. ,    0.9],       [ -54. ,    1. ,    3. ,    0.5],       [ -48. ,  -22. ,   -3. ,    0.8],       [ -24. ,  -44. ,   -5. ,    1.2],       [  -5. ,  -50. ,   -5. ,    0.9],       [  28. ,  -46. ,    1. ,    1.3],       [  42. ,  -24. ,   -4. ,    0.7],       [  57. ,    3. ,    4. ,    0.7],       [  52. ,   27. ,   -4. ,    1. ],       [  31. ,   52. ,   -2. ,    1.3],       [  -3. ,   56. ,   -3. ,    1.2],       [ -29. ,   46. ,   -4. ,    0.9],       [ -50. ,   23. ,   -4. ,    1.5],       [ -58. ,    4. ,    4. ,    1.1],       [ -53. ,  -31. ,    0. ,    1.4],       [ -29. ,  -50. ,    0. ,    1.4],       [   2. ,  -61. ,    1. ,    0.5],       [  24. ,  -52. ,   -2. ,    0.6],       [  53. ,  -31. ,    0. ,    1.2],       [  65. ,   -1. ,   -1. ,    0.8],       [  58. ,   30. ,   -3. ,    0.6],       [  30. ,   57. ,    0. ,    0.9],       [   1. ,   60. ,    4. ,    0.7],       [ -30. ,   51. ,   -5. ,    0.9],       [ -55. ,   34. ,    2. ,    0.9],       [ -64. ,   -4. ,    3. ,    1.2],       [ -57. ,  -31. ,    3. ,    1.3],       [ -35. ,  -50. ,   -3. ,    1.4],       [  -4. ,  -61. ,   -5. ,    1.2],       [  34. ,  -57. ,    4. ,    0.6],       [  50. ,  -36. ,   -3. ,    1. ],       [  67. ,    2. ,   -1. ,    1.3],       [  61. ,   35. ,    0. ,    1. ],       [  36. ,   55. ,    3. ,    0.9],       [   0. ,   73. ,   -4. ,    0.5],       [ -37. ,   62. ,   -4. ,    0.9],       [ -63. ,   32. ,    0. ,    1.5],       [ -71. ,    2. ,    2. ,    0.9],       [ -61. ,  -34. ,    2. ,    1.1],       [ -32. ,  -60. ,   -5. ,    0.8],       [   3. ,  -72. ,   -5. ,    1.4],       [  35. ,  -63. ,   -2. ,    0.5],       [  63. ,  -30. ,    3. ,    0.8],       [  71. ,   -3. ,   -2. ,    1.1],       [  67. ,   40. ,   -5. ,    0.8],       [  41. ,   69. ,   -1. ,    0.7],       [  -3. ,   78. ,    4. ,    0.8],       [ -42. ,   66. ,    0. ,    1.4],       [ -63. ,   37. ,    2. ,    0.8],       [ -73. ,   -1. ,    3. ,    1. ],       [ -64. ,  -39. ,    0. ,    0.9],       [ -38. ,  -65. ,   -1. ,    0.5],       [   3. ,  -71. ,   -4. ,    1. ],       [  34. ,  -66. ,    2. ,    1.1],       [  63. ,  -39. ,    4. ,    1. ],       [  85. ,   -3. ,   -2. ,    1.1],       [  73. ,   37. ,    0. ,    1.1],       [  38. ,   70. ,    0. ,    0.7],       [   3. ,   79. ,    0. ,    0.8],       [ -37. ,   72. ,    0. ,    1.2],       [ -72. ,   42. ,    3. ,    1.3],       [ -78. ,   -1. ,    2. ,    0.9],       [ -72. ,  -40. ,   -2. ,    1.1],       [ -40. ,  -66. ,   -4. ,    1.4],       [   2. ,  -82. ,   -5. ,    0.7],       [  39. ,  -72. ,   -2. ,    1.4],       [  66. ,  -46. ,    2. ,    1.4],       [  91. ,   -5. ,    1. ,    1.2],       [  79. ,   48. ,    4. ,    0.9],       [  39. ,   75. ,   -4. ,    1.2],       [   3. ,   83. ,   -4. ,    1.4],       [ -48. ,   77. ,    2. ,    1.3],       [ -76. ,   40. ,   -3. ,    0.7],       [ -88. ,    1. ,   -2. ,    1.4],       [ -79. ,  -39. ,    0. ,    1.1],       [ -46. ,  -78. ,   -2. ,    0.7],       [   2. ,  -91. ,    0. ,    1.2],       [  46. ,  -76. ,    4. ,    1.3],       [  75. ,  -46. ,   -5. ,    1.1],       [  95. ,    0. ,    2. ,    0.7],       [  77. ,   50. ,   -5. ,    1. ],       [  47. ,   79. ,   -2. ,    0.7],       [  -2. ,   94. ,   -5. ,    1. ],       [ -46. ,   78. ,    1. ,    0.5],       [ -86. ,   46. ,    4. ,    0.7],       [ -95. ,    3. ,   -5. ,    1.3],       [ -81. ,  -45. ,   -1. ,    1.5],       [ -44. ,  -85. ,   -4. ,    0.8],       [   3. ,  -93. ,   -4. ,    0.7],       [  41. ,  -80. ,    0. ,    1.4],       [  78. ,  -46. ,    0. ,    1.1],       [  95. ,   -5. ,   -3. ,    1.5],       [  90. ,   47. ,   -5. ,    1.3],       [  47. ,   90. ,   -2. ,    0.9],       [   0. ,   99. ,   -5. ,    0.6],       [ -53. ,   88. ,   -5. ,    0.9],       [ -83. ,   46. ,    1. ,    1.1],       [-101. ,    3. ,    2. ,    1.3],       [ -91. ,  -52. ,    1. ,    1.4],       [ -46. ,  -87. ,    3. ,    1.3],       [   4. , -103. ,   -5. ,    1.3],       [  47. ,  -83. ,    2. ,    1.4],       [  82. ,  -47. ,    0. ,    0.7],       [  52. ,    1. ,    1. ,    0.8],       [  43. ,   29. ,    7. ,    1.1],       [  25. ,   39. ,    5. ,    1. ],       [  -5. ,   54. ,   -1. ,    1.4],       [ -23. ,   48. ,    0. ,    0.7],       [ -39. ,   28. ,   -1. ,    1.4],       [ -55. ,   -5. ,    2. ,    1.4],       [ -44. ,  -26. ,    3. ,    0.7],       [ -29. ,  -48. ,    0. ,    1.2],       [  -4. ,  -49. ,    7. ,    0.7],       [  26. ,  -43. ,    0. ,    1.2],       [  46. ,  -25. ,    8. ,    1.4],       [  58. ,    1. ,    8. ,    1.3],       [  46. ,   27. ,    9. ,    1.3],       [  23. ,   51. ,    4. ,    0.7],       [   0. ,   56. ,    5. ,    1.2],       [ -30. ,   47. ,    5. ,    1.5],       [ -46. ,   29. ,    5. ,    1.1],       [ -60. ,    3. ,    1. ,    0.6],       [ -45. ,  -32. ,    3. ,    1.4],       [ -28. ,  -53. ,    6. ,    1.1],       [   0. ,  -56. ,    2. ,    0.6],       [  26. ,  -48. ,    4. ,    0.7],       [  48. ,  -29. ,    0. ,    1.2],       [  62. ,   -4. ,    0. ,    1.2],       [  56. ,   31. ,    0. ,    1.2],       [  34. ,   55. ,    2. ,    1.4],       [  -3. ,   58. ,    8. ,    0.9],       [ -36. ,   53. ,    8. ,    1. ],       [ -58. ,   30. ,    0. ,    1.1],       [ -64. ,   -4. ,    3. ,    0.7],       [ -58. ,  -33. ,    1. ,    0.8],       [ -28. ,  -51. ,    3. ,    1.4],       [  -1. ,  -61. ,    2. ,    1.2],       [  35. ,  -52. ,   -1. ,    0.7],       [  49. ,  -33. ,    0. ,    1.2],       [  67. ,    4. ,    1. ,    0.6],       [  61. ,   32. ,    1. ,    1.2],       [  31. ,   64. ,    6. ,    0.5],       [   2. ,   68. ,    6. ,    1.1],       [ -34. ,   55. ,    0. ,    0.5],       [ -58. ,   35. ,   -1. ,    1.4],       [ -65. ,   -5. ,    1. ,    0.9],       [ -55. ,  -30. ,    8. ,    0.6],       [ -31. ,  -58. ,    0. ,    0.8],       [  -3. ,  -68. ,    4. ,    0.8],       [  38. ,  -63. ,   -1. ,    0.7],       [  59. ,  -30. ,    3. ,    1.3],       [  78. ,    1. ,    6. ,    0.6],       [  66. ,   37. ,   -1. ,    0.8],       [  34. ,   66. ,    8. ,    0.6],       [  -2. ,   71. ,    2. ,    1.5],       [ -41. ,   68. ,    8. ,    1.1],       [ -68. ,   35. ,    7. ,    0.9],       [ -73. ,    3. ,    1. ,    1. ],       [ -63. ,  -39. ,    3. ,    1. ],       [ -37. ,  -62. ,   -1. ,    1.5],       [  -2. ,  -79. ,    1. ,    1.3],       [  39. ,  -68. ,    4. ,    1.1],       [  66. ,  -34. ,    3. ,    0.8],       [  78. ,    0. ,    5. ,    0.7],       [  74. ,   41. ,    6. ,    0.8],       [  38. ,   67. ,    8. ,    0.6],       [   0. ,   76. ,    2. ,    0.6],       [ -42. ,   67. ,    6. ,    1.3],       [ -70. ,   36. ,    2. ,    0.9],       [ -85. ,   -2. ,   -1. ,    1.3],       [ -74. ,  -42. ,    9. ,    0.9],       [ -43. ,  -69. ,    8. ,    1.1],       [   1. ,  -83. ,    3. ,    1. ],       [  41. ,  -75. ,    1. ,    0.9],       [  71. ,  -41. ,    1. ,    1. ],       [  85. ,   -5. ,    6. ,    1.3],       [  73. ,   41. ,   -1. ,    1.2],       [  38. ,   76. ,    5. ,    1.2],       [   4. ,   89. ,    6. ,    1.5],       [ -48. ,   72. ,   -1. ,    0.6],       [ -78. ,   41. ,    5. ,    1.1],       [ -85. ,    3. ,    8. ,    0.7],       [ -77. ,  -42. ,    1. ,    1. ],       [ -49. ,  -80. ,    7. ,    0.8],       [   0. ,  -88. ,    6. ,    1.1],       [  45. ,  -76. ,    1. ,    1.1],       [  76. ,  -43. ,    9. ,    0.9],       [  95. ,    0. ,    4. ,    0.7],       [  76. ,   44. ,    6. ,    0.8],       [  46. ,   81. ,   -1. ,    1. ],       [  -3. ,   95. ,    1. ,    1.5],       [ -45. ,   83. ,    9. ,    1.2],       [ -84. ,   45. ,    5. ,    0.9],       [ -95. ,    4. ,    7. ,    1.3],       [ -82. ,  -52. ,    8. ,    0.7],       [ -49. ,  -77. ,    9. ,    1.3],       [   4. ,  -93. ,    7. ,    0.6],       [  43. ,  -78. ,    9. ,    0.6],       [  78. ,  -46. ,    2. ,    1.5],       [  95. ,   -5. ,    3. ,    0.7],       [  89. ,   45. ,   -1. ,    0.7],       [  48. ,   83. ,    0. ,    0.6],       [   2. ,   97. ,    5. ,    1.3],       [ -54. ,   85. ,    4. ,    1.3],       [ -91. ,   47. ,    7. ,    0.8],       [-102. ,   -3. ,    1. ,    0.5],       [ -91. ,  -51. ,    2. ,    1.3],       [ -54. ,  -88. ,    5. ,    0.8],       [  -4. , -105. ,    6. ,    0.6],       [  46. ,  -85. ,    8. ,    0.8],       [  85. ,  -49. ,    2. ,    1.1],       [  54. ,   -4. ,    4. ,    1.2],       [  47. ,   27. ,    5. ,    1.4],       [  27. ,   45. ,   13. ,    0.7],       [   0. ,   51. ,   10. ,    1.1],       [ -28. ,   46. ,   11. ,    1. ],       [ -44. ,   29. ,    9. ,    0.5],       [ -46. ,   -4. ,    8. ,    1.4],       [ -48. ,  -23. ,    4. ,    1.1],       [ -27. ,  -41. ,    8. ,    0.9],       [  -1. ,  -53. ,   10. ,    0.6],       [  21. ,  -47. ,    7. ,    1. ],       [  46. ,  -27. ,    7. ,    0.8],       [  58. ,    1. ,    9. ,    0.6],       [  52. ,   24. ,    9. ,    0.7],       [  32. ,   50. ,    4. ,    0.9],       [  -4. ,   54. ,   10. ,    1.3],       [ -25. ,   51. ,    7. ,    1.5],       [ -49. ,   27. ,   11. ,    1.1],       [ -57. ,    0. ,    4. ,    1.1],       [ -53. ,  -30. ,   11. ,    0.6],       [ -25. ,  -47. ,    7. ,    1.2],       [   0. ,  -61. ,    9. ,    0.8],       [  25. ,  -46. ,    8. ,    1.5],       [  43. ,  -26. ,    5. ,    0.7],       [  62. ,    1. ,   12. ,    1.3],       [  55. ,   27. ,    4. ,    1.3],       [  32. ,   51. ,    8. ,    1.1],       [   4. ,   58. ,    5. ,    1.4],       [ -30. ,   57. ,    6. ,    0.7],       [ -54. ,   35. ,    8. ,    0.5],       [ -62. ,   -4. ,    8. ,    0.5],       [ -59. ,  -30. ,    7. ,    1.2],       [ -30. ,  -55. ,    8. ,    0.7],       [   3. ,  -68. ,    5. ,    0.9],       [  32. ,  -53. ,    6. ,    1.4],       [  58. ,  -33. ,   10. ,    0.9],       [  66. ,    3. ,    9. ,    0.7],       [  62. ,   35. ,    5. ,    1.4],       [  39. ,   55. ,    4. ,    0.9],       [   4. ,   65. ,   10. ,    0.9],       [ -38. ,   60. ,   11. ,    0.7],       [ -64. ,   35. ,   11. ,    1.3],       [ -69. ,    0. ,   10. ,    1.3],       [ -61. ,  -31. ,   11. ,    0.9],       [ -34. ,  -60. ,   10. ,    1.4],       [  -2. ,  -72. ,   12. ,    0.7],       [  35. ,  -57. ,   10. ,    0.5],       [  60. ,  -37. ,    8. ,    1.2],       [  75. ,   -3. ,   11. ,    0.7],       [  67. ,   34. ,    4. ,    1.3],       [  42. ,   66. ,   13. ,    1.1],       [   4. ,   72. ,    7. ,    0.8],       [ -35. ,   60. ,    7. ,    0.7],       [ -64. ,   40. ,    4. ,    1.3],       [ -80. ,    0. ,    6. ,    0.9],       [ -60. ,  -39. ,    3. ,    1.2],       [ -41. ,  -65. ,   13. ,    0.9],       [  -1. ,  -73. ,   11. ,    1.3],       [  38. ,  -63. ,    8. ,    0.7],       [  62. ,  -41. ,   13. ,    1.2],       [  78. ,   -4. ,    9. ,    1.1],       [  74. ,   39. ,    8. ,    0.8],       [  41. ,   71. ,   10. ,    1.4],       [  -1. ,   76. ,    6. ,    1.1],       [ -39. ,   69. ,   13. ,    0.7],       [ -67. ,   44. ,    6. ,    0.9],       [ -84. ,   -4. ,   10. ,    0.6],       [ -70. ,  -44. ,    5. ,    1.5],       [ -36. ,  -71. ,    4. ,    0.9],       [  -1. ,  -77. ,    5. ,    0.7],       [  43. ,  -67. ,    6. ,    0.8],       [  70. ,  -40. ,    5. ,    1.3],       [  89. ,    4. ,   11. ,    1.2],       [  78. ,   44. ,   12. ,    1.1],       [  39. ,   76. ,    6. ,    0.9],       [  -4. ,   84. ,   10. ,    0.8],       [ -41. ,   78. ,   10. ,    0.7],       [ -76. ,   40. ,   12. ,    1.3],       [ -92. ,    3. ,    4. ,    0.7],       [ -78. ,  -47. ,    5. ,    0.6],       [ -39. ,  -78. ,   11. ,    0.7],       [   3. ,  -86. ,   11. ,    1. ],       [  45. ,  -79. ,    8. ,    1.3],       [  72. ,  -41. ,    8. ,    1.4],       [  98. ,   -1. ,   13. ,    1.3],       [  76. ,   47. ,    5. ,    0.6],       [  41. ,   81. ,   12. ,    1.3],       [  -3. ,   95. ,    6. ,    1. ],       [ -52. ,   79. ,    6. ,    1.3],       [ -81. ,   46. ,    8. ,    1.1],       [ -99. ,    0. ,    6. ,    1.1],       [ -84. ,  -51. ,   10. ,    0.8],       [ -43. ,  -85. ,   10. ,    0.6],       [  -5. ,  -92. ,    8. ,    0.7],       [  49. ,  -85. ,   13. ,    0.8],       [  85. ,  -45. ,   11. ,    0.9],       [  99. ,    3. ,    4. ,    0.9],       [  87. ,   49. ,    5. ,    0.7],       [  52. ,   86. ,   13. ,    1.1],       [   0. ,   96. ,   10. ,    0.6],       [ -52. ,   90. ,    4. ,    1.2],       [ -85. ,   52. ,   12. ,    0.7],       [-102. ,    0. ,   11. ,    1. ],       [ -82. ,  -50. ,    5. ,    0.7],       [ -46. ,  -87. ,    8. ,    1.2],       [   3. ,  -97. ,    8. ,    0.9],       [  53. ,  -83. ,   10. ,    0.6],       [  85. ,  -46. ,   12. ,    0.9],       [  51. ,   -3. ,   15. ,    0.8],       [  43. ,   22. ,   15. ,    0.9],       [  23. ,   39. ,   10. ,    1.2],       [  -3. ,   49. ,   17. ,    1.4],       [ -23. ,   47. ,   14. ,    1.4],       [ -46. ,   21. ,    9. ,    1.1],       [ -47. ,    1. ,   10. ,    1. ],       [ -40. ,  -21. ,   12. ,    0.7],       [ -24. ,  -43. ,   15. ,    1. ],       [   3. ,  -55. ,   18. ,    0.6],       [  27. ,  -48. ,   17. ,    0.7],       [  41. ,  -28. ,   17. ,    1.1],       [  59. ,    2. ,   11. ,    1.2],       [  51. ,   23. ,   11. ,    1.3],       [  30. ,   50. ,   12. ,    0.6],       [  -4. ,   54. ,   13. ,    0.7],       [ -33. ,   44. ,   17. ,    1.4],       [ -50. ,   23. ,   16. ,    1.4],       [ -59. ,    4. ,    8. ,    1.2],       [ -49. ,  -25. ,   16. ,    0.8],       [ -26. ,  -51. ,   14. ,    0.7],       [  -4. ,  -61. ,   14. ,    1. ],       [  26. ,  -53. ,   16. ,    1.4],       [  53. ,  -28. ,    9. ,    1.3],       [  59. ,    3. ,   11. ,    0.6],       [  49. ,   26. ,   12. ,    0.7],       [  28. ,   54. ,   18. ,    0.8],       [   4. ,   63. ,   10. ,    1.1],       [ -28. ,   52. ,   12. ,    1. ],       [ -55. ,   31. ,    9. ,    1.2],       [ -63. ,    0. ,   17. ,    0.7],       [ -55. ,  -35. ,   15. ,    1.4],       [ -31. ,  -53. ,   18. ,    1.1],       [   2. ,  -60. ,   11. ,    0.5],       [  36. ,  -54. ,   12. ,    1.3],       [  50. ,  -30. ,   10. ,    1.3],       [  72. ,   -2. ,   11. ,    1.4],       [  62. ,   35. ,   10. ,    1. ],       [  36. ,   54. ,   10. ,    1.2],       [  -4. ,   64. ,    8. ,    1.2],       [ -36. ,   56. ,   17. ,    1.3],       [ -57. ,   39. ,    9. ,    0.8],       [ -71. ,    3. ,    8. ,    0.8],       [ -59. ,  -31. ,   13. ,    1.3],       [ -38. ,  -64. ,   16. ,    0.9],       [   4. ,  -74. ,   16. ,    1.3],       [  37. ,  -63. ,   13. ,    0.9],       [  56. ,  -40. ,    8. ,    1. ],       [  73. ,    0. ,   16. ,    0.5],       [  60. ,   35. ,   14. ,    0.8],       [  37. ,   68. ,   10. ,    1. ],       [  -3. ,   79. ,   15. ,    1.3],       [ -34. ,   65. ,   14. ,    0.6],       [ -70. ,   35. ,   16. ,    1.5],       [ -76. ,    4. ,   12. ,    1.2],       [ -63. ,  -35. ,    9. ,    0.6],       [ -39. ,  -66. ,   13. ,    0.8],       [  -4. ,  -72. ,   12. ,    0.7],       [  33. ,  -63. ,   17. ,    1.5],       [  66. ,  -40. ,   14. ,    0.5],       [  83. ,    3. ,    9. ,    0.7],       [  73. ,   42. ,   12. ,    0.7],       [  44. ,   68. ,   11. ,    0.9],       [  -5. ,   79. ,   12. ,    1.1],       [ -37. ,   71. ,   10. ,    1. ],       [ -71. ,   45. ,   15. ,    0.7],       [ -79. ,   -3. ,   17. ,    1.1],       [ -66. ,  -43. ,    8. ,    0.9],       [ -46. ,  -74. ,   11. ,    1.4],       [  -5. ,  -77. ,   11. ,    0.8],       [  44. ,  -76. ,   13. ,    1.5],       [  68. ,  -45. ,   17. ,    1.3],       [  89. ,   -2. ,    9. ,    0.6],       [  78. ,   40. ,   11. ,    0.8],       [  44. ,   79. ,   17. ,    1.4],       [  -5. ,   85. ,   13. ,    1. ],       [ -49. ,   72. ,   11. ,    0.8],       [ -74. ,   43. ,   14. ,    0.6],       [ -90. ,    4. ,    9. ,    0.5],       [ -74. ,  -45. ,    8. ,    1.3],       [ -44. ,  -79. ,   11. ,    1.2],       [   3. ,  -86. ,   13. ,    0.9],       [  39. ,  -73. ,   11. ,    0.8],       [  71. ,  -44. ,   11. ,    0.8],       [  92. ,   -2. ,   12. ,    1. ],       [  83. ,   49. ,   17. ,    0.5],       [  44. ,   78. ,   13. ,    0.9],       [   0. ,   90. ,   14. ,    0.7],       [ -52. ,   82. ,   11. ,    1. ],       [ -85. ,   48. ,   11. ,    0.6],       [ -93. ,   -4. ,   14. ,    1.1],       [ -85. ,  -45. ,   16. ,    1.4],       [ -49. ,  -80. ,   17. ,    1.2],       [   4. ,  -91. ,    8. ,    0.9],       [  50. ,  -86. ,   17. ,    1.1],       [  77. ,  -45. ,   11. ,    1.2],       [  98. ,    3. ,   11. ,    1.1],       [  84. ,   47. ,   13. ,    1.4],       [  45. ,   85. ,   12. ,    0.7],       [   3. ,   97. ,    9. ,    1.3],       [ -54. ,   85. ,   16. ,    0.7],       [ -85. ,   49. ,   12. ,    1.2],       [-100. ,   -4. ,   16. ,    0.8],       [ -88. ,  -49. ,   14. ,    1.5],       [ -55. ,  -87. ,    9. ,    1.4],       [  -1. ,  -99. ,   14. ,    1.4],       [  50. ,  -83. ,   14. ,    0.7],       [  87. ,  -54. ,   11. ,    1.5],       [  51. ,   -4. ,   19. ,    0.6],       [  38. ,   28. ,   20. ,    0.8],       [  26. ,   40. ,   20. ,    1.4],       [  -3. ,   49. ,   18. ,    1.2],       [ -21. ,   44. ,   19. ,    1. ],       [ -47. ,   25. ,   21. ,    1.4],       [ -55. ,   -5. ,   15. ,    1.1],       [ -40. ,  -27. ,   22. ,    1.3],       [ -29. ,  -39. ,   13. ,    1.1],       [  -2. ,  -47. ,   16. ,    1.4],       [  21. ,  -41. ,   18. ,    0.8],       [  40. ,  -22. ,   16. ,    0.8],       [  51. ,   -1. ,   12. ,    0.9],       [  49. ,   32. ,   19. ,    1.3],       [  32. ,   50. ,   13. ,    0.7],       [  -2. ,   56. ,   15. ,    0.7],       [ -30. ,   52. ,   13. ,    0.5],       [ -48. ,   24. ,   22. ,    0.6],       [ -59. ,   -1. ,   14. ,    1.4],       [ -45. ,  -26. ,   21. ,    1.3],       [ -27. ,  -52. ,   16. ,    0.8],       [  -1. ,  -59. ,   18. ,    0.6],       [  24. ,  -52. ,   16. ,    1. ],       [  47. ,  -29. ,   17. ,    0.7],       [  58. ,   -5. ,   17. ,    1.2],       [  57. ,   35. ,   15. ,    1. ],       [  33. ,   52. ,   14. ,    1.1],       [  -3. ,   58. ,   14. ,    1.4],       [ -35. ,   50. ,   14. ,    1.2],       [ -55. ,   26. ,   20. ,    1.1],       [ -67. ,   -2. ,   13. ,    1.1],       [ -58. ,  -34. ,   14. ,    1.2],       [ -31. ,  -52. ,   22. ,    1.2],       [  -2. ,  -60. ,   20. ,    0.8],       [  28. ,  -56. ,   16. ,    1.5],       [  55. ,  -33. ,   22. ,    0.6],       [  70. ,   -4. ,   17. ,    1.4],       [  63. ,   34. ,   17. ,    1.4],       [  35. ,   64. ,   12. ,    1.1],       [  -5. ,   69. ,   21. ,    0.9],       [ -33. ,   63. ,   16. ,    1.2],       [ -63. ,   30. ,   16. ,    1.1],       [ -68. ,   -4. ,   13. ,    1.1],       [ -56. ,  -39. ,   22. ,    0.8],       [ -40. ,  -56. ,   14. ,    0.9],       [  -3. ,  -66. ,   17. ,    1.4],       [  32. ,  -61. ,   19. ,    1.3],       [  59. ,  -33. ,   13. ,    1.3],       [  73. ,    3. ,   17. ,    1. ],       [  66. ,   40. ,   17. ,    1.2],       [  36. ,   61. ,   22. ,    1.3],       [   4. ,   74. ,   13. ,    0.6],       [ -35. ,   63. ,   19. ,    0.7],       [ -67. ,   38. ,   15. ,    1.3],       [ -74. ,   -5. ,   15. ,    0.6],       [ -61. ,  -35. ,   20. ,    0.5],       [ -41. ,  -70. ,   22. ,    1.2],       [  -1. ,  -80. ,   20. ,    0.6],       [  36. ,  -66. ,   21. ,    0.5],       [  62. ,  -41. ,   21. ,    0.7],       [  77. ,   -3. ,   22. ,    1.2],       [  73. ,   40. ,   21. ,    0.8],       [  41. ,   68. ,   17. ,    1.2],       [   1. ,   77. ,   14. ,    1.2],       [ -38. ,   66. ,   22. ,    0.7],       [ -70. ,   44. ,   16. ,    0.8],       [ -84. ,    1. ,   12. ,    1.4],       [ -71. ,  -46. ,   13. ,    1.3],       [ -40. ,  -74. ,   22. ,    0.9],       [  -4. ,  -82. ,   15. ,    1. ],       [  37. ,  -69. ,   15. ,    0.5],       [  66. ,  -43. ,   16. ,    1.3],       [  88. ,   -5. ,   14. ,    1.1],       [  74. ,   45. ,   16. ,    1. ],       [  42. ,   79. ,   14. ,    1.3],       [   4. ,   91. ,   14. ,    0.8],       [ -48. ,   71. ,   22. ,    1.5],       [ -81. ,   46. ,   17. ,    0.9],       [ -88. ,   -5. ,   16. ,    0.9],       [ -77. ,  -42. ,   13. ,    0.8],       [ -48. ,  -80. ,   22. ,    0.9],       [   3. ,  -87. ,   20. ,    0.9],       [  40. ,  -76. ,   14. ,    1.4],       [  75. ,  -45. ,   14. ,    1.4],       [  91. ,   -2. ,   16. ,    1.2],       [  85. ,   48. ,   22. ,    1.2],       [  45. ,   76. ,   19. ,    1.5],       [  -5. ,   93. ,   21. ,    0.6],       [ -44. ,   76. ,   16. ,    1.3],       [ -78. ,   50. ,   17. ,    1.1],       [ -96. ,    2. ,   14. ,    1.3],       [ -84. ,  -44. ,   14. ,    1.2],       [ -49. ,  -81. ,   20. ,    1.3],       [  -2. ,  -92. ,   14. ,    0.7],       [  43. ,  -87. ,   13. ,    0.6],       [  86. ,  -48. ,   19. ,    0.9],       [ 102. ,    4. ,   13. ,    1.1],       [  87. ,   45. ,   15. ,    1.1],       [  48. ,   85. ,   15. ,    0.7],       [   3. ,   98. ,   18. ,    0.9],       [ -54. ,   91. ,   19. ,    1.1],       [ -89. ,   54. ,   16. ,    1.5],       [-102. ,    4. ,   16. ,    0.9],       [ -83. ,  -47. ,   22. ,    1.5],       [ -47. ,  -88. ,   16. ,    1.3],       [   1. ,  -96. ,   13. ,    1.2],       [  51. ,  -88. ,   22. ,    0.7],       [  88. ,  -51. ,   16. ,    0.6],       [  46. ,   -2. ,   23. ,    0.9],       [  40. ,   26. ,   26. ,    1.3],       [  27. ,   43. ,   19. ,    1.2],       [  -1. ,   54. ,   23. ,    0.7],       [ -30. ,   39. ,   26. ,    0.7],       [ -48. ,   23. ,   22. ,    1.3],       [ -54. ,    0. ,   23. ,    1.1],       [ -44. ,  -29. ,   17. ,    1. ],       [ -29. ,  -40. ,   20. ,    1.4],       [  -2. ,  -51. ,   21. ,    1. ],       [  21. ,  -42. ,   19. ,    0.7],       [  43. ,  -28. ,   26. ,    0.8],       [  55. ,   -1. ,   22. ,    1.1],       [  47. ,   32. ,   23. ,    1.3],       [  30. ,   47. ,   26. ,    1.1],       [   0. ,   58. ,   26. ,    1.5],       [ -31. ,   52. ,   23. ,    0.9],       [ -49. ,   26. ,   17. ,    0.9],       [ -55. ,    0. ,   17. ,    0.5],       [ -51. ,  -28. ,   23. ,    0.9],       [ -25. ,  -45. ,   22. ,    0.6],       [   0. ,  -60. ,   18. ,    0.8],       [  25. ,  -45. ,   20. ,    1.1],       [  49. ,  -25. ,   23. ,    0.6],       [  63. ,    4. ,   19. ,    0.8],       [  54. ,   34. ,   26. ,    0.9],       [  28. ,   57. ,   19. ,    1.2],       [   3. ,   62. ,   17. ,    0.7],       [ -35. ,   51. ,   24. ,    1.3],       [ -55. ,   35. ,   23. ,    0.6],       [ -58. ,   -4. ,   25. ,    1.1],       [ -53. ,  -30. ,   23. ,    0.7],       [ -29. ,  -55. ,   17. ,    1. ],       [   0. ,  -66. ,   19. ,    0.6],       [  27. ,  -55. ,   21. ,    1.2],       [  56. ,  -30. ,   21. ,    1.2],       [  65. ,    4. ,   18. ,    1.3],       [  54. ,   39. ,   26. ,    1. ],       [  30. ,   55. ,   23. ,    0.9],       [  -5. ,   65. ,   21. ,    1. ],       [ -37. ,   55. ,   18. ,    1. ],       [ -60. ,   38. ,   20. ,    1.3],       [ -67. ,   -2. ,   25. ,    1. ],       [ -61. ,  -36. ,   26. ,    1.4],       [ -34. ,  -62. ,   22. ,    1.4],       [  -3. ,  -66. ,   24. ,    1. ],       [  38. ,  -63. ,   24. ,    0.6],       [  63. ,  -34. ,   19. ,    1.4],       [  75. ,   -4. ,   17. ,    1.5],       [  61. ,   42. ,   17. ,    1.2],       [  40. ,   64. ,   20. ,    1. ],       [  -1. ,   79. ,   22. ,    0.7],       [ -34. ,   60. ,   22. ,    0.7],       [ -65. ,   41. ,   21. ,    1.5],       [ -72. ,    0. ,   24. ,    0.6],       [ -67. ,  -38. ,   17. ,    0.9],       [ -34. ,  -67. ,   23. ,    1. ],       [   2. ,  -72. ,   21. ,    0.7],       [  40. ,  -69. ,   17. ,    1.3],       [  61. ,  -35. ,   18. ,    1.1],       [  85. ,   -5. ,   18. ,    0.8],       [  74. ,   35. ,   25. ,    0.9],       [  39. ,   70. ,   26. ,    0.8],       [  -4. ,   80. ,   20. ,    0.5],       [ -41. ,   65. ,   26. ,    0.9],       [ -72. ,   42. ,   26. ,    0.9],       [ -77. ,   -3. ,   25. ,    0.7],       [ -75. ,  -39. ,   19. ,    0.7],       [ -44. ,  -68. ,   22. ,    0.7],       [   0. ,  -86. ,   21. ,    1.4],       [  37. ,  -75. ,   20. ,    1.3],       [  74. ,  -40. ,   18. ,    0.8],       [  86. ,    0. ,   22. ,    0.8],       [  80. ,   48. ,   19. ,    1.4],       [  47. ,   80. ,   22. ,    0.9],       [   3. ,   89. ,   17. ,    0.8],       [ -49. ,   79. ,   26. ,    1. ],       [ -75. ,   46. ,   25. ,    1. ],       [ -85. ,   -2. ,   24. ,    1.1],       [ -81. ,  -45. ,   26. ,    1. ],       [ -42. ,  -79. ,   20. ,    0.5],       [  -4. ,  -93. ,   19. ,    0.8],       [  47. ,  -81. ,   21. ,    0.8],       [  77. ,  -45. ,   22. ,    1.1],       [  95. ,    3. ,   21. ,    0.5],       [  79. ,   44. ,   20. ,    0.6],       [  47. ,   83. ,   25. ,    1.4],       [  -2. ,   90. ,   22. ,    1.2],       [ -49. ,   78. ,   24. ,    0.6],       [ -86. ,   51. ,   17. ,    0.8],       [ -99. ,   -5. ,   18. ,    0.8],       [ -86. ,  -50. ,   22. ,    1.3],       [ -43. ,  -83. ,   17. ,    0.8],       [   3. ,  -96. ,   18. ,    1. ],       [  42. ,  -82. ,   26. ,    1.2],       [  79. ,  -48. ,   18. ,    0.9],       [  95. ,   -3. ,   19. ,    0.9],       [  85. ,   48. ,   25. ,    0.7],       [  52. ,   84. ,   17. ,    1.3],       [   0. ,  103. ,   23. ,    1.2],       [ -53. ,   86. ,   22. ,    1.1],       [ -89. ,   53. ,   19. ,    0.6],       [-103. ,   -5. ,   18. ,    0.7],       [ -86. ,  -52. ,   18. ,    0.7],       [ -48. ,  -84. ,   18. ,    1.3],       [   4. , -101. ,   20. ,    0.9],       [  46. ,  -83. ,   25. ,    0.7],       [  88. ,  -54. ,   20. ,    1.3],       [  52. ,    3. ,   24. ,    1.2],       [  42. ,   29. ,   28. ,    1.5],       [  21. ,   47. ,   21. ,    0.9],       [  -4. ,   51. ,   26. ,    0.5],       [ -28. ,   43. ,   30. ,    1. ],       [ -42. ,   25. ,   30. ,    0.7],       [ -51. ,   -2. ,   28. ,    0.9],       [ -41. ,  -29. ,   30. ,    1.1],       [ -26. ,  -41. ,   31. ,    1.3],       [   4. ,  -47. ,   22. ,    0.8],       [  23. ,  -42. ,   25. ,    0.9],       [  38. ,  -25. ,   29. ,    0.8],       [  56. ,   -4. ,   29. ,    0.5],       [  50. ,   32. ,   29. ,    1.5],       [  28. ,   45. ,   23. ,    0.6],       [   1. ,   59. ,   27. ,    1.3],       [ -25. ,   52. ,   21. ,    1.4],       [ -49. ,   23. ,   26. ,    0.6],       [ -55. ,   -3. ,   22. ,    1.2],       [ -52. ,  -33. ,   22. ,    1.1],       [ -34. ,  -51. ,   28. ,    1. ],       [  -1. ,  -60. ,   23. ,    0.7],       [  27. ,  -49. ,   29. ,    1.2],       [  45. ,  -30. ,   21. ,    0.6],       [  63. ,    0. ,   25. ,    1. ],       [  50. ,   31. ,   29. ,    1. ],       [  31. ,   53. ,   23. ,    1.3],       [   1. ,   58. ,   30. ,    0.8],       [ -32. ,   52. ,   22. ,    0.5],       [ -56. ,   29. ,   23. ,    0.8],       [ -61. ,   -3. ,   21. ,    0.9],       [ -50. ,  -28. ,   25. ,    0.6],       [ -35. ,  -53. ,   28. ,    1.4],       [  -3. ,  -63. ,   21. ,    1.2],       [  34. ,  -52. ,   27. ,    0.8],       [  53. ,  -36. ,   25. ,    0.6],       [  65. ,    0. ,   28. ,    1.4],       [  61. ,   33. ,   23. ,    0.8],       [  37. ,   59. ,   24. ,    0.9],       [  -2. ,   68. ,   29. ,    0.8],       [ -38. ,   64. ,   22. ,    1.1],       [ -63. ,   38. ,   21. ,    1.5],       [ -73. ,    0. ,   28. ,    0.9],       [ -63. ,  -39. ,   30. ,    1.1],       [ -31. ,  -62. ,   23. ,    1.1],       [  -1. ,  -73. ,   26. ,    1.4],       [  35. ,  -59. ,   26. ,    1. ],       [  62. ,  -37. ,   22. ,    1.4],       [  75. ,   -2. ,   24. ,    0.5],       [  60. ,   41. ,   27. ,    1.2],       [  35. ,   66. ,   23. ,    1.2],       [  -4. ,   74. ,   23. ,    0.9],       [ -38. ,   63. ,   31. ,    1.4],       [ -63. ,   41. ,   22. ,    0.7],       [ -73. ,    4. ,   29. ,    1.2],       [ -67. ,  -38. ,   28. ,    1.2],       [ -43. ,  -70. ,   24. ,    0.8],       [   2. ,  -76. ,   23. ,    1.1],       [  40. ,  -64. ,   24. ,    0.6],       [  63. ,  -39. ,   23. ,    0.7],       [  81. ,    1. ,   24. ,    0.7],       [  72. ,   43. ,   30. ,    0.6],       [  41. ,   68. ,   24. ,    1.3],       [  -3. ,   77. ,   27. ,    1.1],       [ -40. ,   66. ,   25. ,    1.2],       [ -67. ,   40. ,   30. ,    1.3],       [ -86. ,    3. ,   27. ,    0.8],       [ -72. ,  -41. ,   27. ,    1.1],       [ -37. ,  -72. ,   26. ,    1.4],       [  -2. ,  -84. ,   30. ,    1. ],       [  38. ,  -67. ,   29. ,    1.3],       [  69. ,  -42. ,   26. ,    0.5],       [  83. ,   -3. ,   26. ,    1. ],       [  72. ,   45. ,   31. ,    0.9],       [  45. ,   79. ,   30. ,    0.7],       [  -5. ,   90. ,   25. ,    1.4],       [ -40. ,   73. ,   26. ,    0.9],       [ -75. ,   38. ,   28. ,    0.6],       [ -87. ,   -2. ,   31. ,    1. ],       [ -75. ,  -49. ,   26. ,    0.9],       [ -43. ,  -81. ,   28. ,    0.6],       [   3. ,  -86. ,   26. ,    1. ],       [  44. ,  -72. ,   30. ,    1.3],       [  74. ,  -40. ,   27. ,    1.4],       [  94. ,    0. ,   24. ,    0.9],       [  86. ,   45. ,   22. ,    1.4],       [  48. ,   78. ,   27. ,    1.3],       [  -5. ,   92. ,   24. ,    0.5],       [ -45. ,   85. ,   29. ,    1.2],       [ -85. ,   43. ,   23. ,    1.2],       [ -98. ,   -3. ,   25. ,    1.4],       [ -81. ,  -45. ,   27. ,    1.3],       [ -44. ,  -80. ,   23. ,    0.7],       [  -2. ,  -94. ,   29. ,    0.9],       [  49. ,  -80. ,   27. ,    1.2],       [  81. ,  -48. ,   25. ,    0.6],       [  98. ,   -5. ,   27. ,    1.2],       [  86. ,   46. ,   24. ,    1.1],       [  54. ,   83. ,   22. ,    1. ],       [  -2. ,   95. ,   30. ,    0.9],       [ -51. ,   87. ,   27. ,    0.7],       [ -92. ,   45. ,   24. ,    0.6],       [-100. ,    1. ,   26. ,    1. ],       [ -82. ,  -49. ,   21. ,    0.9],       [ -52. ,  -91. ,   26. ,    0.8],       [  -4. , -100. ,   31. ,    1. ],       [  46. ,  -83. ,   26. ,    1.1],       [  82. ,  -49. ,   27. ,    1.3],       [  53. ,   -4. ,   34. ,    1.2],       [  45. ,   27. ,   32. ,    0.7],       [  28. ,   40. ,   28. ,    1.3],       [  -5. ,   45. ,   26. ,    1.4],       [ -22. ,   39. ,   27. ,    1. ],       [ -45. ,   22. ,   36. ,    0.6],       [ -53. ,   -2. ,   34. ,    0.6],       [ -39. ,  -27. ,   28. ,    0.6],       [ -23. ,  -42. ,   31. ,    0.7],       [  -1. ,  -47. ,   31. ,    1.1],       [  29. ,  -49. ,   28. ,    0.7],       [  39. ,  -28. ,   32. ,    1.2],       [  60. ,   -5. ,   29. ,    1.1],       [  47. ,   27. ,   35. ,    0.7],       [  27. ,   47. ,   28. ,    1.5],       [   2. ,   57. ,   30. ,    0.9],       [ -26. ,   51. ,   33. ,    1.3],       [ -51. ,   23. ,   28. ,    1. ],       [ -54. ,    3. ,   32. ,    1.4],       [ -46. ,  -30. ,   27. ,    1.3],       [ -27. ,  -53. ,   34. ,    1.2],       [  -1. ,  -55. ,   26. ,    0.7],       [  26. ,  -53. ,   30. ,    1.1],       [  48. ,  -29. ,   34. ,    0.6],       [  66. ,   -2. ,   35. ,    0.8],       [  52. ,   28. ,   27. ,    0.5],       [  32. ,   50. ,   33. ,    0.8],       [   1. ,   61. ,   35. ,    0.6],       [ -30. ,   50. ,   26. ,    1.4],       [ -60. ,   31. ,   34. ,    0.9],       [ -60. ,    3. ,   32. ,    0.9],       [ -56. ,  -34. ,   26. ,    0.6],       [ -30. ,  -59. ,   27. ,    1.1],       [  -2. ,  -64. ,   28. ,    0.7],       [  31. ,  -58. ,   34. ,    0.5],       [  52. ,  -33. ,   29. ,    1.4],       [  64. ,   -1. ,   29. ,    1.1],       [  55. ,   29. ,   26. ,    1.2],       [  33. ,   55. ,   35. ,    0.7],       [  -4. ,   70. ,   26. ,    0.8],       [ -31. ,   64. ,   26. ,    1.4],       [ -58. ,   34. ,   33. ,    0.8],       [ -72. ,    1. ,   27. ,    0.7],       [ -63. ,  -31. ,   34. ,    0.7],       [ -33. ,  -58. ,   30. ,    0.9],       [  -5. ,  -72. ,   34. ,    1. ],       [  35. ,  -64. ,   31. ,    0.6],       [  60. ,  -33. ,   28. ,    0.6],       [  70. ,   -1. ,   31. ,    1. ],       [  65. ,   34. ,   36. ,    1.2],       [  35. ,   63. ,   32. ,    1. ],       [   4. ,   74. ,   27. ,    1.2],       [ -42. ,   63. ,   26. ,    1.4],       [ -63. ,   34. ,   35. ,    1. ],       [ -73. ,   -2. ,   26. ,    0.9],       [ -67. ,  -34. ,   32. ,    1.4],       [ -39. ,  -61. ,   34. ,    1. ],       [  -5. ,  -71. ,   29. ,    1.2],       [  41. ,  -64. ,   35. ,    1.3],       [  63. ,  -41. ,   26. ,    1.1],       [  81. ,   -4. ,   34. ,    1.3],       [  66. ,   39. ,   29. ,    0.5],       [  43. ,   68. ,   30. ,    1. ],       [   3. ,   82. ,   32. ,    0.8],       [ -44. ,   67. ,   27. ,    1.3],       [ -75. ,   41. ,   26. ,    1.3],       [ -78. ,   -1. ,   33. ,    1.5],       [ -73. ,  -45. ,   26. ,    0.7],       [ -37. ,  -68. ,   35. ,    1. ],       [   4. ,  -79. ,   35. ,    1. ],       [  39. ,  -71. ,   33. ,    0.7],       [  70. ,  -43. ,   28. ,    1. ],       [  87. ,   -2. ,   26. ,    0.6],       [  76. ,   43. ,   31. ,    1.4],       [  40. ,   71. ,   28. ,    0.6],       [  -3. ,   88. ,   34. ,    0.7],       [ -44. ,   77. ,   35. ,    0.5],       [ -77. ,   43. ,   27. ,    1.1],       [ -88. ,    0. ,   27. ,    1.3],       [ -80. ,  -39. ,   32. ,    0.5],       [ -45. ,  -76. ,   26. ,    0.5],       [  -1. ,  -86. ,   28. ,    1.3],       [  38. ,  -73. ,   32. ,    0.6],       [  74. ,  -42. ,   29. ,    0.8],       [  98. ,    3. ,   33. ,    1. ],       [  80. ,   43. ,   33. ,    1.4],       [  45. ,   83. ,   26. ,    1.2],       [  -3. ,   92. ,   32. ,    1.1],       [ -52. ,   78. ,   33. ,    0.7],       [ -77. ,   45. ,   33. ,    0.7],       [ -94. ,   -2. ,   28. ,    1.2],       [ -85. ,  -49. ,   26. ,    1. ],       [ -51. ,  -80. ,   26. ,    1. ],       [   2. ,  -94. ,   34. ,    0.8],       [  46. ,  -86. ,   34. ,    0.8],       [  83. ,  -45. ,   34. ,    1.5],       [ 103. ,   -4. ,   30. ,    1.1],       [  90. ,   45. ,   29. ,    0.9],       [  47. ,   87. ,   29. ,    0.6],       [  -4. ,   96. ,   33. ,    1.5],       [ -50. ,   85. ,   32. ,    1.4],       [ -85. ,   54. ,   27. ,    1.4],       [-102. ,   -3. ,   34. ,    1.4],       [ -83. ,  -47. ,   31. ,    1.2],       [ -46. ,  -85. ,   30. ,    1.2],       [  -4. ,  -96. ,   27. ,    0.9],       [  52. ,  -89. ,   34. ,    1. ],       [  86. ,  -50. ,   31. ,    1.5],       [  53. ,    1. ,   33. ,    1.1],       [  47. ,   25. ,   40. ,    1.4],       [  28. ,   44. ,   37. ,    0.9],       [   0. ,   47. ,   37. ,    1.1],       [ -22. ,   40. ,   35. ,    1.1],       [ -40. ,   23. ,   38. ,    1.2],       [ -52. ,    0. ,   39. ,    0.8],       [ -48. ,  -29. ,   38. ,    1.4],       [ -28. ,  -45. ,   31. ,    0.9],       [  -5. ,  -52. ,   39. ,    1.4],       [  28. ,  -46. ,   35. ,    0.6],       [  45. ,  -30. ,   40. ,    1.1],       [  59. ,    3. ,   35. ,    1.1],       [  47. ,   32. ,   34. ,    1.3],       [  32. ,   48. ,   36. ,    1.1],       [  -1. ,   59. ,   32. ,    0.7],       [ -32. ,   52. ,   39. ,    1. ],       [ -54. ,   29. ,   37. ,    1.1],       [ -60. ,   -3. ,   37. ,    0.6],       [ -44. ,  -25. ,   40. ,    0.8],       [ -30. ,  -50. ,   33. ,    1.5],       [  -2. ,  -61. ,   35. ,    1.5],       [  25. ,  -53. ,   34. ,    1.4],       [  45. ,  -28. ,   31. ,    1.2],       [  65. ,    4. ,   34. ,    0.6],       [  51. ,   27. ,   34. ,    1.4],       [  35. ,   52. ,   32. ,    0.8],       [   0. ,   60. ,   39. ,    0.8],       [ -35. ,   51. ,   37. ,    0.9],       [ -59. ,   33. ,   31. ,    0.8],       [ -67. ,    2. ,   40. ,    1.2],       [ -56. ,  -30. ,   35. ,    1.1],       [ -31. ,  -53. ,   38. ,    0.6],       [   0. ,  -59. ,   30. ,    1. ],       [  35. ,  -52. ,   30. ,    1.3],       [  49. ,  -35. ,   40. ,    0.6],       [  65. ,    2. ,   37. ,    0.6],       [  56. ,   35. ,   33. ,    0.8],       [  38. ,   56. ,   38. ,    0.9],       [   2. ,   71. ,   32. ,    1.2],       [ -36. ,   62. ,   37. ,    0.9],       [ -60. ,   30. ,   34. ,    1.4],       [ -68. ,   -2. ,   31. ,    1. ],       [ -61. ,  -34. ,   36. ,    0.8],       [ -31. ,  -60. ,   31. ,    0.5],       [   2. ,  -70. ,   31. ,    1.2],       [  36. ,  -63. ,   36. ,    1.3],       [  59. ,  -40. ,   33. ,    0.8],       [  70. ,    4. ,   39. ,    0.9],       [  62. ,   36. ,   39. ,    1.4],       [  42. ,   62. ,   34. ,    1.2],       [  -1. ,   71. ,   38. ,    0.7],       [ -35. ,   62. ,   34. ,    1.4],       [ -64. ,   40. ,   36. ,    0.8],       [ -76. ,    3. ,   31. ,    1.3],       [ -64. ,  -38. ,   33. ,    0.7],       [ -41. ,  -67. ,   36. ,    0.9],       [   4. ,  -72. ,   36. ,    0.9],       [  41. ,  -62. ,   35. ,    0.5],       [  61. ,  -34. ,   37. ,    0.9],       [  80. ,    1. ,   37. ,    1.4],       [  73. ,   36. ,   34. ,    1.2],       [  39. ,   69. ,   32. ,    0.8],       [   2. ,   85. ,   36. ,    1.5],       [ -46. ,   68. ,   35. ,    1.3],       [ -76. ,   39. ,   38. ,    0.9],       [ -83. ,   -2. ,   36. ,    0.8],       [ -68. ,  -38. ,   31. ,    1.1],       [ -42. ,  -74. ,   40. ,    0.8],       [   4. ,  -83. ,   32. ,    0.7],       [  41. ,  -67. ,   38. ,    1. ],       [  74. ,  -40. ,   35. ,    1.1],       [  86. ,   -1. ,   34. ,    0.9],       [  79. ,   39. ,   37. ,    0.5],       [  45. ,   73. ,   32. ,    1. ],       [   2. ,   87. ,   39. ,    1. ],       [ -41. ,   76. ,   36. ,    1.1],       [ -73. ,   41. ,   37. ,    0.6],       [ -84. ,    2. ,   32. ,    1. ],       [ -79. ,  -44. ,   38. ,    0.9],       [ -41. ,  -72. ,   37. ,    0.5],       [  -4. ,  -91. ,   37. ,    1.1],       [  39. ,  -78. ,   34. ,    1.4],       [  77. ,  -42. ,   38. ,    1.1],       [  88. ,   -3. ,   40. ,    0.7],       [  84. ,   42. ,   37. ,    1.2],       [  51. ,   82. ,   35. ,    0.7],       [   3. ,   97. ,   38. ,    0.7],       [ -51. ,   79. ,   38. ,    1.1],       [ -84. ,   45. ,   34. ,    0.9],       [ -90. ,   -2. ,   39. ,    0.9],       [ -81. ,  -43. ,   32. ,    1.4],       [ -47. ,  -79. ,   39. ,    0.5],       [  -2. ,  -93. ,   33. ,    0.7],       [  46. ,  -86. ,   31. ,    1. ],       [  78. ,  -52. ,   38. ,    0.8],       [  96. ,    1. ,   36. ,    0.8],       [  87. ,   47. ,   35. ,    1.4],       [  51. ,   90. ,   40. ,    1.4],       [   1. ,  101. ,   34. ,    0.9],       [ -47. ,   87. ,   36. ,    1.3],       [ -92. ,   54. ,   32. ,    1. ],       [ -97. ,   -3. ,   36. ,    0.5],       [ -87. ,  -46. ,   33. ,    0.6],       [ -46. ,  -87. ,   36. ,    1.2],       [  -3. , -102. ,   39. ,    0.5],       [  54. ,  -83. ,   38. ,    1.2],       [  84. ,  -52. ,   34. ,    1.3],       [  53. ,   -4. ,   40. ,    0.6],       [  43. ,   25. ,   42. ,    0.8],       [  26. ,   44. ,   36. ,    0.8],       [  -2. ,   50. ,   40. ,    0.8],       [ -22. ,   43. ,   37. ,    1.5],       [ -43. ,   23. ,   41. ,    0.6],       [ -46. ,    4. ,   35. ,    1.1],       [ -41. ,  -22. ,   42. ,    1.2],       [ -21. ,  -41. ,   39. ,    1. ],       [  -5. ,  -53. ,   37. ,    0.8],       [  29. ,  -47. ,   38. ,    1.2],       [  43. ,  -25. ,   37. ,    0.8],       [  57. ,   -3. ,   43. ,    1.3],       [  48. ,   25. ,   36. ,    0.6],       [  32. ,   44. ,   44. ,    1.4],       [   4. ,   60. ,   35. ,    1. ],       [ -29. ,   46. ,   38. ,    1.1],       [ -45. ,   28. ,   42. ,    1. ],       [ -62. ,    1. ,   41. ,    1. ],       [ -47. ,  -25. ,   38. ,    0.6],       [ -24. ,  -48. ,   43. ,    1.2],       [   4. ,  -55. ,   38. ,    1.3],       [  28. ,  -48. ,   36. ,    1.3],       [  47. ,  -24. ,   42. ,    0.7],       [  61. ,   -3. ,   44. ,    1.4],       [  49. ,   26. ,   39. ,    1.4],       [  27. ,   50. ,   42. ,    1.2],       [   3. ,   66. ,   42. ,    1.2],       [ -35. ,   53. ,   43. ,    0.9],       [ -55. ,   26. ,   37. ,    1.2],       [ -61. ,   -4. ,   43. ,    1.3],       [ -52. ,  -28. ,   35. ,    0.8],       [ -28. ,  -57. ,   36. ,    1.5],       [  -3. ,  -66. ,   43. ,    0.9],       [  33. ,  -54. ,   38. ,    1.3],       [  50. ,  -32. ,   41. ,    1. ],       [  65. ,    4. ,   39. ,    1.4],       [  63. ,   37. ,   41. ,    0.5],       [  31. ,   57. ,   44. ,    1. ],       [   4. ,   64. ,   37. ,    0.5],       [ -34. ,   58. ,   36. ,    1.3],       [ -64. ,   34. ,   44. ,    1.5],       [ -65. ,   -1. ,   43. ,    0.9],       [ -61. ,  -32. ,   44. ,    1. ],       [ -32. ,  -57. ,   40. ,    0.6],       [  -5. ,  -74. ,   42. ,    0.8],       [  31. ,  -59. ,   44. ,    1.4],       [  61. ,  -36. ,   40. ,    0.9],       [  76. ,    1. ,   43. ,    0.5],       [  64. ,   42. ,   43. ,    0.9],       [  37. ,   64. ,   39. ,    1.1],       [  -2. ,   74. ,   42. ,    1.1],       [ -42. ,   60. ,   35. ,    1.1],       [ -68. ,   41. ,   39. ,    1.5],       [ -73. ,   -1. ,   39. ,    1.4],       [ -63. ,  -42. ,   42. ,    0.8],       [ -37. ,  -63. ,   42. ,    1.4],       [   0. ,  -79. ,   35. ,    1.3],       [  38. ,  -62. ,   38. ,    1. ],       [  67. ,  -40. ,   42. ,    0.5],       [  78. ,    2. ,   43. ,    0.9],       [  73. ,   36. ,   44. ,    0.8],       [  35. ,   70. ,   39. ,    0.8],       [  -5. ,   83. ,   38. ,    0.5],       [ -38. ,   71. ,   41. ,    1.2],       [ -68. ,   38. ,   39. ,    1.2],       [ -77. ,   -1. ,   37. ,    0.7],       [ -69. ,  -43. ,   35. ,    0.7],       [ -42. ,  -67. ,   43. ,    0.7],       [  -4. ,  -80. ,   43. ,    0.8],       [  43. ,  -69. ,   39. ,    1. ],       [  68. ,  -42. ,   42. ,    0.6],       [  86. ,   -3. ,   44. ,    0.9],       [  72. ,   48. ,   38. ,    1. ],       [  42. ,   76. ,   37. ,    0.5],       [  -4. ,   89. ,   43. ,    1.2],       [ -41. ,   77. ,   40. ,    0.6],       [ -76. ,   40. ,   37. ,    1.4],       [ -87. ,   -4. ,   44. ,    1.1],       [ -81. ,  -41. ,   41. ,    1.4],       [ -42. ,  -76. ,   35. ,    1.3],       [  -4. ,  -93. ,   39. ,    0.8],       [  41. ,  -72. ,   36. ,    1. ],       [  77. ,  -41. ,   39. ,    1.4],       [  94. ,   -3. ,   43. ,    0.8],       [  77. ,   42. ,   43. ,    1.4],       [  48. ,   83. ,   35. ,    1. ],       [   0. ,   91. ,   37. ,    0.8],       [ -52. ,   83. ,   38. ,    0.7],       [ -85. ,   47. ,   44. ,    0.7],       [ -97. ,   -4. ,   36. ,    0.7],       [ -82. ,  -47. ,   35. ,    0.8],       [ -45. ,  -81. ,   44. ,    0.6],       [  -3. ,  -91. ,   39. ,    1.5],       [  47. ,  -84. ,   37. ,    0.7],       [  80. ,  -44. ,   39. ,    0.6],       [  95. ,   -5. ,   41. ,    1.4],       [  82. ,   52. ,   38. ,    1.4],       [  54. ,   86. ,   43. ,    0.6],       [  -4. ,   96. ,   40. ,    0.8],       [ -52. ,   91. ,   41. ,    0.6],       [ -83. ,   50. ,   41. ,    1. ],       [-104. ,   -2. ,   36. ,    0.9],       [ -87. ,  -49. ,   39. ,    0.8],       [ -54. ,  -83. ,   35. ,    0.7],       [  -2. ,  -99. ,   35. ,    0.8],       [  49. ,  -83. ,   37. ,    1.2],       [  84. ,  -54. ,   40. ,    1.2]])
        basis0 = BSplineBasis(5, np.array([ -2.2,  -0.8,   0. ,   0. ,   0. ,   0.9,   2.3,   3.3,   3.8,   4.8,   5.6,   7.1,   7.8,
         9.2,  10. ,  10. ,  10. ,  10.9,  12.3]),1)
        basis1 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  1.2,  1.7,  2.8,  4. ,  4. ,  4. ,  4. ,  4. ,  4. ]))
        basis2 = BSplineBasis(7, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0.9,  2.1,  3.3,  4. ,  4. ,  4. ,  4. ,  4. ,
        4. ,  4. ]))
        vol  = Volume(basis0, basis1, basis2, controlpoints,True)
        vol2 = vol.rebuild([6, 5, 7], [91, 97, 96])
        u    = np.linspace(vol.start(0), vol.end(0), 7)
        v    = np.linspace(vol.start(1), vol.end(1), 7)
        w    = np.linspace(vol.start(2), vol.end(2), 7)
        pt   = vol(u,v,w)
        pt2  = vol2(u,v,w)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_3D_p7(self):
        controlpoints = np.array([[ -1.,   4.,  -1.],
       [ 11.,  -2.,   2.],
       [ 22.,  -5.,   1.],
       [ 29.,   4.,   1.],
       [ 34.,  -5.,   3.],
       [ 47.,  -5.,   3.],
       [ 53.,   3.,  -5.],
       [ 63.,  -5.,   4.],
       [ 74.,  -5.,  -1.],
       [ 80.,   0.,   2.],
       [ 94.,  -3.,  -4.],
       [ 95.,   2.,   3.]])
        basis0 = BSplineBasis(7, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0.6,  1.6,  3.4,  3.7,  5.3,  6. ,  6. ,  6. ,
        6. ,  6. ,  6. ,  6. ]))
        crv  = Curve(basis0, controlpoints,False)
        crv2 = crv.rebuild(6, 327)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=3)

    def test_surface_3D_p57(self):
        controlpoints = np.array([[  -2.,   -5.,   -3.],       [  12.,    1.,   -2.],       [  19.,    3.,    0.],       [  28.,   -5.,   -4.],       [  47.,    2.,   -1.],       [  58.,   -2.,    2.],       [  64.,    1.,    3.],       [  78.,    1.,    4.],       [  87.,   -2.,   -3.],       [ 103.,    2.,   -4.],       [  -3.,   13.,   -5.],       [   9.,    6.,    0.],       [  25.,    6.,   -2.],       [  29.,    8.,   -1.],       [  42.,   16.,    2.],       [  52.,    8.,    1.],       [  62.,   13.,   -3.],       [  82.,   13.,    2.],       [  89.,   14.,   -2.],       [ 104.,    8.,   -5.],       [   4.,   18.,    4.],       [   7.,   18.,    0.],       [  24.,   25.,   -3.],       [  35.,   26.,    4.],       [  45.,   19.,    3.],       [  56.,   20.,   -3.],       [  62.,   17.,    4.],       [  77.,   19.,   -4.],       [  88.,   21.,    4.],       [  96.,   21.,   -2.],       [   3.,   31.,   -2.],       [  14.,   35.,    3.],       [  20.,   35.,    4.],       [  33.,   30.,    3.],       [  48.,   37.,   -2.],       [  59.,   28.,   -1.],       [  68.,   30.,   -5.],       [  79.,   29.,   -1.],       [  84.,   29.,    2.],       [ 103.,   29.,    4.],       [  -2.,   44.,   -1.],       [  14.,   49.,   -4.],       [  22.,   39.,    2.],       [  29.,   44.,    1.],       [  46.,   41.,   -4.],       [  53.,   39.,    2.],       [  71.,   44.,   -4.],       [  76.,   47.,    3.],       [  89.,   42.,    4.],       [ 103.,   45.,   -3.],       [   2.,   53.,    4.],       [   7.,   54.,    2.],       [  22.,   50.,   -5.],       [  31.,   58.,    4.],       [  41.,   57.,    4.],       [  57.,   52.,   -4.],       [  68.,   57.,   -5.],       [  74.,   56.,   -3.],       [  92.,   51.,    2.],       [  96.,   56.,    1.],       [  -4.,   64.,   -5.],       [   8.,   70.,    0.],       [  24.,   63.,    0.],       [  29.,   68.,   -2.],       [  49.,   69.,   -4.],       [  55.,   66.,   -5.],       [  64.,   66.,    4.],       [  78.,   67.,   -4.],       [  86.,   67.,    4.],       [ 100.,   66.,    3.],       [   0.,   78.,   -2.],       [  11.,   80.,   -3.],       [  23.,   79.,    4.],       [  32.,   78.,   -4.],       [  45.,   77.,   -1.],       [  56.,   72.,   -2.],       [  67.,   81.,   -4.],       [  73.,   82.,    0.],       [  85.,   76.,   -4.],       [ 103.,   75.,    1.],       [   2.,   89.,    1.],       [  11.,   87.,   -3.],       [  20.,   90.,    0.],       [  34.,   86.,   -5.],       [  48.,   89.,   -3.],       [  54.,   86.,    1.],       [  67.,   92.,   -5.],       [  82.,   87.,   -3.],       [  92.,   90.,   -5.],       [ 101.,   87.,    2.],       [  -2.,   99.,   -3.],       [  15.,  100.,   -1.],       [  20.,  104.,    4.],       [  32.,   96.,    0.],       [  47.,  100.,    3.],       [  56.,   95.,    3.],       [  63.,  103.,   -4.],       [  78.,   99.,   -1.],       [  86.,   99.,   -4.],       [  95.,  104.,   -3.]])
        basis0 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0.9,  1.9,  3.3,  3.8,  4.9,  6. ,  6. ,  6. ,  6. ,  6. ]))
        basis1 = BSplineBasis(7, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  1.1,  1.7,  3.3,  4. ,  4. ,  4. ,  4. ,  4. ,
        4. ,  4. ]))
        surf  = Surface(basis0, basis1, controlpoints,False)
        surf2 = surf.rebuild([4, 7], [130, 151])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_volume_3D_p776(self):
        controlpoints = np.array([[  -4.,    0.,   -5.],       [   7.,   -2.,   -5.],       [  15.,   -2.,   -1.],       [  28.,   -2.,    3.],       [  38.,   -3.,   -4.],       [  45.,   -4.,   -3.],       [  50.,   -1.,    0.],       [  65.,    1.,    3.],       [  70.,    1.,    4.],       [  80.,    0.,    2.],       [  93.,   -5.,   -2.],       [ 100.,   -5.,    0.],       [  -5.,   16.,   -2.],       [   6.,   10.,    2.],       [  22.,   17.,   -2.],       [  26.,   13.,    0.],       [  38.,   15.,   -1.],       [  43.,   13.,    1.],       [  53.,   15.,   -5.],       [  64.,   12.,   -2.],       [  69.,    8.,   -3.],       [  80.,    8.,   -4.],       [  91.,   11.,    0.],       [  98.,   16.,    3.],       [  -4.,   28.,    3.],       [   9.,   29.,    4.],       [  18.,   28.,    2.],       [  24.,   24.,    0.],       [  39.,   26.,    0.],       [  44.,   21.,    3.],       [  52.,   27.,   -4.],       [  59.,   23.,   -1.],       [  75.,   25.,    2.],       [  82.,   28.,    0.],       [  94.,   22.,   -4.],       [ 100.,   24.,    2.],       [   2.,   41.,   -4.],       [   5.,   34.,   -2.],       [  22.,   36.,   -1.],       [  27.,   37.,   -3.],       [  32.,   34.,    3.],       [  43.,   34.,    3.],       [  58.,   33.,   -2.],       [  59.,   38.,   -2.],       [  69.,   40.,   -5.],       [  84.,   39.,   -3.],       [  94.,   37.,    3.],       [  99.,   35.,   -4.],       [   1.,   45.,   -4.],       [  13.,   50.,    2.],       [  21.,   45.,    1.],       [  25.,   46.,    3.],       [  36.,   50.,    4.],       [  49.,   47.,    0.],       [  58.,   54.,    4.],       [  59.,   49.,   -4.],       [  72.,   51.,    0.],       [  83.,   45.,    1.],       [  89.,   50.,   -2.],       [ 102.,   53.,   -5.],       [   3.,   65.,    1.],       [   8.,   64.,    3.],       [  21.,   62.,   -2.],       [  28.,   62.,    2.],       [  36.,   57.,    0.],       [  42.,   64.,   -4.],       [  51.,   64.,   -2.],       [  62.,   63.,    4.],       [  70.,   58.,   -5.],       [  81.,   62.,   -2.],       [  86.,   65.,    2.],       [  98.,   67.,   -1.],       [  -3.,   76.,    4.],       [   5.,   73.,   -1.],       [  18.,   71.,    1.],       [  30.,   78.,    1.],       [  37.,   78.,   -2.],       [  48.,   76.,   -4.],       [  58.,   73.,    3.],       [  64.,   79.,    4.],       [  69.,   72.,   -1.],       [  82.,   76.,   -1.],       [  90.,   72.,    1.],       [  95.,   74.,   -5.],       [  -3.,   88.,   -4.],       [   6.,   85.,    4.],       [  20.,   86.,   -4.],       [  26.,   88.,    3.],       [  37.,   90.,    1.],       [  44.,   86.,   -3.],       [  59.,   90.,   -4.],       [  65.,   84.,   -5.],       [  68.,   88.,    1.],       [  80.,   87.,    4.],       [  94.,   83.,   -4.],       [  97.,   85.,    3.],       [  -4.,   98.,   -4.],       [  10.,  102.,   -4.],       [  16.,   96.,    0.],       [  26.,  100.,    4.],       [  35.,   99.,    0.],       [  41.,   98.,   -3.],       [  58.,  103.,   -1.],       [  62.,   99.,    2.],       [  75.,  101.,   -1.],       [  80.,   97.,    1.],       [  86.,   98.,    4.],       [ 103.,  104.,   -2.],       [   3.,   -1.,   14.],       [   6.,    1.,   18.],       [  18.,    4.,   15.],       [  28.,    2.,   12.],       [  40.,    3.,   20.],       [  43.,   -4.,   21.],       [  51.,   -5.,   14.],       [  68.,    2.,   18.],       [  72.,    2.,   20.],       [  85.,   -3.,   17.],       [  90.,    2.,   19.],       [ 100.,    3.,   18.],       [   4.,   11.,   18.],       [  11.,   14.,   15.],       [  23.,   11.,   13.],       [  22.,   13.,   12.],       [  39.,   10.,   18.],       [  48.,   16.,   14.],       [  58.,    9.,   21.],       [  66.,    8.,   12.],       [  71.,   16.,   17.],       [  83.,    8.,   12.],       [  92.,   10.,   12.],       [ 100.,   11.,   20.],       [   3.,   28.,   17.],       [   7.,   26.,   20.],       [  15.,   21.,   13.],       [  24.,   21.,   15.],       [  34.,   28.,   15.],       [  49.,   25.,   19.],       [  55.,   29.,   13.],       [  63.,   23.,   21.],       [  73.,   20.,   18.],       [  80.,   26.,   17.],       [  91.,   24.,   12.],       [  96.,   27.,   14.],       [   0.,   34.,   15.],       [   8.,   33.,   19.],       [  15.,   34.,   14.],       [  22.,   41.,   13.],       [  31.,   40.,   17.],       [  50.,   38.,   15.],       [  49.,   37.,   15.],       [  67.,   39.,   13.],       [  71.,   33.,   16.],       [  85.,   33.,   16.],       [  86.,   33.,   19.],       [ 104.,   34.,   17.],       [  -2.,   54.,   14.],       [   8.,   51.,   18.],       [  14.,   53.,   12.],       [  26.,   50.,   14.],       [  38.,   52.,   12.],       [  43.,   48.,   12.],       [  56.,   50.,   20.],       [  66.,   45.,   19.],       [  69.,   52.,   13.],       [  86.,   49.,   17.],       [  86.,   47.,   13.],       [ 101.,   50.,   12.],       [  -2.,   57.,   13.],       [  13.,   58.,   16.],       [  18.,   66.,   20.],       [  25.,   59.,   14.],       [  40.,   65.,   19.],       [  49.,   63.,   19.],       [  57.,   62.,   11.],       [  62.,   67.,   15.],       [  71.,   62.,   14.],       [  83.,   59.,   14.],       [  86.,   65.,   16.],       [ 100.,   59.,   15.],       [  -1.,   77.,   15.],       [  12.,   78.,   18.],       [  19.,   79.,   18.],       [  31.,   72.,   15.],       [  37.,   75.,   13.],       [  46.,   74.,   19.],       [  58.,   70.,   20.],       [  67.,   70.,   20.],       [  71.,   75.,   19.],       [  81.,   75.,   19.],       [  92.,   79.,   13.],       [  96.,   72.,   15.],       [   0.,   92.,   20.],       [   8.,   87.,   17.],       [  20.,   85.,   18.],       [  25.,   92.,   18.],       [  39.,   85.,   20.],       [  46.,   85.,   15.],       [  59.,   85.,   19.],       [  64.,   84.,   17.],       [  69.,   88.,   15.],       [  79.,   83.,   12.],       [  92.,   84.,   17.],       [ 100.,   87.,   12.],       [  -3.,  102.,   15.],       [  11.,  101.,   17.],       [  13.,  102.,   13.],       [  27.,   97.,   13.],       [  35.,  101.,   16.],       [  50.,   95.,   20.],       [  55.,  101.,   21.],       [  66.,  101.,   21.],       [  74.,  104.,   18.],       [  81.,  102.,   16.],       [  93.,   98.,   15.],       [  97.,  102.,   20.],       [  -4.,    2.,   33.],       [  13.,    0.,   34.],       [  20.,    0.,   31.],       [  29.,    4.,   34.],       [  34.,    0.,   29.],       [  47.,   -5.,   35.],       [  53.,    0.,   32.],       [  65.,    2.,   36.],       [  74.,   -1.,   36.],       [  77.,   -4.,   38.],       [  93.,    4.,   34.],       [  98.,   -3.,   34.],       [   4.,   15.,   31.],       [  11.,   12.,   32.],       [  13.,   11.,   36.],       [  27.,    9.,   29.],       [  40.,   11.,   31.],       [  47.,    8.,   32.],       [  55.,   14.,   35.],       [  60.,   10.,   31.],       [  68.,   17.,   36.],       [  82.,    8.,   29.],       [  91.,   12.,   32.],       [  96.,   12.,   29.],       [   1.,   29.,   32.],       [   9.,   20.,   30.],       [  17.,   23.,   33.],       [  26.,   27.,   30.],       [  31.,   29.,   35.],       [  45.,   26.,   34.],       [  54.,   29.,   28.],       [  63.,   27.,   36.],       [  70.,   26.,   32.],       [  81.,   23.,   30.],       [  92.,   25.,   35.],       [  99.,   28.,   29.],       [   4.,   36.,   37.],       [  10.,   37.,   30.],       [  17.,   38.,   28.],       [  23.,   38.,   31.],       [  32.,   37.,   35.],       [  42.,   37.,   34.],       [  57.,   39.,   31.],       [  64.,   35.,   28.],       [  77.,   39.,   35.],       [  86.,   36.,   35.],       [  90.,   35.,   30.],       [ 100.,   34.,   31.],       [  -3.,   50.,   34.],       [   4.,   54.,   28.],       [  16.,   53.,   36.],       [  24.,   53.,   38.],       [  37.,   53.,   35.],       [  48.,   46.,   37.],       [  57.,   46.,   35.],       [  63.,   48.,   38.],       [  74.,   52.,   36.],       [  82.,   50.,   31.],       [  94.,   45.,   34.],       [  97.,   45.,   34.],       [  -3.,   60.,   29.],       [   7.,   63.,   35.],       [  15.,   59.,   36.],       [  31.,   66.,   32.],       [  35.,   64.,   31.],       [  43.,   62.,   32.],       [  51.,   58.,   29.],       [  60.,   65.,   29.],       [  71.,   65.,   33.],       [  84.,   60.,   32.],       [  94.,   62.,   29.],       [ 101.,   60.,   31.],       [  -2.,   73.,   28.],       [  10.,   72.,   33.],       [  17.,   70.,   31.],       [  26.,   70.,   34.],       [  35.,   77.,   35.],       [  43.,   74.,   36.],       [  51.,   73.,   33.],       [  61.,   72.,   36.],       [  71.,   70.,   35.],       [  83.,   77.,   34.],       [  93.,   78.,   36.],       [  96.,   72.,   36.],       [  -5.,   85.,   28.],       [  12.,   86.,   36.],       [  14.,   83.,   31.],       [  23.,   87.,   31.],       [  35.,   90.,   34.],       [  44.,   91.,   33.],       [  54.,   90.,   34.],       [  62.,   89.,   36.],       [  75.,   85.,   32.],       [  85.,   83.,   37.],       [  87.,   91.,   33.],       [  96.,   82.,   37.],       [   4.,  104.,   34.],       [   6.,  104.,   33.],       [  14.,   98.,   30.],       [  26.,  102.,   35.],       [  35.,  103.,   31.],       [  48.,   95.,   35.],       [  49.,   97.,   30.],       [  59.,  100.,   30.],       [  75.,   98.,   32.],       [  83.,  102.,   28.],       [  93.,  103.,   34.],       [  95.,   97.,   31.],       [  -4.,    3.,   54.],       [  10.,    1.,   52.],       [  15.,   -3.,   51.],       [  26.,    1.,   50.],       [  39.,    0.,   54.],       [  42.,   -2.,   47.],       [  58.,    3.,   48.],       [  61.,   -3.,   51.],       [  77.,    1.,   52.],       [  83.,   -1.,   52.],       [  88.,    2.,   49.],       [  98.,    3.,   47.],       [   3.,   13.,   46.],       [  13.,   14.,   54.],       [  22.,   14.,   46.],       [  26.,   13.,   46.],       [  36.,   11.,   45.],       [  48.,    7.,   49.],       [  52.,   16.,   54.],       [  63.,   12.,   54.],       [  76.,   16.,   47.],       [  79.,   16.,   48.],       [  90.,   11.,   50.],       [ 104.,   17.,   51.],       [   4.,   22.,   45.],       [   6.,   27.,   54.],       [  22.,   29.,   52.],       [  27.,   21.,   45.],       [  37.,   22.,   49.],       [  44.,   20.,   50.],       [  52.,   27.,   48.],       [  61.,   21.,   49.],       [  68.,   20.,   45.],       [  83.,   21.,   46.],       [  87.,   24.,   49.],       [  99.,   27.,   53.],       [   1.,   42.,   47.],       [   8.,   37.,   54.],       [  13.,   40.,   48.],       [  31.,   34.,   49.],       [  40.,   38.,   46.],       [  48.,   34.,   46.],       [  55.,   41.,   48.],       [  59.,   40.,   47.],       [  70.,   40.,   48.],       [  77.,   35.,   47.],       [  86.,   38.,   51.],       [ 100.,   42.,   47.],       [   2.,   48.,   49.],       [   6.,   47.,   47.],       [  21.,   52.,   47.],       [  27.,   48.,   54.],       [  31.,   52.,   52.],       [  41.,   45.,   50.],       [  58.,   51.,   50.],       [  61.,   51.,   48.],       [  72.,   48.,   51.],       [  81.,   46.,   49.],       [  92.,   52.,   46.],       [  95.,   48.,   49.],       [  -1.,   62.,   50.],       [   6.,   63.,   49.],       [  17.,   62.,   53.],       [  22.,   60.,   54.],       [  34.,   61.,   49.],       [  49.,   60.,   48.],       [  52.,   58.,   53.],       [  59.,   61.,   47.],       [  71.,   66.,   46.],       [  79.,   63.,   50.],       [  91.,   67.,   46.],       [  96.,   61.,   53.],       [   2.,   76.,   50.],       [   8.,   77.,   50.],       [  21.,   76.,   50.],       [  28.,   77.,   47.],       [  37.,   71.,   47.],       [  42.,   75.,   47.],       [  51.,   70.,   53.],       [  62.,   70.,   47.],       [  69.,   73.,   49.],       [  85.,   71.,   49.],       [  86.,   78.,   54.],       [  97.,   75.,   52.],       [   4.,   90.,   51.],       [   6.,   88.,   45.],       [  13.,   89.,   54.],       [  24.,   86.,   47.],       [  37.,   83.,   49.],       [  43.,   85.,   50.],       [  54.,   87.,   50.],       [  66.,   91.,   47.],       [  71.,   84.,   53.],       [  86.,   84.,   45.],       [  93.,   87.,   48.],       [ 104.,   91.,   49.],       [   4.,   96.,   54.],       [   6.,   97.,   45.],       [  16.,  104.,   49.],       [  29.,  104.,   49.],       [  33.,   97.,   45.],       [  44.,   99.,   52.],       [  51.,  101.,   54.],       [  68.,  104.,   54.],       [  69.,  103.,   46.],       [  85.,   95.,   49.],       [  89.,  102.,   48.],       [ 102.,  100.,   53.],       [   4.,    3.,   66.],       [  10.,   -4.,   65.],       [  17.,   -4.,   65.],       [  23.,    1.,   62.],       [  35.,   -1.,   68.],       [  46.,    1.,   66.],       [  53.,   -2.,   62.],       [  67.,   -5.,   62.],       [  71.,   -2.,   69.],       [  83.,    2.,   68.],       [  86.,   -3.,   63.],       [ 101.,   -3.,   70.],       [  -4.,   11.,   63.],       [   7.,   15.,   63.],       [  21.,   14.,   62.],       [  30.,   12.,   69.],       [  40.,   15.,   70.],       [  47.,    9.,   63.],       [  50.,   14.,   64.],       [  63.,   12.,   69.],       [  70.,   13.,   65.],       [  81.,   14.,   70.],       [  94.,    7.,   63.],       [ 102.,   13.,   68.],       [   3.,   26.,   70.],       [   8.,   20.,   62.],       [  18.,   29.,   65.],       [  22.,   22.,   67.],       [  35.,   25.,   64.],       [  49.,   22.,   62.],       [  54.,   24.,   62.],       [  67.,   21.,   65.],       [  72.,   28.,   65.],       [  81.,   25.,   68.],       [  94.,   20.,   62.],       [ 100.,   29.,   66.],       [   0.,   38.,   61.],       [   6.,   41.,   70.],       [  21.,   35.,   67.],       [  24.,   35.,   65.],       [  33.,   41.,   62.],       [  49.,   37.,   69.],       [  58.,   42.,   67.],       [  65.,   40.,   69.],       [  73.,   34.,   66.],       [  85.,   32.,   64.],       [  88.,   36.,   70.],       [  96.,   39.,   68.],       [  -2.,   45.,   65.],       [   7.,   52.,   67.],       [  18.,   54.,   65.],       [  22.,   48.,   71.],       [  36.,   52.,   65.],       [  49.,   48.,   71.],       [  52.,   49.,   67.],       [  67.,   47.,   67.],       [  68.,   45.,   67.],       [  83.,   51.,   67.],       [  95.,   51.,   65.],       [ 100.,   50.,   65.],       [   3.,   66.,   67.],       [   7.,   67.,   64.],       [  18.,   59.,   64.],       [  31.,   59.,   63.],       [  32.,   64.,   67.],       [  46.,   61.,   68.],       [  56.,   57.,   63.],       [  62.,   67.,   63.],       [  72.,   61.,   65.],       [  78.,   63.,   70.],       [  95.,   58.,   69.],       [  97.,   58.,   66.],       [   1.,   71.,   67.],       [  10.,   76.,   64.],       [  23.,   77.,   71.],       [  27.,   70.,   65.],       [  35.,   73.,   66.],       [  44.,   72.,   68.],       [  57.,   71.,   66.],       [  63.,   73.,   62.],       [  75.,   75.,   68.],       [  81.,   78.,   68.],       [  86.,   72.,   68.],       [ 101.,   73.,   67.],       [  -1.,   87.,   65.],       [   4.,   87.,   68.],       [  21.,   87.,   62.],       [  24.,   84.,   69.],       [  36.,   86.,   62.],       [  41.,   90.,   67.],       [  53.,   91.,   66.],       [  64.,   86.,   63.],       [  73.,   88.,   70.],       [  77.,   86.,   68.],       [  86.,   84.,   69.],       [  98.,   84.,   66.],       [  -1.,  101.,   62.],       [   9.,  102.,   71.],       [  15.,  101.,   61.],       [  26.,   97.,   67.],       [  39.,   96.,   65.],       [  46.,  101.,   69.],       [  53.,  103.,   64.],       [  60.,  104.,   62.],       [  73.,   95.,   66.],       [  86.,   98.,   63.],       [  89.,  100.,   70.],       [ 101.,   99.,   63.],       [  -1.,    0.,   84.],       [   7.,    3.,   82.],       [  22.,    4.,   85.],       [  30.,   -2.,   87.],       [  39.,    2.,   78.],       [  47.,    4.,   83.],       [  56.,    3.,   82.],       [  66.,   -2.,   86.],       [  69.,   -2.,   80.],       [  80.,   -3.,   86.],       [  91.,   -3.,   88.],       [ 102.,    0.,   80.],       [   4.,   15.,   79.],       [  10.,   16.,   79.],       [  21.,   10.,   86.],       [  26.,    8.,   86.],       [  40.,    8.,   86.],       [  46.,   12.,   87.],       [  55.,   16.,   81.],       [  68.,    8.,   85.],       [  73.,   11.,   81.],       [  85.,    9.,   79.],       [  95.,   17.,   81.],       [  97.,   16.,   86.],       [   2.,   22.,   78.],       [   4.,   29.,   87.],       [  19.,   23.,   81.],       [  30.,   28.,   80.],       [  40.,   26.,   82.],       [  50.,   23.,   87.],       [  58.,   27.,   79.],       [  62.,   22.,   85.],       [  77.,   25.,   85.],       [  81.,   22.,   83.],       [  95.,   25.,   80.],       [ 100.,   25.,   83.],       [  -5.,   40.,   81.],       [  13.,   41.,   83.],       [  13.,   34.,   83.],       [  31.,   36.,   81.],       [  37.,   38.,   85.],       [  48.,   42.,   81.],       [  49.,   38.,   88.],       [  67.,   36.,   88.],       [  69.,   37.,   79.],       [  83.,   37.,   83.],       [  95.,   38.,   82.],       [  99.,   37.,   80.],       [  -3.,   49.,   78.],       [   6.,   52.,   80.],       [  21.,   45.,   87.],       [  29.,   46.,   80.],       [  35.,   54.,   84.],       [  49.,   46.,   84.],       [  58.,   52.,   83.],       [  65.,   45.,   79.],       [  70.,   48.,   87.],       [  82.,   51.,   80.],       [  90.,   46.,   78.],       [  98.,   51.,   86.],       [   3.,   66.,   82.],       [  11.,   62.,   80.],       [  15.,   66.,   80.],       [  28.,   62.,   87.],       [  38.,   62.,   86.],       [  48.,   59.,   88.],       [  51.,   62.,   84.],       [  60.,   57.,   87.],       [  75.,   65.,   85.],       [  84.,   62.,   83.],       [  87.,   65.,   84.],       [  99.,   64.,   80.],       [  -2.,   71.,   79.],       [  11.,   75.,   79.],       [  16.,   70.,   81.],       [  23.,   73.,   83.],       [  36.,   78.,   86.],       [  47.,   79.,   80.],       [  53.,   75.,   84.],       [  60.,   72.,   78.],       [  69.,   75.,   81.],       [  85.,   73.,   79.],       [  90.,   75.,   83.],       [  98.,   72.,   84.],       [   1.,   83.,   84.],       [   5.,   84.,   80.],       [  19.,   91.,   78.],       [  26.,   85.,   81.],       [  39.,   86.,   86.],       [  47.,   85.,   84.],       [  57.,   90.,   83.],       [  60.,   90.,   83.],       [  68.,   91.,   80.],       [  79.,   90.,   78.],       [  92.,   89.,   81.],       [  96.,   85.,   85.],       [  -1.,  102.,   82.],       [  11.,   98.,   79.],       [  20.,   96.,   83.],       [  31.,  102.,   86.],       [  38.,   96.,   84.],       [  47.,   96.,   79.],       [  50.,  103.,   85.],       [  65.,  100.,   83.],       [  74.,   98.,   79.],       [  77.,   97.,   84.],       [  87.,  100.,   83.],       [  96.,  104.,   78.],       [  -4.,    1.,  102.],       [   9.,    4.,   99.],       [  22.,   -5.,   97.],       [  26.,    3.,   98.],       [  40.,   -3.,   97.],       [  41.,   -5.,   98.],       [  55.,    2.,  103.],       [  62.,   -2.,  104.],       [  74.,   -3.,   98.],       [  85.,   -2.,  104.],       [  90.,    0.,   98.],       [ 102.,    4.,   97.],       [  -5.,    9.,  102.],       [   8.,   13.,  101.],       [  15.,   10.,   95.],       [  28.,   15.,   98.],       [  40.,   13.,  104.],       [  45.,   11.,  102.],       [  55.,   17.,   98.],       [  67.,   14.,  100.],       [  76.,   16.,  100.],       [  78.,    9.,   99.],       [  88.,   11.,   99.],       [ 101.,   15.,  103.],       [   2.,   26.,  100.],       [   4.,   21.,   99.],       [  20.,   27.,   99.],       [  24.,   26.,  102.],       [  37.,   24.,  103.],       [  45.,   20.,   98.],       [  57.,   26.,   95.],       [  65.,   29.,  102.],       [  75.,   27.,  104.],       [  78.,   22.,  102.],       [  87.,   20.,   98.],       [  97.,   21.,   97.],       [  -4.,   35.,   96.],       [   4.,   37.,  102.],       [  13.,   36.,   96.],       [  31.,   41.,   96.],       [  41.,   38.,  100.],       [  41.,   38.,  102.],       [  50.,   35.,  101.],       [  60.,   35.,   97.],       [  75.,   39.,   98.],       [  78.,   40.,   95.],       [  88.,   42.,  103.],       [ 102.,   40.,  102.],       [   4.,   45.,   96.],       [   5.,   48.,   96.],       [  19.,   51.,   98.],       [  29.,   48.,  103.],       [  33.,   46.,  104.],       [  41.,   46.,   95.],       [  54.,   53.,   95.],       [  62.,   50.,  104.],       [  76.,   52.,  102.],       [  78.,   51.,   98.],       [  93.,   48.,   95.],       [ 102.,   50.,  100.],       [  -2.,   62.,   96.],       [   4.,   62.,   98.],       [  20.,   62.,   98.],       [  28.,   63.,  100.],       [  39.,   60.,  103.],       [  49.,   60.,   98.],       [  55.,   64.,   96.],       [  58.,   67.,   96.],       [  73.,   58.,  101.],       [  86.,   61.,  104.],       [  86.,   62.,  104.],       [  99.,   64.,   95.],       [  -5.,   72.,   95.],       [  13.,   76.,  104.],       [  22.,   78.,   97.],       [  25.,   72.,  100.],       [  38.,   77.,   96.],       [  46.,   79.,  104.],       [  53.,   70.,  104.],       [  62.,   77.,  101.],       [  72.,   73.,   95.],       [  76.,   73.,   96.],       [  94.,   78.,   98.],       [  95.,   77.,  102.],       [  -1.,   82.,  103.],       [   5.,   86.,   95.],       [  15.,   85.,   98.],       [  30.,   86.,   97.],       [  34.,   92.,  101.],       [  45.,   90.,   96.],       [  53.,   90.,  102.],       [  63.,   87.,   99.],       [  74.,   90.,   99.],       [  81.,   82.,  103.],       [  93.,   89.,  104.],       [  96.,   91.,   97.],       [   1.,  100.,  101.],       [  11.,  101.,  101.],       [  15.,  102.,   99.],       [  24.,   97.,   99.],       [  33.,   95.,   96.],       [  44.,  103.,  100.],       [  52.,   97.,  102.],       [  65.,  100.,   95.],       [  72.,   99.,   98.],       [  84.,  103.,   97.],       [  92.,   96.,  103.],       [ 100.,  100.,  101.]])
        basis0 = BSplineBasis(7, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  1.1,  1.7,  3.4,  4.1,  4.7,  6. ,  6. ,  6. ,
        6. ,  6. ,  6. ,  6. ]))
        basis1 = BSplineBasis(7, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  1.2,  1.7,  3. ,  3. ,  3. ,  3. ,  3. ,  3. ,  3. ]))
        basis2 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  1.1,  2. ,  2. ,  2. ,  2. ,  2. ,  2. ]))
        vol  = Volume(basis0, basis1, basis2, controlpoints,False)
        vol2 = vol.rebuild([7, 6, 5], [95, 89, 83])
        u    = np.linspace(vol.start(0), vol.end(0), 7)
        v    = np.linspace(vol.start(1), vol.end(1), 7)
        w    = np.linspace(vol.start(2), vol.end(2), 7)
        pt   = vol(u,v,w)
        pt2  = vol2(u,v,w)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_curve_3D_p5_C1_periodic(self):
        controlpoints = np.array([[  99.,   -2.,    0.],
       [  87.,   52.,   -3.],
       [  45.,   84.,   -2.],
       [   3.,  101.,    2.],
       [ -50.,   88.,    2.],
       [ -82.,   53.,   -5.],
       [ -99.,   -4.,   -1.],
       [ -90.,  -47.,    0.],
       [ -51.,  -85.,    3.],
       [  -1., -105.,    2.],
       [  47.,  -83.,   -4.],
       [  88.,  -48.,    4.]])
        basis0 = BSplineBasis(5, np.array([ -2.2,  -0.6,   0. ,   0. ,   0. ,   1.3,   2.1,   3.4,   3.7,   4.7,   6.2,   7.1,   7.8,
         9.4,  10. ,  10. ,  10. ,  11.3,  12.1]),1)
        crv  = Curve(basis0, controlpoints,False)
        crv2 = crv.rebuild(6, 326)
        u    = np.linspace(crv.start(0), crv.end(0), 13)
        pt   = crv(u)
        pt2  = crv2(u)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_surface_3D_p55_C1_periodic(self):
        controlpoints = np.array([[  62.,    1.,   -3.],       [  47.,   26.,   -1.],       [  34.,   48.,    2.],       [   3.,   59.,    1.],       [ -35.,   49.,    1.],       [ -50.,   32.,    3.],       [ -62.,   -1.,    3.],       [ -51.,  -32.,   -4.],       [ -33.,  -54.,   -1.],       [   2.,  -63.,   -4.],       [  26.,  -55.,   -2.],       [  52.,  -34.,    1.],       [  65.,    4.,    1.],       [  52.,   34.,    2.],       [  30.,   55.,    3.],       [   0.,   68.,   -5.],       [ -31.,   59.,    2.],       [ -60.,   33.,   -2.],       [ -62.,    1.,    0.],       [ -59.,  -38.,   -1.],       [ -32.,  -54.,   -5.],       [   1.,  -66.,   -3.],       [  34.,  -55.,   -4.],       [  60.,  -34.,    4.],       [  69.,    2.,    0.],       [  65.,   30.,   -4.],       [  36.,   58.,    0.],       [  -4.,   72.,   -4.],       [ -36.,   56.,    2.],       [ -56.,   34.,   -2.],       [ -68.,    2.,    2.],       [ -60.,  -38.,   -1.],       [ -39.,  -62.,    2.],       [   1.,  -68.,    4.],       [  35.,  -61.,   -2.],       [  60.,  -38.,   -2.],       [  79.,   -1.,    2.],       [  69.,   36.,    0.],       [  40.,   68.,   -2.],       [  -4.,   72.,    1.],       [ -43.,   65.,   -2.],       [ -70.,   39.,    1.],       [ -75.,   -2.,    4.],       [ -68.,  -36.,   -1.],       [ -37.,  -65.,    4.],       [   1.,  -80.,    1.],       [  34.,  -67.,   -2.],       [  63.,  -40.,    0.],       [  81.,    1.,    0.],       [  73.,   35.,   -1.],       [  36.,   73.,   -5.],       [  -4.,   83.,    3.],       [ -39.,   71.,   -4.],       [ -71.,   43.,   -2.],       [ -81.,    3.,   -2.],       [ -69.,  -41.,    1.],       [ -42.,  -65.,    1.],       [  -1.,  -77.,    3.],       [  42.,  -74.,   -3.],       [  65.,  -44.,    3.],       [  82.,   -1.,    0.],       [  72.,   38.,    1.],       [  41.,   73.,    4.],       [   1.,   83.,    4.],       [ -41.,   72.,    4.],       [ -71.,   47.,   -1.],       [ -82.,   -3.,    3.],       [ -71.,  -38.,   -5.],       [ -41.,  -71.,    3.],       [   3.,  -88.,    4.],       [  38.,  -69.,   -2.],       [  70.,  -47.,    2.],       [  85.,    0.,    0.],       [  79.,   43.,    2.],       [  42.,   77.,   -5.],       [  -4.,   87.,   -2.],       [ -42.,   75.,    3.],       [ -75.,   48.,   -5.],       [ -91.,    3.,    1.],       [ -74.,  -50.,   -4.],       [ -43.,  -76.,    3.],       [   1.,  -95.,    3.],       [  46.,  -77.,   -4.],       [  79.,  -50.,    4.],       [  95.,   -3.,   -3.],       [  80.,   43.,    1.],       [  52.,   85.,   -1.],       [   3.,   93.,   -5.],       [ -47.,   84.,   -1.],       [ -79.,   47.,   -1.],       [ -98.,   -2.,    2.],       [ -86.,  -51.,    2.],       [ -44.,  -80.,    2.],       [   4.,  -96.,   -2.],       [  51.,  -86.,    1.],       [  86.,  -49.,   -5.],       [ 100.,    4.,    3.],       [  90.,   47.,    1.],       [  54.,   89.,    2.],       [   3.,   97.,    4.],       [ -55.,   83.,    3.],       [ -91.,   49.,    2.],       [ -98.,    0.,   -2.],       [ -83.,  -47.,   -1.],       [ -52.,  -87.,   -5.],       [  -5., -100.,   -5.],       [  48.,  -86.,   -4.],       [  89.,  -48.,   -3.]])
        basis0 = BSplineBasis(5, np.array([ -2.2,  -1.3,   0. ,   0. ,   0. ,   1. ,   2. ,   2.9,   3.7,   4.9,   6.1,   7.3,   7.8,
         8.7,  10. ,  10. ,  10. ,  11. ,  12. ]),1)
        basis1 = BSplineBasis(5, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  1.4,  2. ,  3.1,  4.2,  5. ,  5. ,  5. ,  5. ,  5. ]))
        surf  = Surface(basis0, basis1, controlpoints,False)
        surf2 = surf.rebuild([5, 4], [143, 128])
        u    = np.linspace(surf.start(0), surf.end(0), 9)
        v    = np.linspace(surf.start(1), surf.end(1), 9)
        pt   = surf(u,v)
        pt2  = surf2(u,v)

        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)

    def test_volume_3D_p767_C1_periodic(self):
        controlpoints = np.array([[  47.,    2.,   -3.],       [  50.,   16.,    2.],       [  34.,   34.,    4.],       [  15.,   44.,    0.],       [   2.,   53.,   -1.],       [ -23.,   43.,   -3.],       [ -38.,   40.,   -5.],       [ -51.,   18.,   -4.],       [ -53.,   -5.,    3.],       [ -43.,  -17.,   -4.],       [ -32.,  -35.,   -2.],       [ -18.,  -42.,    1.],       [  -1.,  -48.,   -5.],       [  23.,  -43.,    2.],       [  30.,  -33.,    0.],       [  49.,  -18.,    2.],       [  50.,    3.,   -1.],       [  55.,   17.,    0.],       [  36.,   36.,    0.],       [  25.,   49.,    3.],       [   0.,   51.,    4.],       [ -26.,   55.,   -4.],       [ -39.,   34.,   -1.],       [ -53.,   23.,   -5.],       [ -56.,   -3.,    1.],       [ -47.,  -23.,    3.],       [ -41.,  -37.,   -1.],       [ -21.,  -56.,    1.],       [  -1.,  -54.,    4.],       [  16.,  -52.,    4.],       [  39.,  -36.,   -1.],       [  48.,  -19.,    4.],       [  62.,    4.,    2.],       [  57.,   21.,    0.],       [  47.,   39.,    1.],       [  21.,   55.,    1.],       [   2.,   60.,   -5.],       [ -20.,   57.,    3.],       [ -38.,   45.,   -2.],       [ -60.,   20.,   -4.],       [ -65.,    4.,   -2.],       [ -59.,  -23.,   -5.],       [ -39.,  -42.,    4.],       [ -27.,  -56.,    4.],       [  -5.,  -56.,    1.],       [  22.,  -56.,    3.],       [  43.,  -41.,    4.],       [  52.,  -24.,    2.],       [  61.,    0.,   -4.],       [  59.,   24.,   -2.],       [  43.,   49.,    4.],       [  23.,   59.,   -3.],       [  -2.,   67.,    2.],       [ -26.,   61.,    1.],       [ -47.,   46.,   -3.],       [ -64.,   23.,    3.],       [ -68.,    4.,    1.],       [ -59.,  -29.,   -5.],       [ -51.,  -44.,   -4.],       [ -26.,  -61.,   -1.],       [  -1.,  -61.,    4.],       [  24.,  -61.,   -5.],       [  49.,  -48.,   -5.],       [  61.,  -24.,   -5.],       [  74.,    4.,   -1.],       [  61.,   25.,   -3.],       [  44.,   46.,    4.],       [  30.,   67.,    1.],       [  -4.,   70.,    3.],       [ -24.,   69.,   -1.],       [ -53.,   47.,   -5.],       [ -64.,   24.,    0.],       [ -67.,   -2.,   -3.],       [ -63.,  -26.,   -5.],       [ -46.,  -48.,    0.],       [ -24.,  -61.,   -3.],       [   4.,  -73.,    1.],       [  29.,  -61.,   -5.],       [  44.,  -51.,    0.],       [  61.,  -27.,   -2.],       [  77.,   -3.,    2.],       [  65.,   33.,    1.],       [  52.,   55.,    4.],       [  33.,   72.,    1.],       [   2.,   73.,   -5.],       [ -32.,   66.,    1.],       [ -53.,   53.,   -1.],       [ -66.,   25.,    2.],       [ -80.,   -3.,   -2.],       [ -68.,  -34.,   -4.],       [ -53.,  -52.,   -5.],       [ -34.,  -70.,   -5.],       [   1.,  -72.,    2.],       [  25.,  -70.,    4.],       [  50.,  -49.,    4.],       [  69.,  -28.,    1.],       [  77.,   -3.,    0.],       [  70.,   26.,   -1.],       [  53.,   59.,    0.],       [  29.,   72.,   -4.],       [  -1.,   80.,   -4.],       [ -35.,   69.,    0.],       [ -54.,   54.,    2.],       [ -78.,   30.,   -2.],       [ -79.,   -3.,    1.],       [ -72.,  -36.,    3.],       [ -61.,  -58.,    0.],       [ -30.,  -70.,   -5.],       [   0.,  -76.,    3.],       [  33.,  -78.,    0.],       [  57.,  -55.,   -5.],       [  77.,  -35.,   -5.],       [  81.,   -3.,   -5.],       [  81.,   27.,   -1.],       [  59.,   59.,   -4.],       [  29.,   81.,    4.],       [   4.,   86.,   -4.],       [ -37.,   78.,   -5.],       [ -56.,   57.,   -2.],       [ -74.,   36.,    2.],       [ -81.,   -1.,    2.],       [ -83.,  -32.,   -2.],       [ -59.,  -58.,    3.],       [ -33.,  -82.,   -1.],       [  -5.,  -85.,    0.],       [  34.,  -78.,   -1.],       [  59.,  -62.,    0.],       [  82.,  -34.,    1.],       [  85.,   -2.,    1.],       [  83.,   38.,    4.],       [  63.,   68.,    3.],       [  34.,   87.,    3.],       [   1.,   85.,    1.],       [ -37.,   81.,   -5.],       [ -59.,   68.,    3.],       [ -87.,   32.,    4.],       [ -94.,   -4.,   -5.],       [ -85.,  -38.,    1.],       [ -65.,  -65.,    2.],       [ -37.,  -79.,   -3.],       [   1.,  -92.,    0.],       [  38.,  -84.,   -5.],       [  67.,  -60.,   -3.],       [  87.,  -33.,    3.],       [  98.,    1.,   -5.],       [  91.,   39.,   -2.],       [  64.,   63.,   -5.],       [  33.,   84.,    0.],       [  -4.,   97.,    0.],       [ -39.,   83.,    3.],       [ -68.,   67.,    2.],       [ -90.,   40.,    3.],       [ -97.,   -2.,    1.],       [ -88.,  -35.,    0.],       [ -71.,  -69.,    1.],       [ -33.,  -90.,   -2.],       [  -1., -100.,   -4.],       [  39.,  -93.,    0.],       [  64.,  -71.,   -1.],       [  87.,  -40.,   -2.],       [ 101.,   -1.,   -2.],       [  88.,   37.,   -2.],       [  69.,   74.,   -5.],       [  39.,   94.,    3.],       [  -5.,  103.,   -5.],       [ -36.,   95.,   -2.],       [ -70.,   75.,   -2.],       [ -90.,   33.,   -5.],       [ -99.,    3.,   -2.],       [ -96.,  -42.,   -1.],       [ -75.,  -70.,   -3.],       [ -39.,  -93.,   -5.],       [   2.,  -96.,    0.],       [  39.,  -91.,    1.],       [  74.,  -67.,    0.],       [  89.,  -44.,   -5.],       [  51.,    4.,    8.],       [  50.,   23.,   -1.],       [  37.,   33.,    2.],       [  14.,   47.,   -1.],       [   0.,   48.,    4.],       [ -16.,   49.,    7.],       [ -38.,   37.,    7.],       [ -48.,   19.,    8.],       [ -46.,   -2.,    1.],       [ -51.,  -19.,    1.],       [ -41.,  -39.,    5.],       [ -21.,  -44.,    4.],       [  -2.,  -46.,    7.],       [  15.,  -50.,    2.],       [  37.,  -41.,    4.],       [  45.,  -17.,    3.],       [  50.,   -2.,    3.],       [  49.,   24.,    0.],       [  43.,   42.,    6.],       [  16.,   52.,    4.],       [   1.,   50.,    7.],       [ -23.,   47.,    6.],       [ -37.,   43.,   -1.],       [ -52.,   24.,    8.],       [ -56.,   -5.,    6.],       [ -55.,  -25.,   -1.],       [ -43.,  -43.,    7.],       [ -19.,  -54.,    3.],       [   0.,  -57.,   -1.],       [  20.,  -54.,    0.],       [  39.,  -40.,    6.],       [  55.,  -18.,    0.],       [  56.,   -5.,    0.],       [  56.,   21.,    0.],       [  47.,   43.,    8.],       [  26.,   50.,    8.],       [   1.,   64.,    1.],       [ -23.,   52.,    2.],       [ -44.,   44.,    5.],       [ -58.,   24.,    7.],       [ -61.,    1.,    3.],       [ -56.,  -21.,    3.],       [ -41.,  -40.,    2.],       [ -24.,  -54.,    4.],       [   4.,  -63.,    1.],       [  20.,  -57.,    2.],       [  47.,  -43.,    2.],       [  52.,  -19.,   -1.],       [  68.,    2.,    5.],       [  64.,   21.,    8.],       [  41.,   47.,    5.],       [  25.,   57.,    4.],       [   3.,   63.,    7.],       [ -30.,   57.,    3.],       [ -48.,   43.,   -1.],       [ -61.,   26.,    0.],       [ -70.,    0.,    7.],       [ -61.,  -24.,    8.],       [ -42.,  -48.,    5.],       [ -29.,  -59.,    7.],       [   1.,  -63.,   -1.],       [  28.,  -63.,    3.],       [  41.,  -43.,    6.],       [  56.,  -29.,   -2.],       [  72.,    1.,    1.],       [  65.,   31.,    1.],       [  45.,   45.,    6.],       [  24.,   60.,    0.],       [   0.,   72.,    4.],       [ -26.,   68.,    8.],       [ -48.,   49.,    3.],       [ -62.,   29.,    2.],       [ -68.,   -1.,   -2.],       [ -64.,  -32.,    5.],       [ -51.,  -49.,   -1.],       [ -31.,  -62.,    6.],       [  -2.,  -72.,    0.],       [  26.,  -62.,    2.],       [  49.,  -50.,    2.],       [  65.,  -30.,    7.],       [  70.,   -5.,   -1.],       [  69.,   27.,    0.],       [  56.,   49.,    7.],       [  28.,   74.,    3.],       [  -4.,   74.,    7.],       [ -32.,   66.,    5.],       [ -54.,   53.,    4.],       [ -67.,   28.,    1.],       [ -75.,   -5.,    5.],       [ -65.,  -28.,   -2.],       [ -54.,  -51.,    7.],       [ -29.,  -70.,    2.],       [   0.,  -80.,    2.],       [  30.,  -74.,    2.],       [  51.,  -55.,    7.],       [  67.,  -24.,    6.],       [  79.,    0.,    5.],       [  73.,   26.,    5.],       [  60.,   61.,    3.],       [  34.,   72.,    6.],       [   0.,   77.,    5.],       [ -31.,   68.,   -2.],       [ -54.,   53.,    0.],       [ -71.,   34.,    0.],       [ -84.,    3.,   -1.],       [ -78.,  -28.,    1.],       [ -55.,  -56.,    6.],       [ -34.,  -79.,    4.],       [   0.,  -85.,    0.],       [  25.,  -76.,    0.],       [  59.,  -52.,    1.],       [  72.,  -27.,    8.],       [  85.,   -1.,   -1.],       [  74.,   32.,    2.],       [  62.,   62.,    3.],       [  32.,   74.,   -1.],       [  -2.,   88.,    0.],       [ -34.,   76.,    7.],       [ -57.,   62.,   -1.],       [ -77.,   33.,    7.],       [ -86.,    0.,    7.],       [ -84.,  -36.,    6.],       [ -65.,  -62.,    2.],       [ -31.,  -78.,    5.],       [  -3.,  -83.,    1.],       [  27.,  -78.,    6.],       [  59.,  -61.,    3.],       [  81.,  -33.,    2.],       [  86.,    3.,    7.],       [  80.,   35.,    5.],       [  60.,   67.,    2.],       [  34.,   80.,    1.],       [   3.,   90.,    2.],       [ -40.,   84.,   -1.],       [ -66.,   66.,    8.],       [ -88.,   38.,    1.],       [ -87.,    4.,   -1.],       [ -82.,  -40.,    8.],       [ -59.,  -63.,    5.],       [ -37.,  -84.,    0.],       [  -2.,  -86.,    3.],       [  38.,  -87.,   -1.],       [  67.,  -66.,    7.],       [  80.,  -34.,    5.],       [  96.,   -4.,   -2.],       [  89.,   40.,   -1.],       [  62.,   70.,    3.],       [  38.,   88.,   -2.],       [  -4.,   99.,    0.],       [ -40.,   89.,    1.],       [ -66.,   66.,    3.],       [ -85.,   34.,    2.],       [ -99.,   -5.,    4.],       [ -89.,  -39.,    7.],       [ -72.,  -65.,   -2.],       [ -33.,  -87.,    0.],       [  -5.,  -93.,    4.],       [  36.,  -87.,    0.],       [  69.,  -69.,   -1.],       [  85.,  -35.,    6.],       [  98.,    1.,    6.],       [  91.,   35.,    7.],       [  71.,   65.,    5.],       [  42.,   95.,    3.],       [  -2.,  103.,    4.],       [ -42.,   92.,    2.],       [ -74.,   73.,    5.],       [ -92.,   39.,    6.],       [ -96.,   -3.,    8.],       [ -94.,  -34.,    5.],       [ -71.,  -68.,    6.],       [ -36.,  -95.,    1.],       [  -1.,  -99.,    1.],       [  41.,  -97.,    1.],       [  68.,  -76.,    7.],       [  89.,  -39.,    0.],       [  51.,   -4.,   10.],       [  46.,   15.,   11.],       [  36.,   35.,    4.],       [  19.,   41.,    6.],       [   0.,   46.,   10.],       [ -15.,   46.,    8.],       [ -33.,   31.,    6.],       [ -46.,   21.,    9.],       [ -53.,   -3.,    6.],       [ -46.,  -20.,    6.],       [ -35.,  -40.,   10.],       [ -19.,  -51.,   10.],       [   2.,  -50.,    3.],       [  16.,  -50.,    7.],       [  34.,  -38.,    8.],       [  49.,  -16.,    3.],       [  58.,    0.,    3.],       [  55.,   18.,    5.],       [  36.,   39.,   10.],       [  24.,   46.,    9.],       [   1.,   56.,    6.],       [ -21.,   47.,    4.],       [ -41.,   42.,    8.],       [ -53.,   23.,    5.],       [ -60.,    0.,    7.],       [ -51.,  -22.,    6.],       [ -40.,  -42.,    4.],       [ -26.,  -54.,    2.],       [  -5.,  -60.,    5.],       [  24.,  -51.,    7.],       [  43.,  -37.,    7.],       [  52.,  -18.,    4.],       [  61.,    4.,    9.],       [  54.,   24.,    9.],       [  41.,   43.,    6.],       [  22.,   58.,    3.],       [  -1.,   57.,    3.],       [ -28.,   54.,    8.],       [ -44.,   37.,    7.],       [ -53.,   20.,    8.],       [ -59.,   -1.,    8.],       [ -56.,  -19.,   11.],       [ -43.,  -45.,   11.],       [ -24.,  -60.,    7.],       [   2.,  -58.,    4.],       [  18.,  -58.,    7.],       [  43.,  -46.,    8.],       [  60.,  -25.,    5.],       [  68.,   -1.,    8.],       [  62.,   28.,    7.],       [  44.,   46.,    6.],       [  29.,   57.,    9.],       [  -1.,   69.,   11.],       [ -28.,   62.,   10.],       [ -46.,   45.,    5.],       [ -57.,   29.,    2.],       [ -67.,    3.,    5.],       [ -65.,  -22.,    3.],       [ -48.,  -42.,   10.],       [ -25.,  -64.,    5.],       [   0.,  -67.,    9.],       [  29.,  -59.,    4.],       [  47.,  -46.,   12.],       [  60.,  -22.,    5.],       [  73.,   -3.,    8.],       [  65.,   22.,    5.],       [  53.,   52.,    6.],       [  25.,   61.,    9.],       [   0.,   72.,    7.],       [ -23.,   62.,    6.],       [ -46.,   47.,    8.],       [ -62.,   24.,    7.],       [ -67.,   -5.,    5.],       [ -63.,  -24.,    7.],       [ -46.,  -53.,   11.],       [ -27.,  -67.,    6.],       [  -3.,  -66.,    7.],       [  28.,  -69.,   10.],       [  51.,  -52.,    9.],       [  61.,  -32.,    3.],       [  71.,    3.,    5.],       [  69.,   27.,    7.],       [  51.,   49.,    9.],       [  24.,   67.,    8.],       [  -1.,   74.,    7.],       [ -26.,   70.,   10.],       [ -51.,   57.,    8.],       [ -65.,   31.,    8.],       [ -76.,   -5.,    5.],       [ -73.,  -31.,    7.],       [ -58.,  -50.,    9.],       [ -32.,  -71.,    3.],       [  -4.,  -72.,   12.],       [  25.,  -66.,    6.],       [  51.,  -49.,    2.],       [  70.,  -32.,    2.],       [  77.,   -5.,    5.],       [  73.,   30.,   11.],       [  56.,   61.,   10.],       [  29.,   73.,    7.],       [   4.,   83.,    4.],       [ -35.,   73.,    4.],       [ -57.,   59.,    7.],       [ -70.,   28.,    5.],       [ -85.,   -5.,   10.],       [ -77.,  -30.,    5.],       [ -58.,  -56.,    3.],       [ -34.,  -73.,    6.],       [   0.,  -76.,   11.],       [  33.,  -77.,    8.],       [  60.,  -53.,    5.],       [  76.,  -28.,   11.],       [  89.,   -1.,    9.],       [  74.,   29.,    3.],       [  55.,   57.,    4.],       [  27.,   80.,   10.],       [  -3.,   89.,    7.],       [ -34.,   74.,    5.],       [ -59.,   62.,    9.],       [ -82.,   34.,    4.],       [ -83.,   -5.,    4.],       [ -83.,  -31.,    3.],       [ -58.,  -62.,   10.],       [ -33.,  -78.,    5.],       [  -5.,  -87.,    7.],       [  31.,  -76.,    2.],       [  64.,  -56.,    8.],       [  80.,  -33.,    8.],       [  86.,   -5.,    8.],       [  80.,   31.,    7.],       [  60.,   67.,    7.],       [  34.,   87.,   12.],       [   4.,   89.,    9.],       [ -32.,   79.,   11.],       [ -67.,   59.,   10.],       [ -80.,   35.,    5.],       [ -87.,    4.,   12.],       [ -84.,  -36.,    8.],       [ -66.,  -64.,   11.],       [ -39.,  -80.,    6.],       [   4.,  -90.,   10.],       [  34.,  -81.,    7.],       [  63.,  -64.,    9.],       [  87.,  -39.,   10.],       [  91.,   -4.,    4.],       [  86.,   36.,    4.],       [  63.,   62.,    3.],       [  36.,   85.,    6.],       [  -3.,   98.,    4.],       [ -33.,   91.,   10.],       [ -63.,   64.,    3.],       [ -90.,   33.,   10.],       [ -98.,   -1.,    8.],       [ -84.,  -41.,    5.],       [ -71.,  -67.,    8.],       [ -33.,  -90.,   11.],       [  -2.,  -97.,   10.],       [  33.,  -84.,    4.],       [  68.,  -72.,    4.],       [  88.,  -42.,    7.],       [ 102.,   -1.,    5.],       [  89.,   33.,    5.],       [  69.,   65.,    7.],       [  39.,   88.,    8.],       [   2.,  104.,    7.],       [ -36.,   94.,    7.],       [ -71.,   70.,    2.],       [ -92.,   40.,    7.],       [ -96.,    4.,    7.],       [ -88.,  -42.,   12.],       [ -75.,  -73.,    8.],       [ -43.,  -88.,    8.],       [   2., -100.,   11.],       [  35.,  -96.,    8.],       [  75.,  -76.,    8.],       [  89.,  -41.,    8.],       [  45.,   -2.,   13.],       [  50.,   21.,   10.],       [  38.,   39.,   14.],       [  19.,   47.,   15.],       [   1.,   52.,    9.],       [ -24.,   47.,   10.],       [ -35.,   38.,    9.],       [ -45.,   15.,    7.],       [ -55.,    3.,    6.],       [ -49.,  -17.,   15.],       [ -36.,  -34.,    7.],       [ -19.,  -51.,   11.],       [   1.,  -49.,   11.],       [  19.,  -50.,   14.],       [  35.,  -40.,    5.],       [  46.,  -17.,   12.],       [  51.,    3.,    9.],       [  50.,   25.,   15.],       [  34.,   36.,    7.],       [  19.,   52.,   14.],       [  -3.,   55.,   12.],       [ -22.,   51.,    9.],       [ -39.,   34.,    6.],       [ -56.,   24.,   11.],       [ -56.,    4.,    7.],       [ -50.,  -20.,   14.],       [ -43.,  -42.,   14.],       [ -23.,  -47.,   13.],       [   0.,  -51.,    8.],       [  21.,  -54.,    7.],       [  34.,  -43.,    9.],       [  50.,  -26.,   15.],       [  57.,   -3.,    9.],       [  56.,   25.,   14.],       [  45.,   46.,   15.],       [  27.,   55.,    6.],       [   3.,   62.,   13.],       [ -19.,   58.,    8.],       [ -40.,   39.,    9.],       [ -52.,   26.,   14.],       [ -61.,   -2.,   12.],       [ -53.,  -21.,    8.],       [ -41.,  -47.,   10.],       [ -28.,  -59.,   11.],       [   1.,  -57.,   14.],       [  23.,  -55.,    7.],       [  44.,  -47.,    7.],       [  51.,  -21.,   10.],       [  69.,    3.,    7.],       [  62.,   22.,    7.],       [  50.,   49.,    9.],       [  27.,   56.,   14.],       [   2.,   63.,   15.],       [ -29.,   64.,    9.],       [ -42.,   40.,    7.],       [ -56.,   24.,    7.],       [ -67.,    1.,    9.],       [ -65.,  -26.,    7.],       [ -49.,  -44.,   10.],       [ -23.,  -56.,    9.],       [   0.,  -64.,   15.],       [  26.,  -63.,   14.],       [  41.,  -42.,    8.],       [  56.,  -29.,   14.],       [  65.,   -4.,   11.],       [  60.,   25.,   13.],       [  46.,   52.,    9.],       [  24.,   67.,   14.],       [   2.,   74.,    6.],       [ -32.,   66.,   13.],       [ -52.,   44.,   13.],       [ -65.,   22.,    7.],       [ -71.,   -5.,   11.],       [ -68.,  -25.,    7.],       [ -52.,  -53.,    8.],       [ -31.,  -61.,   14.],       [  -5.,  -67.,   13.],       [  21.,  -68.,   15.],       [  53.,  -54.,    7.],       [  66.,  -23.,    9.],       [  79.,   -1.,    9.],       [  72.,   31.,   12.],       [  52.,   56.,   13.],       [  23.,   68.,   14.],       [  -3.,   72.,    9.],       [ -28.,   72.,   12.],       [ -51.,   49.,    9.],       [ -69.,   27.,    8.],       [ -79.,   -3.,    8.],       [ -65.,  -25.,   10.],       [ -54.,  -52.,   11.],       [ -32.,  -67.,   13.],       [  -5.,  -75.,    5.],       [  33.,  -75.,   14.],       [  49.,  -53.,   14.],       [  72.,  -27.,    9.],       [  77.,   -3.,   15.],       [  77.,   27.,    9.],       [  55.,   60.,   12.],       [  27.,   71.,    6.],       [   4.,   81.,    6.],       [ -29.,   70.,   10.],       [ -60.,   59.,   14.],       [ -78.,   31.,   15.],       [ -79.,   -2.,   12.],       [ -76.,  -31.,   15.],       [ -57.,  -58.,    8.],       [ -28.,  -71.,   14.],       [   0.,  -82.,    9.],       [  31.,  -73.,   14.],       [  56.,  -56.,   11.],       [  70.,  -29.,    9.],       [  86.,   -5.,   15.],       [  76.,   32.,   11.],       [  64.,   60.,   14.],       [  35.,   81.,   13.],       [  -5.,   87.,    8.],       [ -36.,   77.,   10.],       [ -60.,   57.,    7.],       [ -81.,   28.,   10.],       [ -83.,    4.,    8.],       [ -78.,  -36.,   14.],       [ -58.,  -57.,   14.],       [ -33.,  -79.,    8.],       [   1.,  -81.,   15.],       [  31.,  -76.,   11.],       [  56.,  -60.,    8.],       [  77.,  -38.,   14.],       [  90.,    2.,    6.],       [  85.,   36.,   11.],       [  61.,   63.,    8.],       [  35.,   80.,   14.],       [   0.,   88.,    6.],       [ -34.,   87.,    7.],       [ -69.,   67.,   13.],       [ -86.,   30.,    8.],       [ -95.,   -3.,   12.],       [ -79.,  -36.,    8.],       [ -67.,  -62.,    7.],       [ -31.,  -84.,   11.],       [   3.,  -94.,    8.],       [  36.,  -81.,   10.],       [  58.,  -69.,   15.],       [  86.,  -34.,    8.],       [  97.,   -1.,    8.],       [  90.,   33.,    6.],       [  70.,   63.,    9.],       [  36.,   90.,    9.],       [   2.,   98.,    6.],       [ -34.,   84.,   10.],       [ -71.,   67.,   10.],       [ -88.,   37.,   11.],       [ -92.,    3.,    6.],       [ -89.,  -33.,    8.],       [ -66.,  -65.,    8.],       [ -41.,  -92.,    6.],       [   4.,  -93.,    7.],       [  38.,  -90.,   13.],       [  63.,  -70.,   14.],       [  92.,  -39.,   12.],       [ 103.,    2.,    9.],       [  93.,   41.,   13.],       [  71.,   67.,    6.],       [  41.,   90.,    6.],       [   1.,  100.,   12.],       [ -35.,   90.,   14.],       [ -67.,   67.,   10.],       [ -91.,   37.,    7.],       [ -99.,    2.,   11.],       [ -92.,  -37.,    8.],       [ -75.,  -68.,   11.],       [ -41.,  -89.,    7.],       [   2., -101.,    8.],       [  37.,  -94.,   11.],       [  70.,  -68.,    9.],       [  95.,  -44.,   14.],       [  53.,    3.,   14.],       [  42.,   18.,   13.],       [  33.,   39.,   13.],       [  15.,   44.,   11.],       [  -3.,   45.,   11.],       [ -19.,   41.,   11.],       [ -37.,   31.,   15.],       [ -42.,   20.,   18.],       [ -47.,    1.,   16.],       [ -47.,  -24.,   15.],       [ -33.,  -36.,   11.],       [ -16.,  -48.,   15.],       [   3.,  -46.,   11.],       [  18.,  -49.,   15.],       [  31.,  -32.,   10.],       [  46.,  -21.,   12.],       [  56.,   -5.,   12.],       [  52.,   21.,   12.],       [  37.,   37.,    9.],       [  18.,   53.,   17.],       [  -4.,   59.,   11.],       [ -21.,   48.,   16.],       [ -35.,   41.,   17.],       [ -55.,   18.,   19.],       [ -60.,   -4.,   11.],       [ -56.,  -17.,   13.],       [ -36.,  -43.,   19.],       [ -23.,  -50.,   11.],       [   3.,  -58.,   11.],       [  17.,  -49.,   16.],       [  43.,  -44.,   13.],       [  53.,  -25.,   15.],       [  60.,    2.,   16.],       [  56.,   21.,   13.],       [  43.,   39.,   18.],       [  20.,   58.,   17.],       [   0.,   57.,   19.],       [ -20.,   53.,   10.],       [ -42.,   40.,   19.],       [ -58.,   22.,   10.],       [ -58.,    0.,   12.],       [ -60.,  -23.,   14.],       [ -45.,  -40.,   14.],       [ -23.,  -52.,   16.],       [  -2.,  -64.,   18.],       [  22.,  -59.,   18.],       [  42.,  -41.,   17.],       [  52.,  -22.,   17.],       [  65.,   -4.,   13.],       [  56.,   24.,   19.],       [  41.,   47.,   15.],       [  29.,   62.,   12.],       [   4.,   65.,   17.],       [ -27.,   60.,   19.],       [ -49.,   48.,   12.],       [ -56.,   28.,   17.],       [ -67.,    3.,   11.],       [ -65.,  -28.,   18.],       [ -50.,  -45.,   17.],       [ -20.,  -59.,   10.],       [   4.,  -64.,   16.],       [  23.,  -59.,   18.],       [  49.,  -44.,   12.],       [  62.,  -28.,   17.],       [  67.,    0.,   17.],       [  60.,   26.,   14.],       [  51.,   54.,    9.],       [  24.,   61.,   10.],       [   3.,   72.,   11.],       [ -32.,   65.,   14.],       [ -54.,   48.,   14.],       [ -63.,   29.,   19.],       [ -73.,    0.,   11.],       [ -65.,  -30.,    9.],       [ -50.,  -54.,   12.],       [ -23.,  -61.,   13.],       [   4.,  -75.,   18.],       [  25.,  -67.,   13.],       [  51.,  -54.,   17.],       [  61.,  -24.,   13.],       [  71.,    3.,   18.],       [  69.,   29.,   19.],       [  55.,   52.,   19.],       [  32.,   69.,   19.],       [  -3.,   70.,   14.],       [ -33.,   65.,   10.],       [ -49.,   50.,   11.],       [ -69.,   28.,   15.],       [ -75.,   -4.,   13.],       [ -66.,  -31.,   17.],       [ -56.,  -53.,   11.],       [ -32.,  -73.,   10.],       [   1.,  -75.,   17.],       [  24.,  -68.,   17.],       [  57.,  -55.,   17.],       [  70.,  -30.,   16.],       [  78.,   -4.,    9.],       [  71.,   31.,   12.],       [  52.,   61.,   18.],       [  30.,   72.,   19.],       [   0.,   81.,   12.],       [ -33.,   70.,   13.],       [ -55.,   58.,   18.],       [ -79.,   28.,   15.],       [ -84.,   -4.,   13.],       [ -76.,  -30.,   14.],       [ -61.,  -61.,   16.],       [ -34.,  -76.,   16.],       [  -3.,  -84.,   16.],       [  33.,  -78.,   15.],       [  53.,  -59.,   19.],       [  74.,  -32.,   18.],       [  80.,    0.,   11.],       [  79.,   36.,   14.],       [  61.,   64.,   14.],       [  33.,   78.,   19.],       [  -5.,   89.,   11.],       [ -37.,   78.,   10.],       [ -56.,   55.,   13.],       [ -82.,   29.,   18.],       [ -86.,   -3.,   16.],       [ -80.,  -36.,   14.],       [ -63.,  -63.,   13.],       [ -36.,  -76.,   12.],       [   3.,  -82.,   17.],       [  31.,  -81.,    9.],       [  62.,  -63.,   10.],       [  74.,  -35.,   18.],       [  88.,    3.,   18.],       [  83.,   36.,   12.],       [  65.,   66.,   14.],       [  36.,   84.,   12.],       [   0.,   94.,   12.],       [ -35.,   83.,   10.],       [ -66.,   65.,   13.],       [ -79.,   31.,   18.],       [ -87.,    3.,   11.],       [ -84.,  -35.,   14.],       [ -66.,  -62.,   15.],       [ -32.,  -83.,   13.],       [   3.,  -89.,   12.],       [  37.,  -88.,   15.],       [  66.,  -64.,   12.],       [  84.,  -39.,   11.],       [  97.,   -2.,    9.],       [  91.,   33.,   15.],       [  71.,   71.,   13.],       [  32.,   91.,   17.],       [   3.,   92.,   16.],       [ -34.,   90.,   12.],       [ -64.,   70.,   18.],       [ -89.,   33.,   14.],       [ -95.,    0.,   14.],       [ -90.,  -41.,   17.],       [ -65.,  -70.,   12.],       [ -41.,  -90.,   12.],       [   4.,  -95.,   18.],       [  37.,  -87.,   10.],       [  63.,  -71.,   15.],       [  83.,  -38.,   13.],       [ 102.,   -4.,   18.],       [  90.,   42.,   16.],       [  70.,   70.,   12.],       [  39.,   93.,   13.],       [   4.,   96.,   19.],       [ -42.,   89.,   16.],       [ -71.,   65.,   17.],       [ -90.,   33.,   17.],       [ -96.,   -4.,   13.],       [ -96.,  -40.,   12.],       [ -76.,  -70.,   17.],       [ -38.,  -94.,   19.],       [  -2., -102.,   13.],       [  39.,  -91.,   18.],       [  70.,  -74.,   19.],       [  92.,  -38.,    9.],       [  50.,    2.,   15.],       [  45.,   14.,   19.],       [  37.,   32.,   21.],       [  23.,   46.,   19.],       [   4.,   47.,   14.],       [ -17.,   48.,   21.],       [ -33.,   35.,   23.],       [ -50.,   18.,   19.],       [ -48.,    2.,   14.],       [ -43.,  -20.,   20.],       [ -36.,  -41.,   22.],       [ -20.,  -47.,   18.],       [   0.,  -46.,   18.],       [  16.,  -46.,   23.],       [  38.,  -34.,   13.],       [  42.,  -16.,   18.],       [  52.,   -1.,   17.],       [  48.,   19.,   20.],       [  36.,   36.,   22.],       [  18.,   55.,   16.],       [   2.,   50.,   15.],       [ -21.,   51.,   19.],       [ -42.,   42.,   21.],       [ -54.,   18.,   19.],       [ -58.,    0.,   19.],       [ -56.,  -26.,   18.],       [ -36.,  -37.,   18.],       [ -17.,  -47.,   21.],       [   4.,  -58.,   15.],       [  25.,  -51.,   16.],       [  41.,  -43.,   13.],       [  53.,  -18.,   17.],       [  62.,    1.,   18.],       [  51.,   27.,   19.],       [  39.,   37.,   13.],       [  18.,   51.,   14.],       [   2.,   61.,   13.],       [ -27.,   54.,   15.],       [ -48.,   44.,   16.],       [ -53.,   18.,   14.],       [ -58.,   -4.,   15.],       [ -55.,  -27.,   21.],       [ -39.,  -46.,   22.],       [ -18.,  -58.,   15.],       [   4.,  -62.,   16.],       [  26.,  -57.,   21.],       [  37.,  -47.,   21.],       [  50.,  -23.,   20.],       [  69.,    0.,   23.],       [  57.,   19.,   18.],       [  46.,   43.,   15.],       [  24.,   61.,   18.],       [  -2.,   60.,   18.],       [ -21.,   64.,   14.],       [ -46.,   50.,   14.],       [ -59.,   23.,   19.],       [ -69.,   -1.,   22.],       [ -62.,  -22.,   19.],       [ -42.,  -46.,   13.],       [ -26.,  -58.,   19.],       [  -1.,  -66.,   15.],       [  24.,  -65.,   23.],       [  44.,  -43.,   16.],       [  60.,  -27.,   21.],       [  65.,    4.,   21.],       [  61.,   30.,   18.],       [  51.,   46.,   18.],       [  29.,   65.,   23.],       [   2.,   70.,   22.],       [ -29.,   66.,   15.],       [ -51.,   50.,   18.],       [ -61.,   26.,   19.],       [ -73.,    1.,   18.],       [ -67.,  -31.,   22.],       [ -49.,  -47.,   18.],       [ -28.,  -70.,   13.],       [   0.,  -72.,   19.],       [  24.,  -62.,   16.],       [  47.,  -51.,   18.],       [  60.,  -27.,   16.],       [  71.,    0.,   14.],       [  69.,   26.,   14.],       [  50.,   54.,   18.],       [  26.,   70.,   14.],       [  -4.,   78.,   19.],       [ -34.,   64.,   16.],       [ -54.,   53.,   20.],       [ -68.,   23.,   15.],       [ -75.,    0.,   13.],       [ -67.,  -34.,   15.],       [ -56.,  -52.,   20.],       [ -29.,  -73.,   14.],       [  -5.,  -71.,   23.],       [  28.,  -74.,   13.],       [  49.,  -57.,   18.],       [  73.,  -30.,   15.],       [  78.,   -4.,   21.],       [  75.,   32.,   13.],       [  53.,   55.,   20.],       [  28.,   71.,   18.],       [  -3.,   80.,   18.],       [ -35.,   71.,   13.],       [ -54.,   61.,   18.],       [ -72.,   33.,   16.],       [ -85.,   -1.,   18.],       [ -76.,  -29.,   15.],       [ -62.,  -57.,   20.],       [ -33.,  -74.,   15.],       [  -5.,  -82.,   14.],       [  35.,  -74.,   20.],       [  58.,  -60.,   22.],       [  76.,  -34.,   15.],       [  87.,   -2.,   20.],       [  78.,   28.,   16.],       [  58.,   64.,   20.],       [  27.,   75.,   21.],       [   4.,   80.,   14.],       [ -30.,   80.,   14.],       [ -64.,   59.,   17.],       [ -79.,   29.,   18.],       [ -85.,    3.,   21.],       [ -80.,  -29.,   20.],       [ -65.,  -60.,   13.],       [ -35.,  -77.,   14.],       [   3.,  -81.,   21.],       [  31.,  -81.,   16.],       [  63.,  -61.,   15.],       [  78.,  -32.,   17.],       [  94.,    1.,   13.],       [  78.,   32.,   21.],       [  65.,   65.,   19.],       [  31.,   84.,   17.],       [   1.,   93.,   21.],       [ -34.,   88.,   19.],       [ -68.,   67.,   21.],       [ -80.,   34.,   17.],       [ -88.,   -2.,   13.],       [ -88.,  -30.,   19.],       [ -62.,  -64.,   20.],       [ -35.,  -80.,   17.],       [  -5.,  -89.,   17.],       [  31.,  -89.,   21.],       [  61.,  -63.,   19.],       [  80.,  -39.,   16.],       [  98.,    1.,   13.],       [  84.,   31.,   16.],       [  71.,   62.,   18.],       [  35.,   88.,   22.],       [   0.,   90.,   20.],       [ -35.,   83.,   16.],       [ -69.,   69.,   17.],       [ -88.,   31.,   22.],       [ -99.,   -2.,   21.],       [ -91.,  -39.,   18.],       [ -72.,  -69.,   22.],       [ -32.,  -91.,   22.],       [   2.,  -95.,   18.],       [  40.,  -87.,   15.],       [  64.,  -68.,   21.],       [  86.,  -42.,   18.],       [ 100.,    3.,   17.],       [  95.,   40.,   20.],       [  71.,   68.,   15.],       [  40.,   94.,   17.],       [   0.,   95.,   22.],       [ -42.,   89.,   14.],       [ -73.,   69.,   14.],       [ -90.,   34.,   13.],       [ -96.,    4.,   14.],       [ -92.,  -44.,   16.],       [ -71.,  -68.,   13.],       [ -43.,  -92.,   19.],       [  -4.,  -99.,   22.],       [  40.,  -95.,   16.],       [  70.,  -72.,   13.],       [  97.,  -39.,   18.],       [  53.,   -1.,   20.],       [  47.,   14.,   24.],       [  34.,   30.,   17.],       [  22.,   46.,   23.],       [   1.,   50.,   20.],       [ -19.,   42.,   25.],       [ -36.,   40.,   19.],       [ -44.,   19.,   19.],       [ -50.,    3.,   24.],       [ -42.,  -16.,   24.],       [ -39.,  -31.,   23.],       [ -24.,  -43.,   25.],       [  -4.,  -48.,   16.],       [  20.,  -45.,   22.],       [  40.,  -34.,   25.],       [  50.,  -22.,   18.],       [  58.,   -5.,   20.],       [  46.,   22.,   23.],       [  43.,   34.,   18.],       [  24.,   48.,   17.],       [  -1.,   51.,   19.],       [ -23.,   46.,   17.],       [ -39.,   35.,   17.],       [ -51.,   18.,   17.],       [ -59.,    1.,   18.],       [ -54.,  -23.,   21.],       [ -37.,  -36.,   24.],       [ -26.,  -47.,   18.],       [  -1.,  -53.,   22.],       [  21.,  -54.,   20.],       [  38.,  -35.,   17.],       [  52.,  -22.,   22.],       [  62.,   -4.,   17.],       [  50.,   27.,   24.],       [  44.,   45.,   26.],       [  22.,   54.,   23.],       [   4.,   61.,   19.],       [ -21.,   59.,   19.],       [ -42.,   46.,   18.],       [ -52.,   26.,   24.],       [ -56.,    1.,   17.],       [ -61.,  -20.,   26.],       [ -38.,  -39.,   21.],       [ -20.,  -55.,   22.],       [  -5.,  -64.,   23.],       [  26.,  -54.,   18.],       [  41.,  -41.,   25.],       [  58.,  -24.,   25.],       [  68.,   -5.,   17.],       [  60.,   29.,   24.],       [  49.,   48.,   18.],       [  24.,   59.,   21.],       [  -1.,   63.,   22.],       [ -24.,   56.,   24.],       [ -48.,   47.,   26.],       [ -57.,   20.,   16.],       [ -64.,   -3.,   25.],       [ -57.,  -21.,   18.],       [ -44.,  -51.,   22.],       [ -29.,  -60.,   16.],       [   3.,  -65.,   18.],       [  23.,  -63.,   17.],       [  42.,  -51.,   24.],       [  60.,  -29.,   25.],       [  65.,   -5.,   17.],       [  64.,   24.,   24.],       [  51.,   49.,   19.],       [  26.,   61.,   19.],       [  -4.,   67.,   25.],       [ -29.,   59.,   26.],       [ -54.,   53.,   22.],       [ -63.,   27.,   19.],       [ -74.,   -4.,   21.],       [ -70.,  -25.,   26.],       [ -54.,  -48.,   23.],       [ -23.,  -68.,   24.],       [  -4.,  -75.,   18.],       [  23.,  -68.,   20.],       [  50.,  -47.,   17.],       [  64.,  -28.,   19.],       [  77.,   -2.,   19.],       [  68.,   31.,   19.],       [  52.,   49.,   18.],       [  32.,   72.,   24.],       [  -4.,   74.,   21.],       [ -24.,   70.,   20.],       [ -57.,   55.,   17.],       [ -68.,   29.,   21.],       [ -77.,   -4.,   17.],       [ -67.,  -27.,   21.],       [ -49.,  -56.,   21.],       [ -30.,  -69.,   23.],       [   4.,  -74.,   18.],       [  28.,  -69.,   18.],       [  57.,  -55.,   19.],       [  65.,  -25.,   20.],       [  82.,   -4.,   20.],       [  75.,   25.,   17.],       [  52.,   59.,   25.],       [  32.,   74.,   23.],       [  -2.,   79.,   26.],       [ -30.,   78.,   23.],       [ -59.,   52.,   23.],       [ -71.,   27.,   25.],       [ -81.,    0.,   25.],       [ -71.,  -33.,   17.],       [ -56.,  -62.,   22.],       [ -32.,  -73.,   22.],       [  -1.,  -77.,   17.],       [  34.,  -70.,   25.],       [  58.,  -62.,   22.],       [  77.,  -29.,   24.],       [  87.,    4.,   23.],       [  83.,   36.,   16.],       [  55.,   61.,   26.],       [  29.,   80.,   19.],       [   4.,   82.,   19.],       [ -32.,   75.,   24.],       [ -63.,   58.,   20.],       [ -82.,   34.,   26.],       [ -83.,    1.,   25.],       [ -81.,  -37.,   24.],       [ -58.,  -61.,   21.],       [ -33.,  -78.,   24.],       [   1.,  -85.,   25.],       [  31.,  -75.,   20.],       [  57.,  -65.,   20.],       [  78.,  -31.,   22.],       [  86.,   -3.,   24.],       [  82.,   35.,   25.],       [  62.,   67.,   26.],       [  32.,   81.,   18.],       [  -4.,   93.,   22.],       [ -32.,   86.,   17.],       [ -64.,   60.,   19.],       [ -88.,   39.,   20.],       [ -94.,    2.,   25.],       [ -79.,  -30.,   20.],       [ -69.,  -69.,   20.],       [ -40.,  -83.,   18.],       [   0.,  -95.,   19.],       [  30.,  -85.,   18.],       [  62.,  -68.,   18.],       [  85.,  -32.,   19.],       [  92.,   -2.,   22.],       [  88.,   36.,   25.],       [  70.,   64.,   16.],       [  38.,   89.,   21.],       [   0.,   98.,   21.],       [ -37.,   90.,   22.],       [ -64.,   66.,   19.],       [ -85.,   40.,   24.],       [ -99.,    1.,   18.],       [ -87.,  -39.,   20.],       [ -72.,  -70.,   22.],       [ -35.,  -85.,   20.],       [  -5.,  -91.,   20.],       [  40.,  -90.,   26.],       [  62.,  -70.,   18.],       [  83.,  -40.,   25.],       [  96.,   -2.,   25.],       [  92.,   39.,   24.],       [  66.,   71.,   19.],       [  39.,   91.,   18.],       [   1.,   97.,   18.],       [ -41.,   89.,   25.],       [ -67.,   74.,   24.],       [ -92.,   39.,   20.],       [-101.,    4.,   17.],       [ -97.,  -38.,   22.],       [ -76.,  -75.,   22.],       [ -40.,  -94.,   25.],       [   0., -103.,   17.],       [  39.,  -98.,   18.],       [  73.,  -76.,   22.],       [  94.,  -40.,   24.],       [  51.,    1.,   26.],       [  42.,   24.,   25.],       [  38.,   40.,   28.],       [  21.,   47.,   24.],       [  -3.,   54.,   21.],       [ -21.,   45.,   22.],       [ -37.,   34.,   22.],       [ -49.,   15.,   29.],       [ -50.,   -1.,   26.],       [ -42.,  -21.,   28.],       [ -32.,  -32.,   27.],       [ -21.,  -47.,   28.],       [  -3.,  -54.,   23.],       [  16.,  -43.,   30.],       [  33.,  -34.,   23.],       [  42.,  -22.,   26.],       [  50.,   -4.,   23.],       [  52.,   23.,   27.],       [  36.,   36.,   25.],       [  24.,   54.,   23.],       [  -3.,   59.,   27.],       [ -24.,   50.,   25.],       [ -40.,   41.,   29.],       [ -56.,   25.,   26.],       [ -58.,    3.,   30.],       [ -52.,  -17.,   27.],       [ -43.,  -43.,   21.],       [ -20.,  -53.,   23.],       [  -2.,  -57.,   29.],       [  23.,  -55.,   23.],       [  36.,  -43.,   29.],       [  48.,  -18.,   29.],       [  58.,   -5.,   28.],       [  58.,   23.,   26.],       [  40.,   46.,   24.],       [  25.,   58.,   22.],       [  -4.,   62.,   25.],       [ -28.,   52.,   25.],       [ -42.,   41.,   25.],       [ -57.,   21.,   27.],       [ -63.,    1.,   20.],       [ -59.,  -24.,   23.],       [ -39.,  -44.,   24.],       [ -23.,  -61.,   29.],       [  -3.,  -57.,   28.],       [  27.,  -60.,   25.],       [  43.,  -44.,   26.],       [  50.,  -28.,   23.],       [  67.,   -2.,   21.],       [  56.,   27.,   24.],       [  45.,   48.,   26.],       [  26.,   59.,   28.],       [  -3.,   67.,   21.],       [ -23.,   62.,   25.],       [ -43.,   47.,   26.],       [ -62.,   22.,   28.],       [ -64.,   -5.,   25.],       [ -65.,  -29.,   27.],       [ -42.,  -44.,   24.],       [ -21.,  -61.,   29.],       [  -4.,  -69.,   28.],       [  29.,  -63.,   26.],       [  45.,  -47.,   25.],       [  55.,  -29.,   23.],       [  65.,   -1.,   20.],       [  62.,   30.,   21.],       [  48.,   50.,   24.],       [  31.,   61.,   26.],       [   2.,   68.,   20.],       [ -26.,   67.,   20.],       [ -46.,   53.,   30.],       [ -68.,   25.,   21.],       [ -69.,   -2.,   21.],       [ -69.,  -32.,   21.],       [ -52.,  -51.,   20.],       [ -32.,  -66.,   26.],       [  -3.,  -71.,   28.],       [  25.,  -66.,   22.],       [  46.,  -51.,   24.],       [  64.,  -32.,   27.],       [  79.,   -5.,   23.],       [  70.,   33.,   26.],       [  50.,   53.,   22.],       [  27.,   73.,   26.],       [  -1.,   72.,   22.],       [ -34.,   65.,   21.],       [ -52.,   48.,   29.],       [ -72.,   27.,   24.],       [ -78.,    4.,   27.],       [ -65.,  -32.,   26.],       [ -54.,  -56.,   27.],       [ -32.,  -65.,   22.],       [   3.,  -75.,   22.],       [  32.,  -74.,   23.],       [  56.,  -51.,   26.],       [  64.,  -26.,   29.],       [  80.,    3.,   30.],       [  72.,   26.,   22.],       [  53.,   54.,   25.],       [  35.,   68.,   22.],       [  -5.,   76.,   21.],       [ -32.,   71.,   29.],       [ -60.,   57.,   25.],       [ -75.,   31.,   22.],       [ -77.,    2.,   28.],       [ -72.,  -35.,   28.],       [ -59.,  -56.,   22.],       [ -27.,  -72.,   24.],       [  -2.,  -78.,   26.],       [  29.,  -76.,   29.],       [  58.,  -62.,   24.],       [  71.,  -28.,   27.],       [  86.,    4.,   30.],       [  75.,   28.,   25.],       [  61.,   63.,   26.],       [  29.,   79.,   25.],       [  -2.,   83.,   27.],       [ -35.,   75.,   21.],       [ -59.,   56.,   20.],       [ -81.,   31.,   24.],       [ -86.,   -5.,   22.],       [ -81.,  -33.,   25.],       [ -57.,  -63.,   27.],       [ -36.,  -76.,   27.],       [  -3.,  -81.,   21.],       [  29.,  -78.,   23.],       [  61.,  -58.,   21.],       [  79.,  -34.,   24.],       [  87.,    1.,   27.],       [  87.,   32.,   24.],       [  61.,   59.,   29.],       [  34.,   83.,   30.],       [   1.,   85.,   23.],       [ -33.,   87.,   20.],       [ -67.,   66.,   28.],       [ -87.,   36.,   29.],       [ -86.,    0.,   30.],       [ -84.,  -31.,   30.],       [ -61.,  -65.,   30.],       [ -38.,  -88.,   26.],       [  -5.,  -90.,   20.],       [  34.,  -88.,   27.],       [  60.,  -62.,   25.],       [  81.,  -30.,   29.],       [  94.,    0.,   26.],       [  88.,   36.,   21.],       [  67.,   65.,   30.],       [  39.,   87.,   21.],       [   1.,   92.,   26.],       [ -35.,   87.,   24.],       [ -70.,   66.,   29.],       [ -93.,   39.,   28.],       [ -98.,   -5.,   25.],       [ -93.,  -37.,   23.],       [ -72.,  -66.,   20.],       [ -38.,  -91.,   22.],       [  -5., -100.,   20.],       [  34.,  -89.,   21.],       [  72.,  -69.,   21.],       [  88.,  -32.,   24.],       [ 104.,    1.,   26.],       [  94.,   36.,   26.],       [  67.,   69.,   27.],       [  39.,   90.,   28.],       [  -1.,   97.,   28.],       [ -44.,   91.,   26.],       [ -72.,   73.,   21.],       [ -93.,   34.,   23.],       [ -99.,    4.,   30.],       [ -91.,  -41.,   22.],       [ -74.,  -66.,   24.],       [ -42.,  -88.,   29.],       [   0., -103.,   25.],       [  41.,  -96.,   27.],       [  69.,  -75.,   29.],       [  96.,  -40.,   25.],       [  48.,   -4.,   27.],       [  50.,   17.,   30.],       [  30.,   38.,   28.],       [  21.,   47.,   33.],       [  -1.,   46.,   31.],       [ -18.,   45.,   33.],       [ -35.,   33.,   27.],       [ -47.,   17.,   33.],       [ -53.,   -2.,   27.],       [ -47.,  -23.,   32.],       [ -37.,  -36.,   30.],       [ -21.,  -45.,   32.],       [   2.,  -47.,   24.],       [  17.,  -44.,   27.],       [  35.,  -34.,   25.],       [  50.,  -19.,   24.],       [  58.,   -5.,   25.],       [  55.,   19.,   32.],       [  37.,   40.,   33.],       [  20.,   52.,   26.],       [   4.,   59.,   32.],       [ -21.,   50.,   30.],       [ -43.,   34.,   33.],       [ -50.,   23.,   31.],       [ -56.,    2.,   27.],       [ -49.,  -17.,   26.],       [ -36.,  -41.,   28.],       [ -18.,  -48.,   25.],       [   3.,  -56.,   31.],       [  17.,  -50.,   30.],       [  34.,  -37.,   28.],       [  53.,  -27.,   29.],       [  59.,   -5.,   28.],       [  57.,   25.,   30.],       [  42.,   45.,   32.],       [  18.,   54.,   24.],       [   0.,   55.,   32.],       [ -24.,   52.,   27.],       [ -40.,   43.,   32.],       [ -56.,   23.,   29.],       [ -56.,   -4.,   33.],       [ -59.,  -26.,   29.],       [ -39.,  -44.,   24.],       [ -26.,  -58.,   32.],       [   3.,  -56.,   25.],       [  24.,  -58.,   27.],       [  46.,  -47.,   27.],       [  59.,  -25.,   25.],       [  68.,   -4.,   26.],       [  61.,   29.,   24.],       [  47.,   41.,   31.],       [  24.,   62.,   29.],       [   0.,   66.,   33.],       [ -27.,   64.,   31.],       [ -42.,   45.,   31.],       [ -59.,   29.,   26.],       [ -67.,   -5.,   26.],       [ -64.,  -28.,   28.],       [ -50.,  -42.,   28.],       [ -27.,  -62.,   30.],       [  -2.,  -66.,   28.],       [  28.,  -57.,   28.],       [  43.,  -44.,   24.],       [  64.,  -28.,   24.],       [  71.,    1.,   33.],       [  66.,   27.,   30.],       [  50.,   47.,   33.],       [  25.,   60.,   29.],       [   2.,   66.,   28.],       [ -23.,   65.,   27.],       [ -55.,   44.,   29.],       [ -60.,   28.,   31.],       [ -71.,    0.,   28.],       [ -62.,  -27.,   33.],       [ -49.,  -49.,   31.],       [ -24.,  -69.,   32.],       [   4.,  -73.,   25.],       [  25.,  -65.,   32.],       [  46.,  -46.,   28.],       [  64.,  -30.,   27.],       [  72.,    3.,   25.],       [  68.,   31.,   32.],       [  48.,   49.,   32.],       [  27.,   68.,   33.],       [   0.,   78.,   24.],       [ -32.,   71.,   31.],       [ -50.,   55.,   27.],       [ -69.,   30.,   31.],       [ -80.,   -5.,   25.],       [ -75.,  -34.,   31.],       [ -56.,  -53.,   31.],       [ -27.,  -75.,   31.],       [   4.,  -77.,   28.],       [  24.,  -71.,   26.],       [  55.,  -54.,   30.],       [  72.,  -31.,   24.],       [  84.,   -5.,   30.],       [  69.,   33.,   27.],       [  54.,   57.,   30.],       [  31.,   72.,   25.],       [   2.,   80.,   31.],       [ -35.,   70.,   28.],       [ -55.,   56.,   29.],       [ -72.,   34.,   32.],       [ -79.,    3.,   30.],       [ -77.,  -30.,   26.],       [ -55.,  -55.,   29.],       [ -31.,  -78.,   25.],       [   3.,  -79.,   28.],       [  33.,  -70.,   27.],       [  56.,  -53.,   24.],       [  75.,  -31.,   34.],       [  86.,    3.,   30.],       [  78.,   34.,   32.],       [  58.,   59.,   31.],       [  32.,   80.,   32.],       [  -1.,   83.,   33.],       [ -31.,   74.,   32.],       [ -58.,   57.,   30.],       [ -75.,   37.,   32.],       [ -88.,   -1.,   27.],       [ -80.,  -29.,   33.],       [ -61.,  -64.,   27.],       [ -37.,  -75.,   33.],       [  -4.,  -88.,   25.],       [  28.,  -74.,   33.],       [  59.,  -56.,   30.],       [  78.,  -29.,   27.],       [  91.,   -3.,   29.],       [  79.,   31.,   30.],       [  67.,   61.,   25.],       [  38.,   80.,   24.],       [  -3.,   94.,   31.],       [ -31.,   80.,   30.],       [ -63.,   59.,   28.],       [ -82.,   38.,   25.],       [ -89.,    0.,   28.],       [ -80.,  -35.,   28.],       [ -67.,  -60.,   28.],       [ -35.,  -88.,   26.],       [  -5.,  -88.,   25.],       [  38.,  -81.,   32.],       [  65.,  -64.,   29.],       [  86.,  -35.,   24.],       [  92.,    3.,   31.],       [  85.,   31.,   27.],       [  66.,   69.,   26.],       [  31.,   84.,   33.],       [  -2.,   90.,   24.],       [ -34.,   87.,   31.],       [ -68.,   71.,   31.],       [ -84.,   35.,   26.],       [ -93.,   -4.,   25.],       [ -88.,  -38.,   33.],       [ -69.,  -69.,   29.],       [ -37.,  -89.,   32.],       [  -1.,  -99.,   33.],       [  37.,  -88.,   26.],       [  64.,  -66.,   30.],       [  85.,  -38.,   32.],       [ 101.,    2.,   25.],       [  95.,   37.,   29.],       [  75.,   69.,   24.],       [  33.,   97.,   27.],       [   2.,   99.,   31.],       [ -43.,   88.,   27.],       [ -71.,   73.,   31.],       [ -95.,   36.,   31.],       [-105.,   -1.,   30.],       [ -98.,  -41.,   33.],       [ -72.,  -74.,   28.],       [ -39.,  -96.,   25.],       [  -3., -103.,   33.],       [  34.,  -95.,   32.],       [  75.,  -74.,   31.],       [  96.,  -42.,   33.],       [  52.,   -2.,   37.],       [  46.,   14.,   37.],       [  39.,   39.,   28.],       [  20.,   45.,   34.],       [   0.,   46.,   32.],       [ -24.,   50.,   32.],       [ -32.,   34.,   29.],       [ -51.,   19.,   36.],       [ -50.,   -5.,   33.],       [ -46.,  -21.,   34.],       [ -34.,  -33.,   35.],       [ -24.,  -47.,   28.],       [   0.,  -50.,   34.],       [  18.,  -43.,   30.],       [  33.,  -34.,   31.],       [  45.,  -22.,   31.],       [  54.,    3.,   29.],       [  46.,   17.,   34.],       [  34.,   39.,   37.],       [  24.,   46.,   28.],       [   3.,   53.,   34.],       [ -25.,   48.,   36.],       [ -44.,   43.,   32.],       [ -48.,   26.,   32.],       [ -58.,    3.,   32.],       [ -49.,  -18.,   37.],       [ -38.,  -42.,   28.],       [ -19.,  -53.,   37.],       [   1.,  -51.,   37.],       [  24.,  -53.,   37.],       [  34.,  -38.,   33.],       [  50.,  -19.,   33.],       [  62.,   -4.,   37.],       [  59.,   19.,   29.],       [  44.,   42.,   37.],       [  19.,   56.,   29.],       [  -3.,   58.,   35.],       [ -19.,   54.,   32.],       [ -41.,   45.,   37.],       [ -53.,   22.,   30.],       [ -59.,    1.,   35.],       [ -55.,  -26.,   29.],       [ -39.,  -46.,   37.],       [ -21.,  -51.,   30.],       [  -2.,  -57.,   33.],       [  23.,  -58.,   37.],       [  40.,  -42.,   36.],       [  54.,  -27.,   30.],       [  62.,   -4.,   34.],       [  60.,   23.,   29.],       [  42.,   42.,   30.],       [  27.,   58.,   31.],       [  -2.,   63.,   30.],       [ -22.,   64.,   33.],       [ -45.,   48.,   36.],       [ -57.,   28.,   32.],       [ -61.,   -1.,   33.],       [ -60.,  -28.,   33.],       [ -50.,  -49.,   28.],       [ -29.,  -64.,   37.],       [  -3.,  -61.,   32.],       [  27.,  -65.,   28.],       [  48.,  -45.,   33.],       [  57.,  -27.,   34.],       [  66.,    4.,   27.],       [  65.,   30.,   35.],       [  47.,   49.,   28.],       [  31.,   64.,   31.],       [  -3.,   69.,   30.],       [ -22.,   66.,   32.],       [ -55.,   51.,   28.],       [ -69.,   29.,   28.],       [ -66.,   -3.,   31.],       [ -66.,  -27.,   30.],       [ -53.,  -51.,   36.],       [ -25.,  -61.,   37.],       [   3.,  -74.,   35.],       [  31.,  -64.,   35.],       [  48.,  -45.,   34.],       [  63.,  -29.,   31.],       [  73.,   -3.,   36.],       [  69.,   33.,   36.],       [  56.,   51.,   35.],       [  30.,   73.,   30.],       [   1.,   77.,   33.],       [ -33.,   70.,   34.],       [ -54.,   54.,   31.],       [ -66.,   24.,   33.],       [ -75.,    3.,   28.],       [ -66.,  -26.,   29.],       [ -53.,  -58.,   31.],       [ -25.,  -75.,   27.],       [  -3.,  -73.,   29.],       [  30.,  -73.,   30.],       [  48.,  -56.,   37.],       [  68.,  -33.,   33.],       [  76.,   -3.,   33.],       [  77.,   32.,   36.],       [  61.,   61.,   37.],       [  25.,   77.,   33.],       [  -4.,   79.,   32.],       [ -29.,   71.,   33.],       [ -62.,   61.,   31.],       [ -74.,   31.,   28.],       [ -80.,    1.,   34.],       [ -73.,  -31.,   37.],       [ -61.,  -59.,   28.],       [ -33.,  -70.,   28.],       [   2.,  -81.,   33.],       [  28.,  -74.,   29.],       [  52.,  -54.,   37.],       [  77.,  -27.,   36.],       [  89.,   -3.,   33.],       [  77.,   35.,   37.],       [  57.,   63.,   35.],       [  28.,   79.,   35.],       [   0.,   85.,   34.],       [ -29.,   83.,   28.],       [ -57.,   62.,   37.],       [ -76.,   31.,   29.],       [ -85.,    4.,   33.],       [ -81.,  -35.,   29.],       [ -57.,  -64.,   28.],       [ -35.,  -80.,   33.],       [  -2.,  -85.,   33.],       [  36.,  -77.,   31.],       [  57.,  -62.,   31.],       [  78.,  -30.,   36.],       [  91.,   -3.,   33.],       [  80.,   38.,   29.],       [  68.,   66.,   33.],       [  37.,   84.,   32.],       [  -2.,   88.,   32.],       [ -34.,   78.,   32.],       [ -65.,   59.,   31.],       [ -81.,   33.,   31.],       [ -89.,    2.,   29.],       [ -81.,  -39.,   29.],       [ -61.,  -65.,   34.],       [ -35.,  -80.,   35.],       [  -1.,  -91.,   32.],       [  34.,  -88.,   33.],       [  61.,  -65.,   34.],       [  85.,  -31.,   32.],       [  96.,    0.,   35.],       [  84.,   41.,   31.],       [  62.,   65.,   37.],       [  39.,   90.,   30.],       [   1.,   95.,   29.],       [ -37.,   87.,   32.],       [ -68.,   68.,   30.],       [ -92.,   34.,   35.],       [ -93.,   -5.,   34.],       [ -86.,  -40.,   33.],       [ -64.,  -64.,   36.],       [ -41.,  -90.,   37.],       [  -2.,  -97.,   35.],       [  31.,  -92.,   29.],       [  68.,  -66.,   30.],       [  86.,  -37.,   32.],       [ 103.,    1.,   34.],       [  96.,   34.,   28.],       [  70.,   74.,   33.],       [  40.,   96.,   32.],       [   4.,  102.,   35.],       [ -35.,   89.,   29.],       [ -73.,   73.,   29.],       [ -91.,   39.,   35.],       [-103.,   -1.,   37.],       [ -97.,  -41.,   32.],       [ -75.,  -73.,   28.],       [ -38.,  -96.,   29.],       [  -4., -105.,   29.],       [  34.,  -96.,   33.],       [  70.,  -70.,   32.],       [  88.,  -38.,   28.],       [  49.,   -1.,   31.],       [  48.,   21.,   41.],       [  36.,   36.,   37.],       [  15.,   48.,   37.],       [  -3.,   47.,   31.],       [ -17.,   43.,   35.],       [ -39.,   36.,   33.],       [ -50.,   14.,   31.],       [ -52.,    1.,   36.],       [ -47.,  -20.,   40.],       [ -36.,  -40.,   37.],       [ -19.,  -48.,   35.],       [  -5.,  -52.,   38.],       [  18.,  -44.,   31.],       [  33.,  -37.,   40.],       [  43.,  -20.,   35.],       [  50.,    2.,   35.],       [  54.,   16.,   36.],       [  36.,   40.,   35.],       [  19.,   53.,   35.],       [  -4.,   56.,   39.],       [ -18.,   53.,   38.],       [ -37.,   42.,   32.],       [ -56.,   22.,   35.],       [ -57.,    4.,   35.],       [ -48.,  -26.,   33.],       [ -40.,  -35.,   37.],       [ -26.,  -51.,   37.],       [  -3.,  -52.,   34.],       [  20.,  -51.,   35.],       [  43.,  -37.,   40.],       [  55.,  -23.,   35.],       [  56.,   -2.,   35.],       [  53.,   18.,   32.],       [  45.,   41.,   32.],       [  27.,   58.,   34.],       [  -5.,   56.,   36.],       [ -23.,   55.,   33.],       [ -45.,   46.,   32.],       [ -54.,   18.,   35.],       [ -62.,    1.,   40.],       [ -60.,  -26.,   40.],       [ -47.,  -47.,   41.],       [ -24.,  -52.,   33.],       [   1.,  -61.,   37.],       [  24.,  -57.,   40.],       [  46.,  -40.,   36.],       [  51.,  -22.,   38.],       [  61.,   -4.,   32.],       [  58.,   27.,   36.],       [  48.,   42.,   33.],       [  27.,   60.,   34.],       [  -1.,   69.,   32.],       [ -21.,   55.,   35.],       [ -44.,   47.,   33.],       [ -65.,   21.,   34.],       [ -64.,   -1.,   38.],       [ -56.,  -27.,   38.],       [ -43.,  -43.,   37.],       [ -28.,  -62.,   40.],       [   4.,  -69.,   39.],       [  29.,  -56.,   34.],       [  41.,  -46.,   31.],       [  57.,  -30.,   38.],       [  65.,   -2.,   35.],       [  64.,   23.,   36.],       [  49.,   48.,   34.],       [  27.,   60.,   39.],       [   0.,   67.,   38.],       [ -29.,   67.,   34.],       [ -51.,   50.,   38.],       [ -67.,   29.,   33.],       [ -67.,    2.,   36.],       [ -62.,  -29.,   40.],       [ -50.,  -46.,   40.],       [ -25.,  -65.,   32.],       [  -3.,  -70.,   38.],       [  25.,  -66.,   33.],       [  52.,  -53.,   33.],       [  62.,  -31.,   40.],       [  72.,    2.,   40.],       [  68.,   25.,   35.],       [  52.,   56.,   32.],       [  29.,   72.,   38.],       [  -5.,   79.,   40.],       [ -30.,   70.,   31.],       [ -55.,   57.,   32.],       [ -69.,   29.,   32.],       [ -78.,    2.,   38.],       [ -68.,  -34.,   37.],       [ -56.,  -58.,   38.],       [ -32.,  -66.,   32.],       [  -3.,  -71.,   37.],       [  32.,  -70.,   32.],       [  54.,  -57.,   34.],       [  64.,  -33.,   34.],       [  81.,   -5.,   33.],       [  77.,   25.,   35.],       [  60.,   59.,   36.],       [  26.,   71.,   34.],       [   1.,   76.,   37.],       [ -34.,   77.,   35.],       [ -61.,   55.,   40.],       [ -70.,   26.,   39.],       [ -84.,    2.,   34.],       [ -76.,  -29.,   39.],       [ -59.,  -60.,   34.],       [ -32.,  -79.,   33.],       [   0.,  -82.,   41.],       [  33.,  -71.,   40.],       [  60.,  -54.,   38.],       [  69.,  -33.,   33.],       [  89.,   -2.,   35.],       [  77.,   35.,   36.],       [  61.,   55.,   36.],       [  35.,   81.,   38.],       [   3.,   87.,   39.],       [ -29.,   73.,   36.],       [ -62.,   56.,   40.],       [ -75.,   33.,   41.],       [ -87.,   -3.,   41.],       [ -81.,  -32.,   35.],       [ -64.,  -57.,   36.],       [ -31.,  -76.,   32.],       [   3.,  -89.,   34.],       [  35.,  -79.,   35.],       [  56.,  -65.,   41.],       [  82.,  -38.,   31.],       [  90.,    2.,   34.],       [  80.,   37.,   35.],       [  59.,   65.,   34.],       [  32.,   80.,   38.],       [   3.,   86.,   35.],       [ -34.,   82.,   41.],       [ -65.,   68.,   31.],       [ -87.,   35.,   39.],       [ -87.,   -3.,   40.],       [ -83.,  -31.,   35.],       [ -65.,  -68.,   33.],       [ -31.,  -84.,   32.],       [   4.,  -90.,   37.],       [  38.,  -88.,   37.],       [  64.,  -67.,   31.],       [  78.,  -33.,   31.],       [  99.,    2.,   35.],       [  90.,   37.,   32.],       [  66.,   69.,   33.],       [  40.,   86.,   31.],       [   3.,   93.,   38.],       [ -39.,   88.,   34.],       [ -70.,   70.,   36.],       [ -86.,   37.,   36.],       [ -93.,   -1.,   36.],       [ -92.,  -33.,   37.],       [ -66.,  -67.,   41.],       [ -37.,  -90.,   37.],       [  -2.,  -92.,   31.],       [  33.,  -88.,   31.],       [  67.,  -67.,   32.],       [  90.,  -38.,   36.],       [ 101.,    0.,   41.],       [  96.,   34.,   39.],       [  66.,   69.,   37.],       [  42.,   94.,   31.],       [  -2.,  103.,   38.],       [ -37.,   96.,   37.],       [ -68.,   66.,   32.],       [ -91.,   42.,   37.],       [-102.,    0.,   41.],       [ -90.,  -39.,   36.],       [ -70.,  -68.,   31.],       [ -36.,  -97.,   32.],       [   0., -100.,   38.],       [  38.,  -93.,   33.],       [  74.,  -75.,   37.],       [  93.,  -43.,   34.],       [  52.,    2.,   42.],       [  42.,   16.,   37.],       [  36.,   37.,   35.],       [  22.,   44.,   35.],       [  -4.,   45.,   40.],       [ -18.,   41.,   40.],       [ -40.,   35.,   40.],       [ -44.,   20.,   42.],       [ -55.,   -5.,   41.],       [ -50.,  -17.,   35.],       [ -34.,  -34.,   37.],       [ -17.,  -49.,   38.],       [   1.,  -48.,   41.],       [  20.,  -43.,   43.],       [  40.,  -37.,   39.],       [  46.,  -17.,   37.],       [  54.,   -1.,   41.],       [  46.,   17.,   41.],       [  34.,   40.,   41.],       [  23.,   53.,   39.],       [  -2.,   52.,   36.],       [ -19.,   47.,   36.],       [ -35.,   43.,   38.],       [ -49.,   23.,   36.],       [ -55.,    1.,   36.],       [ -53.,  -18.,   39.],       [ -39.,  -38.,   38.],       [ -25.,  -48.,   41.],       [   1.,  -56.,   35.],       [  20.,  -50.,   43.],       [  43.,  -40.,   42.],       [  55.,  -22.,   42.],       [  60.,   -4.,   39.],       [  51.,   27.,   41.],       [  46.,   42.,   43.],       [  23.,   51.,   39.],       [   0.,   61.,   41.],       [ -20.,   52.,   37.],       [ -38.,   41.,   39.],       [ -55.,   24.,   40.],       [ -65.,    4.,   44.],       [ -55.,  -22.,   39.],       [ -39.,  -47.,   39.],       [ -24.,  -52.,   37.],       [  -5.,  -62.,   37.],       [  26.,  -59.,   42.],       [  43.,  -40.,   39.],       [  55.,  -19.,   37.],       [  68.,   -3.,   40.],       [  60.,   20.,   35.],       [  43.,   47.,   40.],       [  26.,   64.,   40.],       [  -2.,   69.,   43.],       [ -22.,   59.,   42.],       [ -44.,   42.,   43.],       [ -60.,   27.,   40.],       [ -64.,   -4.,   39.],       [ -59.,  -21.,   37.],       [ -46.,  -48.,   42.],       [ -25.,  -56.,   39.],       [  -5.,  -69.,   43.],       [  26.,  -65.,   44.],       [  42.,  -50.,   35.],       [  60.,  -24.,   39.],       [  66.,    4.,   39.],       [  69.,   27.,   35.],       [  45.,   51.,   44.],       [  24.,   62.,   41.],       [  -2.,   68.,   40.],       [ -28.,   60.,   41.],       [ -52.,   50.,   35.],       [ -69.,   26.,   39.],       [ -66.,    4.,   36.],       [ -70.,  -30.,   36.],       [ -48.,  -51.,   42.],       [ -27.,  -63.,   42.],       [   0.,  -66.,   37.],       [  26.,  -70.,   41.],       [  48.,  -55.,   44.],       [  68.,  -26.,   41.],       [  78.,    2.,   39.],       [  69.,   25.,   35.],       [  56.,   56.,   35.],       [  25.,   66.,   37.],       [  -1.,   72.,   44.],       [ -33.,   73.,   42.],       [ -55.,   57.,   37.],       [ -70.,   31.,   44.],       [ -80.,   -1.,   40.],       [ -73.,  -32.,   41.],       [ -50.,  -51.,   42.],       [ -29.,  -70.,   36.],       [  -1.,  -75.,   35.],       [  27.,  -67.,   37.],       [  57.,  -49.,   42.],       [  71.,  -30.,   40.],       [  83.,    3.,   43.],       [  76.,   30.,   36.],       [  58.,   58.,   35.],       [  31.,   75.,   39.],       [   3.,   81.,   41.],       [ -30.,   78.,   41.],       [ -55.,   57.,   43.],       [ -75.,   31.,   42.],       [ -76.,    4.,   43.],       [ -72.,  -31.,   43.],       [ -55.,  -57.,   35.],       [ -28.,  -78.,   36.],       [   2.,  -85.,   35.],       [  34.,  -77.,   44.],       [  53.,  -56.,   39.],       [  78.,  -28.,   37.],       [  82.,   -2.,   40.],       [  76.,   34.,   38.],       [  57.,   58.,   35.],       [  37.,   76.,   38.],       [  -3.,   80.,   39.],       [ -31.,   77.,   40.],       [ -66.,   61.,   40.],       [ -84.,   33.,   41.],       [ -83.,   -3.,   43.],       [ -75.,  -30.,   43.],       [ -61.,  -59.,   44.],       [ -29.,  -83.,   43.],       [   0.,  -88.,   39.],       [  31.,  -82.,   40.],       [  59.,  -58.,   35.],       [  79.,  -36.,   43.],       [  93.,    3.,   36.],       [  83.,   34.,   39.],       [  66.,   67.,   41.],       [  36.,   86.,   36.],       [  -2.,   94.,   37.],       [ -34.,   80.,   37.],       [ -64.,   67.,   36.],       [ -84.,   31.,   35.],       [ -91.,    2.,   44.],       [ -88.,  -34.,   40.],       [ -63.,  -66.,   42.],       [ -33.,  -79.,   40.],       [  -5.,  -92.,   37.],       [  35.,  -85.,   38.],       [  66.,  -62.,   35.],       [  82.,  -31.,   42.],       [  99.,    3.,   35.],       [  88.,   39.,   44.],       [  63.,   71.,   39.],       [  39.,   83.,   35.],       [  -4.,   90.,   41.],       [ -36.,   86.,   43.],       [ -64.,   62.,   40.],       [ -91.,   34.,   40.],       [ -99.,    3.,   44.],       [ -86.,  -34.,   39.],       [ -63.,  -70.,   39.],       [ -36.,  -92.,   39.],       [  -4.,  -98.,   40.],       [  31.,  -90.,   43.],       [  70.,  -64.,   35.],       [  86.,  -40.,   38.],       [  96.,    1.,   39.],       [  96.,   41.,   38.],       [  68.,   74.,   36.],       [  42.,   89.,   43.],       [   1.,  103.,   41.],       [ -42.,   94.,   39.],       [ -67.,   73.,   42.],       [ -97.,   41.,   35.],       [-102.,    4.,   39.],       [ -90.,  -36.,   36.],       [ -70.,  -72.,   39.],       [ -41.,  -93.,   37.],       [  -2.,  -97.,   44.],       [  41.,  -93.,   39.],       [  69.,  -70.,   35.],       [  89.,  -42.,   42.]])
        basis0 = BSplineBasis(7, np.array([ -1.7,  -0.8,   0. ,   0. ,   0. ,   0. ,   0. ,   1.3,   1.9,   3.3,   3.9,   4.9,   5.9,
         7.2,   7.7,   8.8,  10.3,  11.2,  12. ,  12. ,  12. ,  12. ,  12. ,  13.3,  13.9]),1)
        basis1 = BSplineBasis(6, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0.9,  2.3,  2.6,  4.1,  4.7,  6. ,  6. ,  6. ,  6. ,
        6. ,  6. ]))
        basis2 = BSplineBasis(7, np.array([ 0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0. ,  0.8,  2. ,  3. ,  3.9,  4.8,  6. ,  6. ,  6. ,
        6. ,  6. ,  6. ,  6. ]))
        vol  = Volume(basis0, basis1, basis2, controlpoints,False)
        vol2 = vol.rebuild([7, 7, 7], [95, 91, 106])
        u    = np.linspace(vol.start(0), vol.end(0), 7)
        v    = np.linspace(vol.start(1), vol.end(1), 7)
        w    = np.linspace(vol.start(2), vol.end(2), 7)
        pt   = vol(u,v,w)
        pt2  = vol2(u,v,w)
        self.assertAlmostEqual(np.max(np.abs(pt-pt2)), 0.0, places=2)


if __name__ == '__main__':
    unittest.main()
